// u-blox 9 positioning receivers configuration library
//
// Copyright (c) 2020-2021 Philippe Kehl (flipflip at oinkzwurgl dot org),
// https://oinkzwurgl.org/hacking/ubloxcfg
//
//    This program is free software: you can redistribute it and/or modify it under the terms of the
//    GNU Lesser General Public License as published by the Free Software Foundation, either version 3
//    of the License, or (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//    without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//    See the GNU Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public License along with this
//    program. If not, see <https://www.gnu.org/licenses/>.
//
// This file is automatically generated. Do not edit.


#ifndef __UBLOXCFG_GEN_H__
#define __UBLOXCFG_GEN_H__

#ifdef __cplusplus
extern "C" {
#endif

/*!
    \defgroup UBLOXCFG_ITEMS Configuration items
    \ingroup UBLOXCFG

    Sources:
    - u-blox ZED-F9P Interface Description (HPG 1.13) (https://www.u-blox.com/en/docs/UBX-18010854), copyright (c) 2020 u-blox AG
    - u-blox NEO-M9N Interface description (SPG 4.04) (https://www.u-blox.com/en/docs/UBX-19035940), copyright (c) 2020 u-blox AG
    - u-blox ZED-F9R Interface description (HPS 1.20) (https://www.u-blox.com/en/docs/UBX-19056845), copyright (c) 2020 u-blox AG
    - u-center 20.01, copyright (c) 2020 u-blox AG

    @{
*/

/*!
    \defgroup UBLOXCFG_CFG_BDS CFG-BDS
    @{
*/

#define UBLOXCFG_CFG_BDS_ID  0x00340000 //!< Group ID of the CFG-BDS-* items

/*!
    \defgroup UBLOXCFG_CFG_BDS_USE_PRN_1_TO_5 CFG-BDS-USE_PRN_1_TO_5 (Use BeiDou geostationary satellites (PRN 1-5))
    @{
*/
#define UBLOXCFG_CFG_BDS_USE_PRN_1_TO_5_ID                 0x10340014                               //!< ID of CFG-BDS-USE_PRN_1_TO_5
#define UBLOXCFG_CFG_BDS_USE_PRN_1_TO_5_STR                "CFG-BDS-USE_PRN_1_TO_5"                 //!< Name of CFG-BDS-USE_PRN_1_TO_5
#define UBLOXCFG_CFG_BDS_USE_PRN_1_TO_5_TYPE               L                                        //!< Type of CFG-BDS-USE_PRN_1_TO_5
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE CFG-GEOFENCE
    @{
*/

#define UBLOXCFG_CFG_GEOFENCE_ID  0x00240000 //!< Group ID of the CFG-GEOFENCE-* items

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_CONFLVL CFG-GEOFENCE-CONFLVL (Required confidence level for state evaluation)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_CONFLVL_ID                   0x20240011                               //!< ID of CFG-GEOFENCE-CONFLVL
#define UBLOXCFG_CFG_GEOFENCE_CONFLVL_STR                  "CFG-GEOFENCE-CONFLVL"                   //!< Name of CFG-GEOFENCE-CONFLVL
#define UBLOXCFG_CFG_GEOFENCE_CONFLVL_TYPE                 E1                                       //!< Type of CFG-GEOFENCE-CONFLVL
//! constants for CFG-GEOFENCE-CONFLVL
typedef enum UBLOXCFG_CFG_GEOFENCE_CONFLVL_e
{
    UBLOXCFG_CFG_GEOFENCE_CONFLVL_L000                   = 0,                                       //!< No confidence
    UBLOXCFG_CFG_GEOFENCE_CONFLVL_L680                   = 1,                                       //!< 68%
    UBLOXCFG_CFG_GEOFENCE_CONFLVL_L950                   = 2,                                       //!< 95%
    UBLOXCFG_CFG_GEOFENCE_CONFLVL_L997                   = 3,                                       //!< 99.7%
    UBLOXCFG_CFG_GEOFENCE_CONFLVL_L9999                  = 4,                                       //!< 99.99%
    UBLOXCFG_CFG_GEOFENCE_CONFLVL_L999999                = 5                                        //!< 99.9999%
} UBLOXCFG_CFG_GEOFENCE_CONFLVL_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_USE_PIO CFG-GEOFENCE-USE_PIO (Use PIO combined fence state output)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_USE_PIO_ID                   0x10240012                               //!< ID of CFG-GEOFENCE-USE_PIO
#define UBLOXCFG_CFG_GEOFENCE_USE_PIO_STR                  "CFG-GEOFENCE-USE_PIO"                   //!< Name of CFG-GEOFENCE-USE_PIO
#define UBLOXCFG_CFG_GEOFENCE_USE_PIO_TYPE                 L                                        //!< Type of CFG-GEOFENCE-USE_PIO
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_PINPOL CFG-GEOFENCE-PINPOL (PIO pin polarity)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_PINPOL_ID                    0x20240013                               //!< ID of CFG-GEOFENCE-PINPOL
#define UBLOXCFG_CFG_GEOFENCE_PINPOL_STR                   "CFG-GEOFENCE-PINPOL"                    //!< Name of CFG-GEOFENCE-PINPOL
#define UBLOXCFG_CFG_GEOFENCE_PINPOL_TYPE                  E1                                       //!< Type of CFG-GEOFENCE-PINPOL
//! constants for CFG-GEOFENCE-PINPOL
typedef enum UBLOXCFG_CFG_GEOFENCE_PINPOL_e
{
    UBLOXCFG_CFG_GEOFENCE_PINPOL_LOW_IN                  = 0,                                       //!< PIO low means inside geofence
    UBLOXCFG_CFG_GEOFENCE_PINPOL_LOW_OUT                 = 1                                        //!< PIO low means outside geofence
} UBLOXCFG_CFG_GEOFENCE_PINPOL_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_PIN CFG-GEOFENCE-PIN (PIO pin number)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_PIN_ID                       0x20240014                               //!< ID of CFG-GEOFENCE-PIN
#define UBLOXCFG_CFG_GEOFENCE_PIN_STR                      "CFG-GEOFENCE-PIN"                       //!< Name of CFG-GEOFENCE-PIN
#define UBLOXCFG_CFG_GEOFENCE_PIN_TYPE                     U1                                       //!< Type of CFG-GEOFENCE-PIN
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_USE_FENCE1 CFG-GEOFENCE-USE_FENCE1 (Use first geofence)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE1_ID                0x10240020                               //!< ID of CFG-GEOFENCE-USE_FENCE1
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE1_STR               "CFG-GEOFENCE-USE_FENCE1"                //!< Name of CFG-GEOFENCE-USE_FENCE1
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE1_TYPE              L                                        //!< Type of CFG-GEOFENCE-USE_FENCE1
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE1_LAT CFG-GEOFENCE-FENCE1_LAT (Latitude of the first geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_LAT_ID                0x40240021                               //!< ID of CFG-GEOFENCE-FENCE1_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_LAT_STR               "CFG-GEOFENCE-FENCE1_LAT"                //!< Name of CFG-GEOFENCE-FENCE1_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_LAT_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE1_LAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE1_LON CFG-GEOFENCE-FENCE1_LON (Longitude of the first geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_LON_ID                0x40240022                               //!< ID of CFG-GEOFENCE-FENCE1_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_LON_STR               "CFG-GEOFENCE-FENCE1_LON"                //!< Name of CFG-GEOFENCE-FENCE1_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_LON_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE1_LON
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE1_RAD CFG-GEOFENCE-FENCE1_RAD (Radius of the first geofence circle)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_RAD_ID                0x40240023                               //!< ID of CFG-GEOFENCE-FENCE1_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_RAD_STR               "CFG-GEOFENCE-FENCE1_RAD"                //!< Name of CFG-GEOFENCE-FENCE1_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE1_RAD_TYPE              U4                                       //!< Type of CFG-GEOFENCE-FENCE1_RAD
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_USE_FENCE2 CFG-GEOFENCE-USE_FENCE2 (Use second geofence)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE2_ID                0x10240030                               //!< ID of CFG-GEOFENCE-USE_FENCE2
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE2_STR               "CFG-GEOFENCE-USE_FENCE2"                //!< Name of CFG-GEOFENCE-USE_FENCE2
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE2_TYPE              L                                        //!< Type of CFG-GEOFENCE-USE_FENCE2
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE2_LAT CFG-GEOFENCE-FENCE2_LAT (Latitude of the second geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_LAT_ID                0x40240031                               //!< ID of CFG-GEOFENCE-FENCE2_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_LAT_STR               "CFG-GEOFENCE-FENCE2_LAT"                //!< Name of CFG-GEOFENCE-FENCE2_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_LAT_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE2_LAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE2_LON CFG-GEOFENCE-FENCE2_LON (Longitude of the second geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_LON_ID                0x40240032                               //!< ID of CFG-GEOFENCE-FENCE2_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_LON_STR               "CFG-GEOFENCE-FENCE2_LON"                //!< Name of CFG-GEOFENCE-FENCE2_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_LON_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE2_LON
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE2_RAD CFG-GEOFENCE-FENCE2_RAD (Radius of the second geofence circle)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_RAD_ID                0x40240033                               //!< ID of CFG-GEOFENCE-FENCE2_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_RAD_STR               "CFG-GEOFENCE-FENCE2_RAD"                //!< Name of CFG-GEOFENCE-FENCE2_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE2_RAD_TYPE              U4                                       //!< Type of CFG-GEOFENCE-FENCE2_RAD
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_USE_FENCE3 CFG-GEOFENCE-USE_FENCE3 (Use third geofence)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE3_ID                0x10240040                               //!< ID of CFG-GEOFENCE-USE_FENCE3
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE3_STR               "CFG-GEOFENCE-USE_FENCE3"                //!< Name of CFG-GEOFENCE-USE_FENCE3
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE3_TYPE              L                                        //!< Type of CFG-GEOFENCE-USE_FENCE3
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE3_LAT CFG-GEOFENCE-FENCE3_LAT (Latitude of the third geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_LAT_ID                0x40240041                               //!< ID of CFG-GEOFENCE-FENCE3_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_LAT_STR               "CFG-GEOFENCE-FENCE3_LAT"                //!< Name of CFG-GEOFENCE-FENCE3_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_LAT_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE3_LAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE3_LON CFG-GEOFENCE-FENCE3_LON (Longitude of the third geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_LON_ID                0x40240042                               //!< ID of CFG-GEOFENCE-FENCE3_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_LON_STR               "CFG-GEOFENCE-FENCE3_LON"                //!< Name of CFG-GEOFENCE-FENCE3_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_LON_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE3_LON
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE3_RAD CFG-GEOFENCE-FENCE3_RAD (Radius of the third geofence circle)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_RAD_ID                0x40240043                               //!< ID of CFG-GEOFENCE-FENCE3_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_RAD_STR               "CFG-GEOFENCE-FENCE3_RAD"                //!< Name of CFG-GEOFENCE-FENCE3_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE3_RAD_TYPE              U4                                       //!< Type of CFG-GEOFENCE-FENCE3_RAD
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_USE_FENCE4 CFG-GEOFENCE-USE_FENCE4 (Use fourth geofence)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE4_ID                0x10240050                               //!< ID of CFG-GEOFENCE-USE_FENCE4
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE4_STR               "CFG-GEOFENCE-USE_FENCE4"                //!< Name of CFG-GEOFENCE-USE_FENCE4
#define UBLOXCFG_CFG_GEOFENCE_USE_FENCE4_TYPE              L                                        //!< Type of CFG-GEOFENCE-USE_FENCE4
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE4_LAT CFG-GEOFENCE-FENCE4_LAT (Latitude of the fourth geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_LAT_ID                0x40240051                               //!< ID of CFG-GEOFENCE-FENCE4_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_LAT_STR               "CFG-GEOFENCE-FENCE4_LAT"                //!< Name of CFG-GEOFENCE-FENCE4_LAT
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_LAT_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE4_LAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE4_LON CFG-GEOFENCE-FENCE4_LON (Longitude of the fourth geofence circle center)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_LON_ID                0x40240052                               //!< ID of CFG-GEOFENCE-FENCE4_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_LON_STR               "CFG-GEOFENCE-FENCE4_LON"                //!< Name of CFG-GEOFENCE-FENCE4_LON
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_LON_TYPE              I4                                       //!< Type of CFG-GEOFENCE-FENCE4_LON
///@}

/*!
    \defgroup UBLOXCFG_CFG_GEOFENCE_FENCE4_RAD CFG-GEOFENCE-FENCE4_RAD (Radius of the fourth geofence circle)
    @{
*/
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_RAD_ID                0x40240053                               //!< ID of CFG-GEOFENCE-FENCE4_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_RAD_STR               "CFG-GEOFENCE-FENCE4_RAD"                //!< Name of CFG-GEOFENCE-FENCE4_RAD
#define UBLOXCFG_CFG_GEOFENCE_FENCE4_RAD_TYPE              U4                                       //!< Type of CFG-GEOFENCE-FENCE4_RAD
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_HW CFG-HW
    @{
*/

#define UBLOXCFG_CFG_HW_ID  0x00a30000 //!< Group ID of the CFG-HW-* items

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_VOLTCTRL CFG-HW-ANT_CFG_VOLTCTRL (Active antenna voltage control flag)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_VOLTCTRL_ID                0x10a3002e                               //!< ID of CFG-HW-ANT_CFG_VOLTCTRL
#define UBLOXCFG_CFG_HW_ANT_CFG_VOLTCTRL_STR               "CFG-HW-ANT_CFG_VOLTCTRL"                //!< Name of CFG-HW-ANT_CFG_VOLTCTRL
#define UBLOXCFG_CFG_HW_ANT_CFG_VOLTCTRL_TYPE              L                                        //!< Type of CFG-HW-ANT_CFG_VOLTCTRL
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET CFG-HW-ANT_CFG_SHORTDET (Short antenna detection flag)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_ID                0x10a3002f                               //!< ID of CFG-HW-ANT_CFG_SHORTDET
#define UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_STR               "CFG-HW-ANT_CFG_SHORTDET"                //!< Name of CFG-HW-ANT_CFG_SHORTDET
#define UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_TYPE              L                                        //!< Type of CFG-HW-ANT_CFG_SHORTDET
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_POL CFG-HW-ANT_CFG_SHORTDET_POL (Short antenna detection polarity)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_POL_ID            0x10a30030                               //!< ID of CFG-HW-ANT_CFG_SHORTDET_POL
#define UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_POL_STR           "CFG-HW-ANT_CFG_SHORTDET_POL"            //!< Name of CFG-HW-ANT_CFG_SHORTDET_POL
#define UBLOXCFG_CFG_HW_ANT_CFG_SHORTDET_POL_TYPE          L                                        //!< Type of CFG-HW-ANT_CFG_SHORTDET_POL
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_OPENDET CFG-HW-ANT_CFG_OPENDET (Open antenna detection flag)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_ID                 0x10a30031                               //!< ID of CFG-HW-ANT_CFG_OPENDET
#define UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_STR                "CFG-HW-ANT_CFG_OPENDET"                 //!< Name of CFG-HW-ANT_CFG_OPENDET
#define UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_TYPE               L                                        //!< Type of CFG-HW-ANT_CFG_OPENDET
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_POL CFG-HW-ANT_CFG_OPENDET_POL (Open antenna detection polarity)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_POL_ID             0x10a30032                               //!< ID of CFG-HW-ANT_CFG_OPENDET_POL
#define UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_POL_STR            "CFG-HW-ANT_CFG_OPENDET_POL"             //!< Name of CFG-HW-ANT_CFG_OPENDET_POL
#define UBLOXCFG_CFG_HW_ANT_CFG_OPENDET_POL_TYPE           L                                        //!< Type of CFG-HW-ANT_CFG_OPENDET_POL
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN CFG-HW-ANT_CFG_PWRDOWN (Power down antenna flag)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_ID                 0x10a30033                               //!< ID of CFG-HW-ANT_CFG_PWRDOWN
#define UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_STR                "CFG-HW-ANT_CFG_PWRDOWN"                 //!< Name of CFG-HW-ANT_CFG_PWRDOWN
#define UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_TYPE               L                                        //!< Type of CFG-HW-ANT_CFG_PWRDOWN
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_POL CFG-HW-ANT_CFG_PWRDOWN_POL (Power down antenna logic polarity)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_POL_ID             0x10a30034                               //!< ID of CFG-HW-ANT_CFG_PWRDOWN_POL
#define UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_POL_STR            "CFG-HW-ANT_CFG_PWRDOWN_POL"             //!< Name of CFG-HW-ANT_CFG_PWRDOWN_POL
#define UBLOXCFG_CFG_HW_ANT_CFG_PWRDOWN_POL_TYPE           L                                        //!< Type of CFG-HW-ANT_CFG_PWRDOWN_POL
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_CFG_RECOVER CFG-HW-ANT_CFG_RECOVER (Automatic recovery from short state flag)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_CFG_RECOVER_ID                 0x10a30035                               //!< ID of CFG-HW-ANT_CFG_RECOVER
#define UBLOXCFG_CFG_HW_ANT_CFG_RECOVER_STR                "CFG-HW-ANT_CFG_RECOVER"                 //!< Name of CFG-HW-ANT_CFG_RECOVER
#define UBLOXCFG_CFG_HW_ANT_CFG_RECOVER_TYPE               L                                        //!< Type of CFG-HW-ANT_CFG_RECOVER
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_SUP_SWITCH_PIN CFG-HW-ANT_SUP_SWITCH_PIN (ANT1 PIO number)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_SUP_SWITCH_PIN_ID              0x20a30036                               //!< ID of CFG-HW-ANT_SUP_SWITCH_PIN
#define UBLOXCFG_CFG_HW_ANT_SUP_SWITCH_PIN_STR             "CFG-HW-ANT_SUP_SWITCH_PIN"              //!< Name of CFG-HW-ANT_SUP_SWITCH_PIN
#define UBLOXCFG_CFG_HW_ANT_SUP_SWITCH_PIN_TYPE            U1                                       //!< Type of CFG-HW-ANT_SUP_SWITCH_PIN
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_SUP_SHORT_PIN CFG-HW-ANT_SUP_SHORT_PIN (ANT0 PIO number)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_SUP_SHORT_PIN_ID               0x20a30037                               //!< ID of CFG-HW-ANT_SUP_SHORT_PIN
#define UBLOXCFG_CFG_HW_ANT_SUP_SHORT_PIN_STR              "CFG-HW-ANT_SUP_SHORT_PIN"               //!< Name of CFG-HW-ANT_SUP_SHORT_PIN
#define UBLOXCFG_CFG_HW_ANT_SUP_SHORT_PIN_TYPE             U1                                       //!< Type of CFG-HW-ANT_SUP_SHORT_PIN
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_SUP_OPEN_PIN CFG-HW-ANT_SUP_OPEN_PIN (ANT2 PIO number)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_SUP_OPEN_PIN_ID                0x20a30038                               //!< ID of CFG-HW-ANT_SUP_OPEN_PIN
#define UBLOXCFG_CFG_HW_ANT_SUP_OPEN_PIN_STR               "CFG-HW-ANT_SUP_OPEN_PIN"                //!< Name of CFG-HW-ANT_SUP_OPEN_PIN
#define UBLOXCFG_CFG_HW_ANT_SUP_OPEN_PIN_TYPE              U1                                       //!< Type of CFG-HW-ANT_SUP_OPEN_PIN
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_SUP_ENGINE CFG-HW-ANT_SUP_ENGINE (Antenna supervisor engine selection)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_ID                  0x20a30054                               //!< ID of CFG-HW-ANT_SUP_ENGINE
#define UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_STR                 "CFG-HW-ANT_SUP_ENGINE"                  //!< Name of CFG-HW-ANT_SUP_ENGINE
#define UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_TYPE                E1                                       //!< Type of CFG-HW-ANT_SUP_ENGINE
//! constants for CFG-HW-ANT_SUP_ENGINE
typedef enum UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_e
{
    UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_EXT                   = 0,                                       //!< Uses external comparators for current measurement
    UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_MADC                  = 1                                        //!< Uses built-in ADC and a shunt for current measurement
} UBLOXCFG_CFG_HW_ANT_SUP_ENGINE_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_SUP_SHORT_THR CFG-HW-ANT_SUP_SHORT_THR (Antenna supervisor MADC engine short detection threshold)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_SUP_SHORT_THR_ID               0x20a30055                               //!< ID of CFG-HW-ANT_SUP_SHORT_THR
#define UBLOXCFG_CFG_HW_ANT_SUP_SHORT_THR_STR              "CFG-HW-ANT_SUP_SHORT_THR"               //!< Name of CFG-HW-ANT_SUP_SHORT_THR
#define UBLOXCFG_CFG_HW_ANT_SUP_SHORT_THR_TYPE             U1                                       //!< Type of CFG-HW-ANT_SUP_SHORT_THR
///@}

/*!
    \defgroup UBLOXCFG_CFG_HW_ANT_SUP_OPEN_THR CFG-HW-ANT_SUP_OPEN_THR (Antenna supervisor MADC engine open detection threshold)
    @{
*/
#define UBLOXCFG_CFG_HW_ANT_SUP_OPEN_THR_ID                0x20a30056                               //!< ID of CFG-HW-ANT_SUP_OPEN_THR
#define UBLOXCFG_CFG_HW_ANT_SUP_OPEN_THR_STR               "CFG-HW-ANT_SUP_OPEN_THR"                //!< Name of CFG-HW-ANT_SUP_OPEN_THR
#define UBLOXCFG_CFG_HW_ANT_SUP_OPEN_THR_TYPE              U1                                       //!< Type of CFG-HW-ANT_SUP_OPEN_THR
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_I2C CFG-I2C
    @{
*/

#define UBLOXCFG_CFG_I2C_ID  0x00510000 //!< Group ID of the CFG-I2C-* items

/*!
    \defgroup UBLOXCFG_CFG_I2C_ADDRESS CFG-I2C-ADDRESS (I2C slave address of the receiver (7 bits))
    @{
*/
#define UBLOXCFG_CFG_I2C_ADDRESS_ID                        0x20510001                               //!< ID of CFG-I2C-ADDRESS
#define UBLOXCFG_CFG_I2C_ADDRESS_STR                       "CFG-I2C-ADDRESS"                        //!< Name of CFG-I2C-ADDRESS
#define UBLOXCFG_CFG_I2C_ADDRESS_TYPE                      U1                                       //!< Type of CFG-I2C-ADDRESS
///@}

/*!
    \defgroup UBLOXCFG_CFG_I2C_EXTENDEDTIMEOUT CFG-I2C-EXTENDEDTIMEOUT (Flag to disable timeouting the interface after 1.5 s)
    @{
*/
#define UBLOXCFG_CFG_I2C_EXTENDEDTIMEOUT_ID                0x10510002                               //!< ID of CFG-I2C-EXTENDEDTIMEOUT
#define UBLOXCFG_CFG_I2C_EXTENDEDTIMEOUT_STR               "CFG-I2C-EXTENDEDTIMEOUT"                //!< Name of CFG-I2C-EXTENDEDTIMEOUT
#define UBLOXCFG_CFG_I2C_EXTENDEDTIMEOUT_TYPE              L                                        //!< Type of CFG-I2C-EXTENDEDTIMEOUT
///@}

/*!
    \defgroup UBLOXCFG_CFG_I2C_ENABLED CFG-I2C-ENABLED (Flag to indicate if the I2C interface should be enabled)
    @{
*/
#define UBLOXCFG_CFG_I2C_ENABLED_ID                        0x10510003                               //!< ID of CFG-I2C-ENABLED
#define UBLOXCFG_CFG_I2C_ENABLED_STR                       "CFG-I2C-ENABLED"                        //!< Name of CFG-I2C-ENABLED
#define UBLOXCFG_CFG_I2C_ENABLED_TYPE                      L                                        //!< Type of CFG-I2C-ENABLED
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_I2CINPROT CFG-I2CINPROT
    @{
*/

#define UBLOXCFG_CFG_I2CINPROT_ID  0x00710000 //!< Group ID of the CFG-I2CINPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_I2CINPROT_UBX CFG-I2CINPROT-UBX (Flag to indicate if UBX should be an input protocol on I2C)
    @{
*/
#define UBLOXCFG_CFG_I2CINPROT_UBX_ID                      0x10710001                               //!< ID of CFG-I2CINPROT-UBX
#define UBLOXCFG_CFG_I2CINPROT_UBX_STR                     "CFG-I2CINPROT-UBX"                      //!< Name of CFG-I2CINPROT-UBX
#define UBLOXCFG_CFG_I2CINPROT_UBX_TYPE                    L                                        //!< Type of CFG-I2CINPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_I2CINPROT_NMEA CFG-I2CINPROT-NMEA (Flag to indicate if NMEA should be an input protocol on I2C)
    @{
*/
#define UBLOXCFG_CFG_I2CINPROT_NMEA_ID                     0x10710002                               //!< ID of CFG-I2CINPROT-NMEA
#define UBLOXCFG_CFG_I2CINPROT_NMEA_STR                    "CFG-I2CINPROT-NMEA"                     //!< Name of CFG-I2CINPROT-NMEA
#define UBLOXCFG_CFG_I2CINPROT_NMEA_TYPE                   L                                        //!< Type of CFG-I2CINPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_I2CINPROT_RTCM3X CFG-I2CINPROT-RTCM3X (Flag to indicate if RTCM3X should be an input protocol on I2C)
    @{
*/
#define UBLOXCFG_CFG_I2CINPROT_RTCM3X_ID                   0x10710004                               //!< ID of CFG-I2CINPROT-RTCM3X
#define UBLOXCFG_CFG_I2CINPROT_RTCM3X_STR                  "CFG-I2CINPROT-RTCM3X"                   //!< Name of CFG-I2CINPROT-RTCM3X
#define UBLOXCFG_CFG_I2CINPROT_RTCM3X_TYPE                 L                                        //!< Type of CFG-I2CINPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_I2COUTPROT CFG-I2COUTPROT
    @{
*/

#define UBLOXCFG_CFG_I2COUTPROT_ID  0x00720000 //!< Group ID of the CFG-I2COUTPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_I2COUTPROT_UBX CFG-I2COUTPROT-UBX (Flag to indicate if UBX should be an output protocol on I2C)
    @{
*/
#define UBLOXCFG_CFG_I2COUTPROT_UBX_ID                     0x10720001                               //!< ID of CFG-I2COUTPROT-UBX
#define UBLOXCFG_CFG_I2COUTPROT_UBX_STR                    "CFG-I2COUTPROT-UBX"                     //!< Name of CFG-I2COUTPROT-UBX
#define UBLOXCFG_CFG_I2COUTPROT_UBX_TYPE                   L                                        //!< Type of CFG-I2COUTPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_I2COUTPROT_NMEA CFG-I2COUTPROT-NMEA (Flag to indicate if NMEA should be an output protocol on I2C)
    @{
*/
#define UBLOXCFG_CFG_I2COUTPROT_NMEA_ID                    0x10720002                               //!< ID of CFG-I2COUTPROT-NMEA
#define UBLOXCFG_CFG_I2COUTPROT_NMEA_STR                   "CFG-I2COUTPROT-NMEA"                    //!< Name of CFG-I2COUTPROT-NMEA
#define UBLOXCFG_CFG_I2COUTPROT_NMEA_TYPE                  L                                        //!< Type of CFG-I2COUTPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_I2COUTPROT_RTCM3X CFG-I2COUTPROT-RTCM3X (Flag to indicate if RTCM3X should be an output protocol on I2C)
    @{
*/
#define UBLOXCFG_CFG_I2COUTPROT_RTCM3X_ID                  0x10720004                               //!< ID of CFG-I2COUTPROT-RTCM3X
#define UBLOXCFG_CFG_I2COUTPROT_RTCM3X_STR                 "CFG-I2COUTPROT-RTCM3X"                  //!< Name of CFG-I2COUTPROT-RTCM3X
#define UBLOXCFG_CFG_I2COUTPROT_RTCM3X_TYPE                L                                        //!< Type of CFG-I2COUTPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG CFG-INFMSG
    @{
*/

#define UBLOXCFG_CFG_INFMSG_ID  0x00920000 //!< Group ID of the CFG-INFMSG-* items

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_UBX_I2C CFG-INFMSG-UBX_I2C (Information message enable flags for the UBX protocol on the I2C interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_ID                     0x20920001                               //!< ID of CFG-INFMSG-UBX_I2C
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_STR                    "CFG-INFMSG-UBX_I2C"                     //!< Name of CFG-INFMSG-UBX_I2C
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_TYPE                   X1                                       //!< Type of CFG-INFMSG-UBX_I2C
// constants for CFG-INFMSG-UBX_I2C
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_ERROR                  0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_WARNING                0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_NOTICE                 0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_TEST                   0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_UBX_I2C_DEBUG                  0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_UBX_UART1 CFG-INFMSG-UBX_UART1 (Information message enable flags for the UBX protocol on the UART1 interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_ID                   0x20920002                               //!< ID of CFG-INFMSG-UBX_UART1
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_STR                  "CFG-INFMSG-UBX_UART1"                   //!< Name of CFG-INFMSG-UBX_UART1
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_TYPE                 X1                                       //!< Type of CFG-INFMSG-UBX_UART1
// constants for CFG-INFMSG-UBX_UART1
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_ERROR                0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_WARNING              0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_NOTICE               0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_TEST                 0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART1_DEBUG                0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_UBX_UART2 CFG-INFMSG-UBX_UART2 (Information message enable flags for the UBX protocol on the UART2 interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_ID                   0x20920003                               //!< ID of CFG-INFMSG-UBX_UART2
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_STR                  "CFG-INFMSG-UBX_UART2"                   //!< Name of CFG-INFMSG-UBX_UART2
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_TYPE                 X1                                       //!< Type of CFG-INFMSG-UBX_UART2
// constants for CFG-INFMSG-UBX_UART2
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_ERROR                0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_WARNING              0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_NOTICE               0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_TEST                 0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_UBX_UART2_DEBUG                0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_UBX_USB CFG-INFMSG-UBX_USB (Information message enable flags for the UBX protocol on the USB interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_UBX_USB_ID                     0x20920004                               //!< ID of CFG-INFMSG-UBX_USB
#define UBLOXCFG_CFG_INFMSG_UBX_USB_STR                    "CFG-INFMSG-UBX_USB"                     //!< Name of CFG-INFMSG-UBX_USB
#define UBLOXCFG_CFG_INFMSG_UBX_USB_TYPE                   X1                                       //!< Type of CFG-INFMSG-UBX_USB
// constants for CFG-INFMSG-UBX_USB
#define UBLOXCFG_CFG_INFMSG_UBX_USB_ERROR                  0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_UBX_USB_WARNING                0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_UBX_USB_NOTICE                 0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_UBX_USB_TEST                   0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_UBX_USB_DEBUG                  0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_UBX_SPI CFG-INFMSG-UBX_SPI (Information message enable flags for the UBX protocol on the SPI interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_ID                     0x20920005                               //!< ID of CFG-INFMSG-UBX_SPI
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_STR                    "CFG-INFMSG-UBX_SPI"                     //!< Name of CFG-INFMSG-UBX_SPI
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_TYPE                   X1                                       //!< Type of CFG-INFMSG-UBX_SPI
// constants for CFG-INFMSG-UBX_SPI
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_ERROR                  0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_WARNING                0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_NOTICE                 0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_TEST                   0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_UBX_SPI_DEBUG                  0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_NMEA_I2C CFG-INFMSG-NMEA_I2C (Information message enable flags for the NMEA protocol on the I2C interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_ID                    0x20920006                               //!< ID of CFG-INFMSG-NMEA_I2C
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_STR                   "CFG-INFMSG-NMEA_I2C"                    //!< Name of CFG-INFMSG-NMEA_I2C
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_TYPE                  X1                                       //!< Type of CFG-INFMSG-NMEA_I2C
// constants for CFG-INFMSG-NMEA_I2C
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_ERROR                 0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_WARNING               0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_NOTICE                0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_TEST                  0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_I2C_DEBUG                 0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_NMEA_UART1 CFG-INFMSG-NMEA_UART1 (Information message enable flags for the NMEA protocol on the UART1 interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_ID                  0x20920007                               //!< ID of CFG-INFMSG-NMEA_UART1
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_STR                 "CFG-INFMSG-NMEA_UART1"                  //!< Name of CFG-INFMSG-NMEA_UART1
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_TYPE                X1                                       //!< Type of CFG-INFMSG-NMEA_UART1
// constants for CFG-INFMSG-NMEA_UART1
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_ERROR               0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_WARNING             0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_NOTICE              0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_TEST                0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART1_DEBUG               0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_NMEA_UART2 CFG-INFMSG-NMEA_UART2 (Information message enable flags for the NMEA protocol on the UART2 interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_ID                  0x20920008                               //!< ID of CFG-INFMSG-NMEA_UART2
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_STR                 "CFG-INFMSG-NMEA_UART2"                  //!< Name of CFG-INFMSG-NMEA_UART2
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_TYPE                X1                                       //!< Type of CFG-INFMSG-NMEA_UART2
// constants for CFG-INFMSG-NMEA_UART2
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_ERROR               0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_WARNING             0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_NOTICE              0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_TEST                0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_UART2_DEBUG               0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_NMEA_USB CFG-INFMSG-NMEA_USB (Information message enable flags for the NMEA protocol on the USB interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_ID                    0x20920009                               //!< ID of CFG-INFMSG-NMEA_USB
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_STR                   "CFG-INFMSG-NMEA_USB"                    //!< Name of CFG-INFMSG-NMEA_USB
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_TYPE                  X1                                       //!< Type of CFG-INFMSG-NMEA_USB
// constants for CFG-INFMSG-NMEA_USB
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_ERROR                 0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_WARNING               0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_NOTICE                0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_TEST                  0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_USB_DEBUG                 0x10                                     //!< Enable DEBUG information messages
///@}

/*!
    \defgroup UBLOXCFG_CFG_INFMSG_NMEA_SPI CFG-INFMSG-NMEA_SPI (Information message enable flags for the NMEA protocol on the SPI interface)
    @{
*/
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_ID                    0x2092000a                               //!< ID of CFG-INFMSG-NMEA_SPI
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_STR                   "CFG-INFMSG-NMEA_SPI"                    //!< Name of CFG-INFMSG-NMEA_SPI
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_TYPE                  X1                                       //!< Type of CFG-INFMSG-NMEA_SPI
// constants for CFG-INFMSG-NMEA_SPI
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_ERROR                 0x01                                     //!< Enable ERROR information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_WARNING               0x02                                     //!< Enable WARNING information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_NOTICE                0x04                                     //!< Enable NOTICE information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_TEST                  0x08                                     //!< Enable TEST information messages
#define UBLOXCFG_CFG_INFMSG_NMEA_SPI_DEBUG                 0x10                                     //!< Enable DEBUG information messages
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_ITFM CFG-ITFM
    @{
*/

#define UBLOXCFG_CFG_ITFM_ID  0x00410000 //!< Group ID of the CFG-ITFM-* items

/*!
    \defgroup UBLOXCFG_CFG_ITFM_BBTHRESHOLD CFG-ITFM-BBTHRESHOLD (Broadband jamming detection threshold)
    @{
*/
#define UBLOXCFG_CFG_ITFM_BBTHRESHOLD_ID                   0x20410001                               //!< ID of CFG-ITFM-BBTHRESHOLD
#define UBLOXCFG_CFG_ITFM_BBTHRESHOLD_STR                  "CFG-ITFM-BBTHRESHOLD"                   //!< Name of CFG-ITFM-BBTHRESHOLD
#define UBLOXCFG_CFG_ITFM_BBTHRESHOLD_TYPE                 U1                                       //!< Type of CFG-ITFM-BBTHRESHOLD
///@}

/*!
    \defgroup UBLOXCFG_CFG_ITFM_CWTHRESHOLD CFG-ITFM-CWTHRESHOLD (CW jamming detection threshold)
    @{
*/
#define UBLOXCFG_CFG_ITFM_CWTHRESHOLD_ID                   0x20410002                               //!< ID of CFG-ITFM-CWTHRESHOLD
#define UBLOXCFG_CFG_ITFM_CWTHRESHOLD_STR                  "CFG-ITFM-CWTHRESHOLD"                   //!< Name of CFG-ITFM-CWTHRESHOLD
#define UBLOXCFG_CFG_ITFM_CWTHRESHOLD_TYPE                 U1                                       //!< Type of CFG-ITFM-CWTHRESHOLD
///@}

/*!
    \defgroup UBLOXCFG_CFG_ITFM_ENABLE CFG-ITFM-ENABLE (Enable interference detection)
    @{
*/
#define UBLOXCFG_CFG_ITFM_ENABLE_ID                        0x1041000d                               //!< ID of CFG-ITFM-ENABLE
#define UBLOXCFG_CFG_ITFM_ENABLE_STR                       "CFG-ITFM-ENABLE"                        //!< Name of CFG-ITFM-ENABLE
#define UBLOXCFG_CFG_ITFM_ENABLE_TYPE                      L                                        //!< Type of CFG-ITFM-ENABLE
///@}

/*!
    \defgroup UBLOXCFG_CFG_ITFM_ANTSETTING CFG-ITFM-ANTSETTING (Antenna setting)
    @{
*/
#define UBLOXCFG_CFG_ITFM_ANTSETTING_ID                    0x20410010                               //!< ID of CFG-ITFM-ANTSETTING
#define UBLOXCFG_CFG_ITFM_ANTSETTING_STR                   "CFG-ITFM-ANTSETTING"                    //!< Name of CFG-ITFM-ANTSETTING
#define UBLOXCFG_CFG_ITFM_ANTSETTING_TYPE                  E1                                       //!< Type of CFG-ITFM-ANTSETTING
//! constants for CFG-ITFM-ANTSETTING
typedef enum UBLOXCFG_CFG_ITFM_ANTSETTING_e
{
    UBLOXCFG_CFG_ITFM_ANTSETTING_UNKNOWN                 = 0,                                       //!< Unknown
    UBLOXCFG_CFG_ITFM_ANTSETTING_PASSIVE                 = 1,                                       //!< Passive
    UBLOXCFG_CFG_ITFM_ANTSETTING_ACTIVE                  = 2                                        //!< Active
} UBLOXCFG_CFG_ITFM_ANTSETTING_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_ITFM_ENABLE_AUX CFG-ITFM-ENABLE_AUX (Scan auxiliary bands)
    @{
*/
#define UBLOXCFG_CFG_ITFM_ENABLE_AUX_ID                    0x10410013                               //!< ID of CFG-ITFM-ENABLE_AUX
#define UBLOXCFG_CFG_ITFM_ENABLE_AUX_STR                   "CFG-ITFM-ENABLE_AUX"                    //!< Name of CFG-ITFM-ENABLE_AUX
#define UBLOXCFG_CFG_ITFM_ENABLE_AUX_TYPE                  L                                        //!< Type of CFG-ITFM-ENABLE_AUX
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER CFG-LOGFILTER
    @{
*/

#define UBLOXCFG_CFG_LOGFILTER_ID  0x00de0000 //!< Group ID of the CFG-LOGFILTER-* items

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_RECORD_ENA CFG-LOGFILTER-RECORD_ENA (Recording enabled)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_RECORD_ENA_ID               0x10de0002                               //!< ID of CFG-LOGFILTER-RECORD_ENA
#define UBLOXCFG_CFG_LOGFILTER_RECORD_ENA_STR              "CFG-LOGFILTER-RECORD_ENA"               //!< Name of CFG-LOGFILTER-RECORD_ENA
#define UBLOXCFG_CFG_LOGFILTER_RECORD_ENA_TYPE             L                                        //!< Type of CFG-LOGFILTER-RECORD_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_ONCE_PER_WAKE_UP_ENA CFG-LOGFILTER-ONCE_PER_WAKE_UP_ENA (Once per wake up)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_ONCE_PER_WAKE_UP_ENA_ID     0x10de0003                               //!< ID of CFG-LOGFILTER-ONCE_PER_WAKE_UP_ENA
#define UBLOXCFG_CFG_LOGFILTER_ONCE_PER_WAKE_UP_ENA_STR    "CFG-LOGFILTER-ONCE_PER_WAKE_UP_ENA"     //!< Name of CFG-LOGFILTER-ONCE_PER_WAKE_UP_ENA
#define UBLOXCFG_CFG_LOGFILTER_ONCE_PER_WAKE_UP_ENA_TYPE   L                                        //!< Type of CFG-LOGFILTER-ONCE_PER_WAKE_UP_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_APPLY_ALL_FILTERS CFG-LOGFILTER-APPLY_ALL_FILTERS (Apply all filter settings)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_APPLY_ALL_FILTERS_ID        0x10de0004                               //!< ID of CFG-LOGFILTER-APPLY_ALL_FILTERS
#define UBLOXCFG_CFG_LOGFILTER_APPLY_ALL_FILTERS_STR       "CFG-LOGFILTER-APPLY_ALL_FILTERS"        //!< Name of CFG-LOGFILTER-APPLY_ALL_FILTERS
#define UBLOXCFG_CFG_LOGFILTER_APPLY_ALL_FILTERS_TYPE      L                                        //!< Type of CFG-LOGFILTER-APPLY_ALL_FILTERS
///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_MIN_INTERVAL CFG-LOGFILTER-MIN_INTERVAL (Minimum time interval between logged positions)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_MIN_INTERVAL_ID             0x30de0005                               //!< ID of CFG-LOGFILTER-MIN_INTERVAL
#define UBLOXCFG_CFG_LOGFILTER_MIN_INTERVAL_STR            "CFG-LOGFILTER-MIN_INTERVAL"             //!< Name of CFG-LOGFILTER-MIN_INTERVAL
#define UBLOXCFG_CFG_LOGFILTER_MIN_INTERVAL_TYPE           U2                                       //!< Type of CFG-LOGFILTER-MIN_INTERVAL
///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_TIME_THRS CFG-LOGFILTER-TIME_THRS (Time threshold)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_TIME_THRS_ID                0x30de0006                               //!< ID of CFG-LOGFILTER-TIME_THRS
#define UBLOXCFG_CFG_LOGFILTER_TIME_THRS_STR               "CFG-LOGFILTER-TIME_THRS"                //!< Name of CFG-LOGFILTER-TIME_THRS
#define UBLOXCFG_CFG_LOGFILTER_TIME_THRS_TYPE              U2                                       //!< Type of CFG-LOGFILTER-TIME_THRS
///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_SPEED_THRS CFG-LOGFILTER-SPEED_THRS (Speed threshold)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_SPEED_THRS_ID               0x30de0007                               //!< ID of CFG-LOGFILTER-SPEED_THRS
#define UBLOXCFG_CFG_LOGFILTER_SPEED_THRS_STR              "CFG-LOGFILTER-SPEED_THRS"               //!< Name of CFG-LOGFILTER-SPEED_THRS
#define UBLOXCFG_CFG_LOGFILTER_SPEED_THRS_TYPE             U2                                       //!< Type of CFG-LOGFILTER-SPEED_THRS
///@}

/*!
    \defgroup UBLOXCFG_CFG_LOGFILTER_POSITION_THRS CFG-LOGFILTER-POSITION_THRS (Position threshold)
    @{
*/
#define UBLOXCFG_CFG_LOGFILTER_POSITION_THRS_ID            0x40de0008                               //!< ID of CFG-LOGFILTER-POSITION_THRS
#define UBLOXCFG_CFG_LOGFILTER_POSITION_THRS_STR           "CFG-LOGFILTER-POSITION_THRS"            //!< Name of CFG-LOGFILTER-POSITION_THRS
#define UBLOXCFG_CFG_LOGFILTER_POSITION_THRS_TYPE          U4                                       //!< Type of CFG-LOGFILTER-POSITION_THRS
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_MOT CFG-MOT
    @{
*/

#define UBLOXCFG_CFG_MOT_ID  0x00250000 //!< Group ID of the CFG-MOT-* items

/*!
    \defgroup UBLOXCFG_CFG_MOT_GNSSSPEED_THRS CFG-MOT-GNSSSPEED_THRS (GNSS speed threshold below which platform is considered as stationary (a.k.a. static hold threshold))
    @{
*/
#define UBLOXCFG_CFG_MOT_GNSSSPEED_THRS_ID                 0x20250038                               //!< ID of CFG-MOT-GNSSSPEED_THRS
#define UBLOXCFG_CFG_MOT_GNSSSPEED_THRS_STR                "CFG-MOT-GNSSSPEED_THRS"                 //!< Name of CFG-MOT-GNSSSPEED_THRS
#define UBLOXCFG_CFG_MOT_GNSSSPEED_THRS_TYPE               U1                                       //!< Type of CFG-MOT-GNSSSPEED_THRS
///@}

/*!
    \defgroup UBLOXCFG_CFG_MOT_GNSSDIST_THRS CFG-MOT-GNSSDIST_THRS (Distance above which GNSS-based stationary motion is exit (a.k.a. static hold distance threshold))
    @{
*/
#define UBLOXCFG_CFG_MOT_GNSSDIST_THRS_ID                  0x3025003b                               //!< ID of CFG-MOT-GNSSDIST_THRS
#define UBLOXCFG_CFG_MOT_GNSSDIST_THRS_STR                 "CFG-MOT-GNSSDIST_THRS"                  //!< Name of CFG-MOT-GNSSDIST_THRS
#define UBLOXCFG_CFG_MOT_GNSSDIST_THRS_TYPE                U2                                       //!< Type of CFG-MOT-GNSSDIST_THRS
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT CFG-MSGOUT
    @{
*/

#define UBLOXCFG_CFG_MSGOUT_ID  0x00910000 //!< Group ID of the CFG-MSGOUT-* items

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1 CFG-MSGOUT-NMEA_ID_DTM_UART1 (Output rate of the NMEA-STANDARD-DTM message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1_ID           0x209100a7                               //!< ID of CFG-MSGOUT-NMEA_ID_DTM_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1_STR          "CFG-MSGOUT-NMEA_ID_DTM_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_DTM_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_DTM_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2 CFG-MSGOUT-NMEA_ID_DTM_UART2 (Output rate of the NMEA-STANDARD-DTM message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2_ID           0x209100a8                               //!< ID of CFG-MSGOUT-NMEA_ID_DTM_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2_STR          "CFG-MSGOUT-NMEA_ID_DTM_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_DTM_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_DTM_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI CFG-MSGOUT-NMEA_ID_DTM_SPI (Output rate of the NMEA-STANDARD-DTM message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI_ID             0x209100aa                               //!< ID of CFG-MSGOUT-NMEA_ID_DTM_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI_STR            "CFG-MSGOUT-NMEA_ID_DTM_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_DTM_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_DTM_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C CFG-MSGOUT-NMEA_ID_DTM_I2C (Output rate of the NMEA-STANDARD-DTM message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C_ID             0x209100a6                               //!< ID of CFG-MSGOUT-NMEA_ID_DTM_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C_STR            "CFG-MSGOUT-NMEA_ID_DTM_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_DTM_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_DTM_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB CFG-MSGOUT-NMEA_ID_DTM_USB (Output rate of the NMEA-STANDARD-DTM message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB_ID             0x209100a9                               //!< ID of CFG-MSGOUT-NMEA_ID_DTM_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB_STR            "CFG-MSGOUT-NMEA_ID_DTM_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_DTM_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_DTM_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1 CFG-MSGOUT-NMEA_ID_GBS_UART1 (Output rate of the NMEA-STANDARD-GBS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1_ID           0x209100de                               //!< ID of CFG-MSGOUT-NMEA_ID_GBS_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1_STR          "CFG-MSGOUT-NMEA_ID_GBS_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GBS_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GBS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2 CFG-MSGOUT-NMEA_ID_GBS_UART2 (Output rate of the NMEA-STANDARD-GBS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2_ID           0x209100df                               //!< ID of CFG-MSGOUT-NMEA_ID_GBS_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2_STR          "CFG-MSGOUT-NMEA_ID_GBS_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GBS_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GBS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI CFG-MSGOUT-NMEA_ID_GBS_SPI (Output rate of the NMEA-STANDARD-GBS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI_ID             0x209100e1                               //!< ID of CFG-MSGOUT-NMEA_ID_GBS_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI_STR            "CFG-MSGOUT-NMEA_ID_GBS_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GBS_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GBS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C CFG-MSGOUT-NMEA_ID_GBS_I2C (Output rate of the NMEA-STANDARD-GBS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C_ID             0x209100dd                               //!< ID of CFG-MSGOUT-NMEA_ID_GBS_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C_STR            "CFG-MSGOUT-NMEA_ID_GBS_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GBS_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GBS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB CFG-MSGOUT-NMEA_ID_GBS_USB (Output rate of the NMEA-STANDARD-GBS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB_ID             0x209100e0                               //!< ID of CFG-MSGOUT-NMEA_ID_GBS_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB_STR            "CFG-MSGOUT-NMEA_ID_GBS_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GBS_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GBS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1 CFG-MSGOUT-NMEA_ID_GGA_UART1 (Output rate of the NMEA-STANDARD-GGA message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1_ID           0x209100bb                               //!< ID of CFG-MSGOUT-NMEA_ID_GGA_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1_STR          "CFG-MSGOUT-NMEA_ID_GGA_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GGA_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GGA_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2 CFG-MSGOUT-NMEA_ID_GGA_UART2 (Output rate of the NMEA-STANDARD-GGA message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2_ID           0x209100bc                               //!< ID of CFG-MSGOUT-NMEA_ID_GGA_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2_STR          "CFG-MSGOUT-NMEA_ID_GGA_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GGA_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GGA_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI CFG-MSGOUT-NMEA_ID_GGA_SPI (Output rate of the NMEA-STANDARD-GGA message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI_ID             0x209100be                               //!< ID of CFG-MSGOUT-NMEA_ID_GGA_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI_STR            "CFG-MSGOUT-NMEA_ID_GGA_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GGA_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GGA_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C CFG-MSGOUT-NMEA_ID_GGA_I2C (Output rate of the NMEA-STANDARD-GGA message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C_ID             0x209100ba                               //!< ID of CFG-MSGOUT-NMEA_ID_GGA_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C_STR            "CFG-MSGOUT-NMEA_ID_GGA_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GGA_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GGA_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB CFG-MSGOUT-NMEA_ID_GGA_USB (Output rate of the NMEA-STANDARD-GGA message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB_ID             0x209100bd                               //!< ID of CFG-MSGOUT-NMEA_ID_GGA_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB_STR            "CFG-MSGOUT-NMEA_ID_GGA_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GGA_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GGA_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1 CFG-MSGOUT-NMEA_ID_GLL_UART1 (Output rate of the NMEA-STANDARD-GLL message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1_ID           0x209100ca                               //!< ID of CFG-MSGOUT-NMEA_ID_GLL_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1_STR          "CFG-MSGOUT-NMEA_ID_GLL_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GLL_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GLL_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2 CFG-MSGOUT-NMEA_ID_GLL_UART2 (Output rate of the NMEA-STANDARD-GLL message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2_ID           0x209100cb                               //!< ID of CFG-MSGOUT-NMEA_ID_GLL_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2_STR          "CFG-MSGOUT-NMEA_ID_GLL_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GLL_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GLL_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI CFG-MSGOUT-NMEA_ID_GLL_SPI (Output rate of the NMEA-STANDARD-GLL message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI_ID             0x209100cd                               //!< ID of CFG-MSGOUT-NMEA_ID_GLL_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI_STR            "CFG-MSGOUT-NMEA_ID_GLL_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GLL_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GLL_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C CFG-MSGOUT-NMEA_ID_GLL_I2C (Output rate of the NMEA-STANDARD-GLL message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C_ID             0x209100c9                               //!< ID of CFG-MSGOUT-NMEA_ID_GLL_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C_STR            "CFG-MSGOUT-NMEA_ID_GLL_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GLL_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GLL_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB CFG-MSGOUT-NMEA_ID_GLL_USB (Output rate of the NMEA-STANDARD-GLL message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB_ID             0x209100cc                               //!< ID of CFG-MSGOUT-NMEA_ID_GLL_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB_STR            "CFG-MSGOUT-NMEA_ID_GLL_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GLL_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GLL_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1 CFG-MSGOUT-NMEA_ID_GNS_UART1 (Output rate of the NMEA-STANDARD-GNS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1_ID           0x209100b6                               //!< ID of CFG-MSGOUT-NMEA_ID_GNS_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1_STR          "CFG-MSGOUT-NMEA_ID_GNS_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GNS_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GNS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2 CFG-MSGOUT-NMEA_ID_GNS_UART2 (Output rate of the NMEA-STANDARD-GNS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2_ID           0x209100b7                               //!< ID of CFG-MSGOUT-NMEA_ID_GNS_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2_STR          "CFG-MSGOUT-NMEA_ID_GNS_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GNS_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GNS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI CFG-MSGOUT-NMEA_ID_GNS_SPI (Output rate of the NMEA-STANDARD-GNS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI_ID             0x209100b9                               //!< ID of CFG-MSGOUT-NMEA_ID_GNS_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI_STR            "CFG-MSGOUT-NMEA_ID_GNS_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GNS_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GNS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C CFG-MSGOUT-NMEA_ID_GNS_I2C (Output rate of the NMEA-STANDARD-GNS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C_ID             0x209100b5                               //!< ID of CFG-MSGOUT-NMEA_ID_GNS_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C_STR            "CFG-MSGOUT-NMEA_ID_GNS_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GNS_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GNS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB CFG-MSGOUT-NMEA_ID_GNS_USB (Output rate of the NMEA-STANDARD-GNS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB_ID             0x209100b8                               //!< ID of CFG-MSGOUT-NMEA_ID_GNS_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB_STR            "CFG-MSGOUT-NMEA_ID_GNS_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GNS_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GNS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1 CFG-MSGOUT-NMEA_ID_GRS_UART1 (Output rate of the NMEA-STANDARD-GRS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1_ID           0x209100cf                               //!< ID of CFG-MSGOUT-NMEA_ID_GRS_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1_STR          "CFG-MSGOUT-NMEA_ID_GRS_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GRS_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GRS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2 CFG-MSGOUT-NMEA_ID_GRS_UART2 (Output rate of the NMEA-STANDARD-GRS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2_ID           0x209100d0                               //!< ID of CFG-MSGOUT-NMEA_ID_GRS_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2_STR          "CFG-MSGOUT-NMEA_ID_GRS_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GRS_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GRS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI CFG-MSGOUT-NMEA_ID_GRS_SPI (Output rate of the NMEA-STANDARD-GRS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI_ID             0x209100d2                               //!< ID of CFG-MSGOUT-NMEA_ID_GRS_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI_STR            "CFG-MSGOUT-NMEA_ID_GRS_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GRS_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GRS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C CFG-MSGOUT-NMEA_ID_GRS_I2C (Output rate of the NMEA-STANDARD-GRS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C_ID             0x209100ce                               //!< ID of CFG-MSGOUT-NMEA_ID_GRS_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C_STR            "CFG-MSGOUT-NMEA_ID_GRS_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GRS_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GRS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB CFG-MSGOUT-NMEA_ID_GRS_USB (Output rate of the NMEA-STANDARD-GRS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB_ID             0x209100d1                               //!< ID of CFG-MSGOUT-NMEA_ID_GRS_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB_STR            "CFG-MSGOUT-NMEA_ID_GRS_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GRS_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GRS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1 CFG-MSGOUT-NMEA_ID_GSA_UART1 (Output rate of the NMEA-STANDARD-GSA message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1_ID           0x209100c0                               //!< ID of CFG-MSGOUT-NMEA_ID_GSA_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1_STR          "CFG-MSGOUT-NMEA_ID_GSA_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GSA_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSA_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2 CFG-MSGOUT-NMEA_ID_GSA_UART2 (Output rate of the NMEA-STANDARD-GSA message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2_ID           0x209100c1                               //!< ID of CFG-MSGOUT-NMEA_ID_GSA_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2_STR          "CFG-MSGOUT-NMEA_ID_GSA_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GSA_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSA_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI CFG-MSGOUT-NMEA_ID_GSA_SPI (Output rate of the NMEA-STANDARD-GSA message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI_ID             0x209100c3                               //!< ID of CFG-MSGOUT-NMEA_ID_GSA_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI_STR            "CFG-MSGOUT-NMEA_ID_GSA_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GSA_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSA_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C CFG-MSGOUT-NMEA_ID_GSA_I2C (Output rate of the NMEA-STANDARD-GSA message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C_ID             0x209100bf                               //!< ID of CFG-MSGOUT-NMEA_ID_GSA_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C_STR            "CFG-MSGOUT-NMEA_ID_GSA_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GSA_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSA_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB CFG-MSGOUT-NMEA_ID_GSA_USB (Output rate of the NMEA-STANDARD-GSA message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB_ID             0x209100c2                               //!< ID of CFG-MSGOUT-NMEA_ID_GSA_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB_STR            "CFG-MSGOUT-NMEA_ID_GSA_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GSA_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSA_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1 CFG-MSGOUT-NMEA_ID_GST_UART1 (Output rate of the NMEA-STANDARD-GST message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1_ID           0x209100d4                               //!< ID of CFG-MSGOUT-NMEA_ID_GST_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1_STR          "CFG-MSGOUT-NMEA_ID_GST_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GST_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GST_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2 CFG-MSGOUT-NMEA_ID_GST_UART2 (Output rate of the NMEA-STANDARD-GST message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2_ID           0x209100d5                               //!< ID of CFG-MSGOUT-NMEA_ID_GST_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2_STR          "CFG-MSGOUT-NMEA_ID_GST_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GST_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GST_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI CFG-MSGOUT-NMEA_ID_GST_SPI (Output rate of the NMEA-STANDARD-GST message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI_ID             0x209100d7                               //!< ID of CFG-MSGOUT-NMEA_ID_GST_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI_STR            "CFG-MSGOUT-NMEA_ID_GST_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GST_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GST_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C CFG-MSGOUT-NMEA_ID_GST_I2C (Output rate of the NMEA-STANDARD-GST message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C_ID             0x209100d3                               //!< ID of CFG-MSGOUT-NMEA_ID_GST_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C_STR            "CFG-MSGOUT-NMEA_ID_GST_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GST_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GST_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB CFG-MSGOUT-NMEA_ID_GST_USB (Output rate of the NMEA-STANDARD-GST message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB_ID             0x209100d6                               //!< ID of CFG-MSGOUT-NMEA_ID_GST_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB_STR            "CFG-MSGOUT-NMEA_ID_GST_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GST_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GST_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1 CFG-MSGOUT-NMEA_ID_GSV_UART1 (Output rate of the NMEA-STANDARD-GSV message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1_ID           0x209100c5                               //!< ID of CFG-MSGOUT-NMEA_ID_GSV_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1_STR          "CFG-MSGOUT-NMEA_ID_GSV_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_GSV_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSV_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2 CFG-MSGOUT-NMEA_ID_GSV_UART2 (Output rate of the NMEA-STANDARD-GSV message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2_ID           0x209100c6                               //!< ID of CFG-MSGOUT-NMEA_ID_GSV_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2_STR          "CFG-MSGOUT-NMEA_ID_GSV_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_GSV_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSV_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI CFG-MSGOUT-NMEA_ID_GSV_SPI (Output rate of the NMEA-STANDARD-GSV message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI_ID             0x209100c8                               //!< ID of CFG-MSGOUT-NMEA_ID_GSV_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI_STR            "CFG-MSGOUT-NMEA_ID_GSV_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_GSV_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSV_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C CFG-MSGOUT-NMEA_ID_GSV_I2C (Output rate of the NMEA-STANDARD-GSV message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C_ID             0x209100c4                               //!< ID of CFG-MSGOUT-NMEA_ID_GSV_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C_STR            "CFG-MSGOUT-NMEA_ID_GSV_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_GSV_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSV_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB CFG-MSGOUT-NMEA_ID_GSV_USB (Output rate of the NMEA-STANDARD-GSV message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB_ID             0x209100c7                               //!< ID of CFG-MSGOUT-NMEA_ID_GSV_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB_STR            "CFG-MSGOUT-NMEA_ID_GSV_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_GSV_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_GSV_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1 CFG-MSGOUT-NMEA_ID_RLM_UART1 (Output rate of the NMEA-STANDARD-RLM message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1_ID           0x20910401                               //!< ID of CFG-MSGOUT-NMEA_ID_RLM_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1_STR          "CFG-MSGOUT-NMEA_ID_RLM_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_RLM_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RLM_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2 CFG-MSGOUT-NMEA_ID_RLM_UART2 (Output rate of the NMEA-STANDARD-RLM message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2_ID           0x20910402                               //!< ID of CFG-MSGOUT-NMEA_ID_RLM_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2_STR          "CFG-MSGOUT-NMEA_ID_RLM_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_RLM_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RLM_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI CFG-MSGOUT-NMEA_ID_RLM_SPI (Output rate of the NMEA-STANDARD-RLM message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI_ID             0x20910404                               //!< ID of CFG-MSGOUT-NMEA_ID_RLM_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI_STR            "CFG-MSGOUT-NMEA_ID_RLM_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_RLM_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RLM_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C CFG-MSGOUT-NMEA_ID_RLM_I2C (Output rate of the NMEA-STANDARD-RLM message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C_ID             0x20910400                               //!< ID of CFG-MSGOUT-NMEA_ID_RLM_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C_STR            "CFG-MSGOUT-NMEA_ID_RLM_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_RLM_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RLM_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB CFG-MSGOUT-NMEA_ID_RLM_USB (Output rate of the NMEA-STANDARD-RLM message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB_ID             0x20910403                               //!< ID of CFG-MSGOUT-NMEA_ID_RLM_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB_STR            "CFG-MSGOUT-NMEA_ID_RLM_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_RLM_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RLM_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1 CFG-MSGOUT-NMEA_ID_RMC_UART1 (Output rate of the NMEA-STANDARD-RMC message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1_ID           0x209100ac                               //!< ID of CFG-MSGOUT-NMEA_ID_RMC_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1_STR          "CFG-MSGOUT-NMEA_ID_RMC_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_RMC_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RMC_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2 CFG-MSGOUT-NMEA_ID_RMC_UART2 (Output rate of the NMEA-STANDARD-RMC message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2_ID           0x209100ad                               //!< ID of CFG-MSGOUT-NMEA_ID_RMC_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2_STR          "CFG-MSGOUT-NMEA_ID_RMC_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_RMC_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RMC_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI CFG-MSGOUT-NMEA_ID_RMC_SPI (Output rate of the NMEA-STANDARD-RMC message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI_ID             0x209100af                               //!< ID of CFG-MSGOUT-NMEA_ID_RMC_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI_STR            "CFG-MSGOUT-NMEA_ID_RMC_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_RMC_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RMC_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C CFG-MSGOUT-NMEA_ID_RMC_I2C (Output rate of the NMEA-STANDARD-RMC message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C_ID             0x209100ab                               //!< ID of CFG-MSGOUT-NMEA_ID_RMC_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C_STR            "CFG-MSGOUT-NMEA_ID_RMC_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_RMC_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RMC_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB CFG-MSGOUT-NMEA_ID_RMC_USB (Output rate of the NMEA-STANDARD-RMC message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB_ID             0x209100ae                               //!< ID of CFG-MSGOUT-NMEA_ID_RMC_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB_STR            "CFG-MSGOUT-NMEA_ID_RMC_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_RMC_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_RMC_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1 CFG-MSGOUT-NMEA_ID_VLW_UART1 (Output rate of the NMEA-STANDARD-VLW message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1_ID           0x209100e8                               //!< ID of CFG-MSGOUT-NMEA_ID_VLW_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1_STR          "CFG-MSGOUT-NMEA_ID_VLW_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_VLW_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VLW_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2 CFG-MSGOUT-NMEA_ID_VLW_UART2 (Output rate of the NMEA-STANDARD-VLW message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2_ID           0x209100e9                               //!< ID of CFG-MSGOUT-NMEA_ID_VLW_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2_STR          "CFG-MSGOUT-NMEA_ID_VLW_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_VLW_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VLW_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI CFG-MSGOUT-NMEA_ID_VLW_SPI (Output rate of the NMEA-STANDARD-VLW message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI_ID             0x209100eb                               //!< ID of CFG-MSGOUT-NMEA_ID_VLW_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI_STR            "CFG-MSGOUT-NMEA_ID_VLW_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_VLW_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VLW_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C CFG-MSGOUT-NMEA_ID_VLW_I2C (Output rate of the NMEA-STANDARD-VLW message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C_ID             0x209100e7                               //!< ID of CFG-MSGOUT-NMEA_ID_VLW_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C_STR            "CFG-MSGOUT-NMEA_ID_VLW_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_VLW_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VLW_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB CFG-MSGOUT-NMEA_ID_VLW_USB (Output rate of the NMEA-STANDARD-VLW message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB_ID             0x209100ea                               //!< ID of CFG-MSGOUT-NMEA_ID_VLW_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB_STR            "CFG-MSGOUT-NMEA_ID_VLW_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_VLW_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VLW_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1 CFG-MSGOUT-NMEA_ID_VTG_UART1 (Output rate of the NMEA-STANDARD-VTG message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1_ID           0x209100b1                               //!< ID of CFG-MSGOUT-NMEA_ID_VTG_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1_STR          "CFG-MSGOUT-NMEA_ID_VTG_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_VTG_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VTG_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2 CFG-MSGOUT-NMEA_ID_VTG_UART2 (Output rate of the NMEA-STANDARD-VTG message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2_ID           0x209100b2                               //!< ID of CFG-MSGOUT-NMEA_ID_VTG_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2_STR          "CFG-MSGOUT-NMEA_ID_VTG_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_VTG_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VTG_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI CFG-MSGOUT-NMEA_ID_VTG_SPI (Output rate of the NMEA-STANDARD-VTG message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI_ID             0x209100b4                               //!< ID of CFG-MSGOUT-NMEA_ID_VTG_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI_STR            "CFG-MSGOUT-NMEA_ID_VTG_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_VTG_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VTG_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C CFG-MSGOUT-NMEA_ID_VTG_I2C (Output rate of the NMEA-STANDARD-VTG message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C_ID             0x209100b0                               //!< ID of CFG-MSGOUT-NMEA_ID_VTG_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C_STR            "CFG-MSGOUT-NMEA_ID_VTG_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_VTG_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VTG_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB CFG-MSGOUT-NMEA_ID_VTG_USB (Output rate of the NMEA-STANDARD-VTG message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB_ID             0x209100b3                               //!< ID of CFG-MSGOUT-NMEA_ID_VTG_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB_STR            "CFG-MSGOUT-NMEA_ID_VTG_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_VTG_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_VTG_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1 CFG-MSGOUT-NMEA_ID_ZDA_UART1 (Output rate of the NMEA-STANDARD-ZDA message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1_ID           0x209100d9                               //!< ID of CFG-MSGOUT-NMEA_ID_ZDA_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1_STR          "CFG-MSGOUT-NMEA_ID_ZDA_UART1"           //!< Name of CFG-MSGOUT-NMEA_ID_ZDA_UART1
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_ZDA_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2 CFG-MSGOUT-NMEA_ID_ZDA_UART2 (Output rate of the NMEA-STANDARD-ZDA message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2_ID           0x209100da                               //!< ID of CFG-MSGOUT-NMEA_ID_ZDA_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2_STR          "CFG-MSGOUT-NMEA_ID_ZDA_UART2"           //!< Name of CFG-MSGOUT-NMEA_ID_ZDA_UART2
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_ZDA_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI CFG-MSGOUT-NMEA_ID_ZDA_SPI (Output rate of the NMEA-STANDARD-ZDA message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI_ID             0x209100dc                               //!< ID of CFG-MSGOUT-NMEA_ID_ZDA_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI_STR            "CFG-MSGOUT-NMEA_ID_ZDA_SPI"             //!< Name of CFG-MSGOUT-NMEA_ID_ZDA_SPI
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_ZDA_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C CFG-MSGOUT-NMEA_ID_ZDA_I2C (Output rate of the NMEA-STANDARD-ZDA message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C_ID             0x209100d8                               //!< ID of CFG-MSGOUT-NMEA_ID_ZDA_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C_STR            "CFG-MSGOUT-NMEA_ID_ZDA_I2C"             //!< Name of CFG-MSGOUT-NMEA_ID_ZDA_I2C
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_ZDA_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB CFG-MSGOUT-NMEA_ID_ZDA_USB (Output rate of the NMEA-STANDARD-ZDA message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB_ID             0x209100db                               //!< ID of CFG-MSGOUT-NMEA_ID_ZDA_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB_STR            "CFG-MSGOUT-NMEA_ID_ZDA_USB"             //!< Name of CFG-MSGOUT-NMEA_ID_ZDA_USB
#define UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-NMEA_ID_ZDA_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1 CFG-MSGOUT-PUBX_ID_POLYP_UART1 (Output rate of the NMEA-PUBX-POSITION message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1_ID         0x209100ed                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYP_UART1
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1_STR        "CFG-MSGOUT-PUBX_ID_POLYP_UART1"         //!< Name of CFG-MSGOUT-PUBX_ID_POLYP_UART1
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYP_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2 CFG-MSGOUT-PUBX_ID_POLYP_UART2 (Output rate of the NMEA-PUBX-POSITION message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2_ID         0x209100ee                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYP_UART2
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2_STR        "CFG-MSGOUT-PUBX_ID_POLYP_UART2"         //!< Name of CFG-MSGOUT-PUBX_ID_POLYP_UART2
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYP_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI CFG-MSGOUT-PUBX_ID_POLYP_SPI (Output rate of the NMEA-PUBX-POSITION message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI_ID           0x209100f0                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYP_SPI
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI_STR          "CFG-MSGOUT-PUBX_ID_POLYP_SPI"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYP_SPI
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYP_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C CFG-MSGOUT-PUBX_ID_POLYP_I2C (Output rate of the NMEA-PUBX-POSITION message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C_ID           0x209100ec                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYP_I2C
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C_STR          "CFG-MSGOUT-PUBX_ID_POLYP_I2C"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYP_I2C
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYP_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB CFG-MSGOUT-PUBX_ID_POLYP_USB (Output rate of the NMEA-PUBX-POSITION message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB_ID           0x209100ef                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYP_USB
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB_STR          "CFG-MSGOUT-PUBX_ID_POLYP_USB"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYP_USB
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYP_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1 CFG-MSGOUT-PUBX_ID_POLYS_UART1 (Output rate of the NMEA-PUBX-SVSTATUS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1_ID         0x209100f2                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYS_UART1
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1_STR        "CFG-MSGOUT-PUBX_ID_POLYS_UART1"         //!< Name of CFG-MSGOUT-PUBX_ID_POLYS_UART1
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2 CFG-MSGOUT-PUBX_ID_POLYS_UART2 (Output rate of the NMEA-PUBX-SVSTATUS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2_ID         0x209100f3                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYS_UART2
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2_STR        "CFG-MSGOUT-PUBX_ID_POLYS_UART2"         //!< Name of CFG-MSGOUT-PUBX_ID_POLYS_UART2
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI CFG-MSGOUT-PUBX_ID_POLYS_SPI (Output rate of the NMEA-PUBX-SVSTATUS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI_ID           0x209100f5                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYS_SPI
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI_STR          "CFG-MSGOUT-PUBX_ID_POLYS_SPI"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYS_SPI
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C CFG-MSGOUT-PUBX_ID_POLYS_I2C (Output rate of the NMEA-PUBX-SVSTATUS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C_ID           0x209100f1                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYS_I2C
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C_STR          "CFG-MSGOUT-PUBX_ID_POLYS_I2C"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYS_I2C
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB CFG-MSGOUT-PUBX_ID_POLYS_USB (Output rate of the NMEA-PUBX-SVSTATUS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB_ID           0x209100f4                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYS_USB
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB_STR          "CFG-MSGOUT-PUBX_ID_POLYS_USB"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYS_USB
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1 CFG-MSGOUT-PUBX_ID_POLYT_UART1 (Output rate of the NMEA-PUBX-TIME message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1_ID         0x209100f7                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYT_UART1
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1_STR        "CFG-MSGOUT-PUBX_ID_POLYT_UART1"         //!< Name of CFG-MSGOUT-PUBX_ID_POLYT_UART1
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYT_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2 CFG-MSGOUT-PUBX_ID_POLYT_UART2 (Output rate of the NMEA-PUBX-TIME message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2_ID         0x209100f8                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYT_UART2
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2_STR        "CFG-MSGOUT-PUBX_ID_POLYT_UART2"         //!< Name of CFG-MSGOUT-PUBX_ID_POLYT_UART2
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYT_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI CFG-MSGOUT-PUBX_ID_POLYT_SPI (Output rate of the NMEA-PUBX-TIME message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI_ID           0x209100fa                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYT_SPI
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI_STR          "CFG-MSGOUT-PUBX_ID_POLYT_SPI"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYT_SPI
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYT_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C CFG-MSGOUT-PUBX_ID_POLYT_I2C (Output rate of the NMEA-PUBX-TIME message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C_ID           0x209100f6                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYT_I2C
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C_STR          "CFG-MSGOUT-PUBX_ID_POLYT_I2C"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYT_I2C
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYT_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB CFG-MSGOUT-PUBX_ID_POLYT_USB (Output rate of the NMEA-PUBX-TIME message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB_ID           0x209100f9                               //!< ID of CFG-MSGOUT-PUBX_ID_POLYT_USB
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB_STR          "CFG-MSGOUT-PUBX_ID_POLYT_USB"           //!< Name of CFG-MSGOUT-PUBX_ID_POLYT_USB
#define UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-PUBX_ID_POLYT_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1 CFG-MSGOUT-RTCM_3X_TYPE1005_UART1 (Output rate of the RTCM-3X-TYPE1005 (Stationary RTK reference station ARP) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1_ID      0x209102be                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1005_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1005_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1005_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1005_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2 CFG-MSGOUT-RTCM_3X_TYPE1005_UART2 (Output rate of the RTCM-3X-TYPE1005 (Stationary RTK reference station ARP) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2_ID      0x209102bf                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1005_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1005_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1005_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1005_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI CFG-MSGOUT-RTCM_3X_TYPE1005_SPI (Output rate of the RTCM-3X-TYPE1005 (Stationary RTK reference station ARP) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI_ID        0x209102c1                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1005_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1005_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1005_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1005_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C CFG-MSGOUT-RTCM_3X_TYPE1005_I2C (Output rate of the RTCM-3X-TYPE1005 (Stationary RTK reference station ARP) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C_ID        0x209102bd                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1005_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1005_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1005_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1005_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB CFG-MSGOUT-RTCM_3X_TYPE1005_USB (Output rate of the RTCM-3X-TYPE1005 (Stationary RTK reference station ARP) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB_ID        0x209102c0                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1005_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1005_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1005_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1005_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1 CFG-MSGOUT-RTCM_3X_TYPE1074_UART1 (Output rate of the RTCM-3X-TYPE1074 (GPS MSM4: full C, full L, S) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1_ID      0x2091035f                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1074_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1074_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1074_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1074_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2 CFG-MSGOUT-RTCM_3X_TYPE1074_UART2 (Output rate of the RTCM-3X-TYPE1074 (GPS MSM4: full C, full L, S) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2_ID      0x20910360                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1074_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1074_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1074_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1074_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI CFG-MSGOUT-RTCM_3X_TYPE1074_SPI (Output rate of the RTCM-3X-TYPE1074 (GPS MSM4: full C, full L, S) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI_ID        0x20910362                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1074_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1074_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1074_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1074_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C CFG-MSGOUT-RTCM_3X_TYPE1074_I2C (Output rate of the RTCM-3X-TYPE1074 (GPS MSM4: full C, full L, S) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C_ID        0x2091035e                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1074_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1074_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1074_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1074_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB CFG-MSGOUT-RTCM_3X_TYPE1074_USB (Output rate of the RTCM-3X-TYPE1074 (GPS MSM4: full C, full L, S) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB_ID        0x20910361                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1074_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1074_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1074_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1074_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1 CFG-MSGOUT-RTCM_3X_TYPE1077_UART1 (Output rate of the RTCM-3X-TYPE1077 (GPS MSM7: ext full C, ext full L, S, D) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1_ID      0x209102cd                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1077_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1077_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1077_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1077_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2 CFG-MSGOUT-RTCM_3X_TYPE1077_UART2 (Output rate of the RTCM-3X-TYPE1077 (GPS MSM7: ext full C, ext full L, S, D) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2_ID      0x209102ce                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1077_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1077_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1077_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1077_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI CFG-MSGOUT-RTCM_3X_TYPE1077_SPI (Output rate of the RTCM-3X-TYPE1077 (GPS MSM7: ext full C, ext full L, S, D) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI_ID        0x209102d0                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1077_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1077_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1077_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1077_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C CFG-MSGOUT-RTCM_3X_TYPE1077_I2C (Output rate of the RTCM-3X-TYPE1077 (GPS MSM7: ext full C, ext full L, S, D) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C_ID        0x209102cc                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1077_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1077_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1077_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1077_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB CFG-MSGOUT-RTCM_3X_TYPE1077_USB (Output rate of the RTCM-3X-TYPE1077 (GPS MSM7: ext full C, ext full L, S, D) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB_ID        0x209102cf                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1077_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1077_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1077_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1077_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1 CFG-MSGOUT-RTCM_3X_TYPE1084_UART1 (Output rate of the RTCM-3X-TYPE1084 (GLONASS MSM4: full C, full L, S) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1_ID      0x20910364                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1084_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1084_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1084_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1084_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2 CFG-MSGOUT-RTCM_3X_TYPE1084_UART2 (Output rate of the RTCM-3X-TYPE1084 (GLONASS MSM4: full C, full L, S) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2_ID      0x20910365                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1084_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1084_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1084_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1084_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI CFG-MSGOUT-RTCM_3X_TYPE1084_SPI (Output rate of the RTCM-3X-TYPE1084 (GLONASS MSM4: full C, full L, S) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI_ID        0x20910367                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1084_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1084_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1084_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1084_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C CFG-MSGOUT-RTCM_3X_TYPE1084_I2C (Output rate of the RTCM-3X-TYPE1084 (GLONASS MSM4: full C, full L, S) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C_ID        0x20910363                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1084_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1084_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1084_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1084_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB CFG-MSGOUT-RTCM_3X_TYPE1084_USB (Output rate of the RTCM-3X-TYPE1084 (GLONASS MSM4: full C, full L, S) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB_ID        0x20910366                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1084_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1084_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1084_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1084_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1 CFG-MSGOUT-RTCM_3X_TYPE1087_UART1 (Output rate of the RTCM-3X-TYPE1087 (GLONASS MSM7: ext full C, ext full L, S, D) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1_ID      0x209102d2                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1087_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1087_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1087_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1087_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2 CFG-MSGOUT-RTCM_3X_TYPE1087_UART2 (Output rate of the RTCM-3X-TYPE1087 (GLONASS MSM7: ext full C, ext full L, S, D) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2_ID      0x209102d3                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1087_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1087_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1087_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1087_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI CFG-MSGOUT-RTCM_3X_TYPE1087_SPI (Output rate of the RTCM-3X-TYPE1087 (GLONASS MSM7: ext full C, ext full L, S, D) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI_ID        0x209102d5                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1087_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1087_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1087_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1087_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C CFG-MSGOUT-RTCM_3X_TYPE1087_I2C (Output rate of the RTCM-3X-TYPE1087 (GLONASS MSM7: ext full C, ext full L, S, D) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C_ID        0x209102d1                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1087_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1087_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1087_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1087_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB CFG-MSGOUT-RTCM_3X_TYPE1087_USB (Output rate of the RTCM-3X-TYPE1087 (GLONASS MSM7: ext full C, ext full L, S, D) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB_ID        0x209102d4                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1087_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1087_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1087_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1087_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1 CFG-MSGOUT-RTCM_3X_TYPE1094_UART1 (Output rate of the RTCM-3X-TYPE1094 (Galileo MSM4: full C, full L, S) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1_ID      0x20910369                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1094_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1094_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1094_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1094_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2 CFG-MSGOUT-RTCM_3X_TYPE1094_UART2 (Output rate of the RTCM-3X-TYPE1094 (Galileo MSM4: full C, full L, S) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2_ID      0x2091036a                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1094_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1094_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1094_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1094_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI CFG-MSGOUT-RTCM_3X_TYPE1094_SPI (Output rate of the RTCM-3X-TYPE1094 (Galileo MSM4: full C, full L, S) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI_ID        0x2091036c                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1094_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1094_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1094_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1094_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C CFG-MSGOUT-RTCM_3X_TYPE1094_I2C (Output rate of the RTCM-3X-TYPE1094 (Galileo MSM4: full C, full L, S) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C_ID        0x20910368                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1094_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1094_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1094_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1094_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB CFG-MSGOUT-RTCM_3X_TYPE1094_USB (Output rate of the RTCM-3X-TYPE1094 (Galileo MSM4: full C, full L, S) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB_ID        0x2091036b                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1094_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1094_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1094_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1094_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1 CFG-MSGOUT-RTCM_3X_TYPE1097_UART1 (Output rate of the RTCM-3X-TYPE1097 (Galileo MSM7: ext full C, ext full L, S, D) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1_ID      0x20910319                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1097_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1097_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1097_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1097_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2 CFG-MSGOUT-RTCM_3X_TYPE1097_UART2 (Output rate of the RTCM-3X-TYPE1097 (Galileo MSM7: ext full C, ext full L, S, D) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2_ID      0x2091031a                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1097_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1097_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1097_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1097_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI CFG-MSGOUT-RTCM_3X_TYPE1097_SPI (Output rate of the RTCM-3X-TYPE1097 (Galileo MSM7: ext full C, ext full L, S, D) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI_ID        0x2091031c                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1097_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1097_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1097_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1097_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C CFG-MSGOUT-RTCM_3X_TYPE1097_I2C (Output rate of the RTCM-3X-TYPE1097 (Galileo MSM7: ext full C, ext full L, S, D) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C_ID        0x20910318                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1097_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1097_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1097_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1097_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB CFG-MSGOUT-RTCM_3X_TYPE1097_USB (Output rate of the RTCM-3X-TYPE1097 (Galileo MSM7: ext full C, ext full L, S, D) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB_ID        0x2091031b                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1097_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1097_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1097_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1097_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1 CFG-MSGOUT-RTCM_3X_TYPE1124_UART1 (Output rate of the RTCM-3X-TYPE1124 (BeiDou MSM4: full C, full L, S) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1_ID      0x2091036e                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1124_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1124_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1124_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1124_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2 CFG-MSGOUT-RTCM_3X_TYPE1124_UART2 (Output rate of the RTCM-3X-TYPE1124 (BeiDou MSM4: full C, full L, S) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2_ID      0x2091036f                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1124_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1124_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1124_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1124_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI CFG-MSGOUT-RTCM_3X_TYPE1124_SPI (Output rate of the RTCM-3X-TYPE1124 (BeiDou MSM4: full C, full L, S) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI_ID        0x20910371                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1124_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1124_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1124_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1124_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C CFG-MSGOUT-RTCM_3X_TYPE1124_I2C (Output rate of the RTCM-3X-TYPE1124 (BeiDou MSM4: full C, full L, S) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C_ID        0x2091036d                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1124_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1124_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1124_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1124_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB CFG-MSGOUT-RTCM_3X_TYPE1124_USB (Output rate of the RTCM-3X-TYPE1124 (BeiDou MSM4: full C, full L, S) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB_ID        0x20910370                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1124_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1124_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1124_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1124_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1 CFG-MSGOUT-RTCM_3X_TYPE1127_UART1 (Output rate of the RTCM-3X-TYPE1127 (BeiDou MSM7: ext full C, ext full L, S, D) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1_ID      0x209102d7                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1127_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1127_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1127_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1127_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2 CFG-MSGOUT-RTCM_3X_TYPE1127_UART2 (Output rate of the RTCM-3X-TYPE1127 (BeiDou MSM7: ext full C, ext full L, S, D) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2_ID      0x209102d8                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1127_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1127_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1127_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1127_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI CFG-MSGOUT-RTCM_3X_TYPE1127_SPI (Output rate of the RTCM-3X-TYPE1127 (BeiDou MSM7: ext full C, ext full L, S, D) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI_ID        0x209102da                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1127_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1127_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1127_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1127_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C CFG-MSGOUT-RTCM_3X_TYPE1127_I2C (Output rate of the RTCM-3X-TYPE1127 (BeiDou MSM7: ext full C, ext full L, S, D) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C_ID        0x209102d6                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1127_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1127_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1127_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1127_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB CFG-MSGOUT-RTCM_3X_TYPE1127_USB (Output rate of the RTCM-3X-TYPE1127 (BeiDou MSM7: ext full C, ext full L, S, D) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB_ID        0x209102d9                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1127_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1127_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1127_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1127_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1 CFG-MSGOUT-RTCM_3X_TYPE1230_UART1 (Output rate of the RTCM-3X-TYPE1230 (GLONASS code-phase biases) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1_ID      0x20910304                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1230_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1_STR     "CFG-MSGOUT-RTCM_3X_TYPE1230_UART1"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1230_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1230_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2 CFG-MSGOUT-RTCM_3X_TYPE1230_UART2 (Output rate of the RTCM-3X-TYPE1230 (GLONASS code-phase biases) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2_ID      0x20910305                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1230_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2_STR     "CFG-MSGOUT-RTCM_3X_TYPE1230_UART2"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1230_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1230_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI CFG-MSGOUT-RTCM_3X_TYPE1230_SPI (Output rate of the RTCM-3X-TYPE1230 (GLONASS code-phase biases) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI_ID        0x20910307                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1230_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI_STR       "CFG-MSGOUT-RTCM_3X_TYPE1230_SPI"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1230_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1230_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C CFG-MSGOUT-RTCM_3X_TYPE1230_I2C (Output rate of the RTCM-3X-TYPE1230 (GLONASS code-phase biases) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C_ID        0x20910303                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1230_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C_STR       "CFG-MSGOUT-RTCM_3X_TYPE1230_I2C"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1230_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1230_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB CFG-MSGOUT-RTCM_3X_TYPE1230_USB (Output rate of the RTCM-3X-TYPE1230 (GLONASS code-phase biases) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB_ID        0x20910306                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE1230_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB_STR       "CFG-MSGOUT-RTCM_3X_TYPE1230_USB"        //!< Name of CFG-MSGOUT-RTCM_3X_TYPE1230_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE1230_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1 CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART1 (Output rate of the RTCM-3X-TYPE4072_0 (u-blox proprietary: Reference station PVT) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1_ID    0x209102ff                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1_STR   "CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART1"    //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1_TYPE  U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2 CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART2 (Output rate of the RTCM-3X-TYPE4072_0 (u-blox proprietary: Reference station PVT) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2_ID    0x20910300                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2_STR   "CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART2"    //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2_TYPE  U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_0_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI CFG-MSGOUT-RTCM_3X_TYPE4072_0_SPI (Output rate of the RTCM-3X-TYPE4072_0 (u-blox proprietary: Reference station PVT) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI_ID      0x20910302                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_0_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI_STR     "CFG-MSGOUT-RTCM_3X_TYPE4072_0_SPI"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_0_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_0_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C CFG-MSGOUT-RTCM_3X_TYPE4072_0_I2C (Output rate of the RTCM-3X-TYPE4072_0 (u-blox proprietary: Reference station PVT) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C_ID      0x209102fe                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_0_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C_STR     "CFG-MSGOUT-RTCM_3X_TYPE4072_0_I2C"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_0_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_0_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB CFG-MSGOUT-RTCM_3X_TYPE4072_0_USB (Output rate of the RTCM-3X-TYPE4072_0 (u-blox proprietary: Reference station PVT) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB_ID      0x20910301                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_0_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB_STR     "CFG-MSGOUT-RTCM_3X_TYPE4072_0_USB"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_0_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_0_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1 CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART1 (Output rate of the RTCM-3X-TYPE4072_1 (u-blox proprietary: Additional reference station information) message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1_ID    0x20910382                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1_STR   "CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART1"    //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART1
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1_TYPE  U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2 CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART2 (Output rate of the RTCM-3X-TYPE4072_1 (u-blox proprietary: Additional reference station information) message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2_ID    0x20910383                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2_STR   "CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART2"    //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART2
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2_TYPE  U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_1_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI CFG-MSGOUT-RTCM_3X_TYPE4072_1_SPI (Output rate of the RTCM-3X-TYPE4072_1 (u-blox proprietary: Additional reference station information) message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI_ID      0x20910385                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_1_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI_STR     "CFG-MSGOUT-RTCM_3X_TYPE4072_1_SPI"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_1_SPI
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_1_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C CFG-MSGOUT-RTCM_3X_TYPE4072_1_I2C (Output rate of the RTCM-3X-TYPE4072_1 (u-blox proprietary: Additional reference station information) message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C_ID      0x20910381                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_1_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C_STR     "CFG-MSGOUT-RTCM_3X_TYPE4072_1_I2C"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_1_I2C
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_1_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB CFG-MSGOUT-RTCM_3X_TYPE4072_1_USB (Output rate of the RTCM-3X-TYPE4072_1 (u-blox proprietary: Additional reference station information) message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB_ID      0x20910384                               //!< ID of CFG-MSGOUT-RTCM_3X_TYPE4072_1_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB_STR     "CFG-MSGOUT-RTCM_3X_TYPE4072_1_USB"      //!< Name of CFG-MSGOUT-RTCM_3X_TYPE4072_1_USB
#define UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB_TYPE    U1                                       //!< Type of CFG-MSGOUT-RTCM_3X_TYPE4072_1_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1 CFG-MSGOUT-UBX_ESF_ALG_UART1 (Output rate of the UBX-ESF-ALG message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1_ID           0x20910110                               //!< ID of CFG-MSGOUT-UBX_ESF_ALG_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1_STR          "CFG-MSGOUT-UBX_ESF_ALG_UART1"           //!< Name of CFG-MSGOUT-UBX_ESF_ALG_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_ALG_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2 CFG-MSGOUT-UBX_ESF_ALG_UART2 (Output rate of the UBX-ESF-ALG message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2_ID           0x20910111                               //!< ID of CFG-MSGOUT-UBX_ESF_ALG_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2_STR          "CFG-MSGOUT-UBX_ESF_ALG_UART2"           //!< Name of CFG-MSGOUT-UBX_ESF_ALG_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_ALG_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI CFG-MSGOUT-UBX_ESF_ALG_SPI (Output rate of the UBX-ESF-ALG message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI_ID             0x20910113                               //!< ID of CFG-MSGOUT-UBX_ESF_ALG_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI_STR            "CFG-MSGOUT-UBX_ESF_ALG_SPI"             //!< Name of CFG-MSGOUT-UBX_ESF_ALG_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_ALG_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C CFG-MSGOUT-UBX_ESF_ALG_I2C (Output rate of the UBX-ESF-ALG message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C_ID             0x2091010f                               //!< ID of CFG-MSGOUT-UBX_ESF_ALG_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C_STR            "CFG-MSGOUT-UBX_ESF_ALG_I2C"             //!< Name of CFG-MSGOUT-UBX_ESF_ALG_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_ALG_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB CFG-MSGOUT-UBX_ESF_ALG_USB (Output rate of the UBX-ESF-ALG message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB_ID             0x20910112                               //!< ID of CFG-MSGOUT-UBX_ESF_ALG_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB_STR            "CFG-MSGOUT-UBX_ESF_ALG_USB"             //!< Name of CFG-MSGOUT-UBX_ESF_ALG_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_ALG_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1 CFG-MSGOUT-UBX_ESF_INS_UART1 (Output rate of the UBX-ESF-INS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1_ID           0x20910115                               //!< ID of CFG-MSGOUT-UBX_ESF_INS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1_STR          "CFG-MSGOUT-UBX_ESF_INS_UART1"           //!< Name of CFG-MSGOUT-UBX_ESF_INS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_INS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2 CFG-MSGOUT-UBX_ESF_INS_UART2 (Output rate of the UBX-ESF-INS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2_ID           0x20910116                               //!< ID of CFG-MSGOUT-UBX_ESF_INS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2_STR          "CFG-MSGOUT-UBX_ESF_INS_UART2"           //!< Name of CFG-MSGOUT-UBX_ESF_INS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_INS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI CFG-MSGOUT-UBX_ESF_INS_SPI (Output rate of the UBX-ESF-INS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI_ID             0x20910118                               //!< ID of CFG-MSGOUT-UBX_ESF_INS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI_STR            "CFG-MSGOUT-UBX_ESF_INS_SPI"             //!< Name of CFG-MSGOUT-UBX_ESF_INS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_INS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C CFG-MSGOUT-UBX_ESF_INS_I2C (Output rate of the UBX-ESF-INS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C_ID             0x20910114                               //!< ID of CFG-MSGOUT-UBX_ESF_INS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C_STR            "CFG-MSGOUT-UBX_ESF_INS_I2C"             //!< Name of CFG-MSGOUT-UBX_ESF_INS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_INS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB CFG-MSGOUT-UBX_ESF_INS_USB (Output rate of the UBX-ESF-INS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB_ID             0x20910117                               //!< ID of CFG-MSGOUT-UBX_ESF_INS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB_STR            "CFG-MSGOUT-UBX_ESF_INS_USB"             //!< Name of CFG-MSGOUT-UBX_ESF_INS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_INS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1 CFG-MSGOUT-UBX_ESF_MEAS_UART1 (Output rate of the UBX-ESF-MEAS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1_ID          0x20910278                               //!< ID of CFG-MSGOUT-UBX_ESF_MEAS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1_STR         "CFG-MSGOUT-UBX_ESF_MEAS_UART1"          //!< Name of CFG-MSGOUT-UBX_ESF_MEAS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_MEAS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2 CFG-MSGOUT-UBX_ESF_MEAS_UART2 (Output rate of the UBX-ESF-MEAS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2_ID          0x20910279                               //!< ID of CFG-MSGOUT-UBX_ESF_MEAS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2_STR         "CFG-MSGOUT-UBX_ESF_MEAS_UART2"          //!< Name of CFG-MSGOUT-UBX_ESF_MEAS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_MEAS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI CFG-MSGOUT-UBX_ESF_MEAS_SPI (Output rate of the UBX-ESF-MEAS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI_ID            0x2091027b                               //!< ID of CFG-MSGOUT-UBX_ESF_MEAS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI_STR           "CFG-MSGOUT-UBX_ESF_MEAS_SPI"            //!< Name of CFG-MSGOUT-UBX_ESF_MEAS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_MEAS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C CFG-MSGOUT-UBX_ESF_MEAS_I2C (Output rate of the UBX-ESF-MEAS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C_ID            0x20910277                               //!< ID of CFG-MSGOUT-UBX_ESF_MEAS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C_STR           "CFG-MSGOUT-UBX_ESF_MEAS_I2C"            //!< Name of CFG-MSGOUT-UBX_ESF_MEAS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_MEAS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB CFG-MSGOUT-UBX_ESF_MEAS_USB (Output rate of the UBX-ESF-MEAS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB_ID            0x2091027a                               //!< ID of CFG-MSGOUT-UBX_ESF_MEAS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB_STR           "CFG-MSGOUT-UBX_ESF_MEAS_USB"            //!< Name of CFG-MSGOUT-UBX_ESF_MEAS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_MEAS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1 CFG-MSGOUT-UBX_ESF_RAW_UART1 (Output rate of the UBX-ESF-RAW message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1_ID           0x209102a0                               //!< ID of CFG-MSGOUT-UBX_ESF_RAW_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1_STR          "CFG-MSGOUT-UBX_ESF_RAW_UART1"           //!< Name of CFG-MSGOUT-UBX_ESF_RAW_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_RAW_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2 CFG-MSGOUT-UBX_ESF_RAW_UART2 (Output rate of the UBX-ESF-RAW message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2_ID           0x209102a1                               //!< ID of CFG-MSGOUT-UBX_ESF_RAW_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2_STR          "CFG-MSGOUT-UBX_ESF_RAW_UART2"           //!< Name of CFG-MSGOUT-UBX_ESF_RAW_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_RAW_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI CFG-MSGOUT-UBX_ESF_RAW_SPI (Output rate of the UBX-ESF-RAW message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI_ID             0x209102a3                               //!< ID of CFG-MSGOUT-UBX_ESF_RAW_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI_STR            "CFG-MSGOUT-UBX_ESF_RAW_SPI"             //!< Name of CFG-MSGOUT-UBX_ESF_RAW_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_RAW_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C CFG-MSGOUT-UBX_ESF_RAW_I2C (Output rate of the UBX-ESF-RAW message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C_ID             0x2091029f                               //!< ID of CFG-MSGOUT-UBX_ESF_RAW_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C_STR            "CFG-MSGOUT-UBX_ESF_RAW_I2C"             //!< Name of CFG-MSGOUT-UBX_ESF_RAW_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_RAW_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB CFG-MSGOUT-UBX_ESF_RAW_USB (Output rate of the UBX-ESF-RAW message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB_ID             0x209102a2                               //!< ID of CFG-MSGOUT-UBX_ESF_RAW_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB_STR            "CFG-MSGOUT-UBX_ESF_RAW_USB"             //!< Name of CFG-MSGOUT-UBX_ESF_RAW_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_RAW_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1 CFG-MSGOUT-UBX_ESF_STATUS_UART1 (Output rate of the UBX-ESF-STATUS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1_ID        0x20910106                               //!< ID of CFG-MSGOUT-UBX_ESF_STATUS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1_STR       "CFG-MSGOUT-UBX_ESF_STATUS_UART1"        //!< Name of CFG-MSGOUT-UBX_ESF_STATUS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_STATUS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2 CFG-MSGOUT-UBX_ESF_STATUS_UART2 (Output rate of the UBX-ESF-STATUS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2_ID        0x20910107                               //!< ID of CFG-MSGOUT-UBX_ESF_STATUS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2_STR       "CFG-MSGOUT-UBX_ESF_STATUS_UART2"        //!< Name of CFG-MSGOUT-UBX_ESF_STATUS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_STATUS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI CFG-MSGOUT-UBX_ESF_STATUS_SPI (Output rate of the UBX-ESF-STATUS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI_ID          0x20910109                               //!< ID of CFG-MSGOUT-UBX_ESF_STATUS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI_STR         "CFG-MSGOUT-UBX_ESF_STATUS_SPI"          //!< Name of CFG-MSGOUT-UBX_ESF_STATUS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_STATUS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C CFG-MSGOUT-UBX_ESF_STATUS_I2C (Output rate of the UBX-ESF-STATUS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C_ID          0x20910105                               //!< ID of CFG-MSGOUT-UBX_ESF_STATUS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C_STR         "CFG-MSGOUT-UBX_ESF_STATUS_I2C"          //!< Name of CFG-MSGOUT-UBX_ESF_STATUS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_STATUS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB CFG-MSGOUT-UBX_ESF_STATUS_USB (Output rate of the UBX-ESF-STATUS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB_ID          0x20910108                               //!< ID of CFG-MSGOUT-UBX_ESF_STATUS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB_STR         "CFG-MSGOUT-UBX_ESF_STATUS_USB"          //!< Name of CFG-MSGOUT-UBX_ESF_STATUS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_ESF_STATUS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1 CFG-MSGOUT-UBX_LOG_INFO_UART1 (Output rate of the UBX-LOG-INFO message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1_ID          0x2091025a                               //!< ID of CFG-MSGOUT-UBX_LOG_INFO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1_STR         "CFG-MSGOUT-UBX_LOG_INFO_UART1"          //!< Name of CFG-MSGOUT-UBX_LOG_INFO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_LOG_INFO_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2 CFG-MSGOUT-UBX_LOG_INFO_UART2 (Output rate of the UBX-LOG-INFO message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2_ID          0x2091025b                               //!< ID of CFG-MSGOUT-UBX_LOG_INFO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2_STR         "CFG-MSGOUT-UBX_LOG_INFO_UART2"          //!< Name of CFG-MSGOUT-UBX_LOG_INFO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_LOG_INFO_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI CFG-MSGOUT-UBX_LOG_INFO_SPI (Output rate of the UBX-LOG-INFO message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI_ID            0x2091025d                               //!< ID of CFG-MSGOUT-UBX_LOG_INFO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI_STR           "CFG-MSGOUT-UBX_LOG_INFO_SPI"            //!< Name of CFG-MSGOUT-UBX_LOG_INFO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_LOG_INFO_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C CFG-MSGOUT-UBX_LOG_INFO_I2C (Output rate of the UBX-LOG-INFO message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C_ID            0x20910259                               //!< ID of CFG-MSGOUT-UBX_LOG_INFO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C_STR           "CFG-MSGOUT-UBX_LOG_INFO_I2C"            //!< Name of CFG-MSGOUT-UBX_LOG_INFO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_LOG_INFO_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB CFG-MSGOUT-UBX_LOG_INFO_USB (Output rate of the UBX-LOG-INFO message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB_ID            0x2091025c                               //!< ID of CFG-MSGOUT-UBX_LOG_INFO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB_STR           "CFG-MSGOUT-UBX_LOG_INFO_USB"            //!< Name of CFG-MSGOUT-UBX_LOG_INFO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_LOG_INFO_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1 CFG-MSGOUT-UBX_MON_COMMS_UART1 (Output rate of the UBX-MON-COMMS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1_ID         0x20910350                               //!< ID of CFG-MSGOUT-UBX_MON_COMMS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1_STR        "CFG-MSGOUT-UBX_MON_COMMS_UART1"         //!< Name of CFG-MSGOUT-UBX_MON_COMMS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_COMMS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2 CFG-MSGOUT-UBX_MON_COMMS_UART2 (Output rate of the UBX-MON-COMMS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2_ID         0x20910351                               //!< ID of CFG-MSGOUT-UBX_MON_COMMS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2_STR        "CFG-MSGOUT-UBX_MON_COMMS_UART2"         //!< Name of CFG-MSGOUT-UBX_MON_COMMS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_COMMS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI CFG-MSGOUT-UBX_MON_COMMS_SPI (Output rate of the UBX-MON-COMMS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI_ID           0x20910353                               //!< ID of CFG-MSGOUT-UBX_MON_COMMS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI_STR          "CFG-MSGOUT-UBX_MON_COMMS_SPI"           //!< Name of CFG-MSGOUT-UBX_MON_COMMS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_COMMS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C CFG-MSGOUT-UBX_MON_COMMS_I2C (Output rate of the UBX-MON-COMMS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C_ID           0x2091034f                               //!< ID of CFG-MSGOUT-UBX_MON_COMMS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C_STR          "CFG-MSGOUT-UBX_MON_COMMS_I2C"           //!< Name of CFG-MSGOUT-UBX_MON_COMMS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_COMMS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB CFG-MSGOUT-UBX_MON_COMMS_USB (Output rate of the UBX-MON-COMMS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB_ID           0x20910352                               //!< ID of CFG-MSGOUT-UBX_MON_COMMS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB_STR          "CFG-MSGOUT-UBX_MON_COMMS_USB"           //!< Name of CFG-MSGOUT-UBX_MON_COMMS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_COMMS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1 CFG-MSGOUT-UBX_MON_HW2_UART1 (Output rate of the UBX-MON-HW2 message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1_ID           0x209101ba                               //!< ID of CFG-MSGOUT-UBX_MON_HW2_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1_STR          "CFG-MSGOUT-UBX_MON_HW2_UART1"           //!< Name of CFG-MSGOUT-UBX_MON_HW2_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW2_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2 CFG-MSGOUT-UBX_MON_HW2_UART2 (Output rate of the UBX-MON-HW2 message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2_ID           0x209101bb                               //!< ID of CFG-MSGOUT-UBX_MON_HW2_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2_STR          "CFG-MSGOUT-UBX_MON_HW2_UART2"           //!< Name of CFG-MSGOUT-UBX_MON_HW2_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW2_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI CFG-MSGOUT-UBX_MON_HW2_SPI (Output rate of the UBX-MON-HW2 message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI_ID             0x209101bd                               //!< ID of CFG-MSGOUT-UBX_MON_HW2_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI_STR            "CFG-MSGOUT-UBX_MON_HW2_SPI"             //!< Name of CFG-MSGOUT-UBX_MON_HW2_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW2_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C CFG-MSGOUT-UBX_MON_HW2_I2C (Output rate of the UBX-MON-HW2 message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C_ID             0x209101b9                               //!< ID of CFG-MSGOUT-UBX_MON_HW2_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C_STR            "CFG-MSGOUT-UBX_MON_HW2_I2C"             //!< Name of CFG-MSGOUT-UBX_MON_HW2_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW2_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB CFG-MSGOUT-UBX_MON_HW2_USB (Output rate of the UBX-MON-HW2 message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB_ID             0x209101bc                               //!< ID of CFG-MSGOUT-UBX_MON_HW2_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB_STR            "CFG-MSGOUT-UBX_MON_HW2_USB"             //!< Name of CFG-MSGOUT-UBX_MON_HW2_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW2_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1 CFG-MSGOUT-UBX_MON_HW3_UART1 (Output rate of the UBX-MON-HW3 message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1_ID           0x20910355                               //!< ID of CFG-MSGOUT-UBX_MON_HW3_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1_STR          "CFG-MSGOUT-UBX_MON_HW3_UART1"           //!< Name of CFG-MSGOUT-UBX_MON_HW3_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW3_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2 CFG-MSGOUT-UBX_MON_HW3_UART2 (Output rate of the UBX-MON-HW3 message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2_ID           0x20910356                               //!< ID of CFG-MSGOUT-UBX_MON_HW3_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2_STR          "CFG-MSGOUT-UBX_MON_HW3_UART2"           //!< Name of CFG-MSGOUT-UBX_MON_HW3_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW3_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI CFG-MSGOUT-UBX_MON_HW3_SPI (Output rate of the UBX-MON-HW3 message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI_ID             0x20910358                               //!< ID of CFG-MSGOUT-UBX_MON_HW3_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI_STR            "CFG-MSGOUT-UBX_MON_HW3_SPI"             //!< Name of CFG-MSGOUT-UBX_MON_HW3_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW3_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C CFG-MSGOUT-UBX_MON_HW3_I2C (Output rate of the UBX-MON-HW3 message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C_ID             0x20910354                               //!< ID of CFG-MSGOUT-UBX_MON_HW3_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C_STR            "CFG-MSGOUT-UBX_MON_HW3_I2C"             //!< Name of CFG-MSGOUT-UBX_MON_HW3_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW3_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB CFG-MSGOUT-UBX_MON_HW3_USB (Output rate of the UBX-MON-HW3 message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB_ID             0x20910357                               //!< ID of CFG-MSGOUT-UBX_MON_HW3_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB_STR            "CFG-MSGOUT-UBX_MON_HW3_USB"             //!< Name of CFG-MSGOUT-UBX_MON_HW3_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW3_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1 CFG-MSGOUT-UBX_MON_HW_UART1 (Output rate of the UBX-MON-HW message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1_ID            0x209101b5                               //!< ID of CFG-MSGOUT-UBX_MON_HW_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1_STR           "CFG-MSGOUT-UBX_MON_HW_UART1"            //!< Name of CFG-MSGOUT-UBX_MON_HW_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2 CFG-MSGOUT-UBX_MON_HW_UART2 (Output rate of the UBX-MON-HW message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2_ID            0x209101b6                               //!< ID of CFG-MSGOUT-UBX_MON_HW_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2_STR           "CFG-MSGOUT-UBX_MON_HW_UART2"            //!< Name of CFG-MSGOUT-UBX_MON_HW_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI CFG-MSGOUT-UBX_MON_HW_SPI (Output rate of the UBX-MON-HW message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI_ID              0x209101b8                               //!< ID of CFG-MSGOUT-UBX_MON_HW_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI_STR             "CFG-MSGOUT-UBX_MON_HW_SPI"              //!< Name of CFG-MSGOUT-UBX_MON_HW_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C CFG-MSGOUT-UBX_MON_HW_I2C (Output rate of the UBX-MON-HW message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C_ID              0x209101b4                               //!< ID of CFG-MSGOUT-UBX_MON_HW_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C_STR             "CFG-MSGOUT-UBX_MON_HW_I2C"              //!< Name of CFG-MSGOUT-UBX_MON_HW_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB CFG-MSGOUT-UBX_MON_HW_USB (Output rate of the UBX-MON-HW message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB_ID              0x209101b7                               //!< ID of CFG-MSGOUT-UBX_MON_HW_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB_STR             "CFG-MSGOUT-UBX_MON_HW_USB"              //!< Name of CFG-MSGOUT-UBX_MON_HW_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_HW_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1 CFG-MSGOUT-UBX_MON_IO_UART1 (Output rate of the UBX-MON-IO message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1_ID            0x209101a6                               //!< ID of CFG-MSGOUT-UBX_MON_IO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1_STR           "CFG-MSGOUT-UBX_MON_IO_UART1"            //!< Name of CFG-MSGOUT-UBX_MON_IO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_IO_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2 CFG-MSGOUT-UBX_MON_IO_UART2 (Output rate of the UBX-MON-IO message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2_ID            0x209101a7                               //!< ID of CFG-MSGOUT-UBX_MON_IO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2_STR           "CFG-MSGOUT-UBX_MON_IO_UART2"            //!< Name of CFG-MSGOUT-UBX_MON_IO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_IO_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI CFG-MSGOUT-UBX_MON_IO_SPI (Output rate of the UBX-MON-IO message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI_ID              0x209101a9                               //!< ID of CFG-MSGOUT-UBX_MON_IO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI_STR             "CFG-MSGOUT-UBX_MON_IO_SPI"              //!< Name of CFG-MSGOUT-UBX_MON_IO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_IO_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C CFG-MSGOUT-UBX_MON_IO_I2C (Output rate of the UBX-MON-IO message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C_ID              0x209101a5                               //!< ID of CFG-MSGOUT-UBX_MON_IO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C_STR             "CFG-MSGOUT-UBX_MON_IO_I2C"              //!< Name of CFG-MSGOUT-UBX_MON_IO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_IO_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB CFG-MSGOUT-UBX_MON_IO_USB (Output rate of the UBX-MON-IO message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB_ID              0x209101a8                               //!< ID of CFG-MSGOUT-UBX_MON_IO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB_STR             "CFG-MSGOUT-UBX_MON_IO_USB"              //!< Name of CFG-MSGOUT-UBX_MON_IO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_IO_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1 CFG-MSGOUT-UBX_MON_MSGPP_UART1 (Output rate of the UBX-MON-MSGPP message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1_ID         0x20910197                               //!< ID of CFG-MSGOUT-UBX_MON_MSGPP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1_STR        "CFG-MSGOUT-UBX_MON_MSGPP_UART1"         //!< Name of CFG-MSGOUT-UBX_MON_MSGPP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_MSGPP_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2 CFG-MSGOUT-UBX_MON_MSGPP_UART2 (Output rate of the UBX-MON-MSGPP message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2_ID         0x20910198                               //!< ID of CFG-MSGOUT-UBX_MON_MSGPP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2_STR        "CFG-MSGOUT-UBX_MON_MSGPP_UART2"         //!< Name of CFG-MSGOUT-UBX_MON_MSGPP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_MSGPP_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI CFG-MSGOUT-UBX_MON_MSGPP_SPI (Output rate of the UBX-MON-MSGPP message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI_ID           0x2091019a                               //!< ID of CFG-MSGOUT-UBX_MON_MSGPP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI_STR          "CFG-MSGOUT-UBX_MON_MSGPP_SPI"           //!< Name of CFG-MSGOUT-UBX_MON_MSGPP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_MSGPP_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C CFG-MSGOUT-UBX_MON_MSGPP_I2C (Output rate of the UBX-MON-MSGPP message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C_ID           0x20910196                               //!< ID of CFG-MSGOUT-UBX_MON_MSGPP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C_STR          "CFG-MSGOUT-UBX_MON_MSGPP_I2C"           //!< Name of CFG-MSGOUT-UBX_MON_MSGPP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_MSGPP_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB CFG-MSGOUT-UBX_MON_MSGPP_USB (Output rate of the UBX-MON-MSGPP message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB_ID           0x20910199                               //!< ID of CFG-MSGOUT-UBX_MON_MSGPP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB_STR          "CFG-MSGOUT-UBX_MON_MSGPP_USB"           //!< Name of CFG-MSGOUT-UBX_MON_MSGPP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_MSGPP_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1 CFG-MSGOUT-UBX_MON_RF_UART1 (Output rate of the UBX-MON-RF message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1_ID            0x2091035a                               //!< ID of CFG-MSGOUT-UBX_MON_RF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1_STR           "CFG-MSGOUT-UBX_MON_RF_UART1"            //!< Name of CFG-MSGOUT-UBX_MON_RF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RF_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2 CFG-MSGOUT-UBX_MON_RF_UART2 (Output rate of the UBX-MON-RF message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2_ID            0x2091035b                               //!< ID of CFG-MSGOUT-UBX_MON_RF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2_STR           "CFG-MSGOUT-UBX_MON_RF_UART2"            //!< Name of CFG-MSGOUT-UBX_MON_RF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RF_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI CFG-MSGOUT-UBX_MON_RF_SPI (Output rate of the UBX-MON-RF message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI_ID              0x2091035d                               //!< ID of CFG-MSGOUT-UBX_MON_RF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI_STR             "CFG-MSGOUT-UBX_MON_RF_SPI"              //!< Name of CFG-MSGOUT-UBX_MON_RF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RF_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C CFG-MSGOUT-UBX_MON_RF_I2C (Output rate of the UBX-MON-RF message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C_ID              0x20910359                               //!< ID of CFG-MSGOUT-UBX_MON_RF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C_STR             "CFG-MSGOUT-UBX_MON_RF_I2C"              //!< Name of CFG-MSGOUT-UBX_MON_RF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RF_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB CFG-MSGOUT-UBX_MON_RF_USB (Output rate of the UBX-MON-RF message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB_ID              0x2091035c                               //!< ID of CFG-MSGOUT-UBX_MON_RF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB_STR             "CFG-MSGOUT-UBX_MON_RF_USB"              //!< Name of CFG-MSGOUT-UBX_MON_RF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RF_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1 CFG-MSGOUT-UBX_MON_RXBUF_UART1 (Output rate of the UBX-MON-RXBUF message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1_ID         0x209101a1                               //!< ID of CFG-MSGOUT-UBX_MON_RXBUF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1_STR        "CFG-MSGOUT-UBX_MON_RXBUF_UART1"         //!< Name of CFG-MSGOUT-UBX_MON_RXBUF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXBUF_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2 CFG-MSGOUT-UBX_MON_RXBUF_UART2 (Output rate of the UBX-MON-RXBUF message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2_ID         0x209101a2                               //!< ID of CFG-MSGOUT-UBX_MON_RXBUF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2_STR        "CFG-MSGOUT-UBX_MON_RXBUF_UART2"         //!< Name of CFG-MSGOUT-UBX_MON_RXBUF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXBUF_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI CFG-MSGOUT-UBX_MON_RXBUF_SPI (Output rate of the UBX-MON-RXBUF message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI_ID           0x209101a4                               //!< ID of CFG-MSGOUT-UBX_MON_RXBUF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI_STR          "CFG-MSGOUT-UBX_MON_RXBUF_SPI"           //!< Name of CFG-MSGOUT-UBX_MON_RXBUF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXBUF_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C CFG-MSGOUT-UBX_MON_RXBUF_I2C (Output rate of the UBX-MON-RXBUF message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C_ID           0x209101a0                               //!< ID of CFG-MSGOUT-UBX_MON_RXBUF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C_STR          "CFG-MSGOUT-UBX_MON_RXBUF_I2C"           //!< Name of CFG-MSGOUT-UBX_MON_RXBUF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXBUF_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB CFG-MSGOUT-UBX_MON_RXBUF_USB (Output rate of the UBX-MON-RXBUF message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB_ID           0x209101a3                               //!< ID of CFG-MSGOUT-UBX_MON_RXBUF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB_STR          "CFG-MSGOUT-UBX_MON_RXBUF_USB"           //!< Name of CFG-MSGOUT-UBX_MON_RXBUF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXBUF_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1 CFG-MSGOUT-UBX_MON_RXR_UART1 (Output rate of the UBX-MON-RXR message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1_ID           0x20910188                               //!< ID of CFG-MSGOUT-UBX_MON_RXR_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1_STR          "CFG-MSGOUT-UBX_MON_RXR_UART1"           //!< Name of CFG-MSGOUT-UBX_MON_RXR_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXR_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2 CFG-MSGOUT-UBX_MON_RXR_UART2 (Output rate of the UBX-MON-RXR message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2_ID           0x20910189                               //!< ID of CFG-MSGOUT-UBX_MON_RXR_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2_STR          "CFG-MSGOUT-UBX_MON_RXR_UART2"           //!< Name of CFG-MSGOUT-UBX_MON_RXR_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXR_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI CFG-MSGOUT-UBX_MON_RXR_SPI (Output rate of the UBX-MON-RXR message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI_ID             0x2091018b                               //!< ID of CFG-MSGOUT-UBX_MON_RXR_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI_STR            "CFG-MSGOUT-UBX_MON_RXR_SPI"             //!< Name of CFG-MSGOUT-UBX_MON_RXR_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXR_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C CFG-MSGOUT-UBX_MON_RXR_I2C (Output rate of the UBX-MON-RXR message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C_ID             0x20910187                               //!< ID of CFG-MSGOUT-UBX_MON_RXR_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C_STR            "CFG-MSGOUT-UBX_MON_RXR_I2C"             //!< Name of CFG-MSGOUT-UBX_MON_RXR_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXR_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB CFG-MSGOUT-UBX_MON_RXR_USB (Output rate of the UBX-MON-RXR message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB_ID             0x2091018a                               //!< ID of CFG-MSGOUT-UBX_MON_RXR_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB_STR            "CFG-MSGOUT-UBX_MON_RXR_USB"             //!< Name of CFG-MSGOUT-UBX_MON_RXR_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_MON_RXR_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1 CFG-MSGOUT-UBX_MON_SPAN_UART1 (Output rate of the UBX-MON-SPAN message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1_ID          0x2091038c                               //!< ID of CFG-MSGOUT-UBX_MON_SPAN_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1_STR         "CFG-MSGOUT-UBX_MON_SPAN_UART1"          //!< Name of CFG-MSGOUT-UBX_MON_SPAN_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_MON_SPAN_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2 CFG-MSGOUT-UBX_MON_SPAN_UART2 (Output rate of the UBX-MON-SPAN message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2_ID          0x2091038d                               //!< ID of CFG-MSGOUT-UBX_MON_SPAN_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2_STR         "CFG-MSGOUT-UBX_MON_SPAN_UART2"          //!< Name of CFG-MSGOUT-UBX_MON_SPAN_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_MON_SPAN_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI CFG-MSGOUT-UBX_MON_SPAN_SPI (Output rate of the UBX-MON-SPAN message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI_ID            0x2091038f                               //!< ID of CFG-MSGOUT-UBX_MON_SPAN_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI_STR           "CFG-MSGOUT-UBX_MON_SPAN_SPI"            //!< Name of CFG-MSGOUT-UBX_MON_SPAN_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_SPAN_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C CFG-MSGOUT-UBX_MON_SPAN_I2C (Output rate of the UBX-MON-SPAN message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C_ID            0x2091038b                               //!< ID of CFG-MSGOUT-UBX_MON_SPAN_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C_STR           "CFG-MSGOUT-UBX_MON_SPAN_I2C"            //!< Name of CFG-MSGOUT-UBX_MON_SPAN_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_SPAN_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB CFG-MSGOUT-UBX_MON_SPAN_USB (Output rate of the UBX-MON-SPAN message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB_ID            0x2091038e                               //!< ID of CFG-MSGOUT-UBX_MON_SPAN_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB_STR           "CFG-MSGOUT-UBX_MON_SPAN_USB"            //!< Name of CFG-MSGOUT-UBX_MON_SPAN_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_SPAN_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1 CFG-MSGOUT-UBX_MON_TEMP_UART1 (Output rate of the UBX-MON-TEMP message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1_ID          0x20910332                               //!< ID of CFG-MSGOUT-UBX_MON_TEMP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1_STR         "CFG-MSGOUT-UBX_MON_TEMP_UART1"          //!< Name of CFG-MSGOUT-UBX_MON_TEMP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TEMP_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2 CFG-MSGOUT-UBX_MON_TEMP_UART2 (Output rate of the UBX-MON-TEMP message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2_ID          0x20910333                               //!< ID of CFG-MSGOUT-UBX_MON_TEMP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2_STR         "CFG-MSGOUT-UBX_MON_TEMP_UART2"          //!< Name of CFG-MSGOUT-UBX_MON_TEMP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TEMP_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI CFG-MSGOUT-UBX_MON_TEMP_SPI (Output rate of the UBX-MON-TEMP message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI_ID            0x20910335                               //!< ID of CFG-MSGOUT-UBX_MON_TEMP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI_STR           "CFG-MSGOUT-UBX_MON_TEMP_SPI"            //!< Name of CFG-MSGOUT-UBX_MON_TEMP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TEMP_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C CFG-MSGOUT-UBX_MON_TEMP_I2C (Output rate of the UBX-MON-TEMP message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C_ID            0x20910331                               //!< ID of CFG-MSGOUT-UBX_MON_TEMP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C_STR           "CFG-MSGOUT-UBX_MON_TEMP_I2C"            //!< Name of CFG-MSGOUT-UBX_MON_TEMP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TEMP_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB CFG-MSGOUT-UBX_MON_TEMP_USB (Output rate of the UBX-MON-TEMP message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB_ID            0x20910334                               //!< ID of CFG-MSGOUT-UBX_MON_TEMP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB_STR           "CFG-MSGOUT-UBX_MON_TEMP_USB"            //!< Name of CFG-MSGOUT-UBX_MON_TEMP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TEMP_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1 CFG-MSGOUT-UBX_MON_TXBUF_UART1 (Output rate of the UBX-MON-TXBUF message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1_ID         0x2091019c                               //!< ID of CFG-MSGOUT-UBX_MON_TXBUF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1_STR        "CFG-MSGOUT-UBX_MON_TXBUF_UART1"         //!< Name of CFG-MSGOUT-UBX_MON_TXBUF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TXBUF_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2 CFG-MSGOUT-UBX_MON_TXBUF_UART2 (Output rate of the UBX-MON-TXBUF message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2_ID         0x2091019d                               //!< ID of CFG-MSGOUT-UBX_MON_TXBUF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2_STR        "CFG-MSGOUT-UBX_MON_TXBUF_UART2"         //!< Name of CFG-MSGOUT-UBX_MON_TXBUF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TXBUF_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI CFG-MSGOUT-UBX_MON_TXBUF_SPI (Output rate of the UBX-MON-TXBUF message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI_ID           0x2091019f                               //!< ID of CFG-MSGOUT-UBX_MON_TXBUF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI_STR          "CFG-MSGOUT-UBX_MON_TXBUF_SPI"           //!< Name of CFG-MSGOUT-UBX_MON_TXBUF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TXBUF_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C CFG-MSGOUT-UBX_MON_TXBUF_I2C (Output rate of the UBX-MON-TXBUF message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C_ID           0x2091019b                               //!< ID of CFG-MSGOUT-UBX_MON_TXBUF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C_STR          "CFG-MSGOUT-UBX_MON_TXBUF_I2C"           //!< Name of CFG-MSGOUT-UBX_MON_TXBUF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TXBUF_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB CFG-MSGOUT-UBX_MON_TXBUF_USB (Output rate of the UBX-MON-TXBUF message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB_ID           0x2091019e                               //!< ID of CFG-MSGOUT-UBX_MON_TXBUF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB_STR          "CFG-MSGOUT-UBX_MON_TXBUF_USB"           //!< Name of CFG-MSGOUT-UBX_MON_TXBUF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_MON_TXBUF_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1 CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART1 (Output rate of the UBX-NAV-AOPSTATUS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1_ID     0x2091007a                               //!< ID of CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1_STR    "CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART1"     //!< Name of CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1_TYPE   U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2 CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART2 (Output rate of the UBX-NAV-AOPSTATUS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2_ID     0x2091007b                               //!< ID of CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2_STR    "CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART2"     //!< Name of CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2_TYPE   U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_AOPSTATUS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI CFG-MSGOUT-UBX_NAV_AOPSTATUS_SPI (Output rate of the UBX-NAV-AOPSTATUS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI_ID       0x2091007d                               //!< ID of CFG-MSGOUT-UBX_NAV_AOPSTATUS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI_STR      "CFG-MSGOUT-UBX_NAV_AOPSTATUS_SPI"       //!< Name of CFG-MSGOUT-UBX_NAV_AOPSTATUS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_AOPSTATUS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C CFG-MSGOUT-UBX_NAV_AOPSTATUS_I2C (Output rate of the UBX-NAV-AOPSTATUS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C_ID       0x20910079                               //!< ID of CFG-MSGOUT-UBX_NAV_AOPSTATUS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C_STR      "CFG-MSGOUT-UBX_NAV_AOPSTATUS_I2C"       //!< Name of CFG-MSGOUT-UBX_NAV_AOPSTATUS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_AOPSTATUS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB CFG-MSGOUT-UBX_NAV_AOPSTATUS_USB (Output rate of the UBX-NAV-AOPSTATUS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB_ID       0x2091007c                               //!< ID of CFG-MSGOUT-UBX_NAV_AOPSTATUS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB_STR      "CFG-MSGOUT-UBX_NAV_AOPSTATUS_USB"       //!< Name of CFG-MSGOUT-UBX_NAV_AOPSTATUS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_AOPSTATUS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1 CFG-MSGOUT-UBX_NAV_ATT_UART1 (Output rate of the UBX-NAV-ATT message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1_ID           0x20910020                               //!< ID of CFG-MSGOUT-UBX_NAV_ATT_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1_STR          "CFG-MSGOUT-UBX_NAV_ATT_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_ATT_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ATT_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2 CFG-MSGOUT-UBX_NAV_ATT_UART2 (Output rate of the UBX-NAV-ATT message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2_ID           0x20910021                               //!< ID of CFG-MSGOUT-UBX_NAV_ATT_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2_STR          "CFG-MSGOUT-UBX_NAV_ATT_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_ATT_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ATT_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI CFG-MSGOUT-UBX_NAV_ATT_SPI (Output rate of the UBX-NAV-ATT message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI_ID             0x20910023                               //!< ID of CFG-MSGOUT-UBX_NAV_ATT_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI_STR            "CFG-MSGOUT-UBX_NAV_ATT_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_ATT_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ATT_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C CFG-MSGOUT-UBX_NAV_ATT_I2C (Output rate of the UBX-NAV-ATT message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C_ID             0x2091001f                               //!< ID of CFG-MSGOUT-UBX_NAV_ATT_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C_STR            "CFG-MSGOUT-UBX_NAV_ATT_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_ATT_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ATT_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB CFG-MSGOUT-UBX_NAV_ATT_USB (Output rate of the UBX-NAV-ATT message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB_ID             0x20910022                               //!< ID of CFG-MSGOUT-UBX_NAV_ATT_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB_STR            "CFG-MSGOUT-UBX_NAV_ATT_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_ATT_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ATT_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1 CFG-MSGOUT-UBX_NAV_CLOCK_UART1 (Output rate of the UBX-NAV-CLOCK message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1_ID         0x20910066                               //!< ID of CFG-MSGOUT-UBX_NAV_CLOCK_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1_STR        "CFG-MSGOUT-UBX_NAV_CLOCK_UART1"         //!< Name of CFG-MSGOUT-UBX_NAV_CLOCK_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_CLOCK_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2 CFG-MSGOUT-UBX_NAV_CLOCK_UART2 (Output rate of the UBX-NAV-CLOCK message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2_ID         0x20910067                               //!< ID of CFG-MSGOUT-UBX_NAV_CLOCK_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2_STR        "CFG-MSGOUT-UBX_NAV_CLOCK_UART2"         //!< Name of CFG-MSGOUT-UBX_NAV_CLOCK_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_CLOCK_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI CFG-MSGOUT-UBX_NAV_CLOCK_SPI (Output rate of the UBX-NAV-CLOCK message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI_ID           0x20910069                               //!< ID of CFG-MSGOUT-UBX_NAV_CLOCK_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI_STR          "CFG-MSGOUT-UBX_NAV_CLOCK_SPI"           //!< Name of CFG-MSGOUT-UBX_NAV_CLOCK_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_CLOCK_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C CFG-MSGOUT-UBX_NAV_CLOCK_I2C (Output rate of the UBX-NAV-CLOCK message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C_ID           0x20910065                               //!< ID of CFG-MSGOUT-UBX_NAV_CLOCK_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C_STR          "CFG-MSGOUT-UBX_NAV_CLOCK_I2C"           //!< Name of CFG-MSGOUT-UBX_NAV_CLOCK_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_CLOCK_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB CFG-MSGOUT-UBX_NAV_CLOCK_USB (Output rate of the UBX-NAV-CLOCK message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB_ID           0x20910068                               //!< ID of CFG-MSGOUT-UBX_NAV_CLOCK_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB_STR          "CFG-MSGOUT-UBX_NAV_CLOCK_USB"           //!< Name of CFG-MSGOUT-UBX_NAV_CLOCK_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_CLOCK_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1 CFG-MSGOUT-UBX_NAV_COV_UART1 (Output rate of the UBX-NAV-COV message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1_ID           0x20910084                               //!< ID of CFG-MSGOUT-UBX_NAV_COV_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1_STR          "CFG-MSGOUT-UBX_NAV_COV_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_COV_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_COV_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2 CFG-MSGOUT-UBX_NAV_COV_UART2 (Output rate of the UBX-NAV-COV message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2_ID           0x20910085                               //!< ID of CFG-MSGOUT-UBX_NAV_COV_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2_STR          "CFG-MSGOUT-UBX_NAV_COV_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_COV_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_COV_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI CFG-MSGOUT-UBX_NAV_COV_SPI (Output rate of the UBX-NAV-COV message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI_ID             0x20910087                               //!< ID of CFG-MSGOUT-UBX_NAV_COV_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI_STR            "CFG-MSGOUT-UBX_NAV_COV_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_COV_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_COV_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C CFG-MSGOUT-UBX_NAV_COV_I2C (Output rate of the UBX-NAV-COV message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C_ID             0x20910083                               //!< ID of CFG-MSGOUT-UBX_NAV_COV_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C_STR            "CFG-MSGOUT-UBX_NAV_COV_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_COV_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_COV_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB CFG-MSGOUT-UBX_NAV_COV_USB (Output rate of the UBX-NAV-COV message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB_ID             0x20910086                               //!< ID of CFG-MSGOUT-UBX_NAV_COV_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB_STR            "CFG-MSGOUT-UBX_NAV_COV_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_COV_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_COV_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1 CFG-MSGOUT-UBX_NAV_DOP_UART1 (Output rate of the UBX-NAV-DOP message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1_ID           0x20910039                               //!< ID of CFG-MSGOUT-UBX_NAV_DOP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1_STR          "CFG-MSGOUT-UBX_NAV_DOP_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_DOP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_DOP_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2 CFG-MSGOUT-UBX_NAV_DOP_UART2 (Output rate of the UBX-NAV-DOP message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2_ID           0x2091003a                               //!< ID of CFG-MSGOUT-UBX_NAV_DOP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2_STR          "CFG-MSGOUT-UBX_NAV_DOP_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_DOP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_DOP_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI CFG-MSGOUT-UBX_NAV_DOP_SPI (Output rate of the UBX-NAV-DOP message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI_ID             0x2091003c                               //!< ID of CFG-MSGOUT-UBX_NAV_DOP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI_STR            "CFG-MSGOUT-UBX_NAV_DOP_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_DOP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_DOP_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C CFG-MSGOUT-UBX_NAV_DOP_I2C (Output rate of the UBX-NAV-DOP message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C_ID             0x20910038                               //!< ID of CFG-MSGOUT-UBX_NAV_DOP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C_STR            "CFG-MSGOUT-UBX_NAV_DOP_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_DOP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_DOP_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB CFG-MSGOUT-UBX_NAV_DOP_USB (Output rate of the UBX-NAV-DOP message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB_ID             0x2091003b                               //!< ID of CFG-MSGOUT-UBX_NAV_DOP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB_STR            "CFG-MSGOUT-UBX_NAV_DOP_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_DOP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_DOP_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1 CFG-MSGOUT-UBX_NAV_EELL_UART1 (Output rate of the UBX-NAV-EELL message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1_ID          0x20910314                               //!< ID of CFG-MSGOUT-UBX_NAV_EELL_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1_STR         "CFG-MSGOUT-UBX_NAV_EELL_UART1"          //!< Name of CFG-MSGOUT-UBX_NAV_EELL_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EELL_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2 CFG-MSGOUT-UBX_NAV_EELL_UART2 (Output rate of the UBX-NAV-EELL message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2_ID          0x20910315                               //!< ID of CFG-MSGOUT-UBX_NAV_EELL_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2_STR         "CFG-MSGOUT-UBX_NAV_EELL_UART2"          //!< Name of CFG-MSGOUT-UBX_NAV_EELL_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EELL_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI CFG-MSGOUT-UBX_NAV_EELL_SPI (Output rate of the UBX-NAV-EELL message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI_ID            0x20910317                               //!< ID of CFG-MSGOUT-UBX_NAV_EELL_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI_STR           "CFG-MSGOUT-UBX_NAV_EELL_SPI"            //!< Name of CFG-MSGOUT-UBX_NAV_EELL_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EELL_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB CFG-MSGOUT-UBX_NAV_EELL_USB (Output rate of the UBX-NAV-EELL message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB_ID            0x20910316                               //!< ID of CFG-MSGOUT-UBX_NAV_EELL_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB_STR           "CFG-MSGOUT-UBX_NAV_EELL_USB"            //!< Name of CFG-MSGOUT-UBX_NAV_EELL_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EELL_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C CFG-MSGOUT-UBX_NAV_EELL_I2C (Output rate of the UBX-NAV-EELL message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C_ID            0x20910313                               //!< ID of CFG-MSGOUT-UBX_NAV_EELL_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C_STR           "CFG-MSGOUT-UBX_NAV_EELL_I2C"            //!< Name of CFG-MSGOUT-UBX_NAV_EELL_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EELL_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1 CFG-MSGOUT-UBX_NAV_EOE_UART1 (Output rate of the UBX-NAV-EOE message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1_ID           0x20910160                               //!< ID of CFG-MSGOUT-UBX_NAV_EOE_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1_STR          "CFG-MSGOUT-UBX_NAV_EOE_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_EOE_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EOE_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2 CFG-MSGOUT-UBX_NAV_EOE_UART2 (Output rate of the UBX-NAV-EOE message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2_ID           0x20910161                               //!< ID of CFG-MSGOUT-UBX_NAV_EOE_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2_STR          "CFG-MSGOUT-UBX_NAV_EOE_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_EOE_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EOE_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI CFG-MSGOUT-UBX_NAV_EOE_SPI (Output rate of the UBX-NAV-EOE message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI_ID             0x20910163                               //!< ID of CFG-MSGOUT-UBX_NAV_EOE_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI_STR            "CFG-MSGOUT-UBX_NAV_EOE_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_EOE_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EOE_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C CFG-MSGOUT-UBX_NAV_EOE_I2C (Output rate of the UBX-NAV-EOE message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C_ID             0x2091015f                               //!< ID of CFG-MSGOUT-UBX_NAV_EOE_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C_STR            "CFG-MSGOUT-UBX_NAV_EOE_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_EOE_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EOE_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB CFG-MSGOUT-UBX_NAV_EOE_USB (Output rate of the UBX-NAV-EOE message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB_ID             0x20910162                               //!< ID of CFG-MSGOUT-UBX_NAV_EOE_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB_STR            "CFG-MSGOUT-UBX_NAV_EOE_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_EOE_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_EOE_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1 CFG-MSGOUT-UBX_NAV_GEOFENCE_UART1 (Output rate of the UBX-NAV-GEOFENCE message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1_ID      0x209100a2                               //!< ID of CFG-MSGOUT-UBX_NAV_GEOFENCE_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1_STR     "CFG-MSGOUT-UBX_NAV_GEOFENCE_UART1"      //!< Name of CFG-MSGOUT-UBX_NAV_GEOFENCE_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_GEOFENCE_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2 CFG-MSGOUT-UBX_NAV_GEOFENCE_UART2 (Output rate of the UBX-NAV-GEOFENCE message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2_ID      0x209100a3                               //!< ID of CFG-MSGOUT-UBX_NAV_GEOFENCE_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2_STR     "CFG-MSGOUT-UBX_NAV_GEOFENCE_UART2"      //!< Name of CFG-MSGOUT-UBX_NAV_GEOFENCE_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_GEOFENCE_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI CFG-MSGOUT-UBX_NAV_GEOFENCE_SPI (Output rate of the UBX-NAV-GEOFENCE message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI_ID        0x209100a5                               //!< ID of CFG-MSGOUT-UBX_NAV_GEOFENCE_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI_STR       "CFG-MSGOUT-UBX_NAV_GEOFENCE_SPI"        //!< Name of CFG-MSGOUT-UBX_NAV_GEOFENCE_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_GEOFENCE_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C CFG-MSGOUT-UBX_NAV_GEOFENCE_I2C (Output rate of the UBX-NAV-GEOFENCE message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C_ID        0x209100a1                               //!< ID of CFG-MSGOUT-UBX_NAV_GEOFENCE_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C_STR       "CFG-MSGOUT-UBX_NAV_GEOFENCE_I2C"        //!< Name of CFG-MSGOUT-UBX_NAV_GEOFENCE_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_GEOFENCE_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB CFG-MSGOUT-UBX_NAV_GEOFENCE_USB (Output rate of the UBX-NAV-GEOFENCE message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB_ID        0x209100a4                               //!< ID of CFG-MSGOUT-UBX_NAV_GEOFENCE_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB_STR       "CFG-MSGOUT-UBX_NAV_GEOFENCE_USB"        //!< Name of CFG-MSGOUT-UBX_NAV_GEOFENCE_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_GEOFENCE_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1 CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART1 (Output rate of the UBX-NAV-HPPOSECEF message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1_ID     0x2091002f                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1_STR    "CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART1"     //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1_TYPE   U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2 CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART2 (Output rate of the UBX-NAV-HPPOSECEF message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2_ID     0x20910030                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2_STR    "CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART2"     //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2_TYPE   U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSECEF_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI CFG-MSGOUT-UBX_NAV_HPPOSECEF_SPI (Output rate of the UBX-NAV-HPPOSECEF message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI_ID       0x20910032                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSECEF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI_STR      "CFG-MSGOUT-UBX_NAV_HPPOSECEF_SPI"       //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSECEF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSECEF_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C CFG-MSGOUT-UBX_NAV_HPPOSECEF_I2C (Output rate of the UBX-NAV-HPPOSECEF message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C_ID       0x2091002e                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSECEF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C_STR      "CFG-MSGOUT-UBX_NAV_HPPOSECEF_I2C"       //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSECEF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSECEF_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB CFG-MSGOUT-UBX_NAV_HPPOSECEF_USB (Output rate of the UBX-NAV-HPPOSECEF message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB_ID       0x20910031                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSECEF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB_STR      "CFG-MSGOUT-UBX_NAV_HPPOSECEF_USB"       //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSECEF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSECEF_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1 CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART1 (Output rate of the UBX-NAV-HPPOSLLH message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1_ID      0x20910034                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1_STR     "CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART1"      //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2 CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART2 (Output rate of the UBX-NAV-HPPOSLLH message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2_ID      0x20910035                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2_STR     "CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART2"      //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSLLH_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI CFG-MSGOUT-UBX_NAV_HPPOSLLH_SPI (Output rate of the UBX-NAV-HPPOSLLH message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI_ID        0x20910037                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSLLH_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI_STR       "CFG-MSGOUT-UBX_NAV_HPPOSLLH_SPI"        //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSLLH_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSLLH_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C CFG-MSGOUT-UBX_NAV_HPPOSLLH_I2C (Output rate of the UBX-NAV-HPPOSLLH message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C_ID        0x20910033                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSLLH_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C_STR       "CFG-MSGOUT-UBX_NAV_HPPOSLLH_I2C"        //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSLLH_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSLLH_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB CFG-MSGOUT-UBX_NAV_HPPOSLLH_USB (Output rate of the UBX-NAV-HPPOSLLH message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB_ID        0x20910036                               //!< ID of CFG-MSGOUT-UBX_NAV_HPPOSLLH_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB_STR       "CFG-MSGOUT-UBX_NAV_HPPOSLLH_USB"        //!< Name of CFG-MSGOUT-UBX_NAV_HPPOSLLH_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_HPPOSLLH_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1 CFG-MSGOUT-UBX_NAV_ODO_UART1 (Output rate of the UBX-NAV-ODO message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1_ID           0x2091007f                               //!< ID of CFG-MSGOUT-UBX_NAV_ODO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1_STR          "CFG-MSGOUT-UBX_NAV_ODO_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_ODO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ODO_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2 CFG-MSGOUT-UBX_NAV_ODO_UART2 (Output rate of the UBX-NAV-ODO message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2_ID           0x20910080                               //!< ID of CFG-MSGOUT-UBX_NAV_ODO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2_STR          "CFG-MSGOUT-UBX_NAV_ODO_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_ODO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ODO_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI CFG-MSGOUT-UBX_NAV_ODO_SPI (Output rate of the UBX-NAV-ODO message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI_ID             0x20910082                               //!< ID of CFG-MSGOUT-UBX_NAV_ODO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI_STR            "CFG-MSGOUT-UBX_NAV_ODO_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_ODO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ODO_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C CFG-MSGOUT-UBX_NAV_ODO_I2C (Output rate of the UBX-NAV-ODO message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C_ID             0x2091007e                               //!< ID of CFG-MSGOUT-UBX_NAV_ODO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C_STR            "CFG-MSGOUT-UBX_NAV_ODO_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_ODO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ODO_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB CFG-MSGOUT-UBX_NAV_ODO_USB (Output rate of the UBX-NAV-ODO message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB_ID             0x20910081                               //!< ID of CFG-MSGOUT-UBX_NAV_ODO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB_STR            "CFG-MSGOUT-UBX_NAV_ODO_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_ODO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ODO_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1 CFG-MSGOUT-UBX_NAV_ORB_UART1 (Output rate of the UBX-NAV-ORB message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1_ID           0x20910011                               //!< ID of CFG-MSGOUT-UBX_NAV_ORB_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1_STR          "CFG-MSGOUT-UBX_NAV_ORB_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_ORB_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ORB_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2 CFG-MSGOUT-UBX_NAV_ORB_UART2 (Output rate of the UBX-NAV-ORB message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2_ID           0x20910012                               //!< ID of CFG-MSGOUT-UBX_NAV_ORB_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2_STR          "CFG-MSGOUT-UBX_NAV_ORB_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_ORB_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ORB_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI CFG-MSGOUT-UBX_NAV_ORB_SPI (Output rate of the UBX-NAV-ORB message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI_ID             0x20910014                               //!< ID of CFG-MSGOUT-UBX_NAV_ORB_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI_STR            "CFG-MSGOUT-UBX_NAV_ORB_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_ORB_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ORB_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C CFG-MSGOUT-UBX_NAV_ORB_I2C (Output rate of the UBX-NAV-ORB message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C_ID             0x20910010                               //!< ID of CFG-MSGOUT-UBX_NAV_ORB_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C_STR            "CFG-MSGOUT-UBX_NAV_ORB_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_ORB_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ORB_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB CFG-MSGOUT-UBX_NAV_ORB_USB (Output rate of the UBX-NAV-ORB message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB_ID             0x20910013                               //!< ID of CFG-MSGOUT-UBX_NAV_ORB_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB_STR            "CFG-MSGOUT-UBX_NAV_ORB_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_ORB_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_ORB_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1 CFG-MSGOUT-UBX_NAV_POSECEF_UART1 (Output rate of the UBX-NAV-POSECEF message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1_ID       0x20910025                               //!< ID of CFG-MSGOUT-UBX_NAV_POSECEF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1_STR      "CFG-MSGOUT-UBX_NAV_POSECEF_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_POSECEF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSECEF_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2 CFG-MSGOUT-UBX_NAV_POSECEF_UART2 (Output rate of the UBX-NAV-POSECEF message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2_ID       0x20910026                               //!< ID of CFG-MSGOUT-UBX_NAV_POSECEF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2_STR      "CFG-MSGOUT-UBX_NAV_POSECEF_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_POSECEF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSECEF_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI CFG-MSGOUT-UBX_NAV_POSECEF_SPI (Output rate of the UBX-NAV-POSECEF message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI_ID         0x20910028                               //!< ID of CFG-MSGOUT-UBX_NAV_POSECEF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI_STR        "CFG-MSGOUT-UBX_NAV_POSECEF_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_POSECEF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSECEF_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C CFG-MSGOUT-UBX_NAV_POSECEF_I2C (Output rate of the UBX-NAV-POSECEF message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C_ID         0x20910024                               //!< ID of CFG-MSGOUT-UBX_NAV_POSECEF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C_STR        "CFG-MSGOUT-UBX_NAV_POSECEF_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_POSECEF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSECEF_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB CFG-MSGOUT-UBX_NAV_POSECEF_USB (Output rate of the UBX-NAV-POSECEF message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB_ID         0x20910027                               //!< ID of CFG-MSGOUT-UBX_NAV_POSECEF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB_STR        "CFG-MSGOUT-UBX_NAV_POSECEF_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_POSECEF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSECEF_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1 CFG-MSGOUT-UBX_NAV_POSLLH_UART1 (Output rate of the UBX-NAV-POSLLH message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1_ID        0x2091002a                               //!< ID of CFG-MSGOUT-UBX_NAV_POSLLH_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1_STR       "CFG-MSGOUT-UBX_NAV_POSLLH_UART1"        //!< Name of CFG-MSGOUT-UBX_NAV_POSLLH_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSLLH_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2 CFG-MSGOUT-UBX_NAV_POSLLH_UART2 (Output rate of the UBX-NAV-POSLLH message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2_ID        0x2091002b                               //!< ID of CFG-MSGOUT-UBX_NAV_POSLLH_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2_STR       "CFG-MSGOUT-UBX_NAV_POSLLH_UART2"        //!< Name of CFG-MSGOUT-UBX_NAV_POSLLH_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSLLH_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI CFG-MSGOUT-UBX_NAV_POSLLH_SPI (Output rate of the UBX-NAV-POSLLH message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI_ID          0x2091002d                               //!< ID of CFG-MSGOUT-UBX_NAV_POSLLH_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI_STR         "CFG-MSGOUT-UBX_NAV_POSLLH_SPI"          //!< Name of CFG-MSGOUT-UBX_NAV_POSLLH_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSLLH_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C CFG-MSGOUT-UBX_NAV_POSLLH_I2C (Output rate of the UBX-NAV-POSLLH message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C_ID          0x20910029                               //!< ID of CFG-MSGOUT-UBX_NAV_POSLLH_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C_STR         "CFG-MSGOUT-UBX_NAV_POSLLH_I2C"          //!< Name of CFG-MSGOUT-UBX_NAV_POSLLH_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSLLH_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB CFG-MSGOUT-UBX_NAV_POSLLH_USB (Output rate of the UBX-NAV-POSLLH message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB_ID          0x2091002c                               //!< ID of CFG-MSGOUT-UBX_NAV_POSLLH_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB_STR         "CFG-MSGOUT-UBX_NAV_POSLLH_USB"          //!< Name of CFG-MSGOUT-UBX_NAV_POSLLH_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_POSLLH_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1 CFG-MSGOUT-UBX_NAV_PVT_UART1 (Output rate of the UBX-NAV-PVT message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1_ID           0x20910007                               //!< ID of CFG-MSGOUT-UBX_NAV_PVT_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1_STR          "CFG-MSGOUT-UBX_NAV_PVT_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_PVT_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_PVT_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2 CFG-MSGOUT-UBX_NAV_PVT_UART2 (Output rate of the UBX-NAV-PVT message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2_ID           0x20910008                               //!< ID of CFG-MSGOUT-UBX_NAV_PVT_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2_STR          "CFG-MSGOUT-UBX_NAV_PVT_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_PVT_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_PVT_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI CFG-MSGOUT-UBX_NAV_PVT_SPI (Output rate of the UBX-NAV-PVT message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI_ID             0x2091000a                               //!< ID of CFG-MSGOUT-UBX_NAV_PVT_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI_STR            "CFG-MSGOUT-UBX_NAV_PVT_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_PVT_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_PVT_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C CFG-MSGOUT-UBX_NAV_PVT_I2C (Output rate of the UBX-NAV-PVT message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C_ID             0x20910006                               //!< ID of CFG-MSGOUT-UBX_NAV_PVT_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C_STR            "CFG-MSGOUT-UBX_NAV_PVT_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_PVT_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_PVT_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB CFG-MSGOUT-UBX_NAV_PVT_USB (Output rate of the UBX-NAV-PVT message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB_ID             0x20910009                               //!< ID of CFG-MSGOUT-UBX_NAV_PVT_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB_STR            "CFG-MSGOUT-UBX_NAV_PVT_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_PVT_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_PVT_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1 CFG-MSGOUT-UBX_NAV_RELPOSNED_UART1 (Output rate of the UBX-NAV-RELPOSNED message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1_ID     0x2091008e                               //!< ID of CFG-MSGOUT-UBX_NAV_RELPOSNED_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1_STR    "CFG-MSGOUT-UBX_NAV_RELPOSNED_UART1"     //!< Name of CFG-MSGOUT-UBX_NAV_RELPOSNED_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1_TYPE   U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_RELPOSNED_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2 CFG-MSGOUT-UBX_NAV_RELPOSNED_UART2 (Output rate of the UBX-NAV-RELPOSNED message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2_ID     0x2091008f                               //!< ID of CFG-MSGOUT-UBX_NAV_RELPOSNED_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2_STR    "CFG-MSGOUT-UBX_NAV_RELPOSNED_UART2"     //!< Name of CFG-MSGOUT-UBX_NAV_RELPOSNED_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2_TYPE   U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_RELPOSNED_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI CFG-MSGOUT-UBX_NAV_RELPOSNED_SPI (Output rate of the UBX-NAV-RELPOSNED message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI_ID       0x20910091                               //!< ID of CFG-MSGOUT-UBX_NAV_RELPOSNED_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI_STR      "CFG-MSGOUT-UBX_NAV_RELPOSNED_SPI"       //!< Name of CFG-MSGOUT-UBX_NAV_RELPOSNED_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_RELPOSNED_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C CFG-MSGOUT-UBX_NAV_RELPOSNED_I2C (Output rate of the UBX-NAV-RELPOSNED message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C_ID       0x2091008d                               //!< ID of CFG-MSGOUT-UBX_NAV_RELPOSNED_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C_STR      "CFG-MSGOUT-UBX_NAV_RELPOSNED_I2C"       //!< Name of CFG-MSGOUT-UBX_NAV_RELPOSNED_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_RELPOSNED_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB CFG-MSGOUT-UBX_NAV_RELPOSNED_USB (Output rate of the UBX-NAV-RELPOSNED message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB_ID       0x20910090                               //!< ID of CFG-MSGOUT-UBX_NAV_RELPOSNED_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB_STR      "CFG-MSGOUT-UBX_NAV_RELPOSNED_USB"       //!< Name of CFG-MSGOUT-UBX_NAV_RELPOSNED_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_RELPOSNED_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1 CFG-MSGOUT-UBX_NAV_SAT_UART1 (Output rate of the UBX-NAV-SAT message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1_ID           0x20910016                               //!< ID of CFG-MSGOUT-UBX_NAV_SAT_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1_STR          "CFG-MSGOUT-UBX_NAV_SAT_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_SAT_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SAT_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2 CFG-MSGOUT-UBX_NAV_SAT_UART2 (Output rate of the UBX-NAV-SAT message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2_ID           0x20910017                               //!< ID of CFG-MSGOUT-UBX_NAV_SAT_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2_STR          "CFG-MSGOUT-UBX_NAV_SAT_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_SAT_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SAT_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI CFG-MSGOUT-UBX_NAV_SAT_SPI (Output rate of the UBX-NAV-SAT message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI_ID             0x20910019                               //!< ID of CFG-MSGOUT-UBX_NAV_SAT_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI_STR            "CFG-MSGOUT-UBX_NAV_SAT_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_SAT_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SAT_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C CFG-MSGOUT-UBX_NAV_SAT_I2C (Output rate of the UBX-NAV-SAT message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C_ID             0x20910015                               //!< ID of CFG-MSGOUT-UBX_NAV_SAT_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C_STR            "CFG-MSGOUT-UBX_NAV_SAT_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_SAT_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SAT_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB CFG-MSGOUT-UBX_NAV_SAT_USB (Output rate of the UBX-NAV-SAT message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB_ID             0x20910018                               //!< ID of CFG-MSGOUT-UBX_NAV_SAT_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB_STR            "CFG-MSGOUT-UBX_NAV_SAT_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_SAT_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SAT_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1 CFG-MSGOUT-UBX_NAV_SBAS_UART1 (Output rate of the UBX-NAV-SBAS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1_ID          0x2091006b                               //!< ID of CFG-MSGOUT-UBX_NAV_SBAS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1_STR         "CFG-MSGOUT-UBX_NAV_SBAS_UART1"          //!< Name of CFG-MSGOUT-UBX_NAV_SBAS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SBAS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2 CFG-MSGOUT-UBX_NAV_SBAS_UART2 (Output rate of the UBX-NAV-SBAS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2_ID          0x2091006c                               //!< ID of CFG-MSGOUT-UBX_NAV_SBAS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2_STR         "CFG-MSGOUT-UBX_NAV_SBAS_UART2"          //!< Name of CFG-MSGOUT-UBX_NAV_SBAS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SBAS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI CFG-MSGOUT-UBX_NAV_SBAS_SPI (Output rate of the UBX-NAV-SBAS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI_ID            0x2091006e                               //!< ID of CFG-MSGOUT-UBX_NAV_SBAS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI_STR           "CFG-MSGOUT-UBX_NAV_SBAS_SPI"            //!< Name of CFG-MSGOUT-UBX_NAV_SBAS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SBAS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C CFG-MSGOUT-UBX_NAV_SBAS_I2C (Output rate of the UBX-NAV-SBAS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C_ID            0x2091006a                               //!< ID of CFG-MSGOUT-UBX_NAV_SBAS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C_STR           "CFG-MSGOUT-UBX_NAV_SBAS_I2C"            //!< Name of CFG-MSGOUT-UBX_NAV_SBAS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SBAS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB CFG-MSGOUT-UBX_NAV_SBAS_USB (Output rate of the UBX-NAV-SBAS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB_ID            0x2091006d                               //!< ID of CFG-MSGOUT-UBX_NAV_SBAS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB_STR           "CFG-MSGOUT-UBX_NAV_SBAS_USB"            //!< Name of CFG-MSGOUT-UBX_NAV_SBAS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SBAS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1 CFG-MSGOUT-UBX_NAV_SIG_UART1 (Output rate of the UBX-NAV-SIG message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1_ID           0x20910346                               //!< ID of CFG-MSGOUT-UBX_NAV_SIG_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1_STR          "CFG-MSGOUT-UBX_NAV_SIG_UART1"           //!< Name of CFG-MSGOUT-UBX_NAV_SIG_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SIG_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2 CFG-MSGOUT-UBX_NAV_SIG_UART2 (Output rate of the UBX-NAV-SIG message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2_ID           0x20910347                               //!< ID of CFG-MSGOUT-UBX_NAV_SIG_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2_STR          "CFG-MSGOUT-UBX_NAV_SIG_UART2"           //!< Name of CFG-MSGOUT-UBX_NAV_SIG_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SIG_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI CFG-MSGOUT-UBX_NAV_SIG_SPI (Output rate of the UBX-NAV-SIG message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI_ID             0x20910349                               //!< ID of CFG-MSGOUT-UBX_NAV_SIG_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI_STR            "CFG-MSGOUT-UBX_NAV_SIG_SPI"             //!< Name of CFG-MSGOUT-UBX_NAV_SIG_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SIG_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C CFG-MSGOUT-UBX_NAV_SIG_I2C (Output rate of the UBX-NAV-SIG message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C_ID             0x20910345                               //!< ID of CFG-MSGOUT-UBX_NAV_SIG_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C_STR            "CFG-MSGOUT-UBX_NAV_SIG_I2C"             //!< Name of CFG-MSGOUT-UBX_NAV_SIG_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SIG_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB CFG-MSGOUT-UBX_NAV_SIG_USB (Output rate of the UBX-NAV-SIG message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB_ID             0x20910348                               //!< ID of CFG-MSGOUT-UBX_NAV_SIG_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB_STR            "CFG-MSGOUT-UBX_NAV_SIG_USB"             //!< Name of CFG-MSGOUT-UBX_NAV_SIG_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SIG_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1 CFG-MSGOUT-UBX_NAV_SLAS_UART1 (Output rate of the UBX-NAV-SLAS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1_ID          0x20910337                               //!< ID of CFG-MSGOUT-UBX_NAV_SLAS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1_STR         "CFG-MSGOUT-UBX_NAV_SLAS_UART1"          //!< Name of CFG-MSGOUT-UBX_NAV_SLAS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SLAS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2 CFG-MSGOUT-UBX_NAV_SLAS_UART2 (Output rate of the UBX-NAV-SLAS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2_ID          0x20910338                               //!< ID of CFG-MSGOUT-UBX_NAV_SLAS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2_STR         "CFG-MSGOUT-UBX_NAV_SLAS_UART2"          //!< Name of CFG-MSGOUT-UBX_NAV_SLAS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SLAS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI CFG-MSGOUT-UBX_NAV_SLAS_SPI (Output rate of the UBX-NAV-SLAS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI_ID            0x2091033a                               //!< ID of CFG-MSGOUT-UBX_NAV_SLAS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI_STR           "CFG-MSGOUT-UBX_NAV_SLAS_SPI"            //!< Name of CFG-MSGOUT-UBX_NAV_SLAS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SLAS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C CFG-MSGOUT-UBX_NAV_SLAS_I2C (Output rate of the UBX-NAV-SLAS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C_ID            0x20910336                               //!< ID of CFG-MSGOUT-UBX_NAV_SLAS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C_STR           "CFG-MSGOUT-UBX_NAV_SLAS_I2C"            //!< Name of CFG-MSGOUT-UBX_NAV_SLAS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SLAS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB CFG-MSGOUT-UBX_NAV_SLAS_USB (Output rate of the UBX-NAV-SLAS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB_ID            0x20910339                               //!< ID of CFG-MSGOUT-UBX_NAV_SLAS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB_STR           "CFG-MSGOUT-UBX_NAV_SLAS_USB"            //!< Name of CFG-MSGOUT-UBX_NAV_SLAS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SLAS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1 CFG-MSGOUT-UBX_NAV_STATUS_UART1 (Output rate of the UBX-NAV-STATUS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1_ID        0x2091001b                               //!< ID of CFG-MSGOUT-UBX_NAV_STATUS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1_STR       "CFG-MSGOUT-UBX_NAV_STATUS_UART1"        //!< Name of CFG-MSGOUT-UBX_NAV_STATUS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_STATUS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2 CFG-MSGOUT-UBX_NAV_STATUS_UART2 (Output rate of the UBX-NAV-STATUS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2_ID        0x2091001c                               //!< ID of CFG-MSGOUT-UBX_NAV_STATUS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2_STR       "CFG-MSGOUT-UBX_NAV_STATUS_UART2"        //!< Name of CFG-MSGOUT-UBX_NAV_STATUS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_STATUS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI CFG-MSGOUT-UBX_NAV_STATUS_SPI (Output rate of the UBX-NAV-STATUS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI_ID          0x2091001e                               //!< ID of CFG-MSGOUT-UBX_NAV_STATUS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI_STR         "CFG-MSGOUT-UBX_NAV_STATUS_SPI"          //!< Name of CFG-MSGOUT-UBX_NAV_STATUS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_STATUS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C CFG-MSGOUT-UBX_NAV_STATUS_I2C (Output rate of the UBX-NAV-STATUS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C_ID          0x2091001a                               //!< ID of CFG-MSGOUT-UBX_NAV_STATUS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C_STR         "CFG-MSGOUT-UBX_NAV_STATUS_I2C"          //!< Name of CFG-MSGOUT-UBX_NAV_STATUS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_STATUS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB CFG-MSGOUT-UBX_NAV_STATUS_USB (Output rate of the UBX-NAV-STATUS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB_ID          0x2091001d                               //!< ID of CFG-MSGOUT-UBX_NAV_STATUS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB_STR         "CFG-MSGOUT-UBX_NAV_STATUS_USB"          //!< Name of CFG-MSGOUT-UBX_NAV_STATUS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_STATUS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1 CFG-MSGOUT-UBX_NAV_SVIN_UART1 (Output rate of the UBX-NAV-SVIN message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1_ID          0x20910089                               //!< ID of CFG-MSGOUT-UBX_NAV_SVIN_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1_STR         "CFG-MSGOUT-UBX_NAV_SVIN_UART1"          //!< Name of CFG-MSGOUT-UBX_NAV_SVIN_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SVIN_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2 CFG-MSGOUT-UBX_NAV_SVIN_UART2 (Output rate of the UBX-NAV-SVIN message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2_ID          0x2091008a                               //!< ID of CFG-MSGOUT-UBX_NAV_SVIN_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2_STR         "CFG-MSGOUT-UBX_NAV_SVIN_UART2"          //!< Name of CFG-MSGOUT-UBX_NAV_SVIN_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SVIN_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI CFG-MSGOUT-UBX_NAV_SVIN_SPI (Output rate of the UBX-NAV-SVIN message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI_ID            0x2091008c                               //!< ID of CFG-MSGOUT-UBX_NAV_SVIN_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI_STR           "CFG-MSGOUT-UBX_NAV_SVIN_SPI"            //!< Name of CFG-MSGOUT-UBX_NAV_SVIN_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SVIN_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C CFG-MSGOUT-UBX_NAV_SVIN_I2C (Output rate of the UBX-NAV-SVIN message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C_ID            0x20910088                               //!< ID of CFG-MSGOUT-UBX_NAV_SVIN_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C_STR           "CFG-MSGOUT-UBX_NAV_SVIN_I2C"            //!< Name of CFG-MSGOUT-UBX_NAV_SVIN_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SVIN_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB CFG-MSGOUT-UBX_NAV_SVIN_USB (Output rate of the UBX-NAV-SVIN message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB_ID            0x2091008b                               //!< ID of CFG-MSGOUT-UBX_NAV_SVIN_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB_STR           "CFG-MSGOUT-UBX_NAV_SVIN_USB"            //!< Name of CFG-MSGOUT-UBX_NAV_SVIN_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_SVIN_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1 CFG-MSGOUT-UBX_NAV_TIMEBDS_UART1 (Output rate of the UBX-NAV-TIMEBDS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1_ID       0x20910052                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEBDS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1_STR      "CFG-MSGOUT-UBX_NAV_TIMEBDS_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEBDS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEBDS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2 CFG-MSGOUT-UBX_NAV_TIMEBDS_UART2 (Output rate of the UBX-NAV-TIMEBDS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2_ID       0x20910053                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEBDS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2_STR      "CFG-MSGOUT-UBX_NAV_TIMEBDS_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEBDS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEBDS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI CFG-MSGOUT-UBX_NAV_TIMEBDS_SPI (Output rate of the UBX-NAV-TIMEBDS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI_ID         0x20910055                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEBDS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI_STR        "CFG-MSGOUT-UBX_NAV_TIMEBDS_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEBDS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEBDS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C CFG-MSGOUT-UBX_NAV_TIMEBDS_I2C (Output rate of the UBX-NAV-TIMEBDS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C_ID         0x20910051                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEBDS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C_STR        "CFG-MSGOUT-UBX_NAV_TIMEBDS_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEBDS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEBDS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB CFG-MSGOUT-UBX_NAV_TIMEBDS_USB (Output rate of the UBX-NAV-TIMEBDS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB_ID         0x20910054                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEBDS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB_STR        "CFG-MSGOUT-UBX_NAV_TIMEBDS_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEBDS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEBDS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1 CFG-MSGOUT-UBX_NAV_TIMEGAL_UART1 (Output rate of the UBX-NAV-TIMEGAL message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1_ID       0x20910057                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGAL_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1_STR      "CFG-MSGOUT-UBX_NAV_TIMEGAL_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGAL_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGAL_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2 CFG-MSGOUT-UBX_NAV_TIMEGAL_UART2 (Output rate of the UBX-NAV-TIMEGAL message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2_ID       0x20910058                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGAL_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2_STR      "CFG-MSGOUT-UBX_NAV_TIMEGAL_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGAL_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGAL_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI CFG-MSGOUT-UBX_NAV_TIMEGAL_SPI (Output rate of the UBX-NAV-TIMEGAL message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI_ID         0x2091005a                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGAL_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI_STR        "CFG-MSGOUT-UBX_NAV_TIMEGAL_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGAL_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGAL_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C CFG-MSGOUT-UBX_NAV_TIMEGAL_I2C (Output rate of the UBX-NAV-TIMEGAL message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C_ID         0x20910056                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGAL_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C_STR        "CFG-MSGOUT-UBX_NAV_TIMEGAL_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGAL_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGAL_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB CFG-MSGOUT-UBX_NAV_TIMEGAL_USB (Output rate of the UBX-NAV-TIMEGAL message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB_ID         0x20910059                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGAL_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB_STR        "CFG-MSGOUT-UBX_NAV_TIMEGAL_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGAL_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGAL_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1 CFG-MSGOUT-UBX_NAV_TIMEGLO_UART1 (Output rate of the UBX-NAV-TIMEGLO message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1_ID       0x2091004d                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGLO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1_STR      "CFG-MSGOUT-UBX_NAV_TIMEGLO_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGLO_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGLO_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2 CFG-MSGOUT-UBX_NAV_TIMEGLO_UART2 (Output rate of the UBX-NAV-TIMEGLO message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2_ID       0x2091004e                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGLO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2_STR      "CFG-MSGOUT-UBX_NAV_TIMEGLO_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGLO_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGLO_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI CFG-MSGOUT-UBX_NAV_TIMEGLO_SPI (Output rate of the UBX-NAV-TIMEGLO message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI_ID         0x20910050                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGLO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI_STR        "CFG-MSGOUT-UBX_NAV_TIMEGLO_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGLO_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGLO_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C CFG-MSGOUT-UBX_NAV_TIMEGLO_I2C (Output rate of the UBX-NAV-TIMEGLO message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C_ID         0x2091004c                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGLO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C_STR        "CFG-MSGOUT-UBX_NAV_TIMEGLO_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGLO_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGLO_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB CFG-MSGOUT-UBX_NAV_TIMEGLO_USB (Output rate of the UBX-NAV-TIMEGLO message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB_ID         0x2091004f                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGLO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB_STR        "CFG-MSGOUT-UBX_NAV_TIMEGLO_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGLO_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGLO_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1 CFG-MSGOUT-UBX_NAV_TIMEGPS_UART1 (Output rate of the UBX-NAV-TIMEGPS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1_ID       0x20910048                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGPS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1_STR      "CFG-MSGOUT-UBX_NAV_TIMEGPS_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGPS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGPS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2 CFG-MSGOUT-UBX_NAV_TIMEGPS_UART2 (Output rate of the UBX-NAV-TIMEGPS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2_ID       0x20910049                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGPS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2_STR      "CFG-MSGOUT-UBX_NAV_TIMEGPS_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGPS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGPS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI CFG-MSGOUT-UBX_NAV_TIMEGPS_SPI (Output rate of the UBX-NAV-TIMEGPS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI_ID         0x2091004b                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGPS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI_STR        "CFG-MSGOUT-UBX_NAV_TIMEGPS_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGPS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGPS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C CFG-MSGOUT-UBX_NAV_TIMEGPS_I2C (Output rate of the UBX-NAV-TIMEGPS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C_ID         0x20910047                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGPS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C_STR        "CFG-MSGOUT-UBX_NAV_TIMEGPS_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGPS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGPS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB CFG-MSGOUT-UBX_NAV_TIMEGPS_USB (Output rate of the UBX-NAV-TIMEGPS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB_ID         0x2091004a                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEGPS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB_STR        "CFG-MSGOUT-UBX_NAV_TIMEGPS_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEGPS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEGPS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1 CFG-MSGOUT-UBX_NAV_TIMELS_UART1 (Output rate of the UBX-NAV-TIMELS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1_ID        0x20910061                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMELS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1_STR       "CFG-MSGOUT-UBX_NAV_TIMELS_UART1"        //!< Name of CFG-MSGOUT-UBX_NAV_TIMELS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMELS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2 CFG-MSGOUT-UBX_NAV_TIMELS_UART2 (Output rate of the UBX-NAV-TIMELS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2_ID        0x20910062                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMELS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2_STR       "CFG-MSGOUT-UBX_NAV_TIMELS_UART2"        //!< Name of CFG-MSGOUT-UBX_NAV_TIMELS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMELS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI CFG-MSGOUT-UBX_NAV_TIMELS_SPI (Output rate of the UBX-NAV-TIMELS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI_ID          0x20910064                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMELS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI_STR         "CFG-MSGOUT-UBX_NAV_TIMELS_SPI"          //!< Name of CFG-MSGOUT-UBX_NAV_TIMELS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMELS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C CFG-MSGOUT-UBX_NAV_TIMELS_I2C (Output rate of the UBX-NAV-TIMELS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C_ID          0x20910060                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMELS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C_STR         "CFG-MSGOUT-UBX_NAV_TIMELS_I2C"          //!< Name of CFG-MSGOUT-UBX_NAV_TIMELS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMELS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB CFG-MSGOUT-UBX_NAV_TIMELS_USB (Output rate of the UBX-NAV-TIMELS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB_ID          0x20910063                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMELS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB_STR         "CFG-MSGOUT-UBX_NAV_TIMELS_USB"          //!< Name of CFG-MSGOUT-UBX_NAV_TIMELS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMELS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1 CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART1 (Output rate of the UBX-NAV-TIMEQZSS message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1_ID      0x20910387                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1_STR     "CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART1"      //!< Name of CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1_TYPE    U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2 CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART2 (Output rate of the UBX-NAV-TIMEQZSS message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2_ID      0x20910388                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2_STR     "CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART2"      //!< Name of CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2_TYPE    U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEQZSS_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI CFG-MSGOUT-UBX_NAV_TIMEQZSS_SPI (Output rate of the UBX-NAV-TIMEQZSS message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI_ID        0x2091038a                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEQZSS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI_STR       "CFG-MSGOUT-UBX_NAV_TIMEQZSS_SPI"        //!< Name of CFG-MSGOUT-UBX_NAV_TIMEQZSS_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEQZSS_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C CFG-MSGOUT-UBX_NAV_TIMEQZSS_I2C (Output rate of the UBX-NAV-TIMEQZSS message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C_ID        0x20910386                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEQZSS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C_STR       "CFG-MSGOUT-UBX_NAV_TIMEQZSS_I2C"        //!< Name of CFG-MSGOUT-UBX_NAV_TIMEQZSS_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEQZSS_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB CFG-MSGOUT-UBX_NAV_TIMEQZSS_USB (Output rate of the UBX-NAV-TIMEQZSS message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB_ID        0x20910389                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEQZSS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB_STR       "CFG-MSGOUT-UBX_NAV_TIMEQZSS_USB"        //!< Name of CFG-MSGOUT-UBX_NAV_TIMEQZSS_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEQZSS_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1 CFG-MSGOUT-UBX_NAV_TIMEUTC_UART1 (Output rate of the UBX-NAV-TIMEUTC message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1_ID       0x2091005c                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEUTC_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1_STR      "CFG-MSGOUT-UBX_NAV_TIMEUTC_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEUTC_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEUTC_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2 CFG-MSGOUT-UBX_NAV_TIMEUTC_UART2 (Output rate of the UBX-NAV-TIMEUTC message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2_ID       0x2091005d                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEUTC_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2_STR      "CFG-MSGOUT-UBX_NAV_TIMEUTC_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_TIMEUTC_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEUTC_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI CFG-MSGOUT-UBX_NAV_TIMEUTC_SPI (Output rate of the UBX-NAV-TIMEUTC message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI_ID         0x2091005f                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEUTC_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI_STR        "CFG-MSGOUT-UBX_NAV_TIMEUTC_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEUTC_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEUTC_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C CFG-MSGOUT-UBX_NAV_TIMEUTC_I2C (Output rate of the UBX-NAV-TIMEUTC message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C_ID         0x2091005b                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEUTC_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C_STR        "CFG-MSGOUT-UBX_NAV_TIMEUTC_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEUTC_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEUTC_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB CFG-MSGOUT-UBX_NAV_TIMEUTC_USB (Output rate of the UBX-NAV-TIMEUTC message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB_ID         0x2091005e                               //!< ID of CFG-MSGOUT-UBX_NAV_TIMEUTC_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB_STR        "CFG-MSGOUT-UBX_NAV_TIMEUTC_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_TIMEUTC_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_TIMEUTC_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1 CFG-MSGOUT-UBX_NAV_VELECEF_UART1 (Output rate of the UBX-NAV-VELECEF message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1_ID       0x2091003e                               //!< ID of CFG-MSGOUT-UBX_NAV_VELECEF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1_STR      "CFG-MSGOUT-UBX_NAV_VELECEF_UART1"       //!< Name of CFG-MSGOUT-UBX_NAV_VELECEF_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELECEF_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2 CFG-MSGOUT-UBX_NAV_VELECEF_UART2 (Output rate of the UBX-NAV-VELECEF message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2_ID       0x2091003f                               //!< ID of CFG-MSGOUT-UBX_NAV_VELECEF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2_STR      "CFG-MSGOUT-UBX_NAV_VELECEF_UART2"       //!< Name of CFG-MSGOUT-UBX_NAV_VELECEF_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2_TYPE     U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELECEF_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI CFG-MSGOUT-UBX_NAV_VELECEF_SPI (Output rate of the UBX-NAV-VELECEF message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI_ID         0x20910041                               //!< ID of CFG-MSGOUT-UBX_NAV_VELECEF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI_STR        "CFG-MSGOUT-UBX_NAV_VELECEF_SPI"         //!< Name of CFG-MSGOUT-UBX_NAV_VELECEF_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELECEF_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C CFG-MSGOUT-UBX_NAV_VELECEF_I2C (Output rate of the UBX-NAV-VELECEF message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C_ID         0x2091003d                               //!< ID of CFG-MSGOUT-UBX_NAV_VELECEF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C_STR        "CFG-MSGOUT-UBX_NAV_VELECEF_I2C"         //!< Name of CFG-MSGOUT-UBX_NAV_VELECEF_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELECEF_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB CFG-MSGOUT-UBX_NAV_VELECEF_USB (Output rate of the UBX-NAV-VELECEF message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB_ID         0x20910040                               //!< ID of CFG-MSGOUT-UBX_NAV_VELECEF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB_STR        "CFG-MSGOUT-UBX_NAV_VELECEF_USB"         //!< Name of CFG-MSGOUT-UBX_NAV_VELECEF_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELECEF_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1 CFG-MSGOUT-UBX_NAV_VELNED_UART1 (Output rate of the UBX-NAV-VELNED message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1_ID        0x20910043                               //!< ID of CFG-MSGOUT-UBX_NAV_VELNED_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1_STR       "CFG-MSGOUT-UBX_NAV_VELNED_UART1"        //!< Name of CFG-MSGOUT-UBX_NAV_VELNED_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELNED_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2 CFG-MSGOUT-UBX_NAV_VELNED_UART2 (Output rate of the UBX-NAV-VELNED message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2_ID        0x20910044                               //!< ID of CFG-MSGOUT-UBX_NAV_VELNED_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2_STR       "CFG-MSGOUT-UBX_NAV_VELNED_UART2"        //!< Name of CFG-MSGOUT-UBX_NAV_VELNED_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2_TYPE      U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELNED_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI CFG-MSGOUT-UBX_NAV_VELNED_SPI (Output rate of the UBX-NAV-VELNED message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI_ID          0x20910046                               //!< ID of CFG-MSGOUT-UBX_NAV_VELNED_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI_STR         "CFG-MSGOUT-UBX_NAV_VELNED_SPI"          //!< Name of CFG-MSGOUT-UBX_NAV_VELNED_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELNED_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C CFG-MSGOUT-UBX_NAV_VELNED_I2C (Output rate of the UBX-NAV-VELNED message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C_ID          0x20910042                               //!< ID of CFG-MSGOUT-UBX_NAV_VELNED_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C_STR         "CFG-MSGOUT-UBX_NAV_VELNED_I2C"          //!< Name of CFG-MSGOUT-UBX_NAV_VELNED_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELNED_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB CFG-MSGOUT-UBX_NAV_VELNED_USB (Output rate of the UBX-NAV-VELNED message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB_ID          0x20910045                               //!< ID of CFG-MSGOUT-UBX_NAV_VELNED_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB_STR         "CFG-MSGOUT-UBX_NAV_VELNED_USB"          //!< Name of CFG-MSGOUT-UBX_NAV_VELNED_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_NAV_VELNED_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1 CFG-MSGOUT-UBX_RXM_MEASX_UART1 (Output rate of the UBX-RXM-MEASX message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1_ID         0x20910205                               //!< ID of CFG-MSGOUT-UBX_RXM_MEASX_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1_STR        "CFG-MSGOUT-UBX_RXM_MEASX_UART1"         //!< Name of CFG-MSGOUT-UBX_RXM_MEASX_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_MEASX_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2 CFG-MSGOUT-UBX_RXM_MEASX_UART2 (Output rate of the UBX-RXM-MEASX message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2_ID         0x20910206                               //!< ID of CFG-MSGOUT-UBX_RXM_MEASX_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2_STR        "CFG-MSGOUT-UBX_RXM_MEASX_UART2"         //!< Name of CFG-MSGOUT-UBX_RXM_MEASX_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_MEASX_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI CFG-MSGOUT-UBX_RXM_MEASX_SPI (Output rate of the UBX-RXM-MEASX message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI_ID           0x20910208                               //!< ID of CFG-MSGOUT-UBX_RXM_MEASX_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI_STR          "CFG-MSGOUT-UBX_RXM_MEASX_SPI"           //!< Name of CFG-MSGOUT-UBX_RXM_MEASX_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_MEASX_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C CFG-MSGOUT-UBX_RXM_MEASX_I2C (Output rate of the UBX-RXM-MEASX message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C_ID           0x20910204                               //!< ID of CFG-MSGOUT-UBX_RXM_MEASX_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C_STR          "CFG-MSGOUT-UBX_RXM_MEASX_I2C"           //!< Name of CFG-MSGOUT-UBX_RXM_MEASX_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_MEASX_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB CFG-MSGOUT-UBX_RXM_MEASX_USB (Output rate of the UBX-RXM-MEASX message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB_ID           0x20910207                               //!< ID of CFG-MSGOUT-UBX_RXM_MEASX_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB_STR          "CFG-MSGOUT-UBX_RXM_MEASX_USB"           //!< Name of CFG-MSGOUT-UBX_RXM_MEASX_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_MEASX_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1 CFG-MSGOUT-UBX_RXM_RAWX_UART1 (Output rate of the UBX-RXM-RAWX message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1_ID          0x209102a5                               //!< ID of CFG-MSGOUT-UBX_RXM_RAWX_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1_STR         "CFG-MSGOUT-UBX_RXM_RAWX_UART1"          //!< Name of CFG-MSGOUT-UBX_RXM_RAWX_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RAWX_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2 CFG-MSGOUT-UBX_RXM_RAWX_UART2 (Output rate of the UBX-RXM-RAWX message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2_ID          0x209102a6                               //!< ID of CFG-MSGOUT-UBX_RXM_RAWX_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2_STR         "CFG-MSGOUT-UBX_RXM_RAWX_UART2"          //!< Name of CFG-MSGOUT-UBX_RXM_RAWX_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RAWX_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI CFG-MSGOUT-UBX_RXM_RAWX_SPI (Output rate of the UBX-RXM-RAWX message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI_ID            0x209102a8                               //!< ID of CFG-MSGOUT-UBX_RXM_RAWX_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI_STR           "CFG-MSGOUT-UBX_RXM_RAWX_SPI"            //!< Name of CFG-MSGOUT-UBX_RXM_RAWX_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RAWX_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C CFG-MSGOUT-UBX_RXM_RAWX_I2C (Output rate of the UBX-RXM-RAWX message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C_ID            0x209102a4                               //!< ID of CFG-MSGOUT-UBX_RXM_RAWX_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C_STR           "CFG-MSGOUT-UBX_RXM_RAWX_I2C"            //!< Name of CFG-MSGOUT-UBX_RXM_RAWX_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RAWX_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB CFG-MSGOUT-UBX_RXM_RAWX_USB (Output rate of the UBX-RXM-RAWX message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB_ID            0x209102a7                               //!< ID of CFG-MSGOUT-UBX_RXM_RAWX_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB_STR           "CFG-MSGOUT-UBX_RXM_RAWX_USB"            //!< Name of CFG-MSGOUT-UBX_RXM_RAWX_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RAWX_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1 CFG-MSGOUT-UBX_RXM_RLM_UART1 (Output rate of the UBX-RXM-RLM message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1_ID           0x2091025f                               //!< ID of CFG-MSGOUT-UBX_RXM_RLM_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1_STR          "CFG-MSGOUT-UBX_RXM_RLM_UART1"           //!< Name of CFG-MSGOUT-UBX_RXM_RLM_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RLM_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2 CFG-MSGOUT-UBX_RXM_RLM_UART2 (Output rate of the UBX-RXM-RLM message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2_ID           0x20910260                               //!< ID of CFG-MSGOUT-UBX_RXM_RLM_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2_STR          "CFG-MSGOUT-UBX_RXM_RLM_UART2"           //!< Name of CFG-MSGOUT-UBX_RXM_RLM_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RLM_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI CFG-MSGOUT-UBX_RXM_RLM_SPI (Output rate of the UBX-RXM-RLM message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI_ID             0x20910262                               //!< ID of CFG-MSGOUT-UBX_RXM_RLM_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI_STR            "CFG-MSGOUT-UBX_RXM_RLM_SPI"             //!< Name of CFG-MSGOUT-UBX_RXM_RLM_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RLM_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C CFG-MSGOUT-UBX_RXM_RLM_I2C (Output rate of the UBX-RXM-RLM message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C_ID             0x2091025e                               //!< ID of CFG-MSGOUT-UBX_RXM_RLM_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C_STR            "CFG-MSGOUT-UBX_RXM_RLM_I2C"             //!< Name of CFG-MSGOUT-UBX_RXM_RLM_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RLM_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB CFG-MSGOUT-UBX_RXM_RLM_USB (Output rate of the UBX-RXM-RLM message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB_ID             0x20910261                               //!< ID of CFG-MSGOUT-UBX_RXM_RLM_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB_STR            "CFG-MSGOUT-UBX_RXM_RLM_USB"             //!< Name of CFG-MSGOUT-UBX_RXM_RLM_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RLM_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1 CFG-MSGOUT-UBX_RXM_RTCM_UART1 (Output rate of the UBX-RXM-RTCM message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1_ID          0x20910269                               //!< ID of CFG-MSGOUT-UBX_RXM_RTCM_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1_STR         "CFG-MSGOUT-UBX_RXM_RTCM_UART1"          //!< Name of CFG-MSGOUT-UBX_RXM_RTCM_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RTCM_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2 CFG-MSGOUT-UBX_RXM_RTCM_UART2 (Output rate of the UBX-RXM-RTCM message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2_ID          0x2091026a                               //!< ID of CFG-MSGOUT-UBX_RXM_RTCM_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2_STR         "CFG-MSGOUT-UBX_RXM_RTCM_UART2"          //!< Name of CFG-MSGOUT-UBX_RXM_RTCM_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RTCM_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI CFG-MSGOUT-UBX_RXM_RTCM_SPI (Output rate of the UBX-RXM-RTCM message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI_ID            0x2091026c                               //!< ID of CFG-MSGOUT-UBX_RXM_RTCM_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI_STR           "CFG-MSGOUT-UBX_RXM_RTCM_SPI"            //!< Name of CFG-MSGOUT-UBX_RXM_RTCM_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RTCM_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C CFG-MSGOUT-UBX_RXM_RTCM_I2C (Output rate of the UBX-RXM-RTCM message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C_ID            0x20910268                               //!< ID of CFG-MSGOUT-UBX_RXM_RTCM_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C_STR           "CFG-MSGOUT-UBX_RXM_RTCM_I2C"            //!< Name of CFG-MSGOUT-UBX_RXM_RTCM_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RTCM_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB CFG-MSGOUT-UBX_RXM_RTCM_USB (Output rate of the UBX-RXM-RTCM message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB_ID            0x2091026b                               //!< ID of CFG-MSGOUT-UBX_RXM_RTCM_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB_STR           "CFG-MSGOUT-UBX_RXM_RTCM_USB"            //!< Name of CFG-MSGOUT-UBX_RXM_RTCM_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_RTCM_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1 CFG-MSGOUT-UBX_RXM_SFRBX_UART1 (Output rate of the UBX-RXM-SFRBX message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1_ID         0x20910232                               //!< ID of CFG-MSGOUT-UBX_RXM_SFRBX_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1_STR        "CFG-MSGOUT-UBX_RXM_SFRBX_UART1"         //!< Name of CFG-MSGOUT-UBX_RXM_SFRBX_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_SFRBX_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2 CFG-MSGOUT-UBX_RXM_SFRBX_UART2 (Output rate of the UBX-RXM-SFRBX message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2_ID         0x20910233                               //!< ID of CFG-MSGOUT-UBX_RXM_SFRBX_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2_STR        "CFG-MSGOUT-UBX_RXM_SFRBX_UART2"         //!< Name of CFG-MSGOUT-UBX_RXM_SFRBX_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2_TYPE       U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_SFRBX_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI CFG-MSGOUT-UBX_RXM_SFRBX_SPI (Output rate of the UBX-RXM-SFRBX message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI_ID           0x20910235                               //!< ID of CFG-MSGOUT-UBX_RXM_SFRBX_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI_STR          "CFG-MSGOUT-UBX_RXM_SFRBX_SPI"           //!< Name of CFG-MSGOUT-UBX_RXM_SFRBX_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_SFRBX_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C CFG-MSGOUT-UBX_RXM_SFRBX_I2C (Output rate of the UBX-RXM-SFRBX message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C_ID           0x20910231                               //!< ID of CFG-MSGOUT-UBX_RXM_SFRBX_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C_STR          "CFG-MSGOUT-UBX_RXM_SFRBX_I2C"           //!< Name of CFG-MSGOUT-UBX_RXM_SFRBX_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_SFRBX_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB CFG-MSGOUT-UBX_RXM_SFRBX_USB (Output rate of the UBX-RXM-SFRBX message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB_ID           0x20910234                               //!< ID of CFG-MSGOUT-UBX_RXM_SFRBX_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB_STR          "CFG-MSGOUT-UBX_RXM_SFRBX_USB"           //!< Name of CFG-MSGOUT-UBX_RXM_SFRBX_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_RXM_SFRBX_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1 CFG-MSGOUT-UBX_TIM_TM2_UART1 (Output rate of the UBX-TIM-TM2 message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1_ID           0x20910179                               //!< ID of CFG-MSGOUT-UBX_TIM_TM2_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1_STR          "CFG-MSGOUT-UBX_TIM_TM2_UART1"           //!< Name of CFG-MSGOUT-UBX_TIM_TM2_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TM2_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2 CFG-MSGOUT-UBX_TIM_TM2_UART2 (Output rate of the UBX-TIM-TM2 message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2_ID           0x2091017a                               //!< ID of CFG-MSGOUT-UBX_TIM_TM2_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2_STR          "CFG-MSGOUT-UBX_TIM_TM2_UART2"           //!< Name of CFG-MSGOUT-UBX_TIM_TM2_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2_TYPE         U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TM2_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI CFG-MSGOUT-UBX_TIM_TM2_SPI (Output rate of the UBX-TIM-TM2 message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI_ID             0x2091017c                               //!< ID of CFG-MSGOUT-UBX_TIM_TM2_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI_STR            "CFG-MSGOUT-UBX_TIM_TM2_SPI"             //!< Name of CFG-MSGOUT-UBX_TIM_TM2_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TM2_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C CFG-MSGOUT-UBX_TIM_TM2_I2C (Output rate of the UBX-TIM-TM2 message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C_ID             0x20910178                               //!< ID of CFG-MSGOUT-UBX_TIM_TM2_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C_STR            "CFG-MSGOUT-UBX_TIM_TM2_I2C"             //!< Name of CFG-MSGOUT-UBX_TIM_TM2_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TM2_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB CFG-MSGOUT-UBX_TIM_TM2_USB (Output rate of the UBX-TIM-TM2 message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB_ID             0x2091017b                               //!< ID of CFG-MSGOUT-UBX_TIM_TM2_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB_STR            "CFG-MSGOUT-UBX_TIM_TM2_USB"             //!< Name of CFG-MSGOUT-UBX_TIM_TM2_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB_TYPE           U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TM2_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1 CFG-MSGOUT-UBX_TIM_TP_UART1 (Output rate of the UBX-TIM-TP message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1_ID            0x2091017e                               //!< ID of CFG-MSGOUT-UBX_TIM_TP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1_STR           "CFG-MSGOUT-UBX_TIM_TP_UART1"            //!< Name of CFG-MSGOUT-UBX_TIM_TP_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TP_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2 CFG-MSGOUT-UBX_TIM_TP_UART2 (Output rate of the UBX-TIM-TP message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2_ID            0x2091017f                               //!< ID of CFG-MSGOUT-UBX_TIM_TP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2_STR           "CFG-MSGOUT-UBX_TIM_TP_UART2"            //!< Name of CFG-MSGOUT-UBX_TIM_TP_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TP_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI CFG-MSGOUT-UBX_TIM_TP_SPI (Output rate of the UBX-TIM-TP message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI_ID              0x20910181                               //!< ID of CFG-MSGOUT-UBX_TIM_TP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI_STR             "CFG-MSGOUT-UBX_TIM_TP_SPI"              //!< Name of CFG-MSGOUT-UBX_TIM_TP_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TP_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C CFG-MSGOUT-UBX_TIM_TP_I2C (Output rate of the UBX-TIM-TP message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C_ID              0x2091017d                               //!< ID of CFG-MSGOUT-UBX_TIM_TP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C_STR             "CFG-MSGOUT-UBX_TIM_TP_I2C"              //!< Name of CFG-MSGOUT-UBX_TIM_TP_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TP_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB CFG-MSGOUT-UBX_TIM_TP_USB (Output rate of the UBX-TIM-TP message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB_ID              0x20910180                               //!< ID of CFG-MSGOUT-UBX_TIM_TP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB_STR             "CFG-MSGOUT-UBX_TIM_TP_USB"              //!< Name of CFG-MSGOUT-UBX_TIM_TP_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB_TYPE            U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_TP_USB
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1 CFG-MSGOUT-UBX_TIM_VRFY_UART1 (Output rate of the UBX-TIM-VRFY message on port UART1)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1_ID          0x20910093                               //!< ID of CFG-MSGOUT-UBX_TIM_VRFY_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1_STR         "CFG-MSGOUT-UBX_TIM_VRFY_UART1"          //!< Name of CFG-MSGOUT-UBX_TIM_VRFY_UART1
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_VRFY_UART1
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2 CFG-MSGOUT-UBX_TIM_VRFY_UART2 (Output rate of the UBX-TIM-VRFY message on port UART2)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2_ID          0x20910094                               //!< ID of CFG-MSGOUT-UBX_TIM_VRFY_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2_STR         "CFG-MSGOUT-UBX_TIM_VRFY_UART2"          //!< Name of CFG-MSGOUT-UBX_TIM_VRFY_UART2
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2_TYPE        U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_VRFY_UART2
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI CFG-MSGOUT-UBX_TIM_VRFY_SPI (Output rate of the UBX-TIM-VRFY message on port SPI)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI_ID            0x20910096                               //!< ID of CFG-MSGOUT-UBX_TIM_VRFY_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI_STR           "CFG-MSGOUT-UBX_TIM_VRFY_SPI"            //!< Name of CFG-MSGOUT-UBX_TIM_VRFY_SPI
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_VRFY_SPI
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C CFG-MSGOUT-UBX_TIM_VRFY_I2C (Output rate of the UBX-TIM-VRFY message on port I2C)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C_ID            0x20910092                               //!< ID of CFG-MSGOUT-UBX_TIM_VRFY_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C_STR           "CFG-MSGOUT-UBX_TIM_VRFY_I2C"            //!< Name of CFG-MSGOUT-UBX_TIM_VRFY_I2C
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_VRFY_I2C
///@}

/*!
    \defgroup UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB CFG-MSGOUT-UBX_TIM_VRFY_USB (Output rate of the UBX-TIM-VRFY message on port USB)
    @{
*/
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB_ID            0x20910095                               //!< ID of CFG-MSGOUT-UBX_TIM_VRFY_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB_STR           "CFG-MSGOUT-UBX_TIM_VRFY_USB"            //!< Name of CFG-MSGOUT-UBX_TIM_VRFY_USB
#define UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB_TYPE          U1                                       //!< Type of CFG-MSGOUT-UBX_TIM_VRFY_USB
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVHPG CFG-NAVHPG
    @{
*/

#define UBLOXCFG_CFG_NAVHPG_ID  0x00140000 //!< Group ID of the CFG-NAVHPG-* items

/*!
    \defgroup UBLOXCFG_CFG_NAVHPG_DGNSSMODE CFG-NAVHPG-DGNSSMODE (Differential corrections mode)
    @{
*/
#define UBLOXCFG_CFG_NAVHPG_DGNSSMODE_ID                   0x20140011                               //!< ID of CFG-NAVHPG-DGNSSMODE
#define UBLOXCFG_CFG_NAVHPG_DGNSSMODE_STR                  "CFG-NAVHPG-DGNSSMODE"                   //!< Name of CFG-NAVHPG-DGNSSMODE
#define UBLOXCFG_CFG_NAVHPG_DGNSSMODE_TYPE                 E1                                       //!< Type of CFG-NAVHPG-DGNSSMODE
//! constants for CFG-NAVHPG-DGNSSMODE
typedef enum UBLOXCFG_CFG_NAVHPG_DGNSSMODE_e
{
    UBLOXCFG_CFG_NAVHPG_DGNSSMODE_RTK_FLOAT              = 2,                                       //!< No attempts made to fix ambiguities
    UBLOXCFG_CFG_NAVHPG_DGNSSMODE_RTK_FIXED              = 3                                        //!< Ambiguities are fixed whenever possible
} UBLOXCFG_CFG_NAVHPG_DGNSSMODE_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG CFG-NAVSPG
    @{
*/

#define UBLOXCFG_CFG_NAVSPG_ID  0x00110000 //!< Group ID of the CFG-NAVSPG-* items

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_FIXMODE CFG-NAVSPG-FIXMODE (Position fix mode)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_FIXMODE_ID                     0x20110011                               //!< ID of CFG-NAVSPG-FIXMODE
#define UBLOXCFG_CFG_NAVSPG_FIXMODE_STR                    "CFG-NAVSPG-FIXMODE"                     //!< Name of CFG-NAVSPG-FIXMODE
#define UBLOXCFG_CFG_NAVSPG_FIXMODE_TYPE                   E1                                       //!< Type of CFG-NAVSPG-FIXMODE
//! constants for CFG-NAVSPG-FIXMODE
typedef enum UBLOXCFG_CFG_NAVSPG_FIXMODE_e
{
    UBLOXCFG_CFG_NAVSPG_FIXMODE_2DONLY                   = 1,                                       //!< 2D only
    UBLOXCFG_CFG_NAVSPG_FIXMODE_3DONLY                   = 2,                                       //!< 3D only
    UBLOXCFG_CFG_NAVSPG_FIXMODE_AUTO                     = 3                                        //!< Auto 2D/3D
} UBLOXCFG_CFG_NAVSPG_FIXMODE_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INIFIX3D CFG-NAVSPG-INIFIX3D (Initial fix must be a 3D fix)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INIFIX3D_ID                    0x10110013                               //!< ID of CFG-NAVSPG-INIFIX3D
#define UBLOXCFG_CFG_NAVSPG_INIFIX3D_STR                   "CFG-NAVSPG-INIFIX3D"                    //!< Name of CFG-NAVSPG-INIFIX3D
#define UBLOXCFG_CFG_NAVSPG_INIFIX3D_TYPE                  L                                        //!< Type of CFG-NAVSPG-INIFIX3D
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_WKNROLLOVER CFG-NAVSPG-WKNROLLOVER (GPS week rollover number)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_WKNROLLOVER_ID                 0x30110017                               //!< ID of CFG-NAVSPG-WKNROLLOVER
#define UBLOXCFG_CFG_NAVSPG_WKNROLLOVER_STR                "CFG-NAVSPG-WKNROLLOVER"                 //!< Name of CFG-NAVSPG-WKNROLLOVER
#define UBLOXCFG_CFG_NAVSPG_WKNROLLOVER_TYPE               U2                                       //!< Type of CFG-NAVSPG-WKNROLLOVER
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USE_PPP CFG-NAVSPG-USE_PPP (Use precise point positioning (PPP))
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USE_PPP_ID                     0x10110019                               //!< ID of CFG-NAVSPG-USE_PPP
#define UBLOXCFG_CFG_NAVSPG_USE_PPP_STR                    "CFG-NAVSPG-USE_PPP"                     //!< Name of CFG-NAVSPG-USE_PPP
#define UBLOXCFG_CFG_NAVSPG_USE_PPP_TYPE                   L                                        //!< Type of CFG-NAVSPG-USE_PPP
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_UTCSTANDARD CFG-NAVSPG-UTCSTANDARD (UTC standard to be used)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_ID                 0x2011001c                               //!< ID of CFG-NAVSPG-UTCSTANDARD
#define UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_STR                "CFG-NAVSPG-UTCSTANDARD"                 //!< Name of CFG-NAVSPG-UTCSTANDARD
#define UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_TYPE               E1                                       //!< Type of CFG-NAVSPG-UTCSTANDARD
//! constants for CFG-NAVSPG-UTCSTANDARD
typedef enum UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_e
{
    UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_AUTO                 = 0,                                       //!< Automatic; receiver selects based on GNSS configuration
    UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_USNO                 = 3,                                       //!< UTC as operated by the U.S. Naval Observatory (USNO); derived from GPS time
    UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_EU                   = 5,                                       //!< UTC as combined from multiple European laboratories; derived from Galileo time
    UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_SU                   = 6,                                       //!< UTC as operated by the former Soviet Union (SU); derived from GLONASS time
    UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_NTSC                 = 7                                        //!< UTC as operated by the National Time Service Center (NTSC), China; derived from BeiDou time
} UBLOXCFG_CFG_NAVSPG_UTCSTANDARD_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_DYNMODEL CFG-NAVSPG-DYNMODEL (Dynamic platform model)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_DYNMODEL_ID                    0x20110021                               //!< ID of CFG-NAVSPG-DYNMODEL
#define UBLOXCFG_CFG_NAVSPG_DYNMODEL_STR                   "CFG-NAVSPG-DYNMODEL"                    //!< Name of CFG-NAVSPG-DYNMODEL
#define UBLOXCFG_CFG_NAVSPG_DYNMODEL_TYPE                  E1                                       //!< Type of CFG-NAVSPG-DYNMODEL
//! constants for CFG-NAVSPG-DYNMODEL
typedef enum UBLOXCFG_CFG_NAVSPG_DYNMODEL_e
{
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_PORT                    = 0,                                       //!< Portable
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_STAT                    = 2,                                       //!< Stationary
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_PED                     = 3,                                       //!< Pedestrian
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_AUTOMOT                 = 4,                                       //!< Automotive
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_SEA                     = 5,                                       //!< Sea
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_AIR1                    = 6,                                       //!< Airborne with <1g acceleration
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_AIR2                    = 7,                                       //!< Airborne with <2g acceleration
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_AIR4                    = 8,                                       //!< Airborne with <4g acceleration
    UBLOXCFG_CFG_NAVSPG_DYNMODEL_WRIST                   = 9                                        //!< Wrist-worn watch (not available in all products)
} UBLOXCFG_CFG_NAVSPG_DYNMODEL_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_ACKAIDING CFG-NAVSPG-ACKAIDING (Acknowledge assistance input messages)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_ACKAIDING_ID                   0x10110025                               //!< ID of CFG-NAVSPG-ACKAIDING
#define UBLOXCFG_CFG_NAVSPG_ACKAIDING_STR                  "CFG-NAVSPG-ACKAIDING"                   //!< Name of CFG-NAVSPG-ACKAIDING
#define UBLOXCFG_CFG_NAVSPG_ACKAIDING_TYPE                 L                                        //!< Type of CFG-NAVSPG-ACKAIDING
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USE_USRDAT CFG-NAVSPG-USE_USRDAT (Use user geodetic datum parameters)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USE_USRDAT_ID                  0x10110061                               //!< ID of CFG-NAVSPG-USE_USRDAT
#define UBLOXCFG_CFG_NAVSPG_USE_USRDAT_STR                 "CFG-NAVSPG-USE_USRDAT"                  //!< Name of CFG-NAVSPG-USE_USRDAT
#define UBLOXCFG_CFG_NAVSPG_USE_USRDAT_TYPE                L                                        //!< Type of CFG-NAVSPG-USE_USRDAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_MAJA CFG-NAVSPG-USRDAT_MAJA (Geodetic datum semi-major axis)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_MAJA_ID                 0x50110062                               //!< ID of CFG-NAVSPG-USRDAT_MAJA
#define UBLOXCFG_CFG_NAVSPG_USRDAT_MAJA_STR                "CFG-NAVSPG-USRDAT_MAJA"                 //!< Name of CFG-NAVSPG-USRDAT_MAJA
#define UBLOXCFG_CFG_NAVSPG_USRDAT_MAJA_TYPE               R8                                       //!< Type of CFG-NAVSPG-USRDAT_MAJA
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_FLAT CFG-NAVSPG-USRDAT_FLAT (Geodetic datum 1.0 / flattening)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_FLAT_ID                 0x50110063                               //!< ID of CFG-NAVSPG-USRDAT_FLAT
#define UBLOXCFG_CFG_NAVSPG_USRDAT_FLAT_STR                "CFG-NAVSPG-USRDAT_FLAT"                 //!< Name of CFG-NAVSPG-USRDAT_FLAT
#define UBLOXCFG_CFG_NAVSPG_USRDAT_FLAT_TYPE               R8                                       //!< Type of CFG-NAVSPG-USRDAT_FLAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_DX CFG-NAVSPG-USRDAT_DX (Geodetic datum X axis shift at the origin)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DX_ID                   0x40110064                               //!< ID of CFG-NAVSPG-USRDAT_DX
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DX_STR                  "CFG-NAVSPG-USRDAT_DX"                   //!< Name of CFG-NAVSPG-USRDAT_DX
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DX_TYPE                 R4                                       //!< Type of CFG-NAVSPG-USRDAT_DX
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_DY CFG-NAVSPG-USRDAT_DY (Geodetic datum Y axis shift at the origin)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DY_ID                   0x40110065                               //!< ID of CFG-NAVSPG-USRDAT_DY
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DY_STR                  "CFG-NAVSPG-USRDAT_DY"                   //!< Name of CFG-NAVSPG-USRDAT_DY
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DY_TYPE                 R4                                       //!< Type of CFG-NAVSPG-USRDAT_DY
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_DZ CFG-NAVSPG-USRDAT_DZ (Geodetic datum Z axis shift at the origin)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DZ_ID                   0x40110066                               //!< ID of CFG-NAVSPG-USRDAT_DZ
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DZ_STR                  "CFG-NAVSPG-USRDAT_DZ"                   //!< Name of CFG-NAVSPG-USRDAT_DZ
#define UBLOXCFG_CFG_NAVSPG_USRDAT_DZ_TYPE                 R4                                       //!< Type of CFG-NAVSPG-USRDAT_DZ
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_ROTX CFG-NAVSPG-USRDAT_ROTX (Geodetic datum rotation about the X axis)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTX_ID                 0x40110067                               //!< ID of CFG-NAVSPG-USRDAT_ROTX
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTX_STR                "CFG-NAVSPG-USRDAT_ROTX"                 //!< Name of CFG-NAVSPG-USRDAT_ROTX
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTX_TYPE               R4                                       //!< Type of CFG-NAVSPG-USRDAT_ROTX
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_ROTY CFG-NAVSPG-USRDAT_ROTY (Geodetic datum rotation about the Y axis ())
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTY_ID                 0x40110068                               //!< ID of CFG-NAVSPG-USRDAT_ROTY
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTY_STR                "CFG-NAVSPG-USRDAT_ROTY"                 //!< Name of CFG-NAVSPG-USRDAT_ROTY
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTY_TYPE               R4                                       //!< Type of CFG-NAVSPG-USRDAT_ROTY
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_ROTZ CFG-NAVSPG-USRDAT_ROTZ (Geodetic datum rotation about the Z axis)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTZ_ID                 0x40110069                               //!< ID of CFG-NAVSPG-USRDAT_ROTZ
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTZ_STR                "CFG-NAVSPG-USRDAT_ROTZ"                 //!< Name of CFG-NAVSPG-USRDAT_ROTZ
#define UBLOXCFG_CFG_NAVSPG_USRDAT_ROTZ_TYPE               R4                                       //!< Type of CFG-NAVSPG-USRDAT_ROTZ
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_USRDAT_SCALE CFG-NAVSPG-USRDAT_SCALE (Geodetic datum scale factor)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_USRDAT_SCALE_ID                0x4011006a                               //!< ID of CFG-NAVSPG-USRDAT_SCALE
#define UBLOXCFG_CFG_NAVSPG_USRDAT_SCALE_STR               "CFG-NAVSPG-USRDAT_SCALE"                //!< Name of CFG-NAVSPG-USRDAT_SCALE
#define UBLOXCFG_CFG_NAVSPG_USRDAT_SCALE_TYPE              R4                                       //!< Type of CFG-NAVSPG-USRDAT_SCALE
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INFIL_MINSVS CFG-NAVSPG-INFIL_MINSVS (Minimum number of satellites for navigation)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINSVS_ID                0x201100a1                               //!< ID of CFG-NAVSPG-INFIL_MINSVS
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINSVS_STR               "CFG-NAVSPG-INFIL_MINSVS"                //!< Name of CFG-NAVSPG-INFIL_MINSVS
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINSVS_TYPE              U1                                       //!< Type of CFG-NAVSPG-INFIL_MINSVS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INFIL_MAXSVS CFG-NAVSPG-INFIL_MAXSVS (Maximum number of satellites for navigation)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INFIL_MAXSVS_ID                0x201100a2                               //!< ID of CFG-NAVSPG-INFIL_MAXSVS
#define UBLOXCFG_CFG_NAVSPG_INFIL_MAXSVS_STR               "CFG-NAVSPG-INFIL_MAXSVS"                //!< Name of CFG-NAVSPG-INFIL_MAXSVS
#define UBLOXCFG_CFG_NAVSPG_INFIL_MAXSVS_TYPE              U1                                       //!< Type of CFG-NAVSPG-INFIL_MAXSVS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INFIL_MINCNO CFG-NAVSPG-INFIL_MINCNO (Minimum satellite signal level for navigation)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINCNO_ID                0x201100a3                               //!< ID of CFG-NAVSPG-INFIL_MINCNO
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINCNO_STR               "CFG-NAVSPG-INFIL_MINCNO"                //!< Name of CFG-NAVSPG-INFIL_MINCNO
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINCNO_TYPE              U1                                       //!< Type of CFG-NAVSPG-INFIL_MINCNO
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INFIL_MINELEV CFG-NAVSPG-INFIL_MINELEV (Minimum elevation for a GNSS satellite to be used in navigation)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINELEV_ID               0x201100a4                               //!< ID of CFG-NAVSPG-INFIL_MINELEV
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINELEV_STR              "CFG-NAVSPG-INFIL_MINELEV"               //!< Name of CFG-NAVSPG-INFIL_MINELEV
#define UBLOXCFG_CFG_NAVSPG_INFIL_MINELEV_TYPE             I1                                       //!< Type of CFG-NAVSPG-INFIL_MINELEV
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INFIL_NCNOTHRS CFG-NAVSPG-INFIL_NCNOTHRS (Number of satellites required to have C/N0 above CFG-NAVSPG-INFIL_CNOTHRS for a fix to be attempted)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INFIL_NCNOTHRS_ID              0x201100aa                               //!< ID of CFG-NAVSPG-INFIL_NCNOTHRS
#define UBLOXCFG_CFG_NAVSPG_INFIL_NCNOTHRS_STR             "CFG-NAVSPG-INFIL_NCNOTHRS"              //!< Name of CFG-NAVSPG-INFIL_NCNOTHRS
#define UBLOXCFG_CFG_NAVSPG_INFIL_NCNOTHRS_TYPE            U1                                       //!< Type of CFG-NAVSPG-INFIL_NCNOTHRS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_INFIL_CNOTHRS CFG-NAVSPG-INFIL_CNOTHRS (C/N0 threshold for deciding whether to attempt a fix)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_INFIL_CNOTHRS_ID               0x201100ab                               //!< ID of CFG-NAVSPG-INFIL_CNOTHRS
#define UBLOXCFG_CFG_NAVSPG_INFIL_CNOTHRS_STR              "CFG-NAVSPG-INFIL_CNOTHRS"               //!< Name of CFG-NAVSPG-INFIL_CNOTHRS
#define UBLOXCFG_CFG_NAVSPG_INFIL_CNOTHRS_TYPE             U1                                       //!< Type of CFG-NAVSPG-INFIL_CNOTHRS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_OUTFIL_PDOP CFG-NAVSPG-OUTFIL_PDOP (Output filter position DOP mask (threshold))
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_PDOP_ID                 0x301100b1                               //!< ID of CFG-NAVSPG-OUTFIL_PDOP
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_PDOP_STR                "CFG-NAVSPG-OUTFIL_PDOP"                 //!< Name of CFG-NAVSPG-OUTFIL_PDOP
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_PDOP_TYPE               U2                                       //!< Type of CFG-NAVSPG-OUTFIL_PDOP
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_OUTFIL_TDOP CFG-NAVSPG-OUTFIL_TDOP (Output filter time DOP mask (threshold))
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_TDOP_ID                 0x301100b2                               //!< ID of CFG-NAVSPG-OUTFIL_TDOP
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_TDOP_STR                "CFG-NAVSPG-OUTFIL_TDOP"                 //!< Name of CFG-NAVSPG-OUTFIL_TDOP
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_TDOP_TYPE               U2                                       //!< Type of CFG-NAVSPG-OUTFIL_TDOP
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_OUTFIL_PACC CFG-NAVSPG-OUTFIL_PACC (Output filter position accuracy mask (threshold))
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_PACC_ID                 0x301100b3                               //!< ID of CFG-NAVSPG-OUTFIL_PACC
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_PACC_STR                "CFG-NAVSPG-OUTFIL_PACC"                 //!< Name of CFG-NAVSPG-OUTFIL_PACC
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_PACC_TYPE               U2                                       //!< Type of CFG-NAVSPG-OUTFIL_PACC
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_OUTFIL_TACC CFG-NAVSPG-OUTFIL_TACC (Output filter time accuracy mask (threshold))
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_TACC_ID                 0x301100b4                               //!< ID of CFG-NAVSPG-OUTFIL_TACC
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_TACC_STR                "CFG-NAVSPG-OUTFIL_TACC"                 //!< Name of CFG-NAVSPG-OUTFIL_TACC
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_TACC_TYPE               U2                                       //!< Type of CFG-NAVSPG-OUTFIL_TACC
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_OUTFIL_FACC CFG-NAVSPG-OUTFIL_FACC (Output filter frequency accuracy mask (threshold))
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_FACC_ID                 0x301100b5                               //!< ID of CFG-NAVSPG-OUTFIL_FACC
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_FACC_STR                "CFG-NAVSPG-OUTFIL_FACC"                 //!< Name of CFG-NAVSPG-OUTFIL_FACC
#define UBLOXCFG_CFG_NAVSPG_OUTFIL_FACC_TYPE               U2                                       //!< Type of CFG-NAVSPG-OUTFIL_FACC
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_CONSTR_ALT CFG-NAVSPG-CONSTR_ALT (Fixed altitude (mean sea level) for 2D fix mode)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_CONSTR_ALT_ID                  0x401100c1                               //!< ID of CFG-NAVSPG-CONSTR_ALT
#define UBLOXCFG_CFG_NAVSPG_CONSTR_ALT_STR                 "CFG-NAVSPG-CONSTR_ALT"                  //!< Name of CFG-NAVSPG-CONSTR_ALT
#define UBLOXCFG_CFG_NAVSPG_CONSTR_ALT_TYPE                I4                                       //!< Type of CFG-NAVSPG-CONSTR_ALT
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_CONSTR_ALTVAR CFG-NAVSPG-CONSTR_ALTVAR (Fixed altitude variance for 2D mode)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_CONSTR_ALTVAR_ID               0x401100c2                               //!< ID of CFG-NAVSPG-CONSTR_ALTVAR
#define UBLOXCFG_CFG_NAVSPG_CONSTR_ALTVAR_STR              "CFG-NAVSPG-CONSTR_ALTVAR"               //!< Name of CFG-NAVSPG-CONSTR_ALTVAR
#define UBLOXCFG_CFG_NAVSPG_CONSTR_ALTVAR_TYPE             U4                                       //!< Type of CFG-NAVSPG-CONSTR_ALTVAR
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_CONSTR_DGNSSTO CFG-NAVSPG-CONSTR_DGNSSTO (DGNSS timeout)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_CONSTR_DGNSSTO_ID              0x201100c4                               //!< ID of CFG-NAVSPG-CONSTR_DGNSSTO
#define UBLOXCFG_CFG_NAVSPG_CONSTR_DGNSSTO_STR             "CFG-NAVSPG-CONSTR_DGNSSTO"              //!< Name of CFG-NAVSPG-CONSTR_DGNSSTO
#define UBLOXCFG_CFG_NAVSPG_CONSTR_DGNSSTO_TYPE            U1                                       //!< Type of CFG-NAVSPG-CONSTR_DGNSSTO
///@}

/*!
    \defgroup UBLOXCFG_CFG_NAVSPG_SIGATTCOMP CFG-NAVSPG-SIGATTCOMP (Permanently attenuated signal compensation mode)
    @{
*/
#define UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_ID                  0x201100d6                               //!< ID of CFG-NAVSPG-SIGATTCOMP
#define UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_STR                 "CFG-NAVSPG-SIGATTCOMP"                  //!< Name of CFG-NAVSPG-SIGATTCOMP
#define UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_TYPE                E1                                       //!< Type of CFG-NAVSPG-SIGATTCOMP
//! constants for CFG-NAVSPG-SIGATTCOMP
typedef enum UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_e
{
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_DIS                   = 0,                                       //!< Disabled
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_AUTO                  = 255,                                     //!< Automatic
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_01DBHZ                = 1,                                       //!< Maximum expected C/N0 level is 1 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_02DBHZ                = 2,                                       //!< Maximum expected C/N0 level is 2 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_03DBHZ                = 3,                                       //!< Maximum expected C/N0 level is 3 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_04DBHZ                = 4,                                       //!< Maximum expected C/N0 level is 4 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_05DBHZ                = 5,                                       //!< Maximum expected C/N0 level is 5 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_06DBHZ                = 6,                                       //!< Maximum expected C/N0 level is 6 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_07DBHZ                = 7,                                       //!< Maximum expected C/N0 level is 7 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_08DBHZ                = 8,                                       //!< Maximum expected C/N0 level is 8 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_09DBHZ                = 9,                                       //!< Maximum expected C/N0 level is 9 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_10DBHZ                = 10,                                      //!< Maximum expected C/N0 level is 10 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_11DBHZ                = 11,                                      //!< Maximum expected C/N0 level is 11 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_12DBHZ                = 12,                                      //!< Maximum expected C/N0 level is 12 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_13DBHZ                = 13,                                      //!< Maximum expected C/N0 level is 13 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_14DBHZ                = 14,                                      //!< Maximum expected C/N0 level is 14 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_15DBHZ                = 15,                                      //!< Maximum expected C/N0 level is 15 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_16DBHZ                = 16,                                      //!< Maximum expected C/N0 level is 16 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_17DBHZ                = 17,                                      //!< Maximum expected C/N0 level is 17 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_18DBHZ                = 18,                                      //!< Maximum expected C/N0 level is 18 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_19DBHZ                = 19,                                      //!< Maximum expected C/N0 level is 19 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_20DBHZ                = 20,                                      //!< Maximum expected C/N0 level is 20 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_21DBHZ                = 21,                                      //!< Maximum expected C/N0 level is 21 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_22DBHZ                = 22,                                      //!< Maximum expected C/N0 level is 22 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_23DBHZ                = 23,                                      //!< Maximum expected C/N0 level is 23 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_24DBHZ                = 24,                                      //!< Maximum expected C/N0 level is 24 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_25DBHZ                = 25,                                      //!< Maximum expected C/N0 level is 25 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_26DBHZ                = 26,                                      //!< Maximum expected C/N0 level is 26 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_27DBHZ                = 27,                                      //!< Maximum expected C/N0 level is 27 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_28DBHZ                = 28,                                      //!< Maximum expected C/N0 level is 28 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_29DBHZ                = 29,                                      //!< Maximum expected C/N0 level is 29 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_30DBHZ                = 30,                                      //!< Maximum expected C/N0 level is 30 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_31DBHZ                = 31,                                      //!< Maximum expected C/N0 level is 31 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_32DBHZ                = 32,                                      //!< Maximum expected C/N0 level is 32 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_33DBHZ                = 33,                                      //!< Maximum expected C/N0 level is 33 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_34DBHZ                = 34,                                      //!< Maximum expected C/N0 level is 34 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_35DBHZ                = 35,                                      //!< Maximum expected C/N0 level is 35 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_36DBHZ                = 36,                                      //!< Maximum expected C/N0 level is 36 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_37DBHZ                = 37,                                      //!< Maximum expected C/N0 level is 37 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_38DBHZ                = 38,                                      //!< Maximum expected C/N0 level is 38 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_39DBHZ                = 39,                                      //!< Maximum expected C/N0 level is 39 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_40DBHZ                = 40,                                      //!< Maximum expected C/N0 level is 40 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_41DBHZ                = 41,                                      //!< Maximum expected C/N0 level is 41 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_42DBHZ                = 42,                                      //!< Maximum expected C/N0 level is 42 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_43DBHZ                = 43,                                      //!< Maximum expected C/N0 level is 43 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_44DBHZ                = 44,                                      //!< Maximum expected C/N0 level is 44 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_45DBHZ                = 45,                                      //!< Maximum expected C/N0 level is 45 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_46DBHZ                = 46,                                      //!< Maximum expected C/N0 level is 46 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_47DBHZ                = 47,                                      //!< Maximum expected C/N0 level is 47 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_48DBHZ                = 48,                                      //!< Maximum expected C/N0 level is 48 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_49DBHZ                = 49,                                      //!< Maximum expected C/N0 level is 49 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_50DBHZ                = 50,                                      //!< Maximum expected C/N0 level is 50 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_51DBHZ                = 51,                                      //!< Maximum expected C/N0 level is 51 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_52DBHZ                = 52,                                      //!< Maximum expected C/N0 level is 52 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_53DBHZ                = 53,                                      //!< Maximum expected C/N0 level is 53 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_54DBHZ                = 54,                                      //!< Maximum expected C/N0 level is 54 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_55DBHZ                = 55,                                      //!< Maximum expected C/N0 level is 55 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_56DBHZ                = 56,                                      //!< Maximum expected C/N0 level is 56 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_57DBHZ                = 57,                                      //!< Maximum expected C/N0 level is 57 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_58DBHZ                = 58,                                      //!< Maximum expected C/N0 level is 58 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_59DBHZ                = 59,                                      //!< Maximum expected C/N0 level is 59 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_60DBHZ                = 60,                                      //!< Maximum expected C/N0 level is 60 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_61DBHZ                = 61,                                      //!< Maximum expected C/N0 level is 61 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_62DBHZ                = 62,                                      //!< Maximum expected C/N0 level is 62 dBHz
    UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_63DBHZ                = 63                                       //!< Maximum expected C/N0 level is 63 dBHz
} UBLOXCFG_CFG_NAVSPG_SIGATTCOMP_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA CFG-NMEA
    @{
*/

#define UBLOXCFG_CFG_NMEA_ID  0x00930000 //!< Group ID of the CFG-NMEA-* items

/*!
    \defgroup UBLOXCFG_CFG_NMEA_PROTVER CFG-NMEA-PROTVER (NMEA protocol version)
    @{
*/
#define UBLOXCFG_CFG_NMEA_PROTVER_ID                       0x20930001                               //!< ID of CFG-NMEA-PROTVER
#define UBLOXCFG_CFG_NMEA_PROTVER_STR                      "CFG-NMEA-PROTVER"                       //!< Name of CFG-NMEA-PROTVER
#define UBLOXCFG_CFG_NMEA_PROTVER_TYPE                     E1                                       //!< Type of CFG-NMEA-PROTVER
//! constants for CFG-NMEA-PROTVER
typedef enum UBLOXCFG_CFG_NMEA_PROTVER_e
{
    UBLOXCFG_CFG_NMEA_PROTVER_V21                        = 21,                                      //!< NMEA protocol version 2.1
    UBLOXCFG_CFG_NMEA_PROTVER_V23                        = 23,                                      //!< NMEA protocol version 2.3
    UBLOXCFG_CFG_NMEA_PROTVER_V40                        = 40,                                      //!< NMEA protocol version 4.0 (not available in all products)
    UBLOXCFG_CFG_NMEA_PROTVER_V41                        = 41,                                      //!< NMEA protocol version 4.10 (not available in all products)
    UBLOXCFG_CFG_NMEA_PROTVER_V411                       = 42                                       //!< NMEA protocol version 4.11 (not available in all products)
} UBLOXCFG_CFG_NMEA_PROTVER_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_MAXSVS CFG-NMEA-MAXSVS (Maximum number of SVs to report per Talker ID)
    @{
*/
#define UBLOXCFG_CFG_NMEA_MAXSVS_ID                        0x20930002                               //!< ID of CFG-NMEA-MAXSVS
#define UBLOXCFG_CFG_NMEA_MAXSVS_STR                       "CFG-NMEA-MAXSVS"                        //!< Name of CFG-NMEA-MAXSVS
#define UBLOXCFG_CFG_NMEA_MAXSVS_TYPE                      E1                                       //!< Type of CFG-NMEA-MAXSVS
//! constants for CFG-NMEA-MAXSVS
typedef enum UBLOXCFG_CFG_NMEA_MAXSVS_e
{
    UBLOXCFG_CFG_NMEA_MAXSVS_UNLIM                       = 0,                                       //!< Unlimited
    UBLOXCFG_CFG_NMEA_MAXSVS_8SVS                        = 8,                                       //!< 8 SVs
    UBLOXCFG_CFG_NMEA_MAXSVS_12SVS                       = 12,                                      //!< 12 SVs
    UBLOXCFG_CFG_NMEA_MAXSVS_16SVS                       = 16                                       //!< 16 SVs
} UBLOXCFG_CFG_NMEA_MAXSVS_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_COMPAT CFG-NMEA-COMPAT (Enable compatibility mode)
    @{
*/
#define UBLOXCFG_CFG_NMEA_COMPAT_ID                        0x10930003                               //!< ID of CFG-NMEA-COMPAT
#define UBLOXCFG_CFG_NMEA_COMPAT_STR                       "CFG-NMEA-COMPAT"                        //!< Name of CFG-NMEA-COMPAT
#define UBLOXCFG_CFG_NMEA_COMPAT_TYPE                      L                                        //!< Type of CFG-NMEA-COMPAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_CONSIDER CFG-NMEA-CONSIDER (Enable considering mode)
    @{
*/
#define UBLOXCFG_CFG_NMEA_CONSIDER_ID                      0x10930004                               //!< ID of CFG-NMEA-CONSIDER
#define UBLOXCFG_CFG_NMEA_CONSIDER_STR                     "CFG-NMEA-CONSIDER"                      //!< Name of CFG-NMEA-CONSIDER
#define UBLOXCFG_CFG_NMEA_CONSIDER_TYPE                    L                                        //!< Type of CFG-NMEA-CONSIDER
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_LIMIT82 CFG-NMEA-LIMIT82 (Enable strict limit to 82 characters maximum NMEA message length)
    @{
*/
#define UBLOXCFG_CFG_NMEA_LIMIT82_ID                       0x10930005                               //!< ID of CFG-NMEA-LIMIT82
#define UBLOXCFG_CFG_NMEA_LIMIT82_STR                      "CFG-NMEA-LIMIT82"                       //!< Name of CFG-NMEA-LIMIT82
#define UBLOXCFG_CFG_NMEA_LIMIT82_TYPE                     L                                        //!< Type of CFG-NMEA-LIMIT82
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_HIGHPREC CFG-NMEA-HIGHPREC (Enable high precision mode)
    @{
*/
#define UBLOXCFG_CFG_NMEA_HIGHPREC_ID                      0x10930006                               //!< ID of CFG-NMEA-HIGHPREC
#define UBLOXCFG_CFG_NMEA_HIGHPREC_STR                     "CFG-NMEA-HIGHPREC"                      //!< Name of CFG-NMEA-HIGHPREC
#define UBLOXCFG_CFG_NMEA_HIGHPREC_TYPE                    L                                        //!< Type of CFG-NMEA-HIGHPREC
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_SVNUMBERING CFG-NMEA-SVNUMBERING (Display configuration for SVs that do not have value defined in NMEA)
    @{
*/
#define UBLOXCFG_CFG_NMEA_SVNUMBERING_ID                   0x20930007                               //!< ID of CFG-NMEA-SVNUMBERING
#define UBLOXCFG_CFG_NMEA_SVNUMBERING_STR                  "CFG-NMEA-SVNUMBERING"                   //!< Name of CFG-NMEA-SVNUMBERING
#define UBLOXCFG_CFG_NMEA_SVNUMBERING_TYPE                 E1                                       //!< Type of CFG-NMEA-SVNUMBERING
//! constants for CFG-NMEA-SVNUMBERING
typedef enum UBLOXCFG_CFG_NMEA_SVNUMBERING_e
{
    UBLOXCFG_CFG_NMEA_SVNUMBERING_STRICT                 = 0,                                       //!< Strict - satellites are not output
    UBLOXCFG_CFG_NMEA_SVNUMBERING_EXTENDED               = 1                                        //!< Extended - use proprietary numbering
} UBLOXCFG_CFG_NMEA_SVNUMBERING_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_FILT_GPS CFG-NMEA-FILT_GPS (Disable reporting of GPS satellites)
    @{
*/
#define UBLOXCFG_CFG_NMEA_FILT_GPS_ID                      0x10930011                               //!< ID of CFG-NMEA-FILT_GPS
#define UBLOXCFG_CFG_NMEA_FILT_GPS_STR                     "CFG-NMEA-FILT_GPS"                      //!< Name of CFG-NMEA-FILT_GPS
#define UBLOXCFG_CFG_NMEA_FILT_GPS_TYPE                    L                                        //!< Type of CFG-NMEA-FILT_GPS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_FILT_SBAS CFG-NMEA-FILT_SBAS (Disable reporting of SBAS satellites)
    @{
*/
#define UBLOXCFG_CFG_NMEA_FILT_SBAS_ID                     0x10930012                               //!< ID of CFG-NMEA-FILT_SBAS
#define UBLOXCFG_CFG_NMEA_FILT_SBAS_STR                    "CFG-NMEA-FILT_SBAS"                     //!< Name of CFG-NMEA-FILT_SBAS
#define UBLOXCFG_CFG_NMEA_FILT_SBAS_TYPE                   L                                        //!< Type of CFG-NMEA-FILT_SBAS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_FILT_GAL CFG-NMEA-FILT_GAL (Disable reporting of Galileo satellites)
    @{
*/
#define UBLOXCFG_CFG_NMEA_FILT_GAL_ID                      0x10930013                               //!< ID of CFG-NMEA-FILT_GAL
#define UBLOXCFG_CFG_NMEA_FILT_GAL_STR                     "CFG-NMEA-FILT_GAL"                      //!< Name of CFG-NMEA-FILT_GAL
#define UBLOXCFG_CFG_NMEA_FILT_GAL_TYPE                    L                                        //!< Type of CFG-NMEA-FILT_GAL
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_FILT_QZSS CFG-NMEA-FILT_QZSS (Disable reporting of QZSS satellites)
    @{
*/
#define UBLOXCFG_CFG_NMEA_FILT_QZSS_ID                     0x10930015                               //!< ID of CFG-NMEA-FILT_QZSS
#define UBLOXCFG_CFG_NMEA_FILT_QZSS_STR                    "CFG-NMEA-FILT_QZSS"                     //!< Name of CFG-NMEA-FILT_QZSS
#define UBLOXCFG_CFG_NMEA_FILT_QZSS_TYPE                   L                                        //!< Type of CFG-NMEA-FILT_QZSS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_FILT_GLO CFG-NMEA-FILT_GLO (Disable reporting of GLONASS satellites)
    @{
*/
#define UBLOXCFG_CFG_NMEA_FILT_GLO_ID                      0x10930016                               //!< ID of CFG-NMEA-FILT_GLO
#define UBLOXCFG_CFG_NMEA_FILT_GLO_STR                     "CFG-NMEA-FILT_GLO"                      //!< Name of CFG-NMEA-FILT_GLO
#define UBLOXCFG_CFG_NMEA_FILT_GLO_TYPE                    L                                        //!< Type of CFG-NMEA-FILT_GLO
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_FILT_BDS CFG-NMEA-FILT_BDS (Disable reporting of BeiDou satellites)
    @{
*/
#define UBLOXCFG_CFG_NMEA_FILT_BDS_ID                      0x10930017                               //!< ID of CFG-NMEA-FILT_BDS
#define UBLOXCFG_CFG_NMEA_FILT_BDS_STR                     "CFG-NMEA-FILT_BDS"                      //!< Name of CFG-NMEA-FILT_BDS
#define UBLOXCFG_CFG_NMEA_FILT_BDS_TYPE                    L                                        //!< Type of CFG-NMEA-FILT_BDS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_OUT_INVFIX CFG-NMEA-OUT_INVFIX (Enable position output for failed or invalid fixes)
    @{
*/
#define UBLOXCFG_CFG_NMEA_OUT_INVFIX_ID                    0x10930021                               //!< ID of CFG-NMEA-OUT_INVFIX
#define UBLOXCFG_CFG_NMEA_OUT_INVFIX_STR                   "CFG-NMEA-OUT_INVFIX"                    //!< Name of CFG-NMEA-OUT_INVFIX
#define UBLOXCFG_CFG_NMEA_OUT_INVFIX_TYPE                  L                                        //!< Type of CFG-NMEA-OUT_INVFIX
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_OUT_MSKFIX CFG-NMEA-OUT_MSKFIX (Enable position output for invalid fixes)
    @{
*/
#define UBLOXCFG_CFG_NMEA_OUT_MSKFIX_ID                    0x10930022                               //!< ID of CFG-NMEA-OUT_MSKFIX
#define UBLOXCFG_CFG_NMEA_OUT_MSKFIX_STR                   "CFG-NMEA-OUT_MSKFIX"                    //!< Name of CFG-NMEA-OUT_MSKFIX
#define UBLOXCFG_CFG_NMEA_OUT_MSKFIX_TYPE                  L                                        //!< Type of CFG-NMEA-OUT_MSKFIX
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_OUT_INVTIME CFG-NMEA-OUT_INVTIME (Enable time output for invalid times)
    @{
*/
#define UBLOXCFG_CFG_NMEA_OUT_INVTIME_ID                   0x10930023                               //!< ID of CFG-NMEA-OUT_INVTIME
#define UBLOXCFG_CFG_NMEA_OUT_INVTIME_STR                  "CFG-NMEA-OUT_INVTIME"                   //!< Name of CFG-NMEA-OUT_INVTIME
#define UBLOXCFG_CFG_NMEA_OUT_INVTIME_TYPE                 L                                        //!< Type of CFG-NMEA-OUT_INVTIME
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_OUT_INVDATE CFG-NMEA-OUT_INVDATE (Enable date output for invalid dates)
    @{
*/
#define UBLOXCFG_CFG_NMEA_OUT_INVDATE_ID                   0x10930024                               //!< ID of CFG-NMEA-OUT_INVDATE
#define UBLOXCFG_CFG_NMEA_OUT_INVDATE_STR                  "CFG-NMEA-OUT_INVDATE"                   //!< Name of CFG-NMEA-OUT_INVDATE
#define UBLOXCFG_CFG_NMEA_OUT_INVDATE_TYPE                 L                                        //!< Type of CFG-NMEA-OUT_INVDATE
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_OUT_ONLYGPS CFG-NMEA-OUT_ONLYGPS (Restrict output to GPS satellites only)
    @{
*/
#define UBLOXCFG_CFG_NMEA_OUT_ONLYGPS_ID                   0x10930025                               //!< ID of CFG-NMEA-OUT_ONLYGPS
#define UBLOXCFG_CFG_NMEA_OUT_ONLYGPS_STR                  "CFG-NMEA-OUT_ONLYGPS"                   //!< Name of CFG-NMEA-OUT_ONLYGPS
#define UBLOXCFG_CFG_NMEA_OUT_ONLYGPS_TYPE                 L                                        //!< Type of CFG-NMEA-OUT_ONLYGPS
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_OUT_FROZENCOG CFG-NMEA-OUT_FROZENCOG (Enable course over ground output even if it is frozen)
    @{
*/
#define UBLOXCFG_CFG_NMEA_OUT_FROZENCOG_ID                 0x10930026                               //!< ID of CFG-NMEA-OUT_FROZENCOG
#define UBLOXCFG_CFG_NMEA_OUT_FROZENCOG_STR                "CFG-NMEA-OUT_FROZENCOG"                 //!< Name of CFG-NMEA-OUT_FROZENCOG
#define UBLOXCFG_CFG_NMEA_OUT_FROZENCOG_TYPE               L                                        //!< Type of CFG-NMEA-OUT_FROZENCOG
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_MAINTALKERID CFG-NMEA-MAINTALKERID (Main Talker ID)
    @{
*/
#define UBLOXCFG_CFG_NMEA_MAINTALKERID_ID                  0x20930031                               //!< ID of CFG-NMEA-MAINTALKERID
#define UBLOXCFG_CFG_NMEA_MAINTALKERID_STR                 "CFG-NMEA-MAINTALKERID"                  //!< Name of CFG-NMEA-MAINTALKERID
#define UBLOXCFG_CFG_NMEA_MAINTALKERID_TYPE                E1                                       //!< Type of CFG-NMEA-MAINTALKERID
//! constants for CFG-NMEA-MAINTALKERID
typedef enum UBLOXCFG_CFG_NMEA_MAINTALKERID_e
{
    UBLOXCFG_CFG_NMEA_MAINTALKERID_AUTO                  = 0,                                       //!< Main Talker ID is not overridden
    UBLOXCFG_CFG_NMEA_MAINTALKERID_GP                    = 1,                                       //!< Set main Talker ID to 'GP'
    UBLOXCFG_CFG_NMEA_MAINTALKERID_GL                    = 2,                                       //!< Set main Talker ID to 'GL'
    UBLOXCFG_CFG_NMEA_MAINTALKERID_GN                    = 3,                                       //!< Set main Talker ID to 'GN'
    UBLOXCFG_CFG_NMEA_MAINTALKERID_GA                    = 4,                                       //!< Set main Talker ID to 'GA' (not available in all products)
    UBLOXCFG_CFG_NMEA_MAINTALKERID_GB                    = 5,                                       //!< Set main Talker ID to 'GB' (not available in all products)
    UBLOXCFG_CFG_NMEA_MAINTALKERID_GQ                    = 7                                        //!< Set main Talker ID to 'GQ' (not available in all products)
} UBLOXCFG_CFG_NMEA_MAINTALKERID_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_GSVTALKERID CFG-NMEA-GSVTALKERID (Talker ID for GSV NMEA messages)
    @{
*/
#define UBLOXCFG_CFG_NMEA_GSVTALKERID_ID                   0x20930032                               //!< ID of CFG-NMEA-GSVTALKERID
#define UBLOXCFG_CFG_NMEA_GSVTALKERID_STR                  "CFG-NMEA-GSVTALKERID"                   //!< Name of CFG-NMEA-GSVTALKERID
#define UBLOXCFG_CFG_NMEA_GSVTALKERID_TYPE                 E1                                       //!< Type of CFG-NMEA-GSVTALKERID
//! constants for CFG-NMEA-GSVTALKERID
typedef enum UBLOXCFG_CFG_NMEA_GSVTALKERID_e
{
    UBLOXCFG_CFG_NMEA_GSVTALKERID_GNSS                   = 0,                                       //!< Use GNSS-specific Talker ID (as defined by NMEA)
    UBLOXCFG_CFG_NMEA_GSVTALKERID_MAIN                   = 1                                        //!< Use the main Talker ID
} UBLOXCFG_CFG_NMEA_GSVTALKERID_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_NMEA_BDSTALKERID CFG-NMEA-BDSTALKERID (BeiDou Talker ID)
    @{
*/
#define UBLOXCFG_CFG_NMEA_BDSTALKERID_ID                   0x30930033                               //!< ID of CFG-NMEA-BDSTALKERID
#define UBLOXCFG_CFG_NMEA_BDSTALKERID_STR                  "CFG-NMEA-BDSTALKERID"                   //!< Name of CFG-NMEA-BDSTALKERID
#define UBLOXCFG_CFG_NMEA_BDSTALKERID_TYPE                 U2                                       //!< Type of CFG-NMEA-BDSTALKERID
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO CFG-ODO
    @{
*/

#define UBLOXCFG_CFG_ODO_ID  0x00220000 //!< Group ID of the CFG-ODO-* items

/*!
    \defgroup UBLOXCFG_CFG_ODO_USE_ODO CFG-ODO-USE_ODO (Use odometer)
    @{
*/
#define UBLOXCFG_CFG_ODO_USE_ODO_ID                        0x10220001                               //!< ID of CFG-ODO-USE_ODO
#define UBLOXCFG_CFG_ODO_USE_ODO_STR                       "CFG-ODO-USE_ODO"                        //!< Name of CFG-ODO-USE_ODO
#define UBLOXCFG_CFG_ODO_USE_ODO_TYPE                      L                                        //!< Type of CFG-ODO-USE_ODO
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_USE_COG CFG-ODO-USE_COG (Use low-speed course over ground filter)
    @{
*/
#define UBLOXCFG_CFG_ODO_USE_COG_ID                        0x10220002                               //!< ID of CFG-ODO-USE_COG
#define UBLOXCFG_CFG_ODO_USE_COG_STR                       "CFG-ODO-USE_COG"                        //!< Name of CFG-ODO-USE_COG
#define UBLOXCFG_CFG_ODO_USE_COG_TYPE                      L                                        //!< Type of CFG-ODO-USE_COG
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_OUTLPVEL CFG-ODO-OUTLPVEL (Output low-pass filtered velocity)
    @{
*/
#define UBLOXCFG_CFG_ODO_OUTLPVEL_ID                       0x10220003                               //!< ID of CFG-ODO-OUTLPVEL
#define UBLOXCFG_CFG_ODO_OUTLPVEL_STR                      "CFG-ODO-OUTLPVEL"                       //!< Name of CFG-ODO-OUTLPVEL
#define UBLOXCFG_CFG_ODO_OUTLPVEL_TYPE                     L                                        //!< Type of CFG-ODO-OUTLPVEL
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_OUTLPCOG CFG-ODO-OUTLPCOG (Output low-pass filtered course over ground (heading))
    @{
*/
#define UBLOXCFG_CFG_ODO_OUTLPCOG_ID                       0x10220004                               //!< ID of CFG-ODO-OUTLPCOG
#define UBLOXCFG_CFG_ODO_OUTLPCOG_STR                      "CFG-ODO-OUTLPCOG"                       //!< Name of CFG-ODO-OUTLPCOG
#define UBLOXCFG_CFG_ODO_OUTLPCOG_TYPE                     L                                        //!< Type of CFG-ODO-OUTLPCOG
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_PROFILE CFG-ODO-PROFILE (Odometer profile configuration)
    @{
*/
#define UBLOXCFG_CFG_ODO_PROFILE_ID                        0x20220005                               //!< ID of CFG-ODO-PROFILE
#define UBLOXCFG_CFG_ODO_PROFILE_STR                       "CFG-ODO-PROFILE"                        //!< Name of CFG-ODO-PROFILE
#define UBLOXCFG_CFG_ODO_PROFILE_TYPE                      E1                                       //!< Type of CFG-ODO-PROFILE
//! constants for CFG-ODO-PROFILE
typedef enum UBLOXCFG_CFG_ODO_PROFILE_e
{
    UBLOXCFG_CFG_ODO_PROFILE_RUN                         = 0,                                       //!< Running
    UBLOXCFG_CFG_ODO_PROFILE_CYCL                        = 1,                                       //!< Cycling
    UBLOXCFG_CFG_ODO_PROFILE_SWIM                        = 2,                                       //!< Swimming
    UBLOXCFG_CFG_ODO_PROFILE_CAR                         = 3,                                       //!< Car
    UBLOXCFG_CFG_ODO_PROFILE_CUSTOM                      = 4                                        //!< Custom
} UBLOXCFG_CFG_ODO_PROFILE_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_COGMAXSPEED CFG-ODO-COGMAXSPEED (Upper speed limit for low-speed course over ground filter)
    @{
*/
#define UBLOXCFG_CFG_ODO_COGMAXSPEED_ID                    0x20220021                               //!< ID of CFG-ODO-COGMAXSPEED
#define UBLOXCFG_CFG_ODO_COGMAXSPEED_STR                   "CFG-ODO-COGMAXSPEED"                    //!< Name of CFG-ODO-COGMAXSPEED
#define UBLOXCFG_CFG_ODO_COGMAXSPEED_TYPE                  U1                                       //!< Type of CFG-ODO-COGMAXSPEED
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_COGMAXPOSACC CFG-ODO-COGMAXPOSACC (Maximum acceptable position accuracy for computing low-speed filtered course over ground)
    @{
*/
#define UBLOXCFG_CFG_ODO_COGMAXPOSACC_ID                   0x20220022                               //!< ID of CFG-ODO-COGMAXPOSACC
#define UBLOXCFG_CFG_ODO_COGMAXPOSACC_STR                  "CFG-ODO-COGMAXPOSACC"                   //!< Name of CFG-ODO-COGMAXPOSACC
#define UBLOXCFG_CFG_ODO_COGMAXPOSACC_TYPE                 U1                                       //!< Type of CFG-ODO-COGMAXPOSACC
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_VELLPGAIN CFG-ODO-VELLPGAIN (Velocity low-pass filter level)
    @{
*/
#define UBLOXCFG_CFG_ODO_VELLPGAIN_ID                      0x20220031                               //!< ID of CFG-ODO-VELLPGAIN
#define UBLOXCFG_CFG_ODO_VELLPGAIN_STR                     "CFG-ODO-VELLPGAIN"                      //!< Name of CFG-ODO-VELLPGAIN
#define UBLOXCFG_CFG_ODO_VELLPGAIN_TYPE                    U1                                       //!< Type of CFG-ODO-VELLPGAIN
///@}

/*!
    \defgroup UBLOXCFG_CFG_ODO_COGLPGAIN CFG-ODO-COGLPGAIN (Course over ground low-pass filter level (at speed < 8 m/s))
    @{
*/
#define UBLOXCFG_CFG_ODO_COGLPGAIN_ID                      0x20220032                               //!< ID of CFG-ODO-COGLPGAIN
#define UBLOXCFG_CFG_ODO_COGLPGAIN_STR                     "CFG-ODO-COGLPGAIN"                      //!< Name of CFG-ODO-COGLPGAIN
#define UBLOXCFG_CFG_ODO_COGLPGAIN_TYPE                    U1                                       //!< Type of CFG-ODO-COGLPGAIN
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_PM CFG-PM
    @{
*/

#define UBLOXCFG_CFG_PM_ID  0x00d00000 //!< Group ID of the CFG-PM-* items

/*!
    \defgroup UBLOXCFG_CFG_PM_OPERATEMODE CFG-PM-OPERATEMODE (General receiver power management mode of operation)
    @{
*/
#define UBLOXCFG_CFG_PM_OPERATEMODE_ID                     0x20d00001                               //!< ID of CFG-PM-OPERATEMODE
#define UBLOXCFG_CFG_PM_OPERATEMODE_STR                    "CFG-PM-OPERATEMODE"                     //!< Name of CFG-PM-OPERATEMODE
#define UBLOXCFG_CFG_PM_OPERATEMODE_TYPE                   E1                                       //!< Type of CFG-PM-OPERATEMODE
//! constants for CFG-PM-OPERATEMODE
typedef enum UBLOXCFG_CFG_PM_OPERATEMODE_e
{
    UBLOXCFG_CFG_PM_OPERATEMODE_FULL                     = 0,                                       //!< Normal operation, no power save mode active
    UBLOXCFG_CFG_PM_OPERATEMODE_PSMOO                    = 1,                                       //!< PSM ON/OFF operation
    UBLOXCFG_CFG_PM_OPERATEMODE_PSMCT                    = 2                                        //!< PSM cyclic tracking operation
} UBLOXCFG_CFG_PM_OPERATEMODE_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_POSUPDATEPERIOD CFG-PM-POSUPDATEPERIOD (Position update period for PSMOO, 0 = no retry, >5)
    @{
*/
#define UBLOXCFG_CFG_PM_POSUPDATEPERIOD_ID                 0x40d00002                               //!< ID of CFG-PM-POSUPDATEPERIOD
#define UBLOXCFG_CFG_PM_POSUPDATEPERIOD_STR                "CFG-PM-POSUPDATEPERIOD"                 //!< Name of CFG-PM-POSUPDATEPERIOD
#define UBLOXCFG_CFG_PM_POSUPDATEPERIOD_TYPE               U4                                       //!< Type of CFG-PM-POSUPDATEPERIOD
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_ACQPERIOD CFG-PM-ACQPERIOD (Acquisition period used if the receiver previously failed to achieve a position fix)
    @{
*/
#define UBLOXCFG_CFG_PM_ACQPERIOD_ID                       0x40d00003                               //!< ID of CFG-PM-ACQPERIOD
#define UBLOXCFG_CFG_PM_ACQPERIOD_STR                      "CFG-PM-ACQPERIOD"                       //!< Name of CFG-PM-ACQPERIOD
#define UBLOXCFG_CFG_PM_ACQPERIOD_TYPE                     U4                                       //!< Type of CFG-PM-ACQPERIOD
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_GRIDOFFSET CFG-PM-GRIDOFFSET (Position update period grid offset relative to GPS start of week)
    @{
*/
#define UBLOXCFG_CFG_PM_GRIDOFFSET_ID                      0x40d00004                               //!< ID of CFG-PM-GRIDOFFSET
#define UBLOXCFG_CFG_PM_GRIDOFFSET_STR                     "CFG-PM-GRIDOFFSET"                      //!< Name of CFG-PM-GRIDOFFSET
#define UBLOXCFG_CFG_PM_GRIDOFFSET_TYPE                    U4                                       //!< Type of CFG-PM-GRIDOFFSET
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_ONTIME CFG-PM-ONTIME (Time to stay in tracking state)
    @{
*/
#define UBLOXCFG_CFG_PM_ONTIME_ID                          0x30d00005                               //!< ID of CFG-PM-ONTIME
#define UBLOXCFG_CFG_PM_ONTIME_STR                         "CFG-PM-ONTIME"                          //!< Name of CFG-PM-ONTIME
#define UBLOXCFG_CFG_PM_ONTIME_TYPE                        U2                                       //!< Type of CFG-PM-ONTIME
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_MINACQTIME CFG-PM-MINACQTIME (Minimum time to spend in acquisition state)
    @{
*/
#define UBLOXCFG_CFG_PM_MINACQTIME_ID                      0x20d00006                               //!< ID of CFG-PM-MINACQTIME
#define UBLOXCFG_CFG_PM_MINACQTIME_STR                     "CFG-PM-MINACQTIME"                      //!< Name of CFG-PM-MINACQTIME
#define UBLOXCFG_CFG_PM_MINACQTIME_TYPE                    U1                                       //!< Type of CFG-PM-MINACQTIME
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_MAXACQTIME CFG-PM-MAXACQTIME (Maximum time to spend in acquisition state)
    @{
*/
#define UBLOXCFG_CFG_PM_MAXACQTIME_ID                      0x20d00007                               //!< ID of CFG-PM-MAXACQTIME
#define UBLOXCFG_CFG_PM_MAXACQTIME_STR                     "CFG-PM-MAXACQTIME"                      //!< Name of CFG-PM-MAXACQTIME
#define UBLOXCFG_CFG_PM_MAXACQTIME_TYPE                    U1                                       //!< Type of CFG-PM-MAXACQTIME
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_DONOTENTEROFF CFG-PM-DONOTENTEROFF (Disable to make the receiver enter (inactive) awaiting next search state, enable to make the receiver not enter (inactive))
    @{
*/
#define UBLOXCFG_CFG_PM_DONOTENTEROFF_ID                   0x10d00008                               //!< ID of CFG-PM-DONOTENTEROFF
#define UBLOXCFG_CFG_PM_DONOTENTEROFF_STR                  "CFG-PM-DONOTENTEROFF"                   //!< Name of CFG-PM-DONOTENTEROFF
#define UBLOXCFG_CFG_PM_DONOTENTEROFF_TYPE                 L                                        //!< Type of CFG-PM-DONOTENTEROFF
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_WAITTIMEFIX CFG-PM-WAITTIMEFIX (Wait for time fix)
    @{
*/
#define UBLOXCFG_CFG_PM_WAITTIMEFIX_ID                     0x10d00009                               //!< ID of CFG-PM-WAITTIMEFIX
#define UBLOXCFG_CFG_PM_WAITTIMEFIX_STR                    "CFG-PM-WAITTIMEFIX"                     //!< Name of CFG-PM-WAITTIMEFIX
#define UBLOXCFG_CFG_PM_WAITTIMEFIX_TYPE                   L                                        //!< Type of CFG-PM-WAITTIMEFIX
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_UPDATEEPH CFG-PM-UPDATEEPH (Update ephemeris regularly)
    @{
*/
#define UBLOXCFG_CFG_PM_UPDATEEPH_ID                       0x10d0000a                               //!< ID of CFG-PM-UPDATEEPH
#define UBLOXCFG_CFG_PM_UPDATEEPH_STR                      "CFG-PM-UPDATEEPH"                       //!< Name of CFG-PM-UPDATEEPH
#define UBLOXCFG_CFG_PM_UPDATEEPH_TYPE                     L                                        //!< Type of CFG-PM-UPDATEEPH
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_EXTINTSEL CFG-PM-EXTINTSEL (EXTINT pin select)
    @{
*/
#define UBLOXCFG_CFG_PM_EXTINTSEL_ID                       0x20d0000b                               //!< ID of CFG-PM-EXTINTSEL
#define UBLOXCFG_CFG_PM_EXTINTSEL_STR                      "CFG-PM-EXTINTSEL"                       //!< Name of CFG-PM-EXTINTSEL
#define UBLOXCFG_CFG_PM_EXTINTSEL_TYPE                     E1                                       //!< Type of CFG-PM-EXTINTSEL
//! constants for CFG-PM-EXTINTSEL
typedef enum UBLOXCFG_CFG_PM_EXTINTSEL_e
{
    UBLOXCFG_CFG_PM_EXTINTSEL_EXTINT0                    = 0,                                       //!< EXTINT0 pin
    UBLOXCFG_CFG_PM_EXTINTSEL_EXTINT1                    = 1                                        //!< EXTINT1 pin
} UBLOXCFG_CFG_PM_EXTINTSEL_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_EXTINTWAKE CFG-PM-EXTINTWAKE (Enable to keep receiver awake as long as selected EXTINT pin is high)
    @{
*/
#define UBLOXCFG_CFG_PM_EXTINTWAKE_ID                      0x10d0000c                               //!< ID of CFG-PM-EXTINTWAKE
#define UBLOXCFG_CFG_PM_EXTINTWAKE_STR                     "CFG-PM-EXTINTWAKE"                      //!< Name of CFG-PM-EXTINTWAKE
#define UBLOXCFG_CFG_PM_EXTINTWAKE_TYPE                    L                                        //!< Type of CFG-PM-EXTINTWAKE
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_EXTINTBACKUP CFG-PM-EXTINTBACKUP (EXTINT pin control (Backup))
    @{
*/
#define UBLOXCFG_CFG_PM_EXTINTBACKUP_ID                    0x10d0000d                               //!< ID of CFG-PM-EXTINTBACKUP
#define UBLOXCFG_CFG_PM_EXTINTBACKUP_STR                   "CFG-PM-EXTINTBACKUP"                    //!< Name of CFG-PM-EXTINTBACKUP
#define UBLOXCFG_CFG_PM_EXTINTBACKUP_TYPE                  L                                        //!< Type of CFG-PM-EXTINTBACKUP
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_EXTINTINACTIVE CFG-PM-EXTINTINACTIVE (EXTINT pin control (Inactive))
    @{
*/
#define UBLOXCFG_CFG_PM_EXTINTINACTIVE_ID                  0x10d0000e                               //!< ID of CFG-PM-EXTINTINACTIVE
#define UBLOXCFG_CFG_PM_EXTINTINACTIVE_STR                 "CFG-PM-EXTINTINACTIVE"                  //!< Name of CFG-PM-EXTINTINACTIVE
#define UBLOXCFG_CFG_PM_EXTINTINACTIVE_TYPE                L                                        //!< Type of CFG-PM-EXTINTINACTIVE
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_EXTINTINACTIVITY CFG-PM-EXTINTINACTIVITY (Inactivity time out on EXTINT pin if enabled)
    @{
*/
#define UBLOXCFG_CFG_PM_EXTINTINACTIVITY_ID                0x40d0000f                               //!< ID of CFG-PM-EXTINTINACTIVITY
#define UBLOXCFG_CFG_PM_EXTINTINACTIVITY_STR               "CFG-PM-EXTINTINACTIVITY"                //!< Name of CFG-PM-EXTINTINACTIVITY
#define UBLOXCFG_CFG_PM_EXTINTINACTIVITY_TYPE              U4                                       //!< Type of CFG-PM-EXTINTINACTIVITY
///@}

/*!
    \defgroup UBLOXCFG_CFG_PM_LIMITPEAKCURR CFG-PM-LIMITPEAKCURR (Limit peak current)
    @{
*/
#define UBLOXCFG_CFG_PM_LIMITPEAKCURR_ID                   0x10d00010                               //!< ID of CFG-PM-LIMITPEAKCURR
#define UBLOXCFG_CFG_PM_LIMITPEAKCURR_STR                  "CFG-PM-LIMITPEAKCURR"                   //!< Name of CFG-PM-LIMITPEAKCURR
#define UBLOXCFG_CFG_PM_LIMITPEAKCURR_TYPE                 L                                        //!< Type of CFG-PM-LIMITPEAKCURR
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_QZSS CFG-QZSS
    @{
*/

#define UBLOXCFG_CFG_QZSS_ID  0x00370000 //!< Group ID of the CFG-QZSS-* items

/*!
    \defgroup UBLOXCFG_CFG_QZSS_USE_SLAS_DGNSS CFG-QZSS-USE_SLAS_DGNSS (Apply QZSS SLAS DGNSS corrections)
    @{
*/
#define UBLOXCFG_CFG_QZSS_USE_SLAS_DGNSS_ID                0x10370005                               //!< ID of CFG-QZSS-USE_SLAS_DGNSS
#define UBLOXCFG_CFG_QZSS_USE_SLAS_DGNSS_STR               "CFG-QZSS-USE_SLAS_DGNSS"                //!< Name of CFG-QZSS-USE_SLAS_DGNSS
#define UBLOXCFG_CFG_QZSS_USE_SLAS_DGNSS_TYPE              L                                        //!< Type of CFG-QZSS-USE_SLAS_DGNSS
///@}

/*!
    \defgroup UBLOXCFG_CFG_QZSS_USE_SLAS_TESTMODE CFG-QZSS-USE_SLAS_TESTMODE (Use QZSS SLAS data when it is in test mode (SLAS msg 0))
    @{
*/
#define UBLOXCFG_CFG_QZSS_USE_SLAS_TESTMODE_ID             0x10370006                               //!< ID of CFG-QZSS-USE_SLAS_TESTMODE
#define UBLOXCFG_CFG_QZSS_USE_SLAS_TESTMODE_STR            "CFG-QZSS-USE_SLAS_TESTMODE"             //!< Name of CFG-QZSS-USE_SLAS_TESTMODE
#define UBLOXCFG_CFG_QZSS_USE_SLAS_TESTMODE_TYPE           L                                        //!< Type of CFG-QZSS-USE_SLAS_TESTMODE
///@}

/*!
    \defgroup UBLOXCFG_CFG_QZSS_USE_SLAS_RAIM_UNCORR CFG-QZSS-USE_SLAS_RAIM_UNCORR (Raim out measurements that are not corrected by QZSS SLAS, if at least 5 measurements are corrected)
    @{
*/
#define UBLOXCFG_CFG_QZSS_USE_SLAS_RAIM_UNCORR_ID          0x10370007                               //!< ID of CFG-QZSS-USE_SLAS_RAIM_UNCORR
#define UBLOXCFG_CFG_QZSS_USE_SLAS_RAIM_UNCORR_STR         "CFG-QZSS-USE_SLAS_RAIM_UNCORR"          //!< Name of CFG-QZSS-USE_SLAS_RAIM_UNCORR
#define UBLOXCFG_CFG_QZSS_USE_SLAS_RAIM_UNCORR_TYPE        L                                        //!< Type of CFG-QZSS-USE_SLAS_RAIM_UNCORR
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_RATE CFG-RATE
    @{
*/

#define UBLOXCFG_CFG_RATE_ID  0x00210000 //!< Group ID of the CFG-RATE-* items

/*!
    \defgroup UBLOXCFG_CFG_RATE_MEAS CFG-RATE-MEAS (Nominal time between GNSS measurements)
    @{
*/
#define UBLOXCFG_CFG_RATE_MEAS_ID                          0x30210001                               //!< ID of CFG-RATE-MEAS
#define UBLOXCFG_CFG_RATE_MEAS_STR                         "CFG-RATE-MEAS"                          //!< Name of CFG-RATE-MEAS
#define UBLOXCFG_CFG_RATE_MEAS_TYPE                        U2                                       //!< Type of CFG-RATE-MEAS
///@}

/*!
    \defgroup UBLOXCFG_CFG_RATE_NAV CFG-RATE-NAV (Ratio of number of measurements to number of navigation solutions)
    @{
*/
#define UBLOXCFG_CFG_RATE_NAV_ID                           0x30210002                               //!< ID of CFG-RATE-NAV
#define UBLOXCFG_CFG_RATE_NAV_STR                          "CFG-RATE-NAV"                           //!< Name of CFG-RATE-NAV
#define UBLOXCFG_CFG_RATE_NAV_TYPE                         U2                                       //!< Type of CFG-RATE-NAV
///@}

/*!
    \defgroup UBLOXCFG_CFG_RATE_TIMEREF CFG-RATE-TIMEREF (Time system to which measurements are aligned)
    @{
*/
#define UBLOXCFG_CFG_RATE_TIMEREF_ID                       0x20210003                               //!< ID of CFG-RATE-TIMEREF
#define UBLOXCFG_CFG_RATE_TIMEREF_STR                      "CFG-RATE-TIMEREF"                       //!< Name of CFG-RATE-TIMEREF
#define UBLOXCFG_CFG_RATE_TIMEREF_TYPE                     E1                                       //!< Type of CFG-RATE-TIMEREF
//! constants for CFG-RATE-TIMEREF
typedef enum UBLOXCFG_CFG_RATE_TIMEREF_e
{
    UBLOXCFG_CFG_RATE_TIMEREF_UTC                        = 0,                                       //!< Align measurements to UTC time
    UBLOXCFG_CFG_RATE_TIMEREF_GPS                        = 1,                                       //!< Align measurements to GPS time
    UBLOXCFG_CFG_RATE_TIMEREF_GLO                        = 2,                                       //!< Align measurements to GLONASS time
    UBLOXCFG_CFG_RATE_TIMEREF_BDS                        = 3,                                       //!< Align measurements to BeiDou time
    UBLOXCFG_CFG_RATE_TIMEREF_GAL                        = 4                                        //!< Align measurements to Galileo time
} UBLOXCFG_CFG_RATE_TIMEREF_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV CFG-RINV
    @{
*/

#define UBLOXCFG_CFG_RINV_ID  0x00c70000 //!< Group ID of the CFG-RINV-* items

/*!
    \defgroup UBLOXCFG_CFG_RINV_DUMP CFG-RINV-DUMP (Dump data at startup)
    @{
*/
#define UBLOXCFG_CFG_RINV_DUMP_ID                          0x10c70001                               //!< ID of CFG-RINV-DUMP
#define UBLOXCFG_CFG_RINV_DUMP_STR                         "CFG-RINV-DUMP"                          //!< Name of CFG-RINV-DUMP
#define UBLOXCFG_CFG_RINV_DUMP_TYPE                        L                                        //!< Type of CFG-RINV-DUMP
///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV_BINARY CFG-RINV-BINARY (Data is binary)
    @{
*/
#define UBLOXCFG_CFG_RINV_BINARY_ID                        0x10c70002                               //!< ID of CFG-RINV-BINARY
#define UBLOXCFG_CFG_RINV_BINARY_STR                       "CFG-RINV-BINARY"                        //!< Name of CFG-RINV-BINARY
#define UBLOXCFG_CFG_RINV_BINARY_TYPE                      L                                        //!< Type of CFG-RINV-BINARY
///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV_DATA_SIZE CFG-RINV-DATA_SIZE (Size of data)
    @{
*/
#define UBLOXCFG_CFG_RINV_DATA_SIZE_ID                     0x20c70003                               //!< ID of CFG-RINV-DATA_SIZE
#define UBLOXCFG_CFG_RINV_DATA_SIZE_STR                    "CFG-RINV-DATA_SIZE"                     //!< Name of CFG-RINV-DATA_SIZE
#define UBLOXCFG_CFG_RINV_DATA_SIZE_TYPE                   U1                                       //!< Type of CFG-RINV-DATA_SIZE
///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV_CHUNK0 CFG-RINV-CHUNK0 (Data bytes 1-8 (LSB))
    @{
*/
#define UBLOXCFG_CFG_RINV_CHUNK0_ID                        0x50c70004                               //!< ID of CFG-RINV-CHUNK0
#define UBLOXCFG_CFG_RINV_CHUNK0_STR                       "CFG-RINV-CHUNK0"                        //!< Name of CFG-RINV-CHUNK0
#define UBLOXCFG_CFG_RINV_CHUNK0_TYPE                      X8                                       //!< Type of CFG-RINV-CHUNK0
///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV_CHUNK1 CFG-RINV-CHUNK1 (Data bytes 9-16)
    @{
*/
#define UBLOXCFG_CFG_RINV_CHUNK1_ID                        0x50c70005                               //!< ID of CFG-RINV-CHUNK1
#define UBLOXCFG_CFG_RINV_CHUNK1_STR                       "CFG-RINV-CHUNK1"                        //!< Name of CFG-RINV-CHUNK1
#define UBLOXCFG_CFG_RINV_CHUNK1_TYPE                      X8                                       //!< Type of CFG-RINV-CHUNK1
///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV_CHUNK2 CFG-RINV-CHUNK2 (Data bytes 17-24)
    @{
*/
#define UBLOXCFG_CFG_RINV_CHUNK2_ID                        0x50c70006                               //!< ID of CFG-RINV-CHUNK2
#define UBLOXCFG_CFG_RINV_CHUNK2_STR                       "CFG-RINV-CHUNK2"                        //!< Name of CFG-RINV-CHUNK2
#define UBLOXCFG_CFG_RINV_CHUNK2_TYPE                      X8                                       //!< Type of CFG-RINV-CHUNK2
///@}

/*!
    \defgroup UBLOXCFG_CFG_RINV_CHUNK3 CFG-RINV-CHUNK3 (Data bytes 25-30 (MSB))
    @{
*/
#define UBLOXCFG_CFG_RINV_CHUNK3_ID                        0x50c70007                               //!< ID of CFG-RINV-CHUNK3
#define UBLOXCFG_CFG_RINV_CHUNK3_STR                       "CFG-RINV-CHUNK3"                        //!< Name of CFG-RINV-CHUNK3
#define UBLOXCFG_CFG_RINV_CHUNK3_TYPE                      X8                                       //!< Type of CFG-RINV-CHUNK3
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_RTCM CFG-RTCM
    @{
*/

#define UBLOXCFG_CFG_RTCM_ID  0x00090000 //!< Group ID of the CFG-RTCM-* items

/*!
    \defgroup UBLOXCFG_CFG_RTCM_DF003_OUT CFG-RTCM-DF003_OUT (RTCM DF003 (Reference station ID) output value (0...4095))
    @{
*/
#define UBLOXCFG_CFG_RTCM_DF003_OUT_ID                     0x30090001                               //!< ID of CFG-RTCM-DF003_OUT
#define UBLOXCFG_CFG_RTCM_DF003_OUT_STR                    "CFG-RTCM-DF003_OUT"                     //!< Name of CFG-RTCM-DF003_OUT
#define UBLOXCFG_CFG_RTCM_DF003_OUT_TYPE                   U2                                       //!< Type of CFG-RTCM-DF003_OUT
///@}

/*!
    \defgroup UBLOXCFG_CFG_RTCM_DF003_IN CFG-RTCM-DF003_IN (RTCM DF003 (Reference station ID) input value (0...4095))
    @{
*/
#define UBLOXCFG_CFG_RTCM_DF003_IN_ID                      0x30090008                               //!< ID of CFG-RTCM-DF003_IN
#define UBLOXCFG_CFG_RTCM_DF003_IN_STR                     "CFG-RTCM-DF003_IN"                      //!< Name of CFG-RTCM-DF003_IN
#define UBLOXCFG_CFG_RTCM_DF003_IN_TYPE                    U2                                       //!< Type of CFG-RTCM-DF003_IN
///@}

/*!
    \defgroup UBLOXCFG_CFG_RTCM_DF003_IN_FILTER CFG-RTCM-DF003_IN_FILTER (RTCM input filter configuration based on RTCM DF003 (Reference station ID) value)
    @{
*/
#define UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_ID               0x20090009                               //!< ID of CFG-RTCM-DF003_IN_FILTER
#define UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_STR              "CFG-RTCM-DF003_IN_FILTER"               //!< Name of CFG-RTCM-DF003_IN_FILTER
#define UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_TYPE             E1                                       //!< Type of CFG-RTCM-DF003_IN_FILTER
//! constants for CFG-RTCM-DF003_IN_FILTER
typedef enum UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_e
{
    UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_DISABLED           = 0,                                       //!< Disabled RTCM input filter; all input messages allowed
    UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_RELAXED            = 1,                                       //!< Relaxed RTCM input filter; input messages allowed must contain a DF003 data field matching the CFG-RTCM-DF003_IN value or not contain by specification the DF003 data field
    UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_STRICT             = 2                                        //!< Strict RTCM input filter; input messages allowed must contain a DF003 data field matching the CFG-RTCM-DF003 value
} UBLOXCFG_CFG_RTCM_DF003_IN_FILTER_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SBAS CFG-SBAS
    @{
*/

#define UBLOXCFG_CFG_SBAS_ID  0x00360000 //!< Group ID of the CFG-SBAS-* items

/*!
    \defgroup UBLOXCFG_CFG_SBAS_USE_TESTMODE CFG-SBAS-USE_TESTMODE (Use SBAS data when it is in test mode (SBAS msg 0))
    @{
*/
#define UBLOXCFG_CFG_SBAS_USE_TESTMODE_ID                  0x10360002                               //!< ID of CFG-SBAS-USE_TESTMODE
#define UBLOXCFG_CFG_SBAS_USE_TESTMODE_STR                 "CFG-SBAS-USE_TESTMODE"                  //!< Name of CFG-SBAS-USE_TESTMODE
#define UBLOXCFG_CFG_SBAS_USE_TESTMODE_TYPE                L                                        //!< Type of CFG-SBAS-USE_TESTMODE
///@}

/*!
    \defgroup UBLOXCFG_CFG_SBAS_USE_RANGING CFG-SBAS-USE_RANGING (Use SBAS GEOs as a ranging source (for navigation))
    @{
*/
#define UBLOXCFG_CFG_SBAS_USE_RANGING_ID                   0x10360003                               //!< ID of CFG-SBAS-USE_RANGING
#define UBLOXCFG_CFG_SBAS_USE_RANGING_STR                  "CFG-SBAS-USE_RANGING"                   //!< Name of CFG-SBAS-USE_RANGING
#define UBLOXCFG_CFG_SBAS_USE_RANGING_TYPE                 L                                        //!< Type of CFG-SBAS-USE_RANGING
///@}

/*!
    \defgroup UBLOXCFG_CFG_SBAS_USE_DIFFCORR CFG-SBAS-USE_DIFFCORR (Use SBAS differential corrections)
    @{
*/
#define UBLOXCFG_CFG_SBAS_USE_DIFFCORR_ID                  0x10360004                               //!< ID of CFG-SBAS-USE_DIFFCORR
#define UBLOXCFG_CFG_SBAS_USE_DIFFCORR_STR                 "CFG-SBAS-USE_DIFFCORR"                  //!< Name of CFG-SBAS-USE_DIFFCORR
#define UBLOXCFG_CFG_SBAS_USE_DIFFCORR_TYPE                L                                        //!< Type of CFG-SBAS-USE_DIFFCORR
///@}

/*!
    \defgroup UBLOXCFG_CFG_SBAS_USE_INTEGRITY CFG-SBAS-USE_INTEGRITY (Use SBAS integrity information)
    @{
*/
#define UBLOXCFG_CFG_SBAS_USE_INTEGRITY_ID                 0x10360005                               //!< ID of CFG-SBAS-USE_INTEGRITY
#define UBLOXCFG_CFG_SBAS_USE_INTEGRITY_STR                "CFG-SBAS-USE_INTEGRITY"                 //!< Name of CFG-SBAS-USE_INTEGRITY
#define UBLOXCFG_CFG_SBAS_USE_INTEGRITY_TYPE               L                                        //!< Type of CFG-SBAS-USE_INTEGRITY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SBAS_PRNSCANMASK CFG-SBAS-PRNSCANMASK (SBAS PRN search configuration)
    @{
*/
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_ID                   0x50360006                               //!< ID of CFG-SBAS-PRNSCANMASK
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_STR                  "CFG-SBAS-PRNSCANMASK"                   //!< Name of CFG-SBAS-PRNSCANMASK
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_TYPE                 X8                                       //!< Type of CFG-SBAS-PRNSCANMASK
// constants for CFG-SBAS-PRNSCANMASK
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_ALL                  0x0000000000000000                       //!< Enable search for all SBAS PRNs
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN120               0x0000000000000001                       //!< Enable search for SBAS PRN120
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN121               0x0000000000000002                       //!< Enable search for SBAS PRN121
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN122               0x0000000000000004                       //!< Enable search for SBAS PRN122
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN123               0x0000000000000008                       //!< Enable search for SBAS PRN123
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN124               0x0000000000000010                       //!< Enable search for SBAS PRN124
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN125               0x0000000000000020                       //!< Enable search for SBAS PRN125
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN126               0x0000000000000040                       //!< Enable search for SBAS PRN126
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN127               0x0000000000000080                       //!< Enable search for SBAS PRN127
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN128               0x0000000000000100                       //!< Enable search for SBAS PRN128
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN129               0x0000000000000200                       //!< Enable search for SBAS PRN129
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN130               0x0000000000000400                       //!< Enable search for SBAS PRN130
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN131               0x0000000000000800                       //!< Enable search for SBAS PRN131
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN132               0x0000000000001000                       //!< Enable search for SBAS PRN132
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN133               0x0000000000002000                       //!< Enable search for SBAS PRN133
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN134               0x0000000000004000                       //!< Enable search for SBAS PRN134
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN135               0x0000000000008000                       //!< Enable search for SBAS PRN135
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN136               0x0000000000010000                       //!< Enable search for SBAS PRN136
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN137               0x0000000000020000                       //!< Enable search for SBAS PRN137
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN138               0x0000000000040000                       //!< Enable search for SBAS PRN138
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN139               0x0000000000080000                       //!< Enable search for SBAS PRN139
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN140               0x0000000000100000                       //!< Enable search for SBAS PRN140
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN141               0x0000000000200000                       //!< Enable search for SBAS PRN141
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN142               0x0000000000400000                       //!< Enable search for SBAS PRN142
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN143               0x0000000000800000                       //!< Enable search for SBAS PRN143
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN144               0x0000000001000000                       //!< Enable search for SBAS PRN144
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN145               0x0000000002000000                       //!< Enable search for SBAS PRN145
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN146               0x0000000004000000                       //!< Enable search for SBAS PRN146
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN147               0x0000000008000000                       //!< Enable search for SBAS PRN147
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN148               0x0000000010000000                       //!< Enable search for SBAS PRN148
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN149               0x0000000020000000                       //!< Enable search for SBAS PRN149
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN150               0x0000000040000000                       //!< Enable search for SBAS PRN150
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN151               0x0000000080000000                       //!< Enable search for SBAS PRN151
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN152               0x0000000100000000                       //!< Enable search for SBAS PRN152
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN153               0x0000000200000000                       //!< Enable search for SBAS PRN153
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN154               0x0000000400000000                       //!< Enable search for SBAS PRN154
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN155               0x0000000800000000                       //!< Enable search for SBAS PRN155
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN156               0x0000001000000000                       //!< Enable search for SBAS PRN156
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN157               0x0000002000000000                       //!< Enable search for SBAS PRN157
#define UBLOXCFG_CFG_SBAS_PRNSCANMASK_PRN158               0x0000004000000000                       //!< Enable search for SBAS PRN158
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SEC CFG-SEC
    @{
*/

#define UBLOXCFG_CFG_SEC_ID  0x00f60000 //!< Group ID of the CFG-SEC-* items

/*!
    \defgroup UBLOXCFG_CFG_SEC_CFG_LOCK CFG-SEC-CFG_LOCK (Configuration lockdown)
    @{
*/
#define UBLOXCFG_CFG_SEC_CFG_LOCK_ID                       0x10f60009                               //!< ID of CFG-SEC-CFG_LOCK
#define UBLOXCFG_CFG_SEC_CFG_LOCK_STR                      "CFG-SEC-CFG_LOCK"                       //!< Name of CFG-SEC-CFG_LOCK
#define UBLOXCFG_CFG_SEC_CFG_LOCK_TYPE                     L                                        //!< Type of CFG-SEC-CFG_LOCK
///@}

/*!
    \defgroup UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP1 CFG-SEC-CFG_LOCK_UNLOCKGRP1 (Configuration lockdown exempted group 1)
    @{
*/
#define UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP1_ID            0x30f6000a                               //!< ID of CFG-SEC-CFG_LOCK_UNLOCKGRP1
#define UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP1_STR           "CFG-SEC-CFG_LOCK_UNLOCKGRP1"            //!< Name of CFG-SEC-CFG_LOCK_UNLOCKGRP1
#define UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP1_TYPE          U2                                       //!< Type of CFG-SEC-CFG_LOCK_UNLOCKGRP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP2 CFG-SEC-CFG_LOCK_UNLOCKGRP2 (Configuration lockdown exempted group 1)
    @{
*/
#define UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP2_ID            0x30f6000b                               //!< ID of CFG-SEC-CFG_LOCK_UNLOCKGRP2
#define UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP2_STR           "CFG-SEC-CFG_LOCK_UNLOCKGRP2"            //!< Name of CFG-SEC-CFG_LOCK_UNLOCKGRP2
#define UBLOXCFG_CFG_SEC_CFG_LOCK_UNLOCKGRP2_TYPE          U2                                       //!< Type of CFG-SEC-CFG_LOCK_UNLOCKGRP2
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SFCORE CFG-SFCORE
    @{
*/

#define UBLOXCFG_CFG_SFCORE_ID  0x00080000 //!< Group ID of the CFG-SFCORE-* items

/*!
    \defgroup UBLOXCFG_CFG_SFCORE_USE_SF CFG-SFCORE-USE_SF (Use ADR/UDR sensor fusion)
    @{
*/
#define UBLOXCFG_CFG_SFCORE_USE_SF_ID                      0x10080001                               //!< ID of CFG-SFCORE-USE_SF
#define UBLOXCFG_CFG_SFCORE_USE_SF_STR                     "CFG-SFCORE-USE_SF"                      //!< Name of CFG-SFCORE-USE_SF
#define UBLOXCFG_CFG_SFCORE_USE_SF_TYPE                    L                                        //!< Type of CFG-SFCORE-USE_SF
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU CFG-SFIMU
    @{
*/

#define UBLOXCFG_CFG_SFIMU_ID  0x00060000 //!< Group ID of the CFG-SFIMU-* items

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_GYRO_TC_UPDATE_PERIOD CFG-SFIMU-GYRO_TC_UPDATE_PERIOD (Time period between each update for the saved temperature-dependent gyroscope bias table)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_GYRO_TC_UPDATE_PERIOD_ID        0x30060007                               //!< ID of CFG-SFIMU-GYRO_TC_UPDATE_PERIOD
#define UBLOXCFG_CFG_SFIMU_GYRO_TC_UPDATE_PERIOD_STR       "CFG-SFIMU-GYRO_TC_UPDATE_PERIOD"        //!< Name of CFG-SFIMU-GYRO_TC_UPDATE_PERIOD
#define UBLOXCFG_CFG_SFIMU_GYRO_TC_UPDATE_PERIOD_TYPE      U2                                       //!< Type of CFG-SFIMU-GYRO_TC_UPDATE_PERIOD
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_GYRO_RMSTHDL CFG-SFIMU-GYRO_RMSTHDL (Gyroscope sensor RMS threshold)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_GYRO_RMSTHDL_ID                 0x20060008                               //!< ID of CFG-SFIMU-GYRO_RMSTHDL
#define UBLOXCFG_CFG_SFIMU_GYRO_RMSTHDL_STR                "CFG-SFIMU-GYRO_RMSTHDL"                 //!< Name of CFG-SFIMU-GYRO_RMSTHDL
#define UBLOXCFG_CFG_SFIMU_GYRO_RMSTHDL_TYPE               U1                                       //!< Type of CFG-SFIMU-GYRO_RMSTHDL
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_GYRO_FREQUENCY CFG-SFIMU-GYRO_FREQUENCY (Nominal gyroscope sensor data sampling frequency)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_GYRO_FREQUENCY_ID               0x20060009                               //!< ID of CFG-SFIMU-GYRO_FREQUENCY
#define UBLOXCFG_CFG_SFIMU_GYRO_FREQUENCY_STR              "CFG-SFIMU-GYRO_FREQUENCY"               //!< Name of CFG-SFIMU-GYRO_FREQUENCY
#define UBLOXCFG_CFG_SFIMU_GYRO_FREQUENCY_TYPE             U1                                       //!< Type of CFG-SFIMU-GYRO_FREQUENCY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_GYRO_LATENCY CFG-SFIMU-GYRO_LATENCY (Gyroscope sensor data latency due to e.g. CAN bus)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_GYRO_LATENCY_ID                 0x3006000a                               //!< ID of CFG-SFIMU-GYRO_LATENCY
#define UBLOXCFG_CFG_SFIMU_GYRO_LATENCY_STR                "CFG-SFIMU-GYRO_LATENCY"                 //!< Name of CFG-SFIMU-GYRO_LATENCY
#define UBLOXCFG_CFG_SFIMU_GYRO_LATENCY_TYPE               U2                                       //!< Type of CFG-SFIMU-GYRO_LATENCY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_GYRO_ACCURACY CFG-SFIMU-GYRO_ACCURACY (Gyroscope sensor data accuracy)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_GYRO_ACCURACY_ID                0x3006000b                               //!< ID of CFG-SFIMU-GYRO_ACCURACY
#define UBLOXCFG_CFG_SFIMU_GYRO_ACCURACY_STR               "CFG-SFIMU-GYRO_ACCURACY"                //!< Name of CFG-SFIMU-GYRO_ACCURACY
#define UBLOXCFG_CFG_SFIMU_GYRO_ACCURACY_TYPE              U2                                       //!< Type of CFG-SFIMU-GYRO_ACCURACY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_ACCEL_RMSTHDL CFG-SFIMU-ACCEL_RMSTHDL (Accelerometer RMS threshold)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_ACCEL_RMSTHDL_ID                0x20060015                               //!< ID of CFG-SFIMU-ACCEL_RMSTHDL
#define UBLOXCFG_CFG_SFIMU_ACCEL_RMSTHDL_STR               "CFG-SFIMU-ACCEL_RMSTHDL"                //!< Name of CFG-SFIMU-ACCEL_RMSTHDL
#define UBLOXCFG_CFG_SFIMU_ACCEL_RMSTHDL_TYPE              U1                                       //!< Type of CFG-SFIMU-ACCEL_RMSTHDL
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_ACCEL_FREQUENCY CFG-SFIMU-ACCEL_FREQUENCY (Nominal accelerometer sensor data sampling)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_ACCEL_FREQUENCY_ID              0x20060016                               //!< ID of CFG-SFIMU-ACCEL_FREQUENCY
#define UBLOXCFG_CFG_SFIMU_ACCEL_FREQUENCY_STR             "CFG-SFIMU-ACCEL_FREQUENCY"              //!< Name of CFG-SFIMU-ACCEL_FREQUENCY
#define UBLOXCFG_CFG_SFIMU_ACCEL_FREQUENCY_TYPE            U1                                       //!< Type of CFG-SFIMU-ACCEL_FREQUENCY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_ACCEL_LATENCY CFG-SFIMU-ACCEL_LATENCY (Accelerometer sensor data latency due to e.g. CAN bus)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_ACCEL_LATENCY_ID                0x30060017                               //!< ID of CFG-SFIMU-ACCEL_LATENCY
#define UBLOXCFG_CFG_SFIMU_ACCEL_LATENCY_STR               "CFG-SFIMU-ACCEL_LATENCY"                //!< Name of CFG-SFIMU-ACCEL_LATENCY
#define UBLOXCFG_CFG_SFIMU_ACCEL_LATENCY_TYPE              U2                                       //!< Type of CFG-SFIMU-ACCEL_LATENCY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_ACCEL_ACCURACY CFG-SFIMU-ACCEL_ACCURACY (Accelerometer sensor data accuracy)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_ACCEL_ACCURACY_ID               0x30060018                               //!< ID of CFG-SFIMU-ACCEL_ACCURACY
#define UBLOXCFG_CFG_SFIMU_ACCEL_ACCURACY_STR              "CFG-SFIMU-ACCEL_ACCURACY"               //!< Name of CFG-SFIMU-ACCEL_ACCURACY
#define UBLOXCFG_CFG_SFIMU_ACCEL_ACCURACY_TYPE             U2                                       //!< Type of CFG-SFIMU-ACCEL_ACCURACY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_IMU_I2C_SCL_PIO CFG-SFIMU-IMU_I2C_SCL_PIO (PIO of the IMU I2C)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_IMU_I2C_SCL_PIO_ID              0x2006001e                               //!< ID of CFG-SFIMU-IMU_I2C_SCL_PIO
#define UBLOXCFG_CFG_SFIMU_IMU_I2C_SCL_PIO_STR             "CFG-SFIMU-IMU_I2C_SCL_PIO"              //!< Name of CFG-SFIMU-IMU_I2C_SCL_PIO
#define UBLOXCFG_CFG_SFIMU_IMU_I2C_SCL_PIO_TYPE            U1                                       //!< Type of CFG-SFIMU-IMU_I2C_SCL_PIO
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_IMU_I2C_SDA_PIO CFG-SFIMU-IMU_I2C_SDA_PIO (SDA PIO of the IMU I2C)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_IMU_I2C_SDA_PIO_ID              0x2006001f                               //!< ID of CFG-SFIMU-IMU_I2C_SDA_PIO
#define UBLOXCFG_CFG_SFIMU_IMU_I2C_SDA_PIO_STR             "CFG-SFIMU-IMU_I2C_SDA_PIO"              //!< Name of CFG-SFIMU-IMU_I2C_SDA_PIO
#define UBLOXCFG_CFG_SFIMU_IMU_I2C_SDA_PIO_TYPE            U1                                       //!< Type of CFG-SFIMU-IMU_I2C_SDA_PIO
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_AUTO_MNTALG_ENA CFG-SFIMU-AUTO_MNTALG_ENA (Enable automatic IMU-mount alignment)
    @{
*/
#define UBLOXCFG_CFG_SFIMU_AUTO_MNTALG_ENA_ID              0x10060027                               //!< ID of CFG-SFIMU-AUTO_MNTALG_ENA
#define UBLOXCFG_CFG_SFIMU_AUTO_MNTALG_ENA_STR             "CFG-SFIMU-AUTO_MNTALG_ENA"              //!< Name of CFG-SFIMU-AUTO_MNTALG_ENA
#define UBLOXCFG_CFG_SFIMU_AUTO_MNTALG_ENA_TYPE            L                                        //!< Type of CFG-SFIMU-AUTO_MNTALG_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_IMU_MNTALG_YAW CFG-SFIMU-IMU_MNTALG_YAW (User-defined IMU-mount yaw angle (0..360))
    @{
*/
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_YAW_ID               0x4006002d                               //!< ID of CFG-SFIMU-IMU_MNTALG_YAW
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_YAW_STR              "CFG-SFIMU-IMU_MNTALG_YAW"               //!< Name of CFG-SFIMU-IMU_MNTALG_YAW
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_YAW_TYPE             U4                                       //!< Type of CFG-SFIMU-IMU_MNTALG_YAW
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_IMU_MNTALG_PITCH CFG-SFIMU-IMU_MNTALG_PITCH (User-defined IMU-mount pitch angle (-90..90))
    @{
*/
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_PITCH_ID             0x3006002e                               //!< ID of CFG-SFIMU-IMU_MNTALG_PITCH
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_PITCH_STR            "CFG-SFIMU-IMU_MNTALG_PITCH"             //!< Name of CFG-SFIMU-IMU_MNTALG_PITCH
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_PITCH_TYPE           I2                                       //!< Type of CFG-SFIMU-IMU_MNTALG_PITCH
///@}

/*!
    \defgroup UBLOXCFG_CFG_SFIMU_IMU_MNTALG_ROLL CFG-SFIMU-IMU_MNTALG_ROLL (User-defined IMU-mount roll angle (-180..180))
    @{
*/
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_ROLL_ID              0x3006002f                               //!< ID of CFG-SFIMU-IMU_MNTALG_ROLL
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_ROLL_STR             "CFG-SFIMU-IMU_MNTALG_ROLL"              //!< Name of CFG-SFIMU-IMU_MNTALG_ROLL
#define UBLOXCFG_CFG_SFIMU_IMU_MNTALG_ROLL_TYPE            I2                                       //!< Type of CFG-SFIMU-IMU_MNTALG_ROLL
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL CFG-SIGNAL
    @{
*/

#define UBLOXCFG_CFG_SIGNAL_ID  0x00310000 //!< Group ID of the CFG-SIGNAL-* items

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GPS_ENA CFG-SIGNAL-GPS_ENA (GPS enable)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GPS_ENA_ID                     0x1031001f                               //!< ID of CFG-SIGNAL-GPS_ENA
#define UBLOXCFG_CFG_SIGNAL_GPS_ENA_STR                    "CFG-SIGNAL-GPS_ENA"                     //!< Name of CFG-SIGNAL-GPS_ENA
#define UBLOXCFG_CFG_SIGNAL_GPS_ENA_TYPE                   L                                        //!< Type of CFG-SIGNAL-GPS_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GPS_L1CA_ENA CFG-SIGNAL-GPS_L1CA_ENA (GPS L1C/A)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GPS_L1CA_ENA_ID                0x10310001                               //!< ID of CFG-SIGNAL-GPS_L1CA_ENA
#define UBLOXCFG_CFG_SIGNAL_GPS_L1CA_ENA_STR               "CFG-SIGNAL-GPS_L1CA_ENA"                //!< Name of CFG-SIGNAL-GPS_L1CA_ENA
#define UBLOXCFG_CFG_SIGNAL_GPS_L1CA_ENA_TYPE              L                                        //!< Type of CFG-SIGNAL-GPS_L1CA_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GPS_L2C_ENA CFG-SIGNAL-GPS_L2C_ENA (GPS L2C (only on u-blox F9 platform products))
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GPS_L2C_ENA_ID                 0x10310003                               //!< ID of CFG-SIGNAL-GPS_L2C_ENA
#define UBLOXCFG_CFG_SIGNAL_GPS_L2C_ENA_STR                "CFG-SIGNAL-GPS_L2C_ENA"                 //!< Name of CFG-SIGNAL-GPS_L2C_ENA
#define UBLOXCFG_CFG_SIGNAL_GPS_L2C_ENA_TYPE               L                                        //!< Type of CFG-SIGNAL-GPS_L2C_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_SBAS_ENA CFG-SIGNAL-SBAS_ENA (SBAS enable)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_SBAS_ENA_ID                    0x10310020                               //!< ID of CFG-SIGNAL-SBAS_ENA
#define UBLOXCFG_CFG_SIGNAL_SBAS_ENA_STR                   "CFG-SIGNAL-SBAS_ENA"                    //!< Name of CFG-SIGNAL-SBAS_ENA
#define UBLOXCFG_CFG_SIGNAL_SBAS_ENA_TYPE                  L                                        //!< Type of CFG-SIGNAL-SBAS_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_SBAS_L1CA_ENA CFG-SIGNAL-SBAS_L1CA_ENA (SBAS L1C/A)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_SBAS_L1CA_ENA_ID               0x10310005                               //!< ID of CFG-SIGNAL-SBAS_L1CA_ENA
#define UBLOXCFG_CFG_SIGNAL_SBAS_L1CA_ENA_STR              "CFG-SIGNAL-SBAS_L1CA_ENA"               //!< Name of CFG-SIGNAL-SBAS_L1CA_ENA
#define UBLOXCFG_CFG_SIGNAL_SBAS_L1CA_ENA_TYPE             L                                        //!< Type of CFG-SIGNAL-SBAS_L1CA_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GAL_ENA CFG-SIGNAL-GAL_ENA (Galileo enable)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GAL_ENA_ID                     0x10310021                               //!< ID of CFG-SIGNAL-GAL_ENA
#define UBLOXCFG_CFG_SIGNAL_GAL_ENA_STR                    "CFG-SIGNAL-GAL_ENA"                     //!< Name of CFG-SIGNAL-GAL_ENA
#define UBLOXCFG_CFG_SIGNAL_GAL_ENA_TYPE                   L                                        //!< Type of CFG-SIGNAL-GAL_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GAL_E1_ENA CFG-SIGNAL-GAL_E1_ENA (Galileo E1)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GAL_E1_ENA_ID                  0x10310007                               //!< ID of CFG-SIGNAL-GAL_E1_ENA
#define UBLOXCFG_CFG_SIGNAL_GAL_E1_ENA_STR                 "CFG-SIGNAL-GAL_E1_ENA"                  //!< Name of CFG-SIGNAL-GAL_E1_ENA
#define UBLOXCFG_CFG_SIGNAL_GAL_E1_ENA_TYPE                L                                        //!< Type of CFG-SIGNAL-GAL_E1_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GAL_E5B_ENA CFG-SIGNAL-GAL_E5B_ENA (Galileo E5b (only on u-blox F9 platform products))
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GAL_E5B_ENA_ID                 0x1031000a                               //!< ID of CFG-SIGNAL-GAL_E5B_ENA
#define UBLOXCFG_CFG_SIGNAL_GAL_E5B_ENA_STR                "CFG-SIGNAL-GAL_E5B_ENA"                 //!< Name of CFG-SIGNAL-GAL_E5B_ENA
#define UBLOXCFG_CFG_SIGNAL_GAL_E5B_ENA_TYPE               L                                        //!< Type of CFG-SIGNAL-GAL_E5B_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_BDS_ENA CFG-SIGNAL-BDS_ENA (BeiDou Enable)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_BDS_ENA_ID                     0x10310022                               //!< ID of CFG-SIGNAL-BDS_ENA
#define UBLOXCFG_CFG_SIGNAL_BDS_ENA_STR                    "CFG-SIGNAL-BDS_ENA"                     //!< Name of CFG-SIGNAL-BDS_ENA
#define UBLOXCFG_CFG_SIGNAL_BDS_ENA_TYPE                   L                                        //!< Type of CFG-SIGNAL-BDS_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_BDS_B1_ENA CFG-SIGNAL-BDS_B1_ENA (BeiDou B1I)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_BDS_B1_ENA_ID                  0x1031000d                               //!< ID of CFG-SIGNAL-BDS_B1_ENA
#define UBLOXCFG_CFG_SIGNAL_BDS_B1_ENA_STR                 "CFG-SIGNAL-BDS_B1_ENA"                  //!< Name of CFG-SIGNAL-BDS_B1_ENA
#define UBLOXCFG_CFG_SIGNAL_BDS_B1_ENA_TYPE                L                                        //!< Type of CFG-SIGNAL-BDS_B1_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_BDS_B2_ENA CFG-SIGNAL-BDS_B2_ENA (BeiDou B2I (only on u-blox F9 platform products))
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_BDS_B2_ENA_ID                  0x1031000e                               //!< ID of CFG-SIGNAL-BDS_B2_ENA
#define UBLOXCFG_CFG_SIGNAL_BDS_B2_ENA_STR                 "CFG-SIGNAL-BDS_B2_ENA"                  //!< Name of CFG-SIGNAL-BDS_B2_ENA
#define UBLOXCFG_CFG_SIGNAL_BDS_B2_ENA_TYPE                L                                        //!< Type of CFG-SIGNAL-BDS_B2_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_QZSS_ENA CFG-SIGNAL-QZSS_ENA (QZSS enable)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_QZSS_ENA_ID                    0x10310024                               //!< ID of CFG-SIGNAL-QZSS_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_ENA_STR                   "CFG-SIGNAL-QZSS_ENA"                    //!< Name of CFG-SIGNAL-QZSS_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_ENA_TYPE                  L                                        //!< Type of CFG-SIGNAL-QZSS_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_QZSS_L1CA_ENA CFG-SIGNAL-QZSS_L1CA_ENA (QZSS L1C/A)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_QZSS_L1CA_ENA_ID               0x10310012                               //!< ID of CFG-SIGNAL-QZSS_L1CA_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_L1CA_ENA_STR              "CFG-SIGNAL-QZSS_L1CA_ENA"               //!< Name of CFG-SIGNAL-QZSS_L1CA_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_L1CA_ENA_TYPE             L                                        //!< Type of CFG-SIGNAL-QZSS_L1CA_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_QZSS_L1S_ENA CFG-SIGNAL-QZSS_L1S_ENA (QZSS L1S)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_QZSS_L1S_ENA_ID                0x10310014                               //!< ID of CFG-SIGNAL-QZSS_L1S_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_L1S_ENA_STR               "CFG-SIGNAL-QZSS_L1S_ENA"                //!< Name of CFG-SIGNAL-QZSS_L1S_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_L1S_ENA_TYPE              L                                        //!< Type of CFG-SIGNAL-QZSS_L1S_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_QZSS_L2C_ENA CFG-SIGNAL-QZSS_L2C_ENA (QZSS L2C (only on u-blox F9 platform products))
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_QZSS_L2C_ENA_ID                0x10310015                               //!< ID of CFG-SIGNAL-QZSS_L2C_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_L2C_ENA_STR               "CFG-SIGNAL-QZSS_L2C_ENA"                //!< Name of CFG-SIGNAL-QZSS_L2C_ENA
#define UBLOXCFG_CFG_SIGNAL_QZSS_L2C_ENA_TYPE              L                                        //!< Type of CFG-SIGNAL-QZSS_L2C_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GLO_ENA CFG-SIGNAL-GLO_ENA (GLONASS enable)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GLO_ENA_ID                     0x10310025                               //!< ID of CFG-SIGNAL-GLO_ENA
#define UBLOXCFG_CFG_SIGNAL_GLO_ENA_STR                    "CFG-SIGNAL-GLO_ENA"                     //!< Name of CFG-SIGNAL-GLO_ENA
#define UBLOXCFG_CFG_SIGNAL_GLO_ENA_TYPE                   L                                        //!< Type of CFG-SIGNAL-GLO_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GLO_L1_ENA CFG-SIGNAL-GLO_L1_ENA (GLONASS L1)
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GLO_L1_ENA_ID                  0x10310018                               //!< ID of CFG-SIGNAL-GLO_L1_ENA
#define UBLOXCFG_CFG_SIGNAL_GLO_L1_ENA_STR                 "CFG-SIGNAL-GLO_L1_ENA"                  //!< Name of CFG-SIGNAL-GLO_L1_ENA
#define UBLOXCFG_CFG_SIGNAL_GLO_L1_ENA_TYPE                L                                        //!< Type of CFG-SIGNAL-GLO_L1_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SIGNAL_GLO_L2_ENA CFG-SIGNAL-GLO_L2_ENA (GLONASS L2 (only on u-blox F9 platform products))
    @{
*/
#define UBLOXCFG_CFG_SIGNAL_GLO_L2_ENA_ID                  0x1031001a                               //!< ID of CFG-SIGNAL-GLO_L2_ENA
#define UBLOXCFG_CFG_SIGNAL_GLO_L2_ENA_STR                 "CFG-SIGNAL-GLO_L2_ENA"                  //!< Name of CFG-SIGNAL-GLO_L2_ENA
#define UBLOXCFG_CFG_SIGNAL_GLO_L2_ENA_TYPE                L                                        //!< Type of CFG-SIGNAL-GLO_L2_ENA
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SPI CFG-SPI
    @{
*/

#define UBLOXCFG_CFG_SPI_ID  0x00640000 //!< Group ID of the CFG-SPI-* items

/*!
    \defgroup UBLOXCFG_CFG_SPI_MAXFF CFG-SPI-MAXFF (Number of bytes containing 0xFF to receive before switching off reception. Range: 0 (mechanism off) - 63)
    @{
*/
#define UBLOXCFG_CFG_SPI_MAXFF_ID                          0x20640001                               //!< ID of CFG-SPI-MAXFF
#define UBLOXCFG_CFG_SPI_MAXFF_STR                         "CFG-SPI-MAXFF"                          //!< Name of CFG-SPI-MAXFF
#define UBLOXCFG_CFG_SPI_MAXFF_TYPE                        U1                                       //!< Type of CFG-SPI-MAXFF
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPI_CPOLARITY CFG-SPI-CPOLARITY (Clock polarity select: 0: Active Hight Clock, SCLK idles low, 1: Active Low Clock, SCLK idles high)
    @{
*/
#define UBLOXCFG_CFG_SPI_CPOLARITY_ID                      0x10640002                               //!< ID of CFG-SPI-CPOLARITY
#define UBLOXCFG_CFG_SPI_CPOLARITY_STR                     "CFG-SPI-CPOLARITY"                      //!< Name of CFG-SPI-CPOLARITY
#define UBLOXCFG_CFG_SPI_CPOLARITY_TYPE                    L                                        //!< Type of CFG-SPI-CPOLARITY
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPI_CPHASE CFG-SPI-CPHASE (Clock phase select: 0: Data captured on first edge of SCLK, 1: Data captured on second edge of SCLK)
    @{
*/
#define UBLOXCFG_CFG_SPI_CPHASE_ID                         0x10640003                               //!< ID of CFG-SPI-CPHASE
#define UBLOXCFG_CFG_SPI_CPHASE_STR                        "CFG-SPI-CPHASE"                         //!< Name of CFG-SPI-CPHASE
#define UBLOXCFG_CFG_SPI_CPHASE_TYPE                       L                                        //!< Type of CFG-SPI-CPHASE
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPI_EXTENDEDTIMEOUT CFG-SPI-EXTENDEDTIMEOUT (Flag to disable timeouting the interface after 1.5s)
    @{
*/
#define UBLOXCFG_CFG_SPI_EXTENDEDTIMEOUT_ID                0x10640005                               //!< ID of CFG-SPI-EXTENDEDTIMEOUT
#define UBLOXCFG_CFG_SPI_EXTENDEDTIMEOUT_STR               "CFG-SPI-EXTENDEDTIMEOUT"                //!< Name of CFG-SPI-EXTENDEDTIMEOUT
#define UBLOXCFG_CFG_SPI_EXTENDEDTIMEOUT_TYPE              L                                        //!< Type of CFG-SPI-EXTENDEDTIMEOUT
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPI_ENABLED CFG-SPI-ENABLED (Flag to indicate if the SPI interface should be enabled)
    @{
*/
#define UBLOXCFG_CFG_SPI_ENABLED_ID                        0x10640006                               //!< ID of CFG-SPI-ENABLED
#define UBLOXCFG_CFG_SPI_ENABLED_STR                       "CFG-SPI-ENABLED"                        //!< Name of CFG-SPI-ENABLED
#define UBLOXCFG_CFG_SPI_ENABLED_TYPE                      L                                        //!< Type of CFG-SPI-ENABLED
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SPIINPROT CFG-SPIINPROT
    @{
*/

#define UBLOXCFG_CFG_SPIINPROT_ID  0x00790000 //!< Group ID of the CFG-SPIINPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_SPIINPROT_UBX CFG-SPIINPROT-UBX (Flag to indicate if UBX should be an input protocol on SPI)
    @{
*/
#define UBLOXCFG_CFG_SPIINPROT_UBX_ID                      0x10790001                               //!< ID of CFG-SPIINPROT-UBX
#define UBLOXCFG_CFG_SPIINPROT_UBX_STR                     "CFG-SPIINPROT-UBX"                      //!< Name of CFG-SPIINPROT-UBX
#define UBLOXCFG_CFG_SPIINPROT_UBX_TYPE                    L                                        //!< Type of CFG-SPIINPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPIINPROT_NMEA CFG-SPIINPROT-NMEA (Flag to indicate if NMEA should be an input protocol on SPI)
    @{
*/
#define UBLOXCFG_CFG_SPIINPROT_NMEA_ID                     0x10790002                               //!< ID of CFG-SPIINPROT-NMEA
#define UBLOXCFG_CFG_SPIINPROT_NMEA_STR                    "CFG-SPIINPROT-NMEA"                     //!< Name of CFG-SPIINPROT-NMEA
#define UBLOXCFG_CFG_SPIINPROT_NMEA_TYPE                   L                                        //!< Type of CFG-SPIINPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPIINPROT_RTCM3X CFG-SPIINPROT-RTCM3X (Flag to indicate if RTCM3X should be an input protocol on SPI)
    @{
*/
#define UBLOXCFG_CFG_SPIINPROT_RTCM3X_ID                   0x10790004                               //!< ID of CFG-SPIINPROT-RTCM3X
#define UBLOXCFG_CFG_SPIINPROT_RTCM3X_STR                  "CFG-SPIINPROT-RTCM3X"                   //!< Name of CFG-SPIINPROT-RTCM3X
#define UBLOXCFG_CFG_SPIINPROT_RTCM3X_TYPE                 L                                        //!< Type of CFG-SPIINPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_SPIOUTPROT CFG-SPIOUTPROT
    @{
*/

#define UBLOXCFG_CFG_SPIOUTPROT_ID  0x007a0000 //!< Group ID of the CFG-SPIOUTPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_SPIOUTPROT_UBX CFG-SPIOUTPROT-UBX (Flag to indicate if UBX should be an output protocol on SPI)
    @{
*/
#define UBLOXCFG_CFG_SPIOUTPROT_UBX_ID                     0x107a0001                               //!< ID of CFG-SPIOUTPROT-UBX
#define UBLOXCFG_CFG_SPIOUTPROT_UBX_STR                    "CFG-SPIOUTPROT-UBX"                     //!< Name of CFG-SPIOUTPROT-UBX
#define UBLOXCFG_CFG_SPIOUTPROT_UBX_TYPE                   L                                        //!< Type of CFG-SPIOUTPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPIOUTPROT_NMEA CFG-SPIOUTPROT-NMEA (Flag to indicate if NMEA should be an output protocol on SPI)
    @{
*/
#define UBLOXCFG_CFG_SPIOUTPROT_NMEA_ID                    0x107a0002                               //!< ID of CFG-SPIOUTPROT-NMEA
#define UBLOXCFG_CFG_SPIOUTPROT_NMEA_STR                   "CFG-SPIOUTPROT-NMEA"                    //!< Name of CFG-SPIOUTPROT-NMEA
#define UBLOXCFG_CFG_SPIOUTPROT_NMEA_TYPE                  L                                        //!< Type of CFG-SPIOUTPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_SPIOUTPROT_RTCM3X CFG-SPIOUTPROT-RTCM3X (Flag to indicate if RTCM3X should be an output protocol on SPI)
    @{
*/
#define UBLOXCFG_CFG_SPIOUTPROT_RTCM3X_ID                  0x107a0004                               //!< ID of CFG-SPIOUTPROT-RTCM3X
#define UBLOXCFG_CFG_SPIOUTPROT_RTCM3X_STR                 "CFG-SPIOUTPROT-RTCM3X"                  //!< Name of CFG-SPIOUTPROT-RTCM3X
#define UBLOXCFG_CFG_SPIOUTPROT_RTCM3X_TYPE                L                                        //!< Type of CFG-SPIOUTPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE CFG-TMODE
    @{
*/

#define UBLOXCFG_CFG_TMODE_ID  0x00030000 //!< Group ID of the CFG-TMODE-* items

/*!
    \defgroup UBLOXCFG_CFG_TMODE_MODE CFG-TMODE-MODE (Receiver mode)
    @{
*/
#define UBLOXCFG_CFG_TMODE_MODE_ID                         0x20030001                               //!< ID of CFG-TMODE-MODE
#define UBLOXCFG_CFG_TMODE_MODE_STR                        "CFG-TMODE-MODE"                         //!< Name of CFG-TMODE-MODE
#define UBLOXCFG_CFG_TMODE_MODE_TYPE                       E1                                       //!< Type of CFG-TMODE-MODE
//! constants for CFG-TMODE-MODE
typedef enum UBLOXCFG_CFG_TMODE_MODE_e
{
    UBLOXCFG_CFG_TMODE_MODE_DISABLED                     = 0,                                       //!< Disabled
    UBLOXCFG_CFG_TMODE_MODE_SURVEY_IN                    = 1,                                       //!< Survey in
    UBLOXCFG_CFG_TMODE_MODE_FIXED                        = 2                                        //!< Fixed mode (true ARP position information required)
} UBLOXCFG_CFG_TMODE_MODE_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_POS_TYPE CFG-TMODE-POS_TYPE (Determines whether the ARP position is given in ECEF or LAT/LON/HEIGHT?)
    @{
*/
#define UBLOXCFG_CFG_TMODE_POS_TYPE_ID                     0x20030002                               //!< ID of CFG-TMODE-POS_TYPE
#define UBLOXCFG_CFG_TMODE_POS_TYPE_STR                    "CFG-TMODE-POS_TYPE"                     //!< Name of CFG-TMODE-POS_TYPE
#define UBLOXCFG_CFG_TMODE_POS_TYPE_TYPE                   E1                                       //!< Type of CFG-TMODE-POS_TYPE
//! constants for CFG-TMODE-POS_TYPE
typedef enum UBLOXCFG_CFG_TMODE_POS_TYPE_e
{
    UBLOXCFG_CFG_TMODE_POS_TYPE_ECEF                     = 0,                                       //!< Position is ECEF
    UBLOXCFG_CFG_TMODE_POS_TYPE_LLH                      = 1                                        //!< Position is Lat/Lon/Height
} UBLOXCFG_CFG_TMODE_POS_TYPE_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_ECEF_X CFG-TMODE-ECEF_X (ECEF X coordinate of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_ECEF_X_ID                       0x40030003                               //!< ID of CFG-TMODE-ECEF_X
#define UBLOXCFG_CFG_TMODE_ECEF_X_STR                      "CFG-TMODE-ECEF_X"                       //!< Name of CFG-TMODE-ECEF_X
#define UBLOXCFG_CFG_TMODE_ECEF_X_TYPE                     I4                                       //!< Type of CFG-TMODE-ECEF_X
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_ECEF_Y CFG-TMODE-ECEF_Y (ECEF Y coordinate of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_ECEF_Y_ID                       0x40030004                               //!< ID of CFG-TMODE-ECEF_Y
#define UBLOXCFG_CFG_TMODE_ECEF_Y_STR                      "CFG-TMODE-ECEF_Y"                       //!< Name of CFG-TMODE-ECEF_Y
#define UBLOXCFG_CFG_TMODE_ECEF_Y_TYPE                     I4                                       //!< Type of CFG-TMODE-ECEF_Y
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_ECEF_Z CFG-TMODE-ECEF_Z (ECEF Z coordinate of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_ECEF_Z_ID                       0x40030005                               //!< ID of CFG-TMODE-ECEF_Z
#define UBLOXCFG_CFG_TMODE_ECEF_Z_STR                      "CFG-TMODE-ECEF_Z"                       //!< Name of CFG-TMODE-ECEF_Z
#define UBLOXCFG_CFG_TMODE_ECEF_Z_TYPE                     I4                                       //!< Type of CFG-TMODE-ECEF_Z
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_ECEF_X_HP CFG-TMODE-ECEF_X_HP (High-precision ECEF X coordinate of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_ECEF_X_HP_ID                    0x20030006                               //!< ID of CFG-TMODE-ECEF_X_HP
#define UBLOXCFG_CFG_TMODE_ECEF_X_HP_STR                   "CFG-TMODE-ECEF_X_HP"                    //!< Name of CFG-TMODE-ECEF_X_HP
#define UBLOXCFG_CFG_TMODE_ECEF_X_HP_TYPE                  I1                                       //!< Type of CFG-TMODE-ECEF_X_HP
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_ECEF_Y_HP CFG-TMODE-ECEF_Y_HP (High-precision ECEF Y coordinate of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_ECEF_Y_HP_ID                    0x20030007                               //!< ID of CFG-TMODE-ECEF_Y_HP
#define UBLOXCFG_CFG_TMODE_ECEF_Y_HP_STR                   "CFG-TMODE-ECEF_Y_HP"                    //!< Name of CFG-TMODE-ECEF_Y_HP
#define UBLOXCFG_CFG_TMODE_ECEF_Y_HP_TYPE                  I1                                       //!< Type of CFG-TMODE-ECEF_Y_HP
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_ECEF_Z_HP CFG-TMODE-ECEF_Z_HP (High-precision ECEF Z coordinate of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_ECEF_Z_HP_ID                    0x20030008                               //!< ID of CFG-TMODE-ECEF_Z_HP
#define UBLOXCFG_CFG_TMODE_ECEF_Z_HP_STR                   "CFG-TMODE-ECEF_Z_HP"                    //!< Name of CFG-TMODE-ECEF_Z_HP
#define UBLOXCFG_CFG_TMODE_ECEF_Z_HP_TYPE                  I1                                       //!< Type of CFG-TMODE-ECEF_Z_HP
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_LAT CFG-TMODE-LAT (Latitude of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_LAT_ID                          0x40030009                               //!< ID of CFG-TMODE-LAT
#define UBLOXCFG_CFG_TMODE_LAT_STR                         "CFG-TMODE-LAT"                          //!< Name of CFG-TMODE-LAT
#define UBLOXCFG_CFG_TMODE_LAT_TYPE                        I4                                       //!< Type of CFG-TMODE-LAT
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_LON CFG-TMODE-LON (Longitude of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_LON_ID                          0x4003000a                               //!< ID of CFG-TMODE-LON
#define UBLOXCFG_CFG_TMODE_LON_STR                         "CFG-TMODE-LON"                          //!< Name of CFG-TMODE-LON
#define UBLOXCFG_CFG_TMODE_LON_TYPE                        I4                                       //!< Type of CFG-TMODE-LON
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_HEIGHT CFG-TMODE-HEIGHT (Height of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_HEIGHT_ID                       0x4003000b                               //!< ID of CFG-TMODE-HEIGHT
#define UBLOXCFG_CFG_TMODE_HEIGHT_STR                      "CFG-TMODE-HEIGHT"                       //!< Name of CFG-TMODE-HEIGHT
#define UBLOXCFG_CFG_TMODE_HEIGHT_TYPE                     I4                                       //!< Type of CFG-TMODE-HEIGHT
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_LAT_HP CFG-TMODE-LAT_HP (High-precision latitude of the ARP position)
    @{
*/
#define UBLOXCFG_CFG_TMODE_LAT_HP_ID                       0x2003000c                               //!< ID of CFG-TMODE-LAT_HP
#define UBLOXCFG_CFG_TMODE_LAT_HP_STR                      "CFG-TMODE-LAT_HP"                       //!< Name of CFG-TMODE-LAT_HP
#define UBLOXCFG_CFG_TMODE_LAT_HP_TYPE                     I1                                       //!< Type of CFG-TMODE-LAT_HP
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_LON_HP CFG-TMODE-LON_HP (High-precision longitude of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_LON_HP_ID                       0x2003000d                               //!< ID of CFG-TMODE-LON_HP
#define UBLOXCFG_CFG_TMODE_LON_HP_STR                      "CFG-TMODE-LON_HP"                       //!< Name of CFG-TMODE-LON_HP
#define UBLOXCFG_CFG_TMODE_LON_HP_TYPE                     I1                                       //!< Type of CFG-TMODE-LON_HP
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_HEIGHT_HP CFG-TMODE-HEIGHT_HP (High-precision height of the ARP position.)
    @{
*/
#define UBLOXCFG_CFG_TMODE_HEIGHT_HP_ID                    0x2003000e                               //!< ID of CFG-TMODE-HEIGHT_HP
#define UBLOXCFG_CFG_TMODE_HEIGHT_HP_STR                   "CFG-TMODE-HEIGHT_HP"                    //!< Name of CFG-TMODE-HEIGHT_HP
#define UBLOXCFG_CFG_TMODE_HEIGHT_HP_TYPE                  I1                                       //!< Type of CFG-TMODE-HEIGHT_HP
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_FIXED_POS_ACC CFG-TMODE-FIXED_POS_ACC (Fixed position 3D accuracy)
    @{
*/
#define UBLOXCFG_CFG_TMODE_FIXED_POS_ACC_ID                0x4003000f                               //!< ID of CFG-TMODE-FIXED_POS_ACC
#define UBLOXCFG_CFG_TMODE_FIXED_POS_ACC_STR               "CFG-TMODE-FIXED_POS_ACC"                //!< Name of CFG-TMODE-FIXED_POS_ACC
#define UBLOXCFG_CFG_TMODE_FIXED_POS_ACC_TYPE              U4                                       //!< Type of CFG-TMODE-FIXED_POS_ACC
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_SVIN_MIN_DUR CFG-TMODE-SVIN_MIN_DUR (Survey-in minimum duration)
    @{
*/
#define UBLOXCFG_CFG_TMODE_SVIN_MIN_DUR_ID                 0x40030010                               //!< ID of CFG-TMODE-SVIN_MIN_DUR
#define UBLOXCFG_CFG_TMODE_SVIN_MIN_DUR_STR                "CFG-TMODE-SVIN_MIN_DUR"                 //!< Name of CFG-TMODE-SVIN_MIN_DUR
#define UBLOXCFG_CFG_TMODE_SVIN_MIN_DUR_TYPE               U4                                       //!< Type of CFG-TMODE-SVIN_MIN_DUR
///@}

/*!
    \defgroup UBLOXCFG_CFG_TMODE_SVIN_ACC_LIMIT CFG-TMODE-SVIN_ACC_LIMIT (Survey-in position accuracy limit)
    @{
*/
#define UBLOXCFG_CFG_TMODE_SVIN_ACC_LIMIT_ID               0x40030011                               //!< ID of CFG-TMODE-SVIN_ACC_LIMIT
#define UBLOXCFG_CFG_TMODE_SVIN_ACC_LIMIT_STR              "CFG-TMODE-SVIN_ACC_LIMIT"               //!< Name of CFG-TMODE-SVIN_ACC_LIMIT
#define UBLOXCFG_CFG_TMODE_SVIN_ACC_LIMIT_TYPE             U4                                       //!< Type of CFG-TMODE-SVIN_ACC_LIMIT
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_TP CFG-TP
    @{
*/

#define UBLOXCFG_CFG_TP_ID  0x00050000 //!< Group ID of the CFG-TP-* items

/*!
    \defgroup UBLOXCFG_CFG_TP_PULSE_DEF CFG-TP-PULSE_DEF (Determines whether the time pulse is interpreted as frequency or period)
    @{
*/
#define UBLOXCFG_CFG_TP_PULSE_DEF_ID                       0x20050023                               //!< ID of CFG-TP-PULSE_DEF
#define UBLOXCFG_CFG_TP_PULSE_DEF_STR                      "CFG-TP-PULSE_DEF"                       //!< Name of CFG-TP-PULSE_DEF
#define UBLOXCFG_CFG_TP_PULSE_DEF_TYPE                     E1                                       //!< Type of CFG-TP-PULSE_DEF
//! constants for CFG-TP-PULSE_DEF
typedef enum UBLOXCFG_CFG_TP_PULSE_DEF_e
{
    UBLOXCFG_CFG_TP_PULSE_DEF_PERIOD                     = 0,                                       //!< Time pulse period [us]
    UBLOXCFG_CFG_TP_PULSE_DEF_FREQ                       = 1                                        //!< Time pulse frequency [Hz]
} UBLOXCFG_CFG_TP_PULSE_DEF_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF CFG-TP-PULSE_LENGTH_DEF (Determines whether the time pulse length is interpreted as length[us] or pulse ratio[%])
    @{
*/
#define UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_ID                0x20050030                               //!< ID of CFG-TP-PULSE_LENGTH_DEF
#define UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_STR               "CFG-TP-PULSE_LENGTH_DEF"                //!< Name of CFG-TP-PULSE_LENGTH_DEF
#define UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_TYPE              E1                                       //!< Type of CFG-TP-PULSE_LENGTH_DEF
//! constants for CFG-TP-PULSE_LENGTH_DEF
typedef enum UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_e
{
    UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_RATIO               = 0,                                       //!< Time pulse ratio
    UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_LENGTH              = 1                                        //!< Time pulse length
} UBLOXCFG_CFG_TP_PULSE_LENGTH_DEF_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_ANT_CABLEDELAY CFG-TP-ANT_CABLEDELAY (Antenna cable delay)
    @{
*/
#define UBLOXCFG_CFG_TP_ANT_CABLEDELAY_ID                  0x30050001                               //!< ID of CFG-TP-ANT_CABLEDELAY
#define UBLOXCFG_CFG_TP_ANT_CABLEDELAY_STR                 "CFG-TP-ANT_CABLEDELAY"                  //!< Name of CFG-TP-ANT_CABLEDELAY
#define UBLOXCFG_CFG_TP_ANT_CABLEDELAY_TYPE                I2                                       //!< Type of CFG-TP-ANT_CABLEDELAY
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_PERIOD_TP1 CFG-TP-PERIOD_TP1 (Time pulse period (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_PERIOD_TP1_ID                      0x40050002                               //!< ID of CFG-TP-PERIOD_TP1
#define UBLOXCFG_CFG_TP_PERIOD_TP1_STR                     "CFG-TP-PERIOD_TP1"                      //!< Name of CFG-TP-PERIOD_TP1
#define UBLOXCFG_CFG_TP_PERIOD_TP1_TYPE                    U4                                       //!< Type of CFG-TP-PERIOD_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_PERIOD_LOCK_TP1 CFG-TP-PERIOD_LOCK_TP1 (Time pulse period when locked to GNSS time (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_PERIOD_LOCK_TP1_ID                 0x40050003                               //!< ID of CFG-TP-PERIOD_LOCK_TP1
#define UBLOXCFG_CFG_TP_PERIOD_LOCK_TP1_STR                "CFG-TP-PERIOD_LOCK_TP1"                 //!< Name of CFG-TP-PERIOD_LOCK_TP1
#define UBLOXCFG_CFG_TP_PERIOD_LOCK_TP1_TYPE               U4                                       //!< Type of CFG-TP-PERIOD_LOCK_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_FREQ_TP1 CFG-TP-FREQ_TP1 (Time pulse frequency (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_FREQ_TP1_ID                        0x40050024                               //!< ID of CFG-TP-FREQ_TP1
#define UBLOXCFG_CFG_TP_FREQ_TP1_STR                       "CFG-TP-FREQ_TP1"                        //!< Name of CFG-TP-FREQ_TP1
#define UBLOXCFG_CFG_TP_FREQ_TP1_TYPE                      U4                                       //!< Type of CFG-TP-FREQ_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_FREQ_LOCK_TP1 CFG-TP-FREQ_LOCK_TP1 (Time pulse frequency when locked to GNSS time (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_FREQ_LOCK_TP1_ID                   0x40050025                               //!< ID of CFG-TP-FREQ_LOCK_TP1
#define UBLOXCFG_CFG_TP_FREQ_LOCK_TP1_STR                  "CFG-TP-FREQ_LOCK_TP1"                   //!< Name of CFG-TP-FREQ_LOCK_TP1
#define UBLOXCFG_CFG_TP_FREQ_LOCK_TP1_TYPE                 U4                                       //!< Type of CFG-TP-FREQ_LOCK_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_LEN_TP1 CFG-TP-LEN_TP1 (Time pulse length (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_LEN_TP1_ID                         0x40050004                               //!< ID of CFG-TP-LEN_TP1
#define UBLOXCFG_CFG_TP_LEN_TP1_STR                        "CFG-TP-LEN_TP1"                         //!< Name of CFG-TP-LEN_TP1
#define UBLOXCFG_CFG_TP_LEN_TP1_TYPE                       U4                                       //!< Type of CFG-TP-LEN_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_LEN_LOCK_TP1 CFG-TP-LEN_LOCK_TP1 (Time pulse length when locked to GNSS time (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_LEN_LOCK_TP1_ID                    0x40050005                               //!< ID of CFG-TP-LEN_LOCK_TP1
#define UBLOXCFG_CFG_TP_LEN_LOCK_TP1_STR                   "CFG-TP-LEN_LOCK_TP1"                    //!< Name of CFG-TP-LEN_LOCK_TP1
#define UBLOXCFG_CFG_TP_LEN_LOCK_TP1_TYPE                  U4                                       //!< Type of CFG-TP-LEN_LOCK_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_DUTY_TP1 CFG-TP-DUTY_TP1 (Time pulse duty cycle (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_DUTY_TP1_ID                        0x5005002a                               //!< ID of CFG-TP-DUTY_TP1
#define UBLOXCFG_CFG_TP_DUTY_TP1_STR                       "CFG-TP-DUTY_TP1"                        //!< Name of CFG-TP-DUTY_TP1
#define UBLOXCFG_CFG_TP_DUTY_TP1_TYPE                      R8                                       //!< Type of CFG-TP-DUTY_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_DUTY_LOCK_TP1 CFG-TP-DUTY_LOCK_TP1 (Time pulse duty cycle when locked to GNSS time (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_DUTY_LOCK_TP1_ID                   0x5005002b                               //!< ID of CFG-TP-DUTY_LOCK_TP1
#define UBLOXCFG_CFG_TP_DUTY_LOCK_TP1_STR                  "CFG-TP-DUTY_LOCK_TP1"                   //!< Name of CFG-TP-DUTY_LOCK_TP1
#define UBLOXCFG_CFG_TP_DUTY_LOCK_TP1_TYPE                 R8                                       //!< Type of CFG-TP-DUTY_LOCK_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_USER_DELAY_TP1 CFG-TP-USER_DELAY_TP1 (User-configurable time pulse delay (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_USER_DELAY_TP1_ID                  0x40050006                               //!< ID of CFG-TP-USER_DELAY_TP1
#define UBLOXCFG_CFG_TP_USER_DELAY_TP1_STR                 "CFG-TP-USER_DELAY_TP1"                  //!< Name of CFG-TP-USER_DELAY_TP1
#define UBLOXCFG_CFG_TP_USER_DELAY_TP1_TYPE                I4                                       //!< Type of CFG-TP-USER_DELAY_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_TP1_ENA CFG-TP-TP1_ENA (Enable the first timepulse)
    @{
*/
#define UBLOXCFG_CFG_TP_TP1_ENA_ID                         0x10050007                               //!< ID of CFG-TP-TP1_ENA
#define UBLOXCFG_CFG_TP_TP1_ENA_STR                        "CFG-TP-TP1_ENA"                         //!< Name of CFG-TP-TP1_ENA
#define UBLOXCFG_CFG_TP_TP1_ENA_TYPE                       L                                        //!< Type of CFG-TP-TP1_ENA
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_SYNC_GNSS_TP1 CFG-TP-SYNC_GNSS_TP1 (Sync time pulse to GNSS time or local clock (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_SYNC_GNSS_TP1_ID                   0x10050008                               //!< ID of CFG-TP-SYNC_GNSS_TP1
#define UBLOXCFG_CFG_TP_SYNC_GNSS_TP1_STR                  "CFG-TP-SYNC_GNSS_TP1"                   //!< Name of CFG-TP-SYNC_GNSS_TP1
#define UBLOXCFG_CFG_TP_SYNC_GNSS_TP1_TYPE                 L                                        //!< Type of CFG-TP-SYNC_GNSS_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_USE_LOCKED_TP1 CFG-TP-USE_LOCKED_TP1 (Use locked parameters when possible (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_USE_LOCKED_TP1_ID                  0x10050009                               //!< ID of CFG-TP-USE_LOCKED_TP1
#define UBLOXCFG_CFG_TP_USE_LOCKED_TP1_STR                 "CFG-TP-USE_LOCKED_TP1"                  //!< Name of CFG-TP-USE_LOCKED_TP1
#define UBLOXCFG_CFG_TP_USE_LOCKED_TP1_TYPE                L                                        //!< Type of CFG-TP-USE_LOCKED_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_ALIGN_TO_TOW_TP1 CFG-TP-ALIGN_TO_TOW_TP1 (Align time pulse to top of second (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_ALIGN_TO_TOW_TP1_ID                0x1005000a                               //!< ID of CFG-TP-ALIGN_TO_TOW_TP1
#define UBLOXCFG_CFG_TP_ALIGN_TO_TOW_TP1_STR               "CFG-TP-ALIGN_TO_TOW_TP1"                //!< Name of CFG-TP-ALIGN_TO_TOW_TP1
#define UBLOXCFG_CFG_TP_ALIGN_TO_TOW_TP1_TYPE              L                                        //!< Type of CFG-TP-ALIGN_TO_TOW_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_POL_TP1 CFG-TP-POL_TP1 (Set time pulse polarity (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_POL_TP1_ID                         0x1005000b                               //!< ID of CFG-TP-POL_TP1
#define UBLOXCFG_CFG_TP_POL_TP1_STR                        "CFG-TP-POL_TP1"                         //!< Name of CFG-TP-POL_TP1
#define UBLOXCFG_CFG_TP_POL_TP1_TYPE                       L                                        //!< Type of CFG-TP-POL_TP1
///@}

/*!
    \defgroup UBLOXCFG_CFG_TP_TIMEGRID_TP1 CFG-TP-TIMEGRID_TP1 (Time grid to use (TP1))
    @{
*/
#define UBLOXCFG_CFG_TP_TIMEGRID_TP1_ID                    0x2005000c                               //!< ID of CFG-TP-TIMEGRID_TP1
#define UBLOXCFG_CFG_TP_TIMEGRID_TP1_STR                   "CFG-TP-TIMEGRID_TP1"                    //!< Name of CFG-TP-TIMEGRID_TP1
#define UBLOXCFG_CFG_TP_TIMEGRID_TP1_TYPE                  E1                                       //!< Type of CFG-TP-TIMEGRID_TP1
//! constants for CFG-TP-TIMEGRID_TP1
typedef enum UBLOXCFG_CFG_TP_TIMEGRID_TP1_e
{
    UBLOXCFG_CFG_TP_TIMEGRID_TP1_UTC                     = 0,                                       //!< UTC time reference
    UBLOXCFG_CFG_TP_TIMEGRID_TP1_GPS                     = 1,                                       //!< GPS time reference
    UBLOXCFG_CFG_TP_TIMEGRID_TP1_GLO                     = 2,                                       //!< GLONASS time reference
    UBLOXCFG_CFG_TP_TIMEGRID_TP1_BDS                     = 3,                                       //!< BeiDou time reference
    UBLOXCFG_CFG_TP_TIMEGRID_TP1_GAL                     = 4                                        //!< Galileo time reference
} UBLOXCFG_CFG_TP_TIMEGRID_TP1_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_TXREADY CFG-TXREADY
    @{
*/

#define UBLOXCFG_CFG_TXREADY_ID  0x00a20000 //!< Group ID of the CFG-TXREADY-* items

/*!
    \defgroup UBLOXCFG_CFG_TXREADY_ENABLED CFG-TXREADY-ENABLED (Flag to indicate if TX ready pin mechanism should be enabled)
    @{
*/
#define UBLOXCFG_CFG_TXREADY_ENABLED_ID                    0x10a20001                               //!< ID of CFG-TXREADY-ENABLED
#define UBLOXCFG_CFG_TXREADY_ENABLED_STR                   "CFG-TXREADY-ENABLED"                    //!< Name of CFG-TXREADY-ENABLED
#define UBLOXCFG_CFG_TXREADY_ENABLED_TYPE                  L                                        //!< Type of CFG-TXREADY-ENABLED
///@}

/*!
    \defgroup UBLOXCFG_CFG_TXREADY_POLARITY CFG-TXREADY-POLARITY (The polarity of the TX ready pin: false:high-active, true:low-active)
    @{
*/
#define UBLOXCFG_CFG_TXREADY_POLARITY_ID                   0x10a20002                               //!< ID of CFG-TXREADY-POLARITY
#define UBLOXCFG_CFG_TXREADY_POLARITY_STR                  "CFG-TXREADY-POLARITY"                   //!< Name of CFG-TXREADY-POLARITY
#define UBLOXCFG_CFG_TXREADY_POLARITY_TYPE                 L                                        //!< Type of CFG-TXREADY-POLARITY
///@}

/*!
    \defgroup UBLOXCFG_CFG_TXREADY_PIN CFG-TXREADY-PIN (Pin number to use for the TX ready functionality)
    @{
*/
#define UBLOXCFG_CFG_TXREADY_PIN_ID                        0x20a20003                               //!< ID of CFG-TXREADY-PIN
#define UBLOXCFG_CFG_TXREADY_PIN_STR                       "CFG-TXREADY-PIN"                        //!< Name of CFG-TXREADY-PIN
#define UBLOXCFG_CFG_TXREADY_PIN_TYPE                      U1                                       //!< Type of CFG-TXREADY-PIN
///@}

/*!
    \defgroup UBLOXCFG_CFG_TXREADY_THRESHOLD CFG-TXREADY-THRESHOLD (Amount of data that should be ready on the interface before triggering the TX ready pin)
    @{
*/
#define UBLOXCFG_CFG_TXREADY_THRESHOLD_ID                  0x30a20004                               //!< ID of CFG-TXREADY-THRESHOLD
#define UBLOXCFG_CFG_TXREADY_THRESHOLD_STR                 "CFG-TXREADY-THRESHOLD"                  //!< Name of CFG-TXREADY-THRESHOLD
#define UBLOXCFG_CFG_TXREADY_THRESHOLD_TYPE                U2                                       //!< Type of CFG-TXREADY-THRESHOLD
///@}

/*!
    \defgroup UBLOXCFG_CFG_TXREADY_INTERFACE CFG-TXREADY-INTERFACE (Interface where the TX ready feature should be linked to)
    @{
*/
#define UBLOXCFG_CFG_TXREADY_INTERFACE_ID                  0x20a20005                               //!< ID of CFG-TXREADY-INTERFACE
#define UBLOXCFG_CFG_TXREADY_INTERFACE_STR                 "CFG-TXREADY-INTERFACE"                  //!< Name of CFG-TXREADY-INTERFACE
#define UBLOXCFG_CFG_TXREADY_INTERFACE_TYPE                E1                                       //!< Type of CFG-TXREADY-INTERFACE
//! constants for CFG-TXREADY-INTERFACE
typedef enum UBLOXCFG_CFG_TXREADY_INTERFACE_e
{
    UBLOXCFG_CFG_TXREADY_INTERFACE_I2C                   = 0,                                       //!< I2C interface
    UBLOXCFG_CFG_TXREADY_INTERFACE_SPI                   = 1                                        //!< SPI interface
} UBLOXCFG_CFG_TXREADY_INTERFACE_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1 CFG-UART1
    @{
*/

#define UBLOXCFG_CFG_UART1_ID  0x00520000 //!< Group ID of the CFG-UART1-* items

/*!
    \defgroup UBLOXCFG_CFG_UART1_BAUDRATE CFG-UART1-BAUDRATE (The baud rate that should be configured on the UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1_BAUDRATE_ID                     0x40520001                               //!< ID of CFG-UART1-BAUDRATE
#define UBLOXCFG_CFG_UART1_BAUDRATE_STR                    "CFG-UART1-BAUDRATE"                     //!< Name of CFG-UART1-BAUDRATE
#define UBLOXCFG_CFG_UART1_BAUDRATE_TYPE                   U4                                       //!< Type of CFG-UART1-BAUDRATE
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1_STOPBITS CFG-UART1-STOPBITS (Number of stopbits that should be used on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1_STOPBITS_ID                     0x20520002                               //!< ID of CFG-UART1-STOPBITS
#define UBLOXCFG_CFG_UART1_STOPBITS_STR                    "CFG-UART1-STOPBITS"                     //!< Name of CFG-UART1-STOPBITS
#define UBLOXCFG_CFG_UART1_STOPBITS_TYPE                   E1                                       //!< Type of CFG-UART1-STOPBITS
//! constants for CFG-UART1-STOPBITS
typedef enum UBLOXCFG_CFG_UART1_STOPBITS_e
{
    UBLOXCFG_CFG_UART1_STOPBITS_HALF                     = 0,                                       //!< 0.5 stopbits
    UBLOXCFG_CFG_UART1_STOPBITS_ONE                      = 1,                                       //!< 1.0 stopbits
    UBLOXCFG_CFG_UART1_STOPBITS_ONEHALF                  = 2,                                       //!< 1.5 stopbits
    UBLOXCFG_CFG_UART1_STOPBITS_TWO                      = 3                                        //!< 2.0 stopbits
} UBLOXCFG_CFG_UART1_STOPBITS_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1_DATABITS CFG-UART1-DATABITS (Number of databits that should be used on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1_DATABITS_ID                     0x20520003                               //!< ID of CFG-UART1-DATABITS
#define UBLOXCFG_CFG_UART1_DATABITS_STR                    "CFG-UART1-DATABITS"                     //!< Name of CFG-UART1-DATABITS
#define UBLOXCFG_CFG_UART1_DATABITS_TYPE                   E1                                       //!< Type of CFG-UART1-DATABITS
//! constants for CFG-UART1-DATABITS
typedef enum UBLOXCFG_CFG_UART1_DATABITS_e
{
    UBLOXCFG_CFG_UART1_DATABITS_EIGHT                    = 0,                                       //!< 8 databits
    UBLOXCFG_CFG_UART1_DATABITS_SEVEN                    = 1                                        //!< 7 databits
} UBLOXCFG_CFG_UART1_DATABITS_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1_PARITY CFG-UART1-PARITY (Parity mode that should be used on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1_PARITY_ID                       0x20520004                               //!< ID of CFG-UART1-PARITY
#define UBLOXCFG_CFG_UART1_PARITY_STR                      "CFG-UART1-PARITY"                       //!< Name of CFG-UART1-PARITY
#define UBLOXCFG_CFG_UART1_PARITY_TYPE                     E1                                       //!< Type of CFG-UART1-PARITY
//! constants for CFG-UART1-PARITY
typedef enum UBLOXCFG_CFG_UART1_PARITY_e
{
    UBLOXCFG_CFG_UART1_PARITY_NONE                       = 0,                                       //!< No parity bit
    UBLOXCFG_CFG_UART1_PARITY_ODD                        = 1,                                       //!< Add an odd parity bit
    UBLOXCFG_CFG_UART1_PARITY_EVEN                       = 2                                        //!< Add an even parity bit
} UBLOXCFG_CFG_UART1_PARITY_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1_ENABLED CFG-UART1-ENABLED (Flag to indicate if the UART1 should be enabled)
    @{
*/
#define UBLOXCFG_CFG_UART1_ENABLED_ID                      0x10520005                               //!< ID of CFG-UART1-ENABLED
#define UBLOXCFG_CFG_UART1_ENABLED_STR                     "CFG-UART1-ENABLED"                      //!< Name of CFG-UART1-ENABLED
#define UBLOXCFG_CFG_UART1_ENABLED_TYPE                    L                                        //!< Type of CFG-UART1-ENABLED
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1INPROT CFG-UART1INPROT
    @{
*/

#define UBLOXCFG_CFG_UART1INPROT_ID  0x00730000 //!< Group ID of the CFG-UART1INPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_UART1INPROT_UBX CFG-UART1INPROT-UBX (Flag to indicate if UBX should be an input protocol on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1INPROT_UBX_ID                    0x10730001                               //!< ID of CFG-UART1INPROT-UBX
#define UBLOXCFG_CFG_UART1INPROT_UBX_STR                   "CFG-UART1INPROT-UBX"                    //!< Name of CFG-UART1INPROT-UBX
#define UBLOXCFG_CFG_UART1INPROT_UBX_TYPE                  L                                        //!< Type of CFG-UART1INPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1INPROT_NMEA CFG-UART1INPROT-NMEA (Flag to indicate if NMEA should be an input protocol on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1INPROT_NMEA_ID                   0x10730002                               //!< ID of CFG-UART1INPROT-NMEA
#define UBLOXCFG_CFG_UART1INPROT_NMEA_STR                  "CFG-UART1INPROT-NMEA"                   //!< Name of CFG-UART1INPROT-NMEA
#define UBLOXCFG_CFG_UART1INPROT_NMEA_TYPE                 L                                        //!< Type of CFG-UART1INPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1INPROT_RTCM3X CFG-UART1INPROT-RTCM3X (Flag to indicate if RTCM3X should be an input protocol on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1INPROT_RTCM3X_ID                 0x10730004                               //!< ID of CFG-UART1INPROT-RTCM3X
#define UBLOXCFG_CFG_UART1INPROT_RTCM3X_STR                "CFG-UART1INPROT-RTCM3X"                 //!< Name of CFG-UART1INPROT-RTCM3X
#define UBLOXCFG_CFG_UART1INPROT_RTCM3X_TYPE               L                                        //!< Type of CFG-UART1INPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1OUTPROT CFG-UART1OUTPROT
    @{
*/

#define UBLOXCFG_CFG_UART1OUTPROT_ID  0x00740000 //!< Group ID of the CFG-UART1OUTPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_UART1OUTPROT_UBX CFG-UART1OUTPROT-UBX (Flag to indicate if UBX should be an output protocol on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1OUTPROT_UBX_ID                   0x10740001                               //!< ID of CFG-UART1OUTPROT-UBX
#define UBLOXCFG_CFG_UART1OUTPROT_UBX_STR                  "CFG-UART1OUTPROT-UBX"                   //!< Name of CFG-UART1OUTPROT-UBX
#define UBLOXCFG_CFG_UART1OUTPROT_UBX_TYPE                 L                                        //!< Type of CFG-UART1OUTPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1OUTPROT_NMEA CFG-UART1OUTPROT-NMEA (Flag to indicate if NMEA should be an output protocol on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1OUTPROT_NMEA_ID                  0x10740002                               //!< ID of CFG-UART1OUTPROT-NMEA
#define UBLOXCFG_CFG_UART1OUTPROT_NMEA_STR                 "CFG-UART1OUTPROT-NMEA"                  //!< Name of CFG-UART1OUTPROT-NMEA
#define UBLOXCFG_CFG_UART1OUTPROT_NMEA_TYPE                L                                        //!< Type of CFG-UART1OUTPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART1OUTPROT_RTCM3X CFG-UART1OUTPROT-RTCM3X (Flag to indicate if RTCM3X should be an output protocol on UART1)
    @{
*/
#define UBLOXCFG_CFG_UART1OUTPROT_RTCM3X_ID                0x10740004                               //!< ID of CFG-UART1OUTPROT-RTCM3X
#define UBLOXCFG_CFG_UART1OUTPROT_RTCM3X_STR               "CFG-UART1OUTPROT-RTCM3X"                //!< Name of CFG-UART1OUTPROT-RTCM3X
#define UBLOXCFG_CFG_UART1OUTPROT_RTCM3X_TYPE              L                                        //!< Type of CFG-UART1OUTPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2 CFG-UART2
    @{
*/

#define UBLOXCFG_CFG_UART2_ID  0x00530000 //!< Group ID of the CFG-UART2-* items

/*!
    \defgroup UBLOXCFG_CFG_UART2_BAUDRATE CFG-UART2-BAUDRATE (The baud rate that should be configured on the UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2_BAUDRATE_ID                     0x40530001                               //!< ID of CFG-UART2-BAUDRATE
#define UBLOXCFG_CFG_UART2_BAUDRATE_STR                    "CFG-UART2-BAUDRATE"                     //!< Name of CFG-UART2-BAUDRATE
#define UBLOXCFG_CFG_UART2_BAUDRATE_TYPE                   U4                                       //!< Type of CFG-UART2-BAUDRATE
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2_STOPBITS CFG-UART2-STOPBITS (Number of stopbits that should be used on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2_STOPBITS_ID                     0x20530002                               //!< ID of CFG-UART2-STOPBITS
#define UBLOXCFG_CFG_UART2_STOPBITS_STR                    "CFG-UART2-STOPBITS"                     //!< Name of CFG-UART2-STOPBITS
#define UBLOXCFG_CFG_UART2_STOPBITS_TYPE                   E1                                       //!< Type of CFG-UART2-STOPBITS
//! constants for CFG-UART2-STOPBITS
typedef enum UBLOXCFG_CFG_UART2_STOPBITS_e
{
    UBLOXCFG_CFG_UART2_STOPBITS_HALF                     = 0,                                       //!< 0.5 stopbits
    UBLOXCFG_CFG_UART2_STOPBITS_ONE                      = 1,                                       //!< 1.0 stopbits
    UBLOXCFG_CFG_UART2_STOPBITS_ONEHALF                  = 2,                                       //!< 1.5 stopbits
    UBLOXCFG_CFG_UART2_STOPBITS_TWO                      = 3                                        //!< 2.0 stopbits
} UBLOXCFG_CFG_UART2_STOPBITS_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2_DATABITS CFG-UART2-DATABITS (Number of databits that should be used on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2_DATABITS_ID                     0x20530003                               //!< ID of CFG-UART2-DATABITS
#define UBLOXCFG_CFG_UART2_DATABITS_STR                    "CFG-UART2-DATABITS"                     //!< Name of CFG-UART2-DATABITS
#define UBLOXCFG_CFG_UART2_DATABITS_TYPE                   E1                                       //!< Type of CFG-UART2-DATABITS
//! constants for CFG-UART2-DATABITS
typedef enum UBLOXCFG_CFG_UART2_DATABITS_e
{
    UBLOXCFG_CFG_UART2_DATABITS_EIGHT                    = 0,                                       //!< 8 databits
    UBLOXCFG_CFG_UART2_DATABITS_SEVEN                    = 1                                        //!< 7 databits
} UBLOXCFG_CFG_UART2_DATABITS_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2_PARITY CFG-UART2-PARITY (Parity mode that should be used on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2_PARITY_ID                       0x20530004                               //!< ID of CFG-UART2-PARITY
#define UBLOXCFG_CFG_UART2_PARITY_STR                      "CFG-UART2-PARITY"                       //!< Name of CFG-UART2-PARITY
#define UBLOXCFG_CFG_UART2_PARITY_TYPE                     E1                                       //!< Type of CFG-UART2-PARITY
//! constants for CFG-UART2-PARITY
typedef enum UBLOXCFG_CFG_UART2_PARITY_e
{
    UBLOXCFG_CFG_UART2_PARITY_NONE                       = 0,                                       //!< No parity bit
    UBLOXCFG_CFG_UART2_PARITY_ODD                        = 1,                                       //!< Add an odd parity bit
    UBLOXCFG_CFG_UART2_PARITY_EVEN                       = 2                                        //!< Add an even parity bit
} UBLOXCFG_CFG_UART2_PARITY_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2_ENABLED CFG-UART2-ENABLED (Flag to indicate if the UART2 should be enabled)
    @{
*/
#define UBLOXCFG_CFG_UART2_ENABLED_ID                      0x10530005                               //!< ID of CFG-UART2-ENABLED
#define UBLOXCFG_CFG_UART2_ENABLED_STR                     "CFG-UART2-ENABLED"                      //!< Name of CFG-UART2-ENABLED
#define UBLOXCFG_CFG_UART2_ENABLED_TYPE                    L                                        //!< Type of CFG-UART2-ENABLED
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2_REMAP CFG-UART2-REMAP (UART2 Remapping)
    @{
*/
#define UBLOXCFG_CFG_UART2_REMAP_ID                        0x10530006                               //!< ID of CFG-UART2-REMAP
#define UBLOXCFG_CFG_UART2_REMAP_STR                       "CFG-UART2-REMAP"                        //!< Name of CFG-UART2-REMAP
#define UBLOXCFG_CFG_UART2_REMAP_TYPE                      L                                        //!< Type of CFG-UART2-REMAP
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2INPROT CFG-UART2INPROT
    @{
*/

#define UBLOXCFG_CFG_UART2INPROT_ID  0x00750000 //!< Group ID of the CFG-UART2INPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_UART2INPROT_UBX CFG-UART2INPROT-UBX (Flag to indicate if UBX should be an input protocol on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2INPROT_UBX_ID                    0x10750001                               //!< ID of CFG-UART2INPROT-UBX
#define UBLOXCFG_CFG_UART2INPROT_UBX_STR                   "CFG-UART2INPROT-UBX"                    //!< Name of CFG-UART2INPROT-UBX
#define UBLOXCFG_CFG_UART2INPROT_UBX_TYPE                  L                                        //!< Type of CFG-UART2INPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2INPROT_NMEA CFG-UART2INPROT-NMEA (Flag to indicate if NMEA should be an input protocol on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2INPROT_NMEA_ID                   0x10750002                               //!< ID of CFG-UART2INPROT-NMEA
#define UBLOXCFG_CFG_UART2INPROT_NMEA_STR                  "CFG-UART2INPROT-NMEA"                   //!< Name of CFG-UART2INPROT-NMEA
#define UBLOXCFG_CFG_UART2INPROT_NMEA_TYPE                 L                                        //!< Type of CFG-UART2INPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2INPROT_RTCM3X CFG-UART2INPROT-RTCM3X (Flag to indicate if RTCM3X should be an input protocol on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2INPROT_RTCM3X_ID                 0x10750004                               //!< ID of CFG-UART2INPROT-RTCM3X
#define UBLOXCFG_CFG_UART2INPROT_RTCM3X_STR                "CFG-UART2INPROT-RTCM3X"                 //!< Name of CFG-UART2INPROT-RTCM3X
#define UBLOXCFG_CFG_UART2INPROT_RTCM3X_TYPE               L                                        //!< Type of CFG-UART2INPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2OUTPROT CFG-UART2OUTPROT
    @{
*/

#define UBLOXCFG_CFG_UART2OUTPROT_ID  0x00760000 //!< Group ID of the CFG-UART2OUTPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_UART2OUTPROT_UBX CFG-UART2OUTPROT-UBX (Flag to indicate if UBX should be an output protocol on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2OUTPROT_UBX_ID                   0x10760001                               //!< ID of CFG-UART2OUTPROT-UBX
#define UBLOXCFG_CFG_UART2OUTPROT_UBX_STR                  "CFG-UART2OUTPROT-UBX"                   //!< Name of CFG-UART2OUTPROT-UBX
#define UBLOXCFG_CFG_UART2OUTPROT_UBX_TYPE                 L                                        //!< Type of CFG-UART2OUTPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2OUTPROT_NMEA CFG-UART2OUTPROT-NMEA (Flag to indicate if NMEA should be an output protocol on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2OUTPROT_NMEA_ID                  0x10760002                               //!< ID of CFG-UART2OUTPROT-NMEA
#define UBLOXCFG_CFG_UART2OUTPROT_NMEA_STR                 "CFG-UART2OUTPROT-NMEA"                  //!< Name of CFG-UART2OUTPROT-NMEA
#define UBLOXCFG_CFG_UART2OUTPROT_NMEA_TYPE                L                                        //!< Type of CFG-UART2OUTPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_UART2OUTPROT_RTCM3X CFG-UART2OUTPROT-RTCM3X (Flag to indicate if RTCM3X should be an output protocol on UART2)
    @{
*/
#define UBLOXCFG_CFG_UART2OUTPROT_RTCM3X_ID                0x10760004                               //!< ID of CFG-UART2OUTPROT-RTCM3X
#define UBLOXCFG_CFG_UART2OUTPROT_RTCM3X_STR               "CFG-UART2OUTPROT-RTCM3X"                //!< Name of CFG-UART2OUTPROT-RTCM3X
#define UBLOXCFG_CFG_UART2OUTPROT_RTCM3X_TYPE              L                                        //!< Type of CFG-UART2OUTPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_USB CFG-USB
    @{
*/

#define UBLOXCFG_CFG_USB_ID  0x00650000 //!< Group ID of the CFG-USB-* items

/*!
    \defgroup UBLOXCFG_CFG_USB_ENABLED CFG-USB-ENABLED (Flag to indicate if the USB interface should be enabled)
    @{
*/
#define UBLOXCFG_CFG_USB_ENABLED_ID                        0x10650001                               //!< ID of CFG-USB-ENABLED
#define UBLOXCFG_CFG_USB_ENABLED_STR                       "CFG-USB-ENABLED"                        //!< Name of CFG-USB-ENABLED
#define UBLOXCFG_CFG_USB_ENABLED_TYPE                      L                                        //!< Type of CFG-USB-ENABLED
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_SELFPOW CFG-USB-SELFPOW (Self-powered device)
    @{
*/
#define UBLOXCFG_CFG_USB_SELFPOW_ID                        0x10650002                               //!< ID of CFG-USB-SELFPOW
#define UBLOXCFG_CFG_USB_SELFPOW_STR                       "CFG-USB-SELFPOW"                        //!< Name of CFG-USB-SELFPOW
#define UBLOXCFG_CFG_USB_SELFPOW_TYPE                      L                                        //!< Type of CFG-USB-SELFPOW
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_VENDOR_ID CFG-USB-VENDOR_ID (Vendor ID)
    @{
*/
#define UBLOXCFG_CFG_USB_VENDOR_ID_ID                      0x3065000a                               //!< ID of CFG-USB-VENDOR_ID
#define UBLOXCFG_CFG_USB_VENDOR_ID_STR                     "CFG-USB-VENDOR_ID"                      //!< Name of CFG-USB-VENDOR_ID
#define UBLOXCFG_CFG_USB_VENDOR_ID_TYPE                    U2                                       //!< Type of CFG-USB-VENDOR_ID
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_PRODUCT_ID CFG-USB-PRODUCT_ID (Vendor ID)
    @{
*/
#define UBLOXCFG_CFG_USB_PRODUCT_ID_ID                     0x3065000b                               //!< ID of CFG-USB-PRODUCT_ID
#define UBLOXCFG_CFG_USB_PRODUCT_ID_STR                    "CFG-USB-PRODUCT_ID"                     //!< Name of CFG-USB-PRODUCT_ID
#define UBLOXCFG_CFG_USB_PRODUCT_ID_TYPE                   U2                                       //!< Type of CFG-USB-PRODUCT_ID
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_POWER CFG-USB-POWER (Power consumption)
    @{
*/
#define UBLOXCFG_CFG_USB_POWER_ID                          0x3065000c                               //!< ID of CFG-USB-POWER
#define UBLOXCFG_CFG_USB_POWER_STR                         "CFG-USB-POWER"                          //!< Name of CFG-USB-POWER
#define UBLOXCFG_CFG_USB_POWER_TYPE                        U2                                       //!< Type of CFG-USB-POWER
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_VENDOR_STR0 CFG-USB-VENDOR_STR0 (Vendor string characters 0-7)
    @{
*/
#define UBLOXCFG_CFG_USB_VENDOR_STR0_ID                    0x5065000d                               //!< ID of CFG-USB-VENDOR_STR0
#define UBLOXCFG_CFG_USB_VENDOR_STR0_STR                   "CFG-USB-VENDOR_STR0"                    //!< Name of CFG-USB-VENDOR_STR0
#define UBLOXCFG_CFG_USB_VENDOR_STR0_TYPE                  X8                                       //!< Type of CFG-USB-VENDOR_STR0
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_VENDOR_STR1 CFG-USB-VENDOR_STR1 (Vendor string characters 8-15)
    @{
*/
#define UBLOXCFG_CFG_USB_VENDOR_STR1_ID                    0x5065000e                               //!< ID of CFG-USB-VENDOR_STR1
#define UBLOXCFG_CFG_USB_VENDOR_STR1_STR                   "CFG-USB-VENDOR_STR1"                    //!< Name of CFG-USB-VENDOR_STR1
#define UBLOXCFG_CFG_USB_VENDOR_STR1_TYPE                  X8                                       //!< Type of CFG-USB-VENDOR_STR1
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_VENDOR_STR2 CFG-USB-VENDOR_STR2 (Vendor string characters 16-23)
    @{
*/
#define UBLOXCFG_CFG_USB_VENDOR_STR2_ID                    0x5065000f                               //!< ID of CFG-USB-VENDOR_STR2
#define UBLOXCFG_CFG_USB_VENDOR_STR2_STR                   "CFG-USB-VENDOR_STR2"                    //!< Name of CFG-USB-VENDOR_STR2
#define UBLOXCFG_CFG_USB_VENDOR_STR2_TYPE                  X8                                       //!< Type of CFG-USB-VENDOR_STR2
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_VENDOR_STR3 CFG-USB-VENDOR_STR3 (Vendor string characters 24-31)
    @{
*/
#define UBLOXCFG_CFG_USB_VENDOR_STR3_ID                    0x50650010                               //!< ID of CFG-USB-VENDOR_STR3
#define UBLOXCFG_CFG_USB_VENDOR_STR3_STR                   "CFG-USB-VENDOR_STR3"                    //!< Name of CFG-USB-VENDOR_STR3
#define UBLOXCFG_CFG_USB_VENDOR_STR3_TYPE                  X8                                       //!< Type of CFG-USB-VENDOR_STR3
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_PRODUCT_STR0 CFG-USB-PRODUCT_STR0 (Product string characters 0-7)
    @{
*/
#define UBLOXCFG_CFG_USB_PRODUCT_STR0_ID                   0x50650011                               //!< ID of CFG-USB-PRODUCT_STR0
#define UBLOXCFG_CFG_USB_PRODUCT_STR0_STR                  "CFG-USB-PRODUCT_STR0"                   //!< Name of CFG-USB-PRODUCT_STR0
#define UBLOXCFG_CFG_USB_PRODUCT_STR0_TYPE                 X8                                       //!< Type of CFG-USB-PRODUCT_STR0
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_PRODUCT_STR1 CFG-USB-PRODUCT_STR1 (Product string characters 8-15)
    @{
*/
#define UBLOXCFG_CFG_USB_PRODUCT_STR1_ID                   0x50650012                               //!< ID of CFG-USB-PRODUCT_STR1
#define UBLOXCFG_CFG_USB_PRODUCT_STR1_STR                  "CFG-USB-PRODUCT_STR1"                   //!< Name of CFG-USB-PRODUCT_STR1
#define UBLOXCFG_CFG_USB_PRODUCT_STR1_TYPE                 X8                                       //!< Type of CFG-USB-PRODUCT_STR1
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_PRODUCT_STR2 CFG-USB-PRODUCT_STR2 (Product string characters 16-23)
    @{
*/
#define UBLOXCFG_CFG_USB_PRODUCT_STR2_ID                   0x50650013                               //!< ID of CFG-USB-PRODUCT_STR2
#define UBLOXCFG_CFG_USB_PRODUCT_STR2_STR                  "CFG-USB-PRODUCT_STR2"                   //!< Name of CFG-USB-PRODUCT_STR2
#define UBLOXCFG_CFG_USB_PRODUCT_STR2_TYPE                 X8                                       //!< Type of CFG-USB-PRODUCT_STR2
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_PRODUCT_STR3 CFG-USB-PRODUCT_STR3 (Product string characters 24-31)
    @{
*/
#define UBLOXCFG_CFG_USB_PRODUCT_STR3_ID                   0x50650014                               //!< ID of CFG-USB-PRODUCT_STR3
#define UBLOXCFG_CFG_USB_PRODUCT_STR3_STR                  "CFG-USB-PRODUCT_STR3"                   //!< Name of CFG-USB-PRODUCT_STR3
#define UBLOXCFG_CFG_USB_PRODUCT_STR3_TYPE                 X8                                       //!< Type of CFG-USB-PRODUCT_STR3
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_SERIAL_NO_STR0 CFG-USB-SERIAL_NO_STR0 (Serial number string characters 0-7)
    @{
*/
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR0_ID                 0x50650015                               //!< ID of CFG-USB-SERIAL_NO_STR0
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR0_STR                "CFG-USB-SERIAL_NO_STR0"                 //!< Name of CFG-USB-SERIAL_NO_STR0
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR0_TYPE               X8                                       //!< Type of CFG-USB-SERIAL_NO_STR0
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_SERIAL_NO_STR1 CFG-USB-SERIAL_NO_STR1 (Serial number string characters 8-15)
    @{
*/
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR1_ID                 0x50650016                               //!< ID of CFG-USB-SERIAL_NO_STR1
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR1_STR                "CFG-USB-SERIAL_NO_STR1"                 //!< Name of CFG-USB-SERIAL_NO_STR1
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR1_TYPE               X8                                       //!< Type of CFG-USB-SERIAL_NO_STR1
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_SERIAL_NO_STR2 CFG-USB-SERIAL_NO_STR2 (Serial number string characters 16-23)
    @{
*/
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR2_ID                 0x50650017                               //!< ID of CFG-USB-SERIAL_NO_STR2
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR2_STR                "CFG-USB-SERIAL_NO_STR2"                 //!< Name of CFG-USB-SERIAL_NO_STR2
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR2_TYPE               X8                                       //!< Type of CFG-USB-SERIAL_NO_STR2
///@}

/*!
    \defgroup UBLOXCFG_CFG_USB_SERIAL_NO_STR3 CFG-USB-SERIAL_NO_STR3 (Serial number string characters 24-31)
    @{
*/
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR3_ID                 0x50650018                               //!< ID of CFG-USB-SERIAL_NO_STR3
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR3_STR                "CFG-USB-SERIAL_NO_STR3"                 //!< Name of CFG-USB-SERIAL_NO_STR3
#define UBLOXCFG_CFG_USB_SERIAL_NO_STR3_TYPE               X8                                       //!< Type of CFG-USB-SERIAL_NO_STR3
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_USBINPROT CFG-USBINPROT
    @{
*/

#define UBLOXCFG_CFG_USBINPROT_ID  0x00770000 //!< Group ID of the CFG-USBINPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_USBINPROT_UBX CFG-USBINPROT-UBX (Flag to indicate if UBX should be an input protocol on USB)
    @{
*/
#define UBLOXCFG_CFG_USBINPROT_UBX_ID                      0x10770001                               //!< ID of CFG-USBINPROT-UBX
#define UBLOXCFG_CFG_USBINPROT_UBX_STR                     "CFG-USBINPROT-UBX"                      //!< Name of CFG-USBINPROT-UBX
#define UBLOXCFG_CFG_USBINPROT_UBX_TYPE                    L                                        //!< Type of CFG-USBINPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_USBINPROT_NMEA CFG-USBINPROT-NMEA (Flag to indicate if NMEA should be an input protocol on USB)
    @{
*/
#define UBLOXCFG_CFG_USBINPROT_NMEA_ID                     0x10770002                               //!< ID of CFG-USBINPROT-NMEA
#define UBLOXCFG_CFG_USBINPROT_NMEA_STR                    "CFG-USBINPROT-NMEA"                     //!< Name of CFG-USBINPROT-NMEA
#define UBLOXCFG_CFG_USBINPROT_NMEA_TYPE                   L                                        //!< Type of CFG-USBINPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_USBINPROT_RTCM3X CFG-USBINPROT-RTCM3X (Flag to indicate if RTCM3X should be an input protocol on USB)
    @{
*/
#define UBLOXCFG_CFG_USBINPROT_RTCM3X_ID                   0x10770004                               //!< ID of CFG-USBINPROT-RTCM3X
#define UBLOXCFG_CFG_USBINPROT_RTCM3X_STR                  "CFG-USBINPROT-RTCM3X"                   //!< Name of CFG-USBINPROT-RTCM3X
#define UBLOXCFG_CFG_USBINPROT_RTCM3X_TYPE                 L                                        //!< Type of CFG-USBINPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_USBOUTPROT CFG-USBOUTPROT
    @{
*/

#define UBLOXCFG_CFG_USBOUTPROT_ID  0x00780000 //!< Group ID of the CFG-USBOUTPROT-* items

/*!
    \defgroup UBLOXCFG_CFG_USBOUTPROT_UBX CFG-USBOUTPROT-UBX (Flag to indicate if UBX should be an output protocol on USB)
    @{
*/
#define UBLOXCFG_CFG_USBOUTPROT_UBX_ID                     0x10780001                               //!< ID of CFG-USBOUTPROT-UBX
#define UBLOXCFG_CFG_USBOUTPROT_UBX_STR                    "CFG-USBOUTPROT-UBX"                     //!< Name of CFG-USBOUTPROT-UBX
#define UBLOXCFG_CFG_USBOUTPROT_UBX_TYPE                   L                                        //!< Type of CFG-USBOUTPROT-UBX
///@}

/*!
    \defgroup UBLOXCFG_CFG_USBOUTPROT_NMEA CFG-USBOUTPROT-NMEA (Flag to indicate if NMEA should be an output protocol on USB)
    @{
*/
#define UBLOXCFG_CFG_USBOUTPROT_NMEA_ID                    0x10780002                               //!< ID of CFG-USBOUTPROT-NMEA
#define UBLOXCFG_CFG_USBOUTPROT_NMEA_STR                   "CFG-USBOUTPROT-NMEA"                    //!< Name of CFG-USBOUTPROT-NMEA
#define UBLOXCFG_CFG_USBOUTPROT_NMEA_TYPE                  L                                        //!< Type of CFG-USBOUTPROT-NMEA
///@}

/*!
    \defgroup UBLOXCFG_CFG_USBOUTPROT_RTCM3X CFG-USBOUTPROT-RTCM3X (Flag to indicate if RTCM3X should be an output protocol on USB)
    @{
*/
#define UBLOXCFG_CFG_USBOUTPROT_RTCM3X_ID                  0x10780004                               //!< ID of CFG-USBOUTPROT-RTCM3X
#define UBLOXCFG_CFG_USBOUTPROT_RTCM3X_STR                 "CFG-USBOUTPROT-RTCM3X"                  //!< Name of CFG-USBOUTPROT-RTCM3X
#define UBLOXCFG_CFG_USBOUTPROT_RTCM3X_TYPE                L                                        //!< Type of CFG-USBOUTPROT-RTCM3X
///@}

///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST CFG-UBLOXCFGTEST
    @{
*/

#define UBLOXCFG_CFG_UBLOXCFGTEST_ID  0x00fe0000 //!< Group ID of the CFG-UBLOXCFGTEST-* items

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_L CFG-UBLOXCFGTEST-L (ubloxcfg library test item type L)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_L_ID                     0x10fe0001                               //!< ID of CFG-UBLOXCFGTEST-L
#define UBLOXCFG_CFG_UBLOXCFGTEST_L_STR                    "CFG-UBLOXCFGTEST-L"                     //!< Name of CFG-UBLOXCFGTEST-L
#define UBLOXCFG_CFG_UBLOXCFGTEST_L_TYPE                   L                                        //!< Type of CFG-UBLOXCFGTEST-L
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_U1 CFG-UBLOXCFGTEST-U1 (ubloxcfg library test item type U1)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_U1_ID                    0x20fe0011                               //!< ID of CFG-UBLOXCFGTEST-U1
#define UBLOXCFG_CFG_UBLOXCFGTEST_U1_STR                   "CFG-UBLOXCFGTEST-U1"                    //!< Name of CFG-UBLOXCFGTEST-U1
#define UBLOXCFG_CFG_UBLOXCFGTEST_U1_TYPE                  U1                                       //!< Type of CFG-UBLOXCFGTEST-U1
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_U2 CFG-UBLOXCFGTEST-U2 (ubloxcfg library test item type U2)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_U2_ID                    0x30fe0012                               //!< ID of CFG-UBLOXCFGTEST-U2
#define UBLOXCFG_CFG_UBLOXCFGTEST_U2_STR                   "CFG-UBLOXCFGTEST-U2"                    //!< Name of CFG-UBLOXCFGTEST-U2
#define UBLOXCFG_CFG_UBLOXCFGTEST_U2_TYPE                  U2                                       //!< Type of CFG-UBLOXCFGTEST-U2
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_U4 CFG-UBLOXCFGTEST-U4 (ubloxcfg library test item type U4)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_U4_ID                    0x40fe0013                               //!< ID of CFG-UBLOXCFGTEST-U4
#define UBLOXCFG_CFG_UBLOXCFGTEST_U4_STR                   "CFG-UBLOXCFGTEST-U4"                    //!< Name of CFG-UBLOXCFGTEST-U4
#define UBLOXCFG_CFG_UBLOXCFGTEST_U4_TYPE                  U4                                       //!< Type of CFG-UBLOXCFGTEST-U4
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_U8 CFG-UBLOXCFGTEST-U8 (ubloxcfg library test item type U8)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_U8_ID                    0x50fe0014                               //!< ID of CFG-UBLOXCFGTEST-U8
#define UBLOXCFG_CFG_UBLOXCFGTEST_U8_STR                   "CFG-UBLOXCFGTEST-U8"                    //!< Name of CFG-UBLOXCFGTEST-U8
#define UBLOXCFG_CFG_UBLOXCFGTEST_U8_TYPE                  U8                                       //!< Type of CFG-UBLOXCFGTEST-U8
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_I1 CFG-UBLOXCFGTEST-I1 (ubloxcfg library test item type I1)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_I1_ID                    0x20fe0021                               //!< ID of CFG-UBLOXCFGTEST-I1
#define UBLOXCFG_CFG_UBLOXCFGTEST_I1_STR                   "CFG-UBLOXCFGTEST-I1"                    //!< Name of CFG-UBLOXCFGTEST-I1
#define UBLOXCFG_CFG_UBLOXCFGTEST_I1_TYPE                  I1                                       //!< Type of CFG-UBLOXCFGTEST-I1
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_I2 CFG-UBLOXCFGTEST-I2 (ubloxcfg library test item type I2)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_I2_ID                    0x30fe0022                               //!< ID of CFG-UBLOXCFGTEST-I2
#define UBLOXCFG_CFG_UBLOXCFGTEST_I2_STR                   "CFG-UBLOXCFGTEST-I2"                    //!< Name of CFG-UBLOXCFGTEST-I2
#define UBLOXCFG_CFG_UBLOXCFGTEST_I2_TYPE                  I2                                       //!< Type of CFG-UBLOXCFGTEST-I2
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_I4 CFG-UBLOXCFGTEST-I4 (ubloxcfg library test item type I4)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_I4_ID                    0x40fe0023                               //!< ID of CFG-UBLOXCFGTEST-I4
#define UBLOXCFG_CFG_UBLOXCFGTEST_I4_STR                   "CFG-UBLOXCFGTEST-I4"                    //!< Name of CFG-UBLOXCFGTEST-I4
#define UBLOXCFG_CFG_UBLOXCFGTEST_I4_TYPE                  I4                                       //!< Type of CFG-UBLOXCFGTEST-I4
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_I8 CFG-UBLOXCFGTEST-I8 (ubloxcfg library test item type I8)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_I8_ID                    0x50fe0024                               //!< ID of CFG-UBLOXCFGTEST-I8
#define UBLOXCFG_CFG_UBLOXCFGTEST_I8_STR                   "CFG-UBLOXCFGTEST-I8"                    //!< Name of CFG-UBLOXCFGTEST-I8
#define UBLOXCFG_CFG_UBLOXCFGTEST_I8_TYPE                  I8                                       //!< Type of CFG-UBLOXCFGTEST-I8
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_X1 CFG-UBLOXCFGTEST-X1 (ubloxcfg library test item type X1)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_X1_ID                    0x20fe0031                               //!< ID of CFG-UBLOXCFGTEST-X1
#define UBLOXCFG_CFG_UBLOXCFGTEST_X1_STR                   "CFG-UBLOXCFGTEST-X1"                    //!< Name of CFG-UBLOXCFGTEST-X1
#define UBLOXCFG_CFG_UBLOXCFGTEST_X1_TYPE                  X1                                       //!< Type of CFG-UBLOXCFGTEST-X1
// constants for CFG-UBLOXCFGTEST-X1
#define UBLOXCFG_CFG_UBLOXCFGTEST_X1_FIRST                 0x01                                     //!< first bit (LSB)
#define UBLOXCFG_CFG_UBLOXCFGTEST_X1_SECOND                0x02                                     //!< second bit
#define UBLOXCFG_CFG_UBLOXCFGTEST_X1_LAST                  0x80                                     //!< last bit (MSB)
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_X2 CFG-UBLOXCFGTEST-X2 (ubloxcfg library test item type X2)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_X2_ID                    0x30fe0032                               //!< ID of CFG-UBLOXCFGTEST-X2
#define UBLOXCFG_CFG_UBLOXCFGTEST_X2_STR                   "CFG-UBLOXCFGTEST-X2"                    //!< Name of CFG-UBLOXCFGTEST-X2
#define UBLOXCFG_CFG_UBLOXCFGTEST_X2_TYPE                  X2                                       //!< Type of CFG-UBLOXCFGTEST-X2
// constants for CFG-UBLOXCFGTEST-X2
#define UBLOXCFG_CFG_UBLOXCFGTEST_X2_FIRST                 0x0001                                   //!< first bit (LSB)
#define UBLOXCFG_CFG_UBLOXCFGTEST_X2_SECOND                0x0002                                   //!< second bit
#define UBLOXCFG_CFG_UBLOXCFGTEST_X2_LAST                  0x8000                                   //!< last bit (MSB)
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_X4 CFG-UBLOXCFGTEST-X4 (ubloxcfg library test item type X4)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_X4_ID                    0x40fe0033                               //!< ID of CFG-UBLOXCFGTEST-X4
#define UBLOXCFG_CFG_UBLOXCFGTEST_X4_STR                   "CFG-UBLOXCFGTEST-X4"                    //!< Name of CFG-UBLOXCFGTEST-X4
#define UBLOXCFG_CFG_UBLOXCFGTEST_X4_TYPE                  X4                                       //!< Type of CFG-UBLOXCFGTEST-X4
// constants for CFG-UBLOXCFGTEST-X4
#define UBLOXCFG_CFG_UBLOXCFGTEST_X4_FIRST                 0x00000001                               //!< first bit (LSB)
#define UBLOXCFG_CFG_UBLOXCFGTEST_X4_SECOND                0x00000002                               //!< second bit
#define UBLOXCFG_CFG_UBLOXCFGTEST_X4_LAST                  0x80000000                               //!< last bit (MSB)
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_X8 CFG-UBLOXCFGTEST-X8 (ubloxcfg library test item type X8)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_X8_ID                    0x50fe0034                               //!< ID of CFG-UBLOXCFGTEST-X8
#define UBLOXCFG_CFG_UBLOXCFGTEST_X8_STR                   "CFG-UBLOXCFGTEST-X8"                    //!< Name of CFG-UBLOXCFGTEST-X8
#define UBLOXCFG_CFG_UBLOXCFGTEST_X8_TYPE                  X8                                       //!< Type of CFG-UBLOXCFGTEST-X8
// constants for CFG-UBLOXCFGTEST-X8
#define UBLOXCFG_CFG_UBLOXCFGTEST_X8_FIRST                 0x0000000000000001                       //!< first bit (LSB)
#define UBLOXCFG_CFG_UBLOXCFGTEST_X8_SECOND                0x0000000000000002                       //!< second bit
#define UBLOXCFG_CFG_UBLOXCFGTEST_X8_LAST                  0x8000000000000000                       //!< last bit (MSB)
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_R4 CFG-UBLOXCFGTEST-R4 (ubloxcfg library test item type R4)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_R4_ID                    0x40fe0041                               //!< ID of CFG-UBLOXCFGTEST-R4
#define UBLOXCFG_CFG_UBLOXCFGTEST_R4_STR                   "CFG-UBLOXCFGTEST-R4"                    //!< Name of CFG-UBLOXCFGTEST-R4
#define UBLOXCFG_CFG_UBLOXCFGTEST_R4_TYPE                  R4                                       //!< Type of CFG-UBLOXCFGTEST-R4
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_R8 CFG-UBLOXCFGTEST-R8 (ubloxcfg library test item type R8)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_R8_ID                    0x50fe0042                               //!< ID of CFG-UBLOXCFGTEST-R8
#define UBLOXCFG_CFG_UBLOXCFGTEST_R8_STR                   "CFG-UBLOXCFGTEST-R8"                    //!< Name of CFG-UBLOXCFGTEST-R8
#define UBLOXCFG_CFG_UBLOXCFGTEST_R8_TYPE                  R8                                       //!< Type of CFG-UBLOXCFGTEST-R8
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_E1 CFG-UBLOXCFGTEST-E1 (ubloxcfg library test item type E1)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_E1_ID                    0x20fe0041                               //!< ID of CFG-UBLOXCFGTEST-E1
#define UBLOXCFG_CFG_UBLOXCFGTEST_E1_STR                   "CFG-UBLOXCFGTEST-E1"                    //!< Name of CFG-UBLOXCFGTEST-E1
#define UBLOXCFG_CFG_UBLOXCFGTEST_E1_TYPE                  E1                                       //!< Type of CFG-UBLOXCFGTEST-E1
//! constants for CFG-UBLOXCFGTEST-E1
typedef enum UBLOXCFG_CFG_UBLOXCFGTEST_E1_e
{
    UBLOXCFG_CFG_UBLOXCFGTEST_E1_ONE                     = 1,                                       //!< test value 1
    UBLOXCFG_CFG_UBLOXCFGTEST_E1_TWO                     = 2,                                       //!< test value 2
    UBLOXCFG_CFG_UBLOXCFGTEST_E1_THREE                   = 3,                                       //!< test value 3
    UBLOXCFG_CFG_UBLOXCFGTEST_E1_MINUS_ONE               = -1,                                      //!< test value -1
    UBLOXCFG_CFG_UBLOXCFGTEST_E1_FOUR_HEX                = 0x04                                     //!< test value 0x04
} UBLOXCFG_CFG_UBLOXCFGTEST_E1_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_E2 CFG-UBLOXCFGTEST-E2 (ubloxcfg library test item type E2)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_E2_ID                    0x30fe0042                               //!< ID of CFG-UBLOXCFGTEST-E2
#define UBLOXCFG_CFG_UBLOXCFGTEST_E2_STR                   "CFG-UBLOXCFGTEST-E2"                    //!< Name of CFG-UBLOXCFGTEST-E2
#define UBLOXCFG_CFG_UBLOXCFGTEST_E2_TYPE                  E2                                       //!< Type of CFG-UBLOXCFGTEST-E2
//! constants for CFG-UBLOXCFGTEST-E2
typedef enum UBLOXCFG_CFG_UBLOXCFGTEST_E2_e
{
    UBLOXCFG_CFG_UBLOXCFGTEST_E2_ONE                     = 1,                                       //!< test value 1
    UBLOXCFG_CFG_UBLOXCFGTEST_E2_TWO                     = 2,                                       //!< test value 2
    UBLOXCFG_CFG_UBLOXCFGTEST_E2_THREE                   = 3,                                       //!< test value 3
    UBLOXCFG_CFG_UBLOXCFGTEST_E2_MINUS_ONE               = -1,                                      //!< test value -1
    UBLOXCFG_CFG_UBLOXCFGTEST_E2_FOUR_HEX                = 0x0004                                   //!< test value 0x0004
} UBLOXCFG_CFG_UBLOXCFGTEST_E2_t;
///@}

/*!
    \defgroup UBLOXCFG_CFG_UBLOXCFGTEST_E4 CFG-UBLOXCFGTEST-E4 (ubloxcfg library test item type E4)
    @{
*/
#define UBLOXCFG_CFG_UBLOXCFGTEST_E4_ID                    0x40fe0043                               //!< ID of CFG-UBLOXCFGTEST-E4
#define UBLOXCFG_CFG_UBLOXCFGTEST_E4_STR                   "CFG-UBLOXCFGTEST-E4"                    //!< Name of CFG-UBLOXCFGTEST-E4
#define UBLOXCFG_CFG_UBLOXCFGTEST_E4_TYPE                  E4                                       //!< Type of CFG-UBLOXCFGTEST-E4
//! constants for CFG-UBLOXCFGTEST-E4
typedef enum UBLOXCFG_CFG_UBLOXCFGTEST_E4_e
{
    UBLOXCFG_CFG_UBLOXCFGTEST_E4_ONE                     = 1,                                       //!< test value 1
    UBLOXCFG_CFG_UBLOXCFGTEST_E4_TWO                     = 2,                                       //!< test value 2
    UBLOXCFG_CFG_UBLOXCFGTEST_E4_THREE                   = 3,                                       //!< test value 3
    UBLOXCFG_CFG_UBLOXCFGTEST_E4_MINUS_ONE               = -1,                                      //!< test value -1
    UBLOXCFG_CFG_UBLOXCFGTEST_E4_FOUR_HEX                = 0x00000004                               //!< test value 0x00000004
} UBLOXCFG_CFG_UBLOXCFGTEST_E4_t;
///@}

///@}

/*!
    \defgroup UBLOXCFG_MSGOUT Output message rates (aliases)
    @{
*/

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_PUBX_POSITION NMEA-PUBX-POSITION
    @{
*/
#define UBLOXCFG_NMEA_PUBX_POSITION_STR                    "NMEA-PUBX-POSITION"                               //!< Message NMEA-PUBX-POSITION name
#define UBLOXCFG_NMEA_PUBX_POSITION_UART1_ID               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1_ID         //!< Config item ID for NMEA-PUBX-POSITION rate on port UART1
#define UBLOXCFG_NMEA_PUBX_POSITION_UART1_STR              UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1_STR        //!< Config item name for NMEA-PUBX-POSITION rate on port UART1
#define UBLOXCFG_NMEA_PUBX_POSITION_UART1_TYPE             UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART1_TYPE       //!< Config item type for NMEA-PUBX-POSITION rate on port UART1
#define UBLOXCFG_NMEA_PUBX_POSITION_UART2_ID               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2_ID         //!< Config item ID for NMEA-PUBX-POSITION rate on port UART2
#define UBLOXCFG_NMEA_PUBX_POSITION_UART2_STR              UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2_STR        //!< Config item name for NMEA-PUBX-POSITION rate on port UART2
#define UBLOXCFG_NMEA_PUBX_POSITION_UART2_TYPE             UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_UART2_TYPE       //!< Config item type for NMEA-PUBX-POSITION rate on port UART2
#define UBLOXCFG_NMEA_PUBX_POSITION_SPI_ID                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI_ID           //!< Config item ID for NMEA-PUBX-POSITION rate on port SPI
#define UBLOXCFG_NMEA_PUBX_POSITION_SPI_STR                UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI_STR          //!< Config item name for NMEA-PUBX-POSITION rate on port SPI
#define UBLOXCFG_NMEA_PUBX_POSITION_SPI_TYPE               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_SPI_TYPE         //!< Config item type for NMEA-PUBX-POSITION rate on port SPI
#define UBLOXCFG_NMEA_PUBX_POSITION_I2C_ID                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C_ID           //!< Config item ID for NMEA-PUBX-POSITION rate on port I2C
#define UBLOXCFG_NMEA_PUBX_POSITION_I2C_STR                UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C_STR          //!< Config item name for NMEA-PUBX-POSITION rate on port I2C
#define UBLOXCFG_NMEA_PUBX_POSITION_I2C_TYPE               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_I2C_TYPE         //!< Config item type for NMEA-PUBX-POSITION rate on port I2C
#define UBLOXCFG_NMEA_PUBX_POSITION_USB_ID                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB_ID           //!< Config item ID for NMEA-PUBX-POSITION rate on port USB
#define UBLOXCFG_NMEA_PUBX_POSITION_USB_STR                UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB_STR          //!< Config item name for NMEA-PUBX-POSITION rate on port USB
#define UBLOXCFG_NMEA_PUBX_POSITION_USB_TYPE               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYP_USB_TYPE         //!< Config item type for NMEA-PUBX-POSITION rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_PUBX_SVSTATUS NMEA-PUBX-SVSTATUS
    @{
*/
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_STR                    "NMEA-PUBX-SVSTATUS"                               //!< Message NMEA-PUBX-SVSTATUS name
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_UART1_ID               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1_ID         //!< Config item ID for NMEA-PUBX-SVSTATUS rate on port UART1
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_UART1_STR              UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1_STR        //!< Config item name for NMEA-PUBX-SVSTATUS rate on port UART1
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_UART1_TYPE             UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART1_TYPE       //!< Config item type for NMEA-PUBX-SVSTATUS rate on port UART1
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_UART2_ID               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2_ID         //!< Config item ID for NMEA-PUBX-SVSTATUS rate on port UART2
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_UART2_STR              UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2_STR        //!< Config item name for NMEA-PUBX-SVSTATUS rate on port UART2
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_UART2_TYPE             UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_UART2_TYPE       //!< Config item type for NMEA-PUBX-SVSTATUS rate on port UART2
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_SPI_ID                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI_ID           //!< Config item ID for NMEA-PUBX-SVSTATUS rate on port SPI
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_SPI_STR                UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI_STR          //!< Config item name for NMEA-PUBX-SVSTATUS rate on port SPI
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_SPI_TYPE               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_SPI_TYPE         //!< Config item type for NMEA-PUBX-SVSTATUS rate on port SPI
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_I2C_ID                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C_ID           //!< Config item ID for NMEA-PUBX-SVSTATUS rate on port I2C
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_I2C_STR                UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C_STR          //!< Config item name for NMEA-PUBX-SVSTATUS rate on port I2C
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_I2C_TYPE               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_I2C_TYPE         //!< Config item type for NMEA-PUBX-SVSTATUS rate on port I2C
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_USB_ID                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB_ID           //!< Config item ID for NMEA-PUBX-SVSTATUS rate on port USB
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_USB_STR                UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB_STR          //!< Config item name for NMEA-PUBX-SVSTATUS rate on port USB
#define UBLOXCFG_NMEA_PUBX_SVSTATUS_USB_TYPE               UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYS_USB_TYPE         //!< Config item type for NMEA-PUBX-SVSTATUS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_PUBX_TIME NMEA-PUBX-TIME
    @{
*/
#define UBLOXCFG_NMEA_PUBX_TIME_STR                        "NMEA-PUBX-TIME"                                   //!< Message NMEA-PUBX-TIME name
#define UBLOXCFG_NMEA_PUBX_TIME_UART1_ID                   UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1_ID         //!< Config item ID for NMEA-PUBX-TIME rate on port UART1
#define UBLOXCFG_NMEA_PUBX_TIME_UART1_STR                  UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1_STR        //!< Config item name for NMEA-PUBX-TIME rate on port UART1
#define UBLOXCFG_NMEA_PUBX_TIME_UART1_TYPE                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART1_TYPE       //!< Config item type for NMEA-PUBX-TIME rate on port UART1
#define UBLOXCFG_NMEA_PUBX_TIME_UART2_ID                   UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2_ID         //!< Config item ID for NMEA-PUBX-TIME rate on port UART2
#define UBLOXCFG_NMEA_PUBX_TIME_UART2_STR                  UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2_STR        //!< Config item name for NMEA-PUBX-TIME rate on port UART2
#define UBLOXCFG_NMEA_PUBX_TIME_UART2_TYPE                 UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_UART2_TYPE       //!< Config item type for NMEA-PUBX-TIME rate on port UART2
#define UBLOXCFG_NMEA_PUBX_TIME_SPI_ID                     UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI_ID           //!< Config item ID for NMEA-PUBX-TIME rate on port SPI
#define UBLOXCFG_NMEA_PUBX_TIME_SPI_STR                    UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI_STR          //!< Config item name for NMEA-PUBX-TIME rate on port SPI
#define UBLOXCFG_NMEA_PUBX_TIME_SPI_TYPE                   UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_SPI_TYPE         //!< Config item type for NMEA-PUBX-TIME rate on port SPI
#define UBLOXCFG_NMEA_PUBX_TIME_I2C_ID                     UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C_ID           //!< Config item ID for NMEA-PUBX-TIME rate on port I2C
#define UBLOXCFG_NMEA_PUBX_TIME_I2C_STR                    UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C_STR          //!< Config item name for NMEA-PUBX-TIME rate on port I2C
#define UBLOXCFG_NMEA_PUBX_TIME_I2C_TYPE                   UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_I2C_TYPE         //!< Config item type for NMEA-PUBX-TIME rate on port I2C
#define UBLOXCFG_NMEA_PUBX_TIME_USB_ID                     UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB_ID           //!< Config item ID for NMEA-PUBX-TIME rate on port USB
#define UBLOXCFG_NMEA_PUBX_TIME_USB_STR                    UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB_STR          //!< Config item name for NMEA-PUBX-TIME rate on port USB
#define UBLOXCFG_NMEA_PUBX_TIME_USB_TYPE                   UBLOXCFG_CFG_MSGOUT_PUBX_ID_POLYT_USB_TYPE         //!< Config item type for NMEA-PUBX-TIME rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_DTM NMEA-STANDARD-DTM
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_DTM_STR                     "NMEA-STANDARD-DTM"                                //!< Message NMEA-STANDARD-DTM name
#define UBLOXCFG_NMEA_STANDARD_DTM_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1_ID           //!< Config item ID for NMEA-STANDARD-DTM rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_DTM_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1_STR          //!< Config item name for NMEA-STANDARD-DTM rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_DTM_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART1_TYPE         //!< Config item type for NMEA-STANDARD-DTM rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_DTM_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2_ID           //!< Config item ID for NMEA-STANDARD-DTM rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_DTM_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2_STR          //!< Config item name for NMEA-STANDARD-DTM rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_DTM_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_UART2_TYPE         //!< Config item type for NMEA-STANDARD-DTM rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_DTM_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI_ID             //!< Config item ID for NMEA-STANDARD-DTM rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_DTM_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI_STR            //!< Config item name for NMEA-STANDARD-DTM rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_DTM_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_SPI_TYPE           //!< Config item type for NMEA-STANDARD-DTM rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_DTM_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C_ID             //!< Config item ID for NMEA-STANDARD-DTM rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_DTM_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C_STR            //!< Config item name for NMEA-STANDARD-DTM rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_DTM_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_I2C_TYPE           //!< Config item type for NMEA-STANDARD-DTM rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_DTM_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB_ID             //!< Config item ID for NMEA-STANDARD-DTM rate on port USB
#define UBLOXCFG_NMEA_STANDARD_DTM_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB_STR            //!< Config item name for NMEA-STANDARD-DTM rate on port USB
#define UBLOXCFG_NMEA_STANDARD_DTM_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_DTM_USB_TYPE           //!< Config item type for NMEA-STANDARD-DTM rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GBS NMEA-STANDARD-GBS
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GBS_STR                     "NMEA-STANDARD-GBS"                                //!< Message NMEA-STANDARD-GBS name
#define UBLOXCFG_NMEA_STANDARD_GBS_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1_ID           //!< Config item ID for NMEA-STANDARD-GBS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GBS_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1_STR          //!< Config item name for NMEA-STANDARD-GBS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GBS_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GBS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GBS_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2_ID           //!< Config item ID for NMEA-STANDARD-GBS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GBS_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2_STR          //!< Config item name for NMEA-STANDARD-GBS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GBS_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GBS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GBS_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI_ID             //!< Config item ID for NMEA-STANDARD-GBS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GBS_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI_STR            //!< Config item name for NMEA-STANDARD-GBS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GBS_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GBS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GBS_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C_ID             //!< Config item ID for NMEA-STANDARD-GBS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GBS_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C_STR            //!< Config item name for NMEA-STANDARD-GBS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GBS_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GBS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GBS_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB_ID             //!< Config item ID for NMEA-STANDARD-GBS rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GBS_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB_STR            //!< Config item name for NMEA-STANDARD-GBS rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GBS_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GBS_USB_TYPE           //!< Config item type for NMEA-STANDARD-GBS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GGA NMEA-STANDARD-GGA
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GGA_STR                     "NMEA-STANDARD-GGA"                                //!< Message NMEA-STANDARD-GGA name
#define UBLOXCFG_NMEA_STANDARD_GGA_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1_ID           //!< Config item ID for NMEA-STANDARD-GGA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GGA_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1_STR          //!< Config item name for NMEA-STANDARD-GGA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GGA_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GGA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GGA_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2_ID           //!< Config item ID for NMEA-STANDARD-GGA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GGA_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2_STR          //!< Config item name for NMEA-STANDARD-GGA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GGA_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GGA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GGA_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI_ID             //!< Config item ID for NMEA-STANDARD-GGA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GGA_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI_STR            //!< Config item name for NMEA-STANDARD-GGA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GGA_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GGA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GGA_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C_ID             //!< Config item ID for NMEA-STANDARD-GGA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GGA_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C_STR            //!< Config item name for NMEA-STANDARD-GGA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GGA_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GGA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GGA_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB_ID             //!< Config item ID for NMEA-STANDARD-GGA rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GGA_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB_STR            //!< Config item name for NMEA-STANDARD-GGA rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GGA_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GGA_USB_TYPE           //!< Config item type for NMEA-STANDARD-GGA rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GLL NMEA-STANDARD-GLL
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GLL_STR                     "NMEA-STANDARD-GLL"                                //!< Message NMEA-STANDARD-GLL name
#define UBLOXCFG_NMEA_STANDARD_GLL_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1_ID           //!< Config item ID for NMEA-STANDARD-GLL rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GLL_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1_STR          //!< Config item name for NMEA-STANDARD-GLL rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GLL_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GLL rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GLL_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2_ID           //!< Config item ID for NMEA-STANDARD-GLL rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GLL_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2_STR          //!< Config item name for NMEA-STANDARD-GLL rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GLL_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GLL rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GLL_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI_ID             //!< Config item ID for NMEA-STANDARD-GLL rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GLL_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI_STR            //!< Config item name for NMEA-STANDARD-GLL rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GLL_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GLL rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GLL_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C_ID             //!< Config item ID for NMEA-STANDARD-GLL rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GLL_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C_STR            //!< Config item name for NMEA-STANDARD-GLL rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GLL_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GLL rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GLL_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB_ID             //!< Config item ID for NMEA-STANDARD-GLL rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GLL_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB_STR            //!< Config item name for NMEA-STANDARD-GLL rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GLL_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GLL_USB_TYPE           //!< Config item type for NMEA-STANDARD-GLL rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GNS NMEA-STANDARD-GNS
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GNS_STR                     "NMEA-STANDARD-GNS"                                //!< Message NMEA-STANDARD-GNS name
#define UBLOXCFG_NMEA_STANDARD_GNS_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1_ID           //!< Config item ID for NMEA-STANDARD-GNS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GNS_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1_STR          //!< Config item name for NMEA-STANDARD-GNS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GNS_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GNS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GNS_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2_ID           //!< Config item ID for NMEA-STANDARD-GNS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GNS_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2_STR          //!< Config item name for NMEA-STANDARD-GNS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GNS_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GNS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GNS_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI_ID             //!< Config item ID for NMEA-STANDARD-GNS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GNS_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI_STR            //!< Config item name for NMEA-STANDARD-GNS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GNS_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GNS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GNS_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C_ID             //!< Config item ID for NMEA-STANDARD-GNS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GNS_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C_STR            //!< Config item name for NMEA-STANDARD-GNS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GNS_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GNS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GNS_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB_ID             //!< Config item ID for NMEA-STANDARD-GNS rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GNS_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB_STR            //!< Config item name for NMEA-STANDARD-GNS rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GNS_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GNS_USB_TYPE           //!< Config item type for NMEA-STANDARD-GNS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GRS NMEA-STANDARD-GRS
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GRS_STR                     "NMEA-STANDARD-GRS"                                //!< Message NMEA-STANDARD-GRS name
#define UBLOXCFG_NMEA_STANDARD_GRS_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1_ID           //!< Config item ID for NMEA-STANDARD-GRS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GRS_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1_STR          //!< Config item name for NMEA-STANDARD-GRS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GRS_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GRS rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GRS_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2_ID           //!< Config item ID for NMEA-STANDARD-GRS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GRS_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2_STR          //!< Config item name for NMEA-STANDARD-GRS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GRS_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GRS rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GRS_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI_ID             //!< Config item ID for NMEA-STANDARD-GRS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GRS_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI_STR            //!< Config item name for NMEA-STANDARD-GRS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GRS_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GRS rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GRS_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C_ID             //!< Config item ID for NMEA-STANDARD-GRS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GRS_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C_STR            //!< Config item name for NMEA-STANDARD-GRS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GRS_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GRS rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GRS_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB_ID             //!< Config item ID for NMEA-STANDARD-GRS rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GRS_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB_STR            //!< Config item name for NMEA-STANDARD-GRS rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GRS_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GRS_USB_TYPE           //!< Config item type for NMEA-STANDARD-GRS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GSA NMEA-STANDARD-GSA
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GSA_STR                     "NMEA-STANDARD-GSA"                                //!< Message NMEA-STANDARD-GSA name
#define UBLOXCFG_NMEA_STANDARD_GSA_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1_ID           //!< Config item ID for NMEA-STANDARD-GSA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GSA_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1_STR          //!< Config item name for NMEA-STANDARD-GSA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GSA_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GSA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GSA_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2_ID           //!< Config item ID for NMEA-STANDARD-GSA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GSA_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2_STR          //!< Config item name for NMEA-STANDARD-GSA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GSA_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GSA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GSA_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI_ID             //!< Config item ID for NMEA-STANDARD-GSA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GSA_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI_STR            //!< Config item name for NMEA-STANDARD-GSA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GSA_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GSA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GSA_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C_ID             //!< Config item ID for NMEA-STANDARD-GSA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GSA_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C_STR            //!< Config item name for NMEA-STANDARD-GSA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GSA_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GSA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GSA_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB_ID             //!< Config item ID for NMEA-STANDARD-GSA rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GSA_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB_STR            //!< Config item name for NMEA-STANDARD-GSA rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GSA_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSA_USB_TYPE           //!< Config item type for NMEA-STANDARD-GSA rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GST NMEA-STANDARD-GST
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GST_STR                     "NMEA-STANDARD-GST"                                //!< Message NMEA-STANDARD-GST name
#define UBLOXCFG_NMEA_STANDARD_GST_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1_ID           //!< Config item ID for NMEA-STANDARD-GST rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GST_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1_STR          //!< Config item name for NMEA-STANDARD-GST rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GST_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GST rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GST_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2_ID           //!< Config item ID for NMEA-STANDARD-GST rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GST_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2_STR          //!< Config item name for NMEA-STANDARD-GST rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GST_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GST rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GST_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI_ID             //!< Config item ID for NMEA-STANDARD-GST rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GST_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI_STR            //!< Config item name for NMEA-STANDARD-GST rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GST_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GST rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GST_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C_ID             //!< Config item ID for NMEA-STANDARD-GST rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GST_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C_STR            //!< Config item name for NMEA-STANDARD-GST rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GST_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GST rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GST_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB_ID             //!< Config item ID for NMEA-STANDARD-GST rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GST_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB_STR            //!< Config item name for NMEA-STANDARD-GST rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GST_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GST_USB_TYPE           //!< Config item type for NMEA-STANDARD-GST rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_GSV NMEA-STANDARD-GSV
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_GSV_STR                     "NMEA-STANDARD-GSV"                                //!< Message NMEA-STANDARD-GSV name
#define UBLOXCFG_NMEA_STANDARD_GSV_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1_ID           //!< Config item ID for NMEA-STANDARD-GSV rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GSV_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1_STR          //!< Config item name for NMEA-STANDARD-GSV rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GSV_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART1_TYPE         //!< Config item type for NMEA-STANDARD-GSV rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_GSV_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2_ID           //!< Config item ID for NMEA-STANDARD-GSV rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GSV_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2_STR          //!< Config item name for NMEA-STANDARD-GSV rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GSV_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_UART2_TYPE         //!< Config item type for NMEA-STANDARD-GSV rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_GSV_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI_ID             //!< Config item ID for NMEA-STANDARD-GSV rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GSV_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI_STR            //!< Config item name for NMEA-STANDARD-GSV rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GSV_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_SPI_TYPE           //!< Config item type for NMEA-STANDARD-GSV rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_GSV_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C_ID             //!< Config item ID for NMEA-STANDARD-GSV rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GSV_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C_STR            //!< Config item name for NMEA-STANDARD-GSV rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GSV_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_I2C_TYPE           //!< Config item type for NMEA-STANDARD-GSV rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_GSV_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB_ID             //!< Config item ID for NMEA-STANDARD-GSV rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GSV_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB_STR            //!< Config item name for NMEA-STANDARD-GSV rate on port USB
#define UBLOXCFG_NMEA_STANDARD_GSV_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_GSV_USB_TYPE           //!< Config item type for NMEA-STANDARD-GSV rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_RLM NMEA-STANDARD-RLM
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_RLM_STR                     "NMEA-STANDARD-RLM"                                //!< Message NMEA-STANDARD-RLM name
#define UBLOXCFG_NMEA_STANDARD_RLM_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1_ID           //!< Config item ID for NMEA-STANDARD-RLM rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_RLM_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1_STR          //!< Config item name for NMEA-STANDARD-RLM rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_RLM_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART1_TYPE         //!< Config item type for NMEA-STANDARD-RLM rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_RLM_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2_ID           //!< Config item ID for NMEA-STANDARD-RLM rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_RLM_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2_STR          //!< Config item name for NMEA-STANDARD-RLM rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_RLM_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_UART2_TYPE         //!< Config item type for NMEA-STANDARD-RLM rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_RLM_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI_ID             //!< Config item ID for NMEA-STANDARD-RLM rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_RLM_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI_STR            //!< Config item name for NMEA-STANDARD-RLM rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_RLM_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_SPI_TYPE           //!< Config item type for NMEA-STANDARD-RLM rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_RLM_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C_ID             //!< Config item ID for NMEA-STANDARD-RLM rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_RLM_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C_STR            //!< Config item name for NMEA-STANDARD-RLM rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_RLM_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_I2C_TYPE           //!< Config item type for NMEA-STANDARD-RLM rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_RLM_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB_ID             //!< Config item ID for NMEA-STANDARD-RLM rate on port USB
#define UBLOXCFG_NMEA_STANDARD_RLM_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB_STR            //!< Config item name for NMEA-STANDARD-RLM rate on port USB
#define UBLOXCFG_NMEA_STANDARD_RLM_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RLM_USB_TYPE           //!< Config item type for NMEA-STANDARD-RLM rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_RMC NMEA-STANDARD-RMC
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_RMC_STR                     "NMEA-STANDARD-RMC"                                //!< Message NMEA-STANDARD-RMC name
#define UBLOXCFG_NMEA_STANDARD_RMC_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1_ID           //!< Config item ID for NMEA-STANDARD-RMC rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_RMC_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1_STR          //!< Config item name for NMEA-STANDARD-RMC rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_RMC_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART1_TYPE         //!< Config item type for NMEA-STANDARD-RMC rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_RMC_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2_ID           //!< Config item ID for NMEA-STANDARD-RMC rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_RMC_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2_STR          //!< Config item name for NMEA-STANDARD-RMC rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_RMC_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_UART2_TYPE         //!< Config item type for NMEA-STANDARD-RMC rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_RMC_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI_ID             //!< Config item ID for NMEA-STANDARD-RMC rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_RMC_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI_STR            //!< Config item name for NMEA-STANDARD-RMC rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_RMC_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_SPI_TYPE           //!< Config item type for NMEA-STANDARD-RMC rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_RMC_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C_ID             //!< Config item ID for NMEA-STANDARD-RMC rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_RMC_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C_STR            //!< Config item name for NMEA-STANDARD-RMC rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_RMC_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_I2C_TYPE           //!< Config item type for NMEA-STANDARD-RMC rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_RMC_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB_ID             //!< Config item ID for NMEA-STANDARD-RMC rate on port USB
#define UBLOXCFG_NMEA_STANDARD_RMC_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB_STR            //!< Config item name for NMEA-STANDARD-RMC rate on port USB
#define UBLOXCFG_NMEA_STANDARD_RMC_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_RMC_USB_TYPE           //!< Config item type for NMEA-STANDARD-RMC rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_VLW NMEA-STANDARD-VLW
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_VLW_STR                     "NMEA-STANDARD-VLW"                                //!< Message NMEA-STANDARD-VLW name
#define UBLOXCFG_NMEA_STANDARD_VLW_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1_ID           //!< Config item ID for NMEA-STANDARD-VLW rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_VLW_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1_STR          //!< Config item name for NMEA-STANDARD-VLW rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_VLW_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART1_TYPE         //!< Config item type for NMEA-STANDARD-VLW rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_VLW_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2_ID           //!< Config item ID for NMEA-STANDARD-VLW rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_VLW_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2_STR          //!< Config item name for NMEA-STANDARD-VLW rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_VLW_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_UART2_TYPE         //!< Config item type for NMEA-STANDARD-VLW rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_VLW_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI_ID             //!< Config item ID for NMEA-STANDARD-VLW rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_VLW_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI_STR            //!< Config item name for NMEA-STANDARD-VLW rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_VLW_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_SPI_TYPE           //!< Config item type for NMEA-STANDARD-VLW rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_VLW_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C_ID             //!< Config item ID for NMEA-STANDARD-VLW rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_VLW_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C_STR            //!< Config item name for NMEA-STANDARD-VLW rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_VLW_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_I2C_TYPE           //!< Config item type for NMEA-STANDARD-VLW rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_VLW_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB_ID             //!< Config item ID for NMEA-STANDARD-VLW rate on port USB
#define UBLOXCFG_NMEA_STANDARD_VLW_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB_STR            //!< Config item name for NMEA-STANDARD-VLW rate on port USB
#define UBLOXCFG_NMEA_STANDARD_VLW_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VLW_USB_TYPE           //!< Config item type for NMEA-STANDARD-VLW rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_VTG NMEA-STANDARD-VTG
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_VTG_STR                     "NMEA-STANDARD-VTG"                                //!< Message NMEA-STANDARD-VTG name
#define UBLOXCFG_NMEA_STANDARD_VTG_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1_ID           //!< Config item ID for NMEA-STANDARD-VTG rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_VTG_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1_STR          //!< Config item name for NMEA-STANDARD-VTG rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_VTG_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART1_TYPE         //!< Config item type for NMEA-STANDARD-VTG rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_VTG_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2_ID           //!< Config item ID for NMEA-STANDARD-VTG rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_VTG_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2_STR          //!< Config item name for NMEA-STANDARD-VTG rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_VTG_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_UART2_TYPE         //!< Config item type for NMEA-STANDARD-VTG rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_VTG_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI_ID             //!< Config item ID for NMEA-STANDARD-VTG rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_VTG_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI_STR            //!< Config item name for NMEA-STANDARD-VTG rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_VTG_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_SPI_TYPE           //!< Config item type for NMEA-STANDARD-VTG rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_VTG_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C_ID             //!< Config item ID for NMEA-STANDARD-VTG rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_VTG_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C_STR            //!< Config item name for NMEA-STANDARD-VTG rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_VTG_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_I2C_TYPE           //!< Config item type for NMEA-STANDARD-VTG rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_VTG_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB_ID             //!< Config item ID for NMEA-STANDARD-VTG rate on port USB
#define UBLOXCFG_NMEA_STANDARD_VTG_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB_STR            //!< Config item name for NMEA-STANDARD-VTG rate on port USB
#define UBLOXCFG_NMEA_STANDARD_VTG_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_VTG_USB_TYPE           //!< Config item type for NMEA-STANDARD-VTG rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_NMEA_STANDARD_ZDA NMEA-STANDARD-ZDA
    @{
*/
#define UBLOXCFG_NMEA_STANDARD_ZDA_STR                     "NMEA-STANDARD-ZDA"                                //!< Message NMEA-STANDARD-ZDA name
#define UBLOXCFG_NMEA_STANDARD_ZDA_UART1_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1_ID           //!< Config item ID for NMEA-STANDARD-ZDA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_ZDA_UART1_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1_STR          //!< Config item name for NMEA-STANDARD-ZDA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_ZDA_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART1_TYPE         //!< Config item type for NMEA-STANDARD-ZDA rate on port UART1
#define UBLOXCFG_NMEA_STANDARD_ZDA_UART2_ID                UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2_ID           //!< Config item ID for NMEA-STANDARD-ZDA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_ZDA_UART2_STR               UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2_STR          //!< Config item name for NMEA-STANDARD-ZDA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_ZDA_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_UART2_TYPE         //!< Config item type for NMEA-STANDARD-ZDA rate on port UART2
#define UBLOXCFG_NMEA_STANDARD_ZDA_SPI_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI_ID             //!< Config item ID for NMEA-STANDARD-ZDA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_ZDA_SPI_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI_STR            //!< Config item name for NMEA-STANDARD-ZDA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_ZDA_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_SPI_TYPE           //!< Config item type for NMEA-STANDARD-ZDA rate on port SPI
#define UBLOXCFG_NMEA_STANDARD_ZDA_I2C_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C_ID             //!< Config item ID for NMEA-STANDARD-ZDA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_ZDA_I2C_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C_STR            //!< Config item name for NMEA-STANDARD-ZDA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_ZDA_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_I2C_TYPE           //!< Config item type for NMEA-STANDARD-ZDA rate on port I2C
#define UBLOXCFG_NMEA_STANDARD_ZDA_USB_ID                  UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB_ID             //!< Config item ID for NMEA-STANDARD-ZDA rate on port USB
#define UBLOXCFG_NMEA_STANDARD_ZDA_USB_STR                 UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB_STR            //!< Config item name for NMEA-STANDARD-ZDA rate on port USB
#define UBLOXCFG_NMEA_STANDARD_ZDA_USB_TYPE                UBLOXCFG_CFG_MSGOUT_NMEA_ID_ZDA_USB_TYPE           //!< Config item type for NMEA-STANDARD-ZDA rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1005 RTCM-3X-TYPE1005
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1005_STR                      "RTCM-3X-TYPE1005"                                 //!< Message RTCM-3X-TYPE1005 name
#define UBLOXCFG_RTCM_3X_TYPE1005_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1005 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1005_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1_STR     //!< Config item name for RTCM-3X-TYPE1005 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1005_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1005 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1005_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1005 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1005_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2_STR     //!< Config item name for RTCM-3X-TYPE1005 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1005_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1005 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1005_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1005 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1005_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI_STR       //!< Config item name for RTCM-3X-TYPE1005 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1005_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1005 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1005_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1005 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1005_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C_STR       //!< Config item name for RTCM-3X-TYPE1005 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1005_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1005 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1005_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB_ID        //!< Config item ID for RTCM-3X-TYPE1005 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1005_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB_STR       //!< Config item name for RTCM-3X-TYPE1005 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1005_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1005_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1005 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1074 RTCM-3X-TYPE1074
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1074_STR                      "RTCM-3X-TYPE1074"                                 //!< Message RTCM-3X-TYPE1074 name
#define UBLOXCFG_RTCM_3X_TYPE1074_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1074 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1074_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1_STR     //!< Config item name for RTCM-3X-TYPE1074 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1074_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1074 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1074_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1074 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1074_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2_STR     //!< Config item name for RTCM-3X-TYPE1074 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1074_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1074 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1074_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1074 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1074_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI_STR       //!< Config item name for RTCM-3X-TYPE1074 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1074_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1074 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1074_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1074 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1074_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C_STR       //!< Config item name for RTCM-3X-TYPE1074 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1074_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1074 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1074_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB_ID        //!< Config item ID for RTCM-3X-TYPE1074 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1074_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB_STR       //!< Config item name for RTCM-3X-TYPE1074 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1074_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1074_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1074 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1077 RTCM-3X-TYPE1077
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1077_STR                      "RTCM-3X-TYPE1077"                                 //!< Message RTCM-3X-TYPE1077 name
#define UBLOXCFG_RTCM_3X_TYPE1077_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1077 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1077_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1_STR     //!< Config item name for RTCM-3X-TYPE1077 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1077_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1077 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1077_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1077 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1077_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2_STR     //!< Config item name for RTCM-3X-TYPE1077 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1077_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1077 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1077_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1077 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1077_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI_STR       //!< Config item name for RTCM-3X-TYPE1077 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1077_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1077 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1077_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1077 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1077_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C_STR       //!< Config item name for RTCM-3X-TYPE1077 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1077_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1077 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1077_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB_ID        //!< Config item ID for RTCM-3X-TYPE1077 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1077_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB_STR       //!< Config item name for RTCM-3X-TYPE1077 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1077_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1077_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1077 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1084 RTCM-3X-TYPE1084
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1084_STR                      "RTCM-3X-TYPE1084"                                 //!< Message RTCM-3X-TYPE1084 name
#define UBLOXCFG_RTCM_3X_TYPE1084_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1084 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1084_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1_STR     //!< Config item name for RTCM-3X-TYPE1084 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1084_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1084 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1084_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1084 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1084_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2_STR     //!< Config item name for RTCM-3X-TYPE1084 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1084_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1084 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1084_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1084 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1084_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI_STR       //!< Config item name for RTCM-3X-TYPE1084 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1084_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1084 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1084_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1084 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1084_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C_STR       //!< Config item name for RTCM-3X-TYPE1084 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1084_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1084 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1084_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB_ID        //!< Config item ID for RTCM-3X-TYPE1084 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1084_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB_STR       //!< Config item name for RTCM-3X-TYPE1084 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1084_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1084_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1084 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1087 RTCM-3X-TYPE1087
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1087_STR                      "RTCM-3X-TYPE1087"                                 //!< Message RTCM-3X-TYPE1087 name
#define UBLOXCFG_RTCM_3X_TYPE1087_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1087 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1087_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1_STR     //!< Config item name for RTCM-3X-TYPE1087 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1087_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1087 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1087_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1087 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1087_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2_STR     //!< Config item name for RTCM-3X-TYPE1087 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1087_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1087 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1087_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1087 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1087_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI_STR       //!< Config item name for RTCM-3X-TYPE1087 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1087_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1087 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1087_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1087 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1087_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C_STR       //!< Config item name for RTCM-3X-TYPE1087 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1087_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1087 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1087_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB_ID        //!< Config item ID for RTCM-3X-TYPE1087 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1087_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB_STR       //!< Config item name for RTCM-3X-TYPE1087 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1087_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1087_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1087 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1094 RTCM-3X-TYPE1094
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1094_STR                      "RTCM-3X-TYPE1094"                                 //!< Message RTCM-3X-TYPE1094 name
#define UBLOXCFG_RTCM_3X_TYPE1094_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1094 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1094_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1_STR     //!< Config item name for RTCM-3X-TYPE1094 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1094_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1094 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1094_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1094 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1094_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2_STR     //!< Config item name for RTCM-3X-TYPE1094 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1094_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1094 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1094_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1094 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1094_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI_STR       //!< Config item name for RTCM-3X-TYPE1094 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1094_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1094 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1094_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1094 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1094_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C_STR       //!< Config item name for RTCM-3X-TYPE1094 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1094_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1094 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1094_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB_ID        //!< Config item ID for RTCM-3X-TYPE1094 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1094_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB_STR       //!< Config item name for RTCM-3X-TYPE1094 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1094_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1094_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1094 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1097 RTCM-3X-TYPE1097
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1097_STR                      "RTCM-3X-TYPE1097"                                 //!< Message RTCM-3X-TYPE1097 name
#define UBLOXCFG_RTCM_3X_TYPE1097_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1097 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1097_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1_STR     //!< Config item name for RTCM-3X-TYPE1097 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1097_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1097 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1097_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1097 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1097_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2_STR     //!< Config item name for RTCM-3X-TYPE1097 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1097_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1097 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1097_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1097 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1097_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI_STR       //!< Config item name for RTCM-3X-TYPE1097 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1097_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1097 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1097_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1097 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1097_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C_STR       //!< Config item name for RTCM-3X-TYPE1097 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1097_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1097 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1097_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB_ID        //!< Config item ID for RTCM-3X-TYPE1097 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1097_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB_STR       //!< Config item name for RTCM-3X-TYPE1097 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1097_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1097_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1097 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1124 RTCM-3X-TYPE1124
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1124_STR                      "RTCM-3X-TYPE1124"                                 //!< Message RTCM-3X-TYPE1124 name
#define UBLOXCFG_RTCM_3X_TYPE1124_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1124 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1124_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1_STR     //!< Config item name for RTCM-3X-TYPE1124 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1124_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1124 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1124_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1124 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1124_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2_STR     //!< Config item name for RTCM-3X-TYPE1124 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1124_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1124 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1124_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1124 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1124_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI_STR       //!< Config item name for RTCM-3X-TYPE1124 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1124_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1124 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1124_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1124 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1124_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C_STR       //!< Config item name for RTCM-3X-TYPE1124 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1124_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1124 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1124_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB_ID        //!< Config item ID for RTCM-3X-TYPE1124 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1124_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB_STR       //!< Config item name for RTCM-3X-TYPE1124 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1124_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1124_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1124 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1127 RTCM-3X-TYPE1127
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1127_STR                      "RTCM-3X-TYPE1127"                                 //!< Message RTCM-3X-TYPE1127 name
#define UBLOXCFG_RTCM_3X_TYPE1127_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1127 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1127_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1_STR     //!< Config item name for RTCM-3X-TYPE1127 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1127_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1127 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1127_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1127 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1127_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2_STR     //!< Config item name for RTCM-3X-TYPE1127 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1127_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1127 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1127_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1127 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1127_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI_STR       //!< Config item name for RTCM-3X-TYPE1127 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1127_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1127 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1127_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1127 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1127_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C_STR       //!< Config item name for RTCM-3X-TYPE1127 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1127_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1127 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1127_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB_ID        //!< Config item ID for RTCM-3X-TYPE1127 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1127_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB_STR       //!< Config item name for RTCM-3X-TYPE1127 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1127_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1127_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1127 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE1230 RTCM-3X-TYPE1230
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE1230_STR                      "RTCM-3X-TYPE1230"                                 //!< Message RTCM-3X-TYPE1230 name
#define UBLOXCFG_RTCM_3X_TYPE1230_UART1_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1_ID      //!< Config item ID for RTCM-3X-TYPE1230 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1230_UART1_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1_STR     //!< Config item name for RTCM-3X-TYPE1230 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1230_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART1_TYPE    //!< Config item type for RTCM-3X-TYPE1230 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE1230_UART2_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2_ID      //!< Config item ID for RTCM-3X-TYPE1230 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1230_UART2_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2_STR     //!< Config item name for RTCM-3X-TYPE1230 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1230_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_UART2_TYPE    //!< Config item type for RTCM-3X-TYPE1230 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE1230_SPI_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI_ID        //!< Config item ID for RTCM-3X-TYPE1230 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1230_SPI_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI_STR       //!< Config item name for RTCM-3X-TYPE1230 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1230_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_SPI_TYPE      //!< Config item type for RTCM-3X-TYPE1230 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE1230_I2C_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C_ID        //!< Config item ID for RTCM-3X-TYPE1230 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1230_I2C_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C_STR       //!< Config item name for RTCM-3X-TYPE1230 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1230_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_I2C_TYPE      //!< Config item type for RTCM-3X-TYPE1230 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE1230_USB_ID                   UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB_ID        //!< Config item ID for RTCM-3X-TYPE1230 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1230_USB_STR                  UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB_STR       //!< Config item name for RTCM-3X-TYPE1230 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE1230_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE1230_USB_TYPE      //!< Config item type for RTCM-3X-TYPE1230 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE4072_0 RTCM-3X-TYPE4072_0
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE4072_0_STR                    "RTCM-3X-TYPE4072_0"                               //!< Message RTCM-3X-TYPE4072_0 name
#define UBLOXCFG_RTCM_3X_TYPE4072_0_UART1_ID               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1_ID    //!< Config item ID for RTCM-3X-TYPE4072_0 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE4072_0_UART1_STR              UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1_STR   //!< Config item name for RTCM-3X-TYPE4072_0 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE4072_0_UART1_TYPE             UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART1_TYPE  //!< Config item type for RTCM-3X-TYPE4072_0 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE4072_0_UART2_ID               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2_ID    //!< Config item ID for RTCM-3X-TYPE4072_0 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE4072_0_UART2_STR              UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2_STR   //!< Config item name for RTCM-3X-TYPE4072_0 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE4072_0_UART2_TYPE             UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_UART2_TYPE  //!< Config item type for RTCM-3X-TYPE4072_0 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE4072_0_SPI_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI_ID      //!< Config item ID for RTCM-3X-TYPE4072_0 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE4072_0_SPI_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI_STR     //!< Config item name for RTCM-3X-TYPE4072_0 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE4072_0_SPI_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_SPI_TYPE    //!< Config item type for RTCM-3X-TYPE4072_0 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE4072_0_I2C_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C_ID      //!< Config item ID for RTCM-3X-TYPE4072_0 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE4072_0_I2C_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C_STR     //!< Config item name for RTCM-3X-TYPE4072_0 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE4072_0_I2C_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_I2C_TYPE    //!< Config item type for RTCM-3X-TYPE4072_0 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE4072_0_USB_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB_ID      //!< Config item ID for RTCM-3X-TYPE4072_0 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE4072_0_USB_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB_STR     //!< Config item name for RTCM-3X-TYPE4072_0 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE4072_0_USB_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_0_USB_TYPE    //!< Config item type for RTCM-3X-TYPE4072_0 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_RTCM_3X_TYPE4072_1 RTCM-3X-TYPE4072_1
    @{
*/
#define UBLOXCFG_RTCM_3X_TYPE4072_1_STR                    "RTCM-3X-TYPE4072_1"                               //!< Message RTCM-3X-TYPE4072_1 name
#define UBLOXCFG_RTCM_3X_TYPE4072_1_UART1_ID               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1_ID    //!< Config item ID for RTCM-3X-TYPE4072_1 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE4072_1_UART1_STR              UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1_STR   //!< Config item name for RTCM-3X-TYPE4072_1 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE4072_1_UART1_TYPE             UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART1_TYPE  //!< Config item type for RTCM-3X-TYPE4072_1 rate on port UART1
#define UBLOXCFG_RTCM_3X_TYPE4072_1_UART2_ID               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2_ID    //!< Config item ID for RTCM-3X-TYPE4072_1 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE4072_1_UART2_STR              UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2_STR   //!< Config item name for RTCM-3X-TYPE4072_1 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE4072_1_UART2_TYPE             UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_UART2_TYPE  //!< Config item type for RTCM-3X-TYPE4072_1 rate on port UART2
#define UBLOXCFG_RTCM_3X_TYPE4072_1_SPI_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI_ID      //!< Config item ID for RTCM-3X-TYPE4072_1 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE4072_1_SPI_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI_STR     //!< Config item name for RTCM-3X-TYPE4072_1 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE4072_1_SPI_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_SPI_TYPE    //!< Config item type for RTCM-3X-TYPE4072_1 rate on port SPI
#define UBLOXCFG_RTCM_3X_TYPE4072_1_I2C_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C_ID      //!< Config item ID for RTCM-3X-TYPE4072_1 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE4072_1_I2C_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C_STR     //!< Config item name for RTCM-3X-TYPE4072_1 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE4072_1_I2C_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_I2C_TYPE    //!< Config item type for RTCM-3X-TYPE4072_1 rate on port I2C
#define UBLOXCFG_RTCM_3X_TYPE4072_1_USB_ID                 UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB_ID      //!< Config item ID for RTCM-3X-TYPE4072_1 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE4072_1_USB_STR                UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB_STR     //!< Config item name for RTCM-3X-TYPE4072_1 rate on port USB
#define UBLOXCFG_RTCM_3X_TYPE4072_1_USB_TYPE               UBLOXCFG_CFG_MSGOUT_RTCM_3X_TYPE4072_1_USB_TYPE    //!< Config item type for RTCM-3X-TYPE4072_1 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_ESF_ALG UBX-ESF-ALG
    @{
*/
#define UBLOXCFG_UBX_ESF_ALG_STR                           "UBX-ESF-ALG"                                      //!< Message UBX-ESF-ALG name
#define UBLOXCFG_UBX_ESF_ALG_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1_ID           //!< Config item ID for UBX-ESF-ALG rate on port UART1
#define UBLOXCFG_UBX_ESF_ALG_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1_STR          //!< Config item name for UBX-ESF-ALG rate on port UART1
#define UBLOXCFG_UBX_ESF_ALG_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART1_TYPE         //!< Config item type for UBX-ESF-ALG rate on port UART1
#define UBLOXCFG_UBX_ESF_ALG_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2_ID           //!< Config item ID for UBX-ESF-ALG rate on port UART2
#define UBLOXCFG_UBX_ESF_ALG_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2_STR          //!< Config item name for UBX-ESF-ALG rate on port UART2
#define UBLOXCFG_UBX_ESF_ALG_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_UART2_TYPE         //!< Config item type for UBX-ESF-ALG rate on port UART2
#define UBLOXCFG_UBX_ESF_ALG_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI_ID             //!< Config item ID for UBX-ESF-ALG rate on port SPI
#define UBLOXCFG_UBX_ESF_ALG_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI_STR            //!< Config item name for UBX-ESF-ALG rate on port SPI
#define UBLOXCFG_UBX_ESF_ALG_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_SPI_TYPE           //!< Config item type for UBX-ESF-ALG rate on port SPI
#define UBLOXCFG_UBX_ESF_ALG_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C_ID             //!< Config item ID for UBX-ESF-ALG rate on port I2C
#define UBLOXCFG_UBX_ESF_ALG_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C_STR            //!< Config item name for UBX-ESF-ALG rate on port I2C
#define UBLOXCFG_UBX_ESF_ALG_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_I2C_TYPE           //!< Config item type for UBX-ESF-ALG rate on port I2C
#define UBLOXCFG_UBX_ESF_ALG_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB_ID             //!< Config item ID for UBX-ESF-ALG rate on port USB
#define UBLOXCFG_UBX_ESF_ALG_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB_STR            //!< Config item name for UBX-ESF-ALG rate on port USB
#define UBLOXCFG_UBX_ESF_ALG_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_ALG_USB_TYPE           //!< Config item type for UBX-ESF-ALG rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_ESF_INS UBX-ESF-INS
    @{
*/
#define UBLOXCFG_UBX_ESF_INS_STR                           "UBX-ESF-INS"                                      //!< Message UBX-ESF-INS name
#define UBLOXCFG_UBX_ESF_INS_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1_ID           //!< Config item ID for UBX-ESF-INS rate on port UART1
#define UBLOXCFG_UBX_ESF_INS_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1_STR          //!< Config item name for UBX-ESF-INS rate on port UART1
#define UBLOXCFG_UBX_ESF_INS_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART1_TYPE         //!< Config item type for UBX-ESF-INS rate on port UART1
#define UBLOXCFG_UBX_ESF_INS_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2_ID           //!< Config item ID for UBX-ESF-INS rate on port UART2
#define UBLOXCFG_UBX_ESF_INS_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2_STR          //!< Config item name for UBX-ESF-INS rate on port UART2
#define UBLOXCFG_UBX_ESF_INS_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_UART2_TYPE         //!< Config item type for UBX-ESF-INS rate on port UART2
#define UBLOXCFG_UBX_ESF_INS_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI_ID             //!< Config item ID for UBX-ESF-INS rate on port SPI
#define UBLOXCFG_UBX_ESF_INS_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI_STR            //!< Config item name for UBX-ESF-INS rate on port SPI
#define UBLOXCFG_UBX_ESF_INS_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_SPI_TYPE           //!< Config item type for UBX-ESF-INS rate on port SPI
#define UBLOXCFG_UBX_ESF_INS_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C_ID             //!< Config item ID for UBX-ESF-INS rate on port I2C
#define UBLOXCFG_UBX_ESF_INS_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C_STR            //!< Config item name for UBX-ESF-INS rate on port I2C
#define UBLOXCFG_UBX_ESF_INS_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_I2C_TYPE           //!< Config item type for UBX-ESF-INS rate on port I2C
#define UBLOXCFG_UBX_ESF_INS_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB_ID             //!< Config item ID for UBX-ESF-INS rate on port USB
#define UBLOXCFG_UBX_ESF_INS_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB_STR            //!< Config item name for UBX-ESF-INS rate on port USB
#define UBLOXCFG_UBX_ESF_INS_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_INS_USB_TYPE           //!< Config item type for UBX-ESF-INS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_ESF_MEAS UBX-ESF-MEAS
    @{
*/
#define UBLOXCFG_UBX_ESF_MEAS_STR                          "UBX-ESF-MEAS"                                     //!< Message UBX-ESF-MEAS name
#define UBLOXCFG_UBX_ESF_MEAS_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1_ID          //!< Config item ID for UBX-ESF-MEAS rate on port UART1
#define UBLOXCFG_UBX_ESF_MEAS_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1_STR         //!< Config item name for UBX-ESF-MEAS rate on port UART1
#define UBLOXCFG_UBX_ESF_MEAS_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART1_TYPE        //!< Config item type for UBX-ESF-MEAS rate on port UART1
#define UBLOXCFG_UBX_ESF_MEAS_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2_ID          //!< Config item ID for UBX-ESF-MEAS rate on port UART2
#define UBLOXCFG_UBX_ESF_MEAS_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2_STR         //!< Config item name for UBX-ESF-MEAS rate on port UART2
#define UBLOXCFG_UBX_ESF_MEAS_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_UART2_TYPE        //!< Config item type for UBX-ESF-MEAS rate on port UART2
#define UBLOXCFG_UBX_ESF_MEAS_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI_ID            //!< Config item ID for UBX-ESF-MEAS rate on port SPI
#define UBLOXCFG_UBX_ESF_MEAS_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI_STR           //!< Config item name for UBX-ESF-MEAS rate on port SPI
#define UBLOXCFG_UBX_ESF_MEAS_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_SPI_TYPE          //!< Config item type for UBX-ESF-MEAS rate on port SPI
#define UBLOXCFG_UBX_ESF_MEAS_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C_ID            //!< Config item ID for UBX-ESF-MEAS rate on port I2C
#define UBLOXCFG_UBX_ESF_MEAS_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C_STR           //!< Config item name for UBX-ESF-MEAS rate on port I2C
#define UBLOXCFG_UBX_ESF_MEAS_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_I2C_TYPE          //!< Config item type for UBX-ESF-MEAS rate on port I2C
#define UBLOXCFG_UBX_ESF_MEAS_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB_ID            //!< Config item ID for UBX-ESF-MEAS rate on port USB
#define UBLOXCFG_UBX_ESF_MEAS_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB_STR           //!< Config item name for UBX-ESF-MEAS rate on port USB
#define UBLOXCFG_UBX_ESF_MEAS_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_MEAS_USB_TYPE          //!< Config item type for UBX-ESF-MEAS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_ESF_RAW UBX-ESF-RAW
    @{
*/
#define UBLOXCFG_UBX_ESF_RAW_STR                           "UBX-ESF-RAW"                                      //!< Message UBX-ESF-RAW name
#define UBLOXCFG_UBX_ESF_RAW_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1_ID           //!< Config item ID for UBX-ESF-RAW rate on port UART1
#define UBLOXCFG_UBX_ESF_RAW_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1_STR          //!< Config item name for UBX-ESF-RAW rate on port UART1
#define UBLOXCFG_UBX_ESF_RAW_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART1_TYPE         //!< Config item type for UBX-ESF-RAW rate on port UART1
#define UBLOXCFG_UBX_ESF_RAW_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2_ID           //!< Config item ID for UBX-ESF-RAW rate on port UART2
#define UBLOXCFG_UBX_ESF_RAW_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2_STR          //!< Config item name for UBX-ESF-RAW rate on port UART2
#define UBLOXCFG_UBX_ESF_RAW_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_UART2_TYPE         //!< Config item type for UBX-ESF-RAW rate on port UART2
#define UBLOXCFG_UBX_ESF_RAW_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI_ID             //!< Config item ID for UBX-ESF-RAW rate on port SPI
#define UBLOXCFG_UBX_ESF_RAW_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI_STR            //!< Config item name for UBX-ESF-RAW rate on port SPI
#define UBLOXCFG_UBX_ESF_RAW_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_SPI_TYPE           //!< Config item type for UBX-ESF-RAW rate on port SPI
#define UBLOXCFG_UBX_ESF_RAW_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C_ID             //!< Config item ID for UBX-ESF-RAW rate on port I2C
#define UBLOXCFG_UBX_ESF_RAW_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C_STR            //!< Config item name for UBX-ESF-RAW rate on port I2C
#define UBLOXCFG_UBX_ESF_RAW_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_I2C_TYPE           //!< Config item type for UBX-ESF-RAW rate on port I2C
#define UBLOXCFG_UBX_ESF_RAW_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB_ID             //!< Config item ID for UBX-ESF-RAW rate on port USB
#define UBLOXCFG_UBX_ESF_RAW_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB_STR            //!< Config item name for UBX-ESF-RAW rate on port USB
#define UBLOXCFG_UBX_ESF_RAW_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_ESF_RAW_USB_TYPE           //!< Config item type for UBX-ESF-RAW rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_ESF_STATUS UBX-ESF-STATUS
    @{
*/
#define UBLOXCFG_UBX_ESF_STATUS_STR                        "UBX-ESF-STATUS"                                   //!< Message UBX-ESF-STATUS name
#define UBLOXCFG_UBX_ESF_STATUS_UART1_ID                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1_ID        //!< Config item ID for UBX-ESF-STATUS rate on port UART1
#define UBLOXCFG_UBX_ESF_STATUS_UART1_STR                  UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1_STR       //!< Config item name for UBX-ESF-STATUS rate on port UART1
#define UBLOXCFG_UBX_ESF_STATUS_UART1_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART1_TYPE      //!< Config item type for UBX-ESF-STATUS rate on port UART1
#define UBLOXCFG_UBX_ESF_STATUS_UART2_ID                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2_ID        //!< Config item ID for UBX-ESF-STATUS rate on port UART2
#define UBLOXCFG_UBX_ESF_STATUS_UART2_STR                  UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2_STR       //!< Config item name for UBX-ESF-STATUS rate on port UART2
#define UBLOXCFG_UBX_ESF_STATUS_UART2_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_UART2_TYPE      //!< Config item type for UBX-ESF-STATUS rate on port UART2
#define UBLOXCFG_UBX_ESF_STATUS_SPI_ID                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI_ID          //!< Config item ID for UBX-ESF-STATUS rate on port SPI
#define UBLOXCFG_UBX_ESF_STATUS_SPI_STR                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI_STR         //!< Config item name for UBX-ESF-STATUS rate on port SPI
#define UBLOXCFG_UBX_ESF_STATUS_SPI_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_SPI_TYPE        //!< Config item type for UBX-ESF-STATUS rate on port SPI
#define UBLOXCFG_UBX_ESF_STATUS_I2C_ID                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C_ID          //!< Config item ID for UBX-ESF-STATUS rate on port I2C
#define UBLOXCFG_UBX_ESF_STATUS_I2C_STR                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C_STR         //!< Config item name for UBX-ESF-STATUS rate on port I2C
#define UBLOXCFG_UBX_ESF_STATUS_I2C_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_I2C_TYPE        //!< Config item type for UBX-ESF-STATUS rate on port I2C
#define UBLOXCFG_UBX_ESF_STATUS_USB_ID                     UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB_ID          //!< Config item ID for UBX-ESF-STATUS rate on port USB
#define UBLOXCFG_UBX_ESF_STATUS_USB_STR                    UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB_STR         //!< Config item name for UBX-ESF-STATUS rate on port USB
#define UBLOXCFG_UBX_ESF_STATUS_USB_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_ESF_STATUS_USB_TYPE        //!< Config item type for UBX-ESF-STATUS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_LOG_INFO UBX-LOG-INFO
    @{
*/
#define UBLOXCFG_UBX_LOG_INFO_STR                          "UBX-LOG-INFO"                                     //!< Message UBX-LOG-INFO name
#define UBLOXCFG_UBX_LOG_INFO_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1_ID          //!< Config item ID for UBX-LOG-INFO rate on port UART1
#define UBLOXCFG_UBX_LOG_INFO_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1_STR         //!< Config item name for UBX-LOG-INFO rate on port UART1
#define UBLOXCFG_UBX_LOG_INFO_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART1_TYPE        //!< Config item type for UBX-LOG-INFO rate on port UART1
#define UBLOXCFG_UBX_LOG_INFO_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2_ID          //!< Config item ID for UBX-LOG-INFO rate on port UART2
#define UBLOXCFG_UBX_LOG_INFO_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2_STR         //!< Config item name for UBX-LOG-INFO rate on port UART2
#define UBLOXCFG_UBX_LOG_INFO_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_UART2_TYPE        //!< Config item type for UBX-LOG-INFO rate on port UART2
#define UBLOXCFG_UBX_LOG_INFO_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI_ID            //!< Config item ID for UBX-LOG-INFO rate on port SPI
#define UBLOXCFG_UBX_LOG_INFO_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI_STR           //!< Config item name for UBX-LOG-INFO rate on port SPI
#define UBLOXCFG_UBX_LOG_INFO_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_SPI_TYPE          //!< Config item type for UBX-LOG-INFO rate on port SPI
#define UBLOXCFG_UBX_LOG_INFO_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C_ID            //!< Config item ID for UBX-LOG-INFO rate on port I2C
#define UBLOXCFG_UBX_LOG_INFO_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C_STR           //!< Config item name for UBX-LOG-INFO rate on port I2C
#define UBLOXCFG_UBX_LOG_INFO_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_I2C_TYPE          //!< Config item type for UBX-LOG-INFO rate on port I2C
#define UBLOXCFG_UBX_LOG_INFO_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB_ID            //!< Config item ID for UBX-LOG-INFO rate on port USB
#define UBLOXCFG_UBX_LOG_INFO_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB_STR           //!< Config item name for UBX-LOG-INFO rate on port USB
#define UBLOXCFG_UBX_LOG_INFO_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_LOG_INFO_USB_TYPE          //!< Config item type for UBX-LOG-INFO rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_COMMS UBX-MON-COMMS
    @{
*/
#define UBLOXCFG_UBX_MON_COMMS_STR                         "UBX-MON-COMMS"                                    //!< Message UBX-MON-COMMS name
#define UBLOXCFG_UBX_MON_COMMS_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1_ID         //!< Config item ID for UBX-MON-COMMS rate on port UART1
#define UBLOXCFG_UBX_MON_COMMS_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1_STR        //!< Config item name for UBX-MON-COMMS rate on port UART1
#define UBLOXCFG_UBX_MON_COMMS_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART1_TYPE       //!< Config item type for UBX-MON-COMMS rate on port UART1
#define UBLOXCFG_UBX_MON_COMMS_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2_ID         //!< Config item ID for UBX-MON-COMMS rate on port UART2
#define UBLOXCFG_UBX_MON_COMMS_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2_STR        //!< Config item name for UBX-MON-COMMS rate on port UART2
#define UBLOXCFG_UBX_MON_COMMS_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_UART2_TYPE       //!< Config item type for UBX-MON-COMMS rate on port UART2
#define UBLOXCFG_UBX_MON_COMMS_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI_ID           //!< Config item ID for UBX-MON-COMMS rate on port SPI
#define UBLOXCFG_UBX_MON_COMMS_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI_STR          //!< Config item name for UBX-MON-COMMS rate on port SPI
#define UBLOXCFG_UBX_MON_COMMS_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_SPI_TYPE         //!< Config item type for UBX-MON-COMMS rate on port SPI
#define UBLOXCFG_UBX_MON_COMMS_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C_ID           //!< Config item ID for UBX-MON-COMMS rate on port I2C
#define UBLOXCFG_UBX_MON_COMMS_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C_STR          //!< Config item name for UBX-MON-COMMS rate on port I2C
#define UBLOXCFG_UBX_MON_COMMS_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_I2C_TYPE         //!< Config item type for UBX-MON-COMMS rate on port I2C
#define UBLOXCFG_UBX_MON_COMMS_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB_ID           //!< Config item ID for UBX-MON-COMMS rate on port USB
#define UBLOXCFG_UBX_MON_COMMS_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB_STR          //!< Config item name for UBX-MON-COMMS rate on port USB
#define UBLOXCFG_UBX_MON_COMMS_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_COMMS_USB_TYPE         //!< Config item type for UBX-MON-COMMS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_HW UBX-MON-HW
    @{
*/
#define UBLOXCFG_UBX_MON_HW_STR                            "UBX-MON-HW"                                       //!< Message UBX-MON-HW name
#define UBLOXCFG_UBX_MON_HW_UART1_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1_ID            //!< Config item ID for UBX-MON-HW rate on port UART1
#define UBLOXCFG_UBX_MON_HW_UART1_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1_STR           //!< Config item name for UBX-MON-HW rate on port UART1
#define UBLOXCFG_UBX_MON_HW_UART1_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART1_TYPE          //!< Config item type for UBX-MON-HW rate on port UART1
#define UBLOXCFG_UBX_MON_HW_UART2_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2_ID            //!< Config item ID for UBX-MON-HW rate on port UART2
#define UBLOXCFG_UBX_MON_HW_UART2_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2_STR           //!< Config item name for UBX-MON-HW rate on port UART2
#define UBLOXCFG_UBX_MON_HW_UART2_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_UART2_TYPE          //!< Config item type for UBX-MON-HW rate on port UART2
#define UBLOXCFG_UBX_MON_HW_SPI_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI_ID              //!< Config item ID for UBX-MON-HW rate on port SPI
#define UBLOXCFG_UBX_MON_HW_SPI_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI_STR             //!< Config item name for UBX-MON-HW rate on port SPI
#define UBLOXCFG_UBX_MON_HW_SPI_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_SPI_TYPE            //!< Config item type for UBX-MON-HW rate on port SPI
#define UBLOXCFG_UBX_MON_HW_I2C_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C_ID              //!< Config item ID for UBX-MON-HW rate on port I2C
#define UBLOXCFG_UBX_MON_HW_I2C_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C_STR             //!< Config item name for UBX-MON-HW rate on port I2C
#define UBLOXCFG_UBX_MON_HW_I2C_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_I2C_TYPE            //!< Config item type for UBX-MON-HW rate on port I2C
#define UBLOXCFG_UBX_MON_HW_USB_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB_ID              //!< Config item ID for UBX-MON-HW rate on port USB
#define UBLOXCFG_UBX_MON_HW_USB_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB_STR             //!< Config item name for UBX-MON-HW rate on port USB
#define UBLOXCFG_UBX_MON_HW_USB_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW_USB_TYPE            //!< Config item type for UBX-MON-HW rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_HW2 UBX-MON-HW2
    @{
*/
#define UBLOXCFG_UBX_MON_HW2_STR                           "UBX-MON-HW2"                                      //!< Message UBX-MON-HW2 name
#define UBLOXCFG_UBX_MON_HW2_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1_ID           //!< Config item ID for UBX-MON-HW2 rate on port UART1
#define UBLOXCFG_UBX_MON_HW2_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1_STR          //!< Config item name for UBX-MON-HW2 rate on port UART1
#define UBLOXCFG_UBX_MON_HW2_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART1_TYPE         //!< Config item type for UBX-MON-HW2 rate on port UART1
#define UBLOXCFG_UBX_MON_HW2_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2_ID           //!< Config item ID for UBX-MON-HW2 rate on port UART2
#define UBLOXCFG_UBX_MON_HW2_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2_STR          //!< Config item name for UBX-MON-HW2 rate on port UART2
#define UBLOXCFG_UBX_MON_HW2_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_UART2_TYPE         //!< Config item type for UBX-MON-HW2 rate on port UART2
#define UBLOXCFG_UBX_MON_HW2_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI_ID             //!< Config item ID for UBX-MON-HW2 rate on port SPI
#define UBLOXCFG_UBX_MON_HW2_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI_STR            //!< Config item name for UBX-MON-HW2 rate on port SPI
#define UBLOXCFG_UBX_MON_HW2_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_SPI_TYPE           //!< Config item type for UBX-MON-HW2 rate on port SPI
#define UBLOXCFG_UBX_MON_HW2_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C_ID             //!< Config item ID for UBX-MON-HW2 rate on port I2C
#define UBLOXCFG_UBX_MON_HW2_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C_STR            //!< Config item name for UBX-MON-HW2 rate on port I2C
#define UBLOXCFG_UBX_MON_HW2_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_I2C_TYPE           //!< Config item type for UBX-MON-HW2 rate on port I2C
#define UBLOXCFG_UBX_MON_HW2_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB_ID             //!< Config item ID for UBX-MON-HW2 rate on port USB
#define UBLOXCFG_UBX_MON_HW2_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB_STR            //!< Config item name for UBX-MON-HW2 rate on port USB
#define UBLOXCFG_UBX_MON_HW2_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW2_USB_TYPE           //!< Config item type for UBX-MON-HW2 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_HW3 UBX-MON-HW3
    @{
*/
#define UBLOXCFG_UBX_MON_HW3_STR                           "UBX-MON-HW3"                                      //!< Message UBX-MON-HW3 name
#define UBLOXCFG_UBX_MON_HW3_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1_ID           //!< Config item ID for UBX-MON-HW3 rate on port UART1
#define UBLOXCFG_UBX_MON_HW3_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1_STR          //!< Config item name for UBX-MON-HW3 rate on port UART1
#define UBLOXCFG_UBX_MON_HW3_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART1_TYPE         //!< Config item type for UBX-MON-HW3 rate on port UART1
#define UBLOXCFG_UBX_MON_HW3_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2_ID           //!< Config item ID for UBX-MON-HW3 rate on port UART2
#define UBLOXCFG_UBX_MON_HW3_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2_STR          //!< Config item name for UBX-MON-HW3 rate on port UART2
#define UBLOXCFG_UBX_MON_HW3_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_UART2_TYPE         //!< Config item type for UBX-MON-HW3 rate on port UART2
#define UBLOXCFG_UBX_MON_HW3_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI_ID             //!< Config item ID for UBX-MON-HW3 rate on port SPI
#define UBLOXCFG_UBX_MON_HW3_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI_STR            //!< Config item name for UBX-MON-HW3 rate on port SPI
#define UBLOXCFG_UBX_MON_HW3_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_SPI_TYPE           //!< Config item type for UBX-MON-HW3 rate on port SPI
#define UBLOXCFG_UBX_MON_HW3_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C_ID             //!< Config item ID for UBX-MON-HW3 rate on port I2C
#define UBLOXCFG_UBX_MON_HW3_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C_STR            //!< Config item name for UBX-MON-HW3 rate on port I2C
#define UBLOXCFG_UBX_MON_HW3_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_I2C_TYPE           //!< Config item type for UBX-MON-HW3 rate on port I2C
#define UBLOXCFG_UBX_MON_HW3_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB_ID             //!< Config item ID for UBX-MON-HW3 rate on port USB
#define UBLOXCFG_UBX_MON_HW3_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB_STR            //!< Config item name for UBX-MON-HW3 rate on port USB
#define UBLOXCFG_UBX_MON_HW3_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_HW3_USB_TYPE           //!< Config item type for UBX-MON-HW3 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_IO UBX-MON-IO
    @{
*/
#define UBLOXCFG_UBX_MON_IO_STR                            "UBX-MON-IO"                                       //!< Message UBX-MON-IO name
#define UBLOXCFG_UBX_MON_IO_UART1_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1_ID            //!< Config item ID for UBX-MON-IO rate on port UART1
#define UBLOXCFG_UBX_MON_IO_UART1_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1_STR           //!< Config item name for UBX-MON-IO rate on port UART1
#define UBLOXCFG_UBX_MON_IO_UART1_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART1_TYPE          //!< Config item type for UBX-MON-IO rate on port UART1
#define UBLOXCFG_UBX_MON_IO_UART2_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2_ID            //!< Config item ID for UBX-MON-IO rate on port UART2
#define UBLOXCFG_UBX_MON_IO_UART2_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2_STR           //!< Config item name for UBX-MON-IO rate on port UART2
#define UBLOXCFG_UBX_MON_IO_UART2_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_UART2_TYPE          //!< Config item type for UBX-MON-IO rate on port UART2
#define UBLOXCFG_UBX_MON_IO_SPI_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI_ID              //!< Config item ID for UBX-MON-IO rate on port SPI
#define UBLOXCFG_UBX_MON_IO_SPI_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI_STR             //!< Config item name for UBX-MON-IO rate on port SPI
#define UBLOXCFG_UBX_MON_IO_SPI_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_SPI_TYPE            //!< Config item type for UBX-MON-IO rate on port SPI
#define UBLOXCFG_UBX_MON_IO_I2C_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C_ID              //!< Config item ID for UBX-MON-IO rate on port I2C
#define UBLOXCFG_UBX_MON_IO_I2C_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C_STR             //!< Config item name for UBX-MON-IO rate on port I2C
#define UBLOXCFG_UBX_MON_IO_I2C_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_I2C_TYPE            //!< Config item type for UBX-MON-IO rate on port I2C
#define UBLOXCFG_UBX_MON_IO_USB_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB_ID              //!< Config item ID for UBX-MON-IO rate on port USB
#define UBLOXCFG_UBX_MON_IO_USB_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB_STR             //!< Config item name for UBX-MON-IO rate on port USB
#define UBLOXCFG_UBX_MON_IO_USB_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_IO_USB_TYPE            //!< Config item type for UBX-MON-IO rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_MSGPP UBX-MON-MSGPP
    @{
*/
#define UBLOXCFG_UBX_MON_MSGPP_STR                         "UBX-MON-MSGPP"                                    //!< Message UBX-MON-MSGPP name
#define UBLOXCFG_UBX_MON_MSGPP_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1_ID         //!< Config item ID for UBX-MON-MSGPP rate on port UART1
#define UBLOXCFG_UBX_MON_MSGPP_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1_STR        //!< Config item name for UBX-MON-MSGPP rate on port UART1
#define UBLOXCFG_UBX_MON_MSGPP_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART1_TYPE       //!< Config item type for UBX-MON-MSGPP rate on port UART1
#define UBLOXCFG_UBX_MON_MSGPP_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2_ID         //!< Config item ID for UBX-MON-MSGPP rate on port UART2
#define UBLOXCFG_UBX_MON_MSGPP_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2_STR        //!< Config item name for UBX-MON-MSGPP rate on port UART2
#define UBLOXCFG_UBX_MON_MSGPP_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_UART2_TYPE       //!< Config item type for UBX-MON-MSGPP rate on port UART2
#define UBLOXCFG_UBX_MON_MSGPP_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI_ID           //!< Config item ID for UBX-MON-MSGPP rate on port SPI
#define UBLOXCFG_UBX_MON_MSGPP_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI_STR          //!< Config item name for UBX-MON-MSGPP rate on port SPI
#define UBLOXCFG_UBX_MON_MSGPP_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_SPI_TYPE         //!< Config item type for UBX-MON-MSGPP rate on port SPI
#define UBLOXCFG_UBX_MON_MSGPP_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C_ID           //!< Config item ID for UBX-MON-MSGPP rate on port I2C
#define UBLOXCFG_UBX_MON_MSGPP_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C_STR          //!< Config item name for UBX-MON-MSGPP rate on port I2C
#define UBLOXCFG_UBX_MON_MSGPP_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_I2C_TYPE         //!< Config item type for UBX-MON-MSGPP rate on port I2C
#define UBLOXCFG_UBX_MON_MSGPP_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB_ID           //!< Config item ID for UBX-MON-MSGPP rate on port USB
#define UBLOXCFG_UBX_MON_MSGPP_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB_STR          //!< Config item name for UBX-MON-MSGPP rate on port USB
#define UBLOXCFG_UBX_MON_MSGPP_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_MSGPP_USB_TYPE         //!< Config item type for UBX-MON-MSGPP rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_RF UBX-MON-RF
    @{
*/
#define UBLOXCFG_UBX_MON_RF_STR                            "UBX-MON-RF"                                       //!< Message UBX-MON-RF name
#define UBLOXCFG_UBX_MON_RF_UART1_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1_ID            //!< Config item ID for UBX-MON-RF rate on port UART1
#define UBLOXCFG_UBX_MON_RF_UART1_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1_STR           //!< Config item name for UBX-MON-RF rate on port UART1
#define UBLOXCFG_UBX_MON_RF_UART1_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART1_TYPE          //!< Config item type for UBX-MON-RF rate on port UART1
#define UBLOXCFG_UBX_MON_RF_UART2_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2_ID            //!< Config item ID for UBX-MON-RF rate on port UART2
#define UBLOXCFG_UBX_MON_RF_UART2_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2_STR           //!< Config item name for UBX-MON-RF rate on port UART2
#define UBLOXCFG_UBX_MON_RF_UART2_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_UART2_TYPE          //!< Config item type for UBX-MON-RF rate on port UART2
#define UBLOXCFG_UBX_MON_RF_SPI_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI_ID              //!< Config item ID for UBX-MON-RF rate on port SPI
#define UBLOXCFG_UBX_MON_RF_SPI_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI_STR             //!< Config item name for UBX-MON-RF rate on port SPI
#define UBLOXCFG_UBX_MON_RF_SPI_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_SPI_TYPE            //!< Config item type for UBX-MON-RF rate on port SPI
#define UBLOXCFG_UBX_MON_RF_I2C_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C_ID              //!< Config item ID for UBX-MON-RF rate on port I2C
#define UBLOXCFG_UBX_MON_RF_I2C_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C_STR             //!< Config item name for UBX-MON-RF rate on port I2C
#define UBLOXCFG_UBX_MON_RF_I2C_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_I2C_TYPE            //!< Config item type for UBX-MON-RF rate on port I2C
#define UBLOXCFG_UBX_MON_RF_USB_ID                         UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB_ID              //!< Config item ID for UBX-MON-RF rate on port USB
#define UBLOXCFG_UBX_MON_RF_USB_STR                        UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB_STR             //!< Config item name for UBX-MON-RF rate on port USB
#define UBLOXCFG_UBX_MON_RF_USB_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RF_USB_TYPE            //!< Config item type for UBX-MON-RF rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_RXBUF UBX-MON-RXBUF
    @{
*/
#define UBLOXCFG_UBX_MON_RXBUF_STR                         "UBX-MON-RXBUF"                                    //!< Message UBX-MON-RXBUF name
#define UBLOXCFG_UBX_MON_RXBUF_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1_ID         //!< Config item ID for UBX-MON-RXBUF rate on port UART1
#define UBLOXCFG_UBX_MON_RXBUF_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1_STR        //!< Config item name for UBX-MON-RXBUF rate on port UART1
#define UBLOXCFG_UBX_MON_RXBUF_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART1_TYPE       //!< Config item type for UBX-MON-RXBUF rate on port UART1
#define UBLOXCFG_UBX_MON_RXBUF_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2_ID         //!< Config item ID for UBX-MON-RXBUF rate on port UART2
#define UBLOXCFG_UBX_MON_RXBUF_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2_STR        //!< Config item name for UBX-MON-RXBUF rate on port UART2
#define UBLOXCFG_UBX_MON_RXBUF_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_UART2_TYPE       //!< Config item type for UBX-MON-RXBUF rate on port UART2
#define UBLOXCFG_UBX_MON_RXBUF_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI_ID           //!< Config item ID for UBX-MON-RXBUF rate on port SPI
#define UBLOXCFG_UBX_MON_RXBUF_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI_STR          //!< Config item name for UBX-MON-RXBUF rate on port SPI
#define UBLOXCFG_UBX_MON_RXBUF_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_SPI_TYPE         //!< Config item type for UBX-MON-RXBUF rate on port SPI
#define UBLOXCFG_UBX_MON_RXBUF_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C_ID           //!< Config item ID for UBX-MON-RXBUF rate on port I2C
#define UBLOXCFG_UBX_MON_RXBUF_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C_STR          //!< Config item name for UBX-MON-RXBUF rate on port I2C
#define UBLOXCFG_UBX_MON_RXBUF_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_I2C_TYPE         //!< Config item type for UBX-MON-RXBUF rate on port I2C
#define UBLOXCFG_UBX_MON_RXBUF_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB_ID           //!< Config item ID for UBX-MON-RXBUF rate on port USB
#define UBLOXCFG_UBX_MON_RXBUF_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB_STR          //!< Config item name for UBX-MON-RXBUF rate on port USB
#define UBLOXCFG_UBX_MON_RXBUF_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXBUF_USB_TYPE         //!< Config item type for UBX-MON-RXBUF rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_RXR UBX-MON-RXR
    @{
*/
#define UBLOXCFG_UBX_MON_RXR_STR                           "UBX-MON-RXR"                                      //!< Message UBX-MON-RXR name
#define UBLOXCFG_UBX_MON_RXR_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1_ID           //!< Config item ID for UBX-MON-RXR rate on port UART1
#define UBLOXCFG_UBX_MON_RXR_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1_STR          //!< Config item name for UBX-MON-RXR rate on port UART1
#define UBLOXCFG_UBX_MON_RXR_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART1_TYPE         //!< Config item type for UBX-MON-RXR rate on port UART1
#define UBLOXCFG_UBX_MON_RXR_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2_ID           //!< Config item ID for UBX-MON-RXR rate on port UART2
#define UBLOXCFG_UBX_MON_RXR_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2_STR          //!< Config item name for UBX-MON-RXR rate on port UART2
#define UBLOXCFG_UBX_MON_RXR_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_UART2_TYPE         //!< Config item type for UBX-MON-RXR rate on port UART2
#define UBLOXCFG_UBX_MON_RXR_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI_ID             //!< Config item ID for UBX-MON-RXR rate on port SPI
#define UBLOXCFG_UBX_MON_RXR_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI_STR            //!< Config item name for UBX-MON-RXR rate on port SPI
#define UBLOXCFG_UBX_MON_RXR_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_SPI_TYPE           //!< Config item type for UBX-MON-RXR rate on port SPI
#define UBLOXCFG_UBX_MON_RXR_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C_ID             //!< Config item ID for UBX-MON-RXR rate on port I2C
#define UBLOXCFG_UBX_MON_RXR_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C_STR            //!< Config item name for UBX-MON-RXR rate on port I2C
#define UBLOXCFG_UBX_MON_RXR_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_I2C_TYPE           //!< Config item type for UBX-MON-RXR rate on port I2C
#define UBLOXCFG_UBX_MON_RXR_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB_ID             //!< Config item ID for UBX-MON-RXR rate on port USB
#define UBLOXCFG_UBX_MON_RXR_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB_STR            //!< Config item name for UBX-MON-RXR rate on port USB
#define UBLOXCFG_UBX_MON_RXR_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_MON_RXR_USB_TYPE           //!< Config item type for UBX-MON-RXR rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_SPAN UBX-MON-SPAN
    @{
*/
#define UBLOXCFG_UBX_MON_SPAN_STR                          "UBX-MON-SPAN"                                     //!< Message UBX-MON-SPAN name
#define UBLOXCFG_UBX_MON_SPAN_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1_ID          //!< Config item ID for UBX-MON-SPAN rate on port UART1
#define UBLOXCFG_UBX_MON_SPAN_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1_STR         //!< Config item name for UBX-MON-SPAN rate on port UART1
#define UBLOXCFG_UBX_MON_SPAN_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART1_TYPE        //!< Config item type for UBX-MON-SPAN rate on port UART1
#define UBLOXCFG_UBX_MON_SPAN_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2_ID          //!< Config item ID for UBX-MON-SPAN rate on port UART2
#define UBLOXCFG_UBX_MON_SPAN_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2_STR         //!< Config item name for UBX-MON-SPAN rate on port UART2
#define UBLOXCFG_UBX_MON_SPAN_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_UART2_TYPE        //!< Config item type for UBX-MON-SPAN rate on port UART2
#define UBLOXCFG_UBX_MON_SPAN_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI_ID            //!< Config item ID for UBX-MON-SPAN rate on port SPI
#define UBLOXCFG_UBX_MON_SPAN_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI_STR           //!< Config item name for UBX-MON-SPAN rate on port SPI
#define UBLOXCFG_UBX_MON_SPAN_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_SPI_TYPE          //!< Config item type for UBX-MON-SPAN rate on port SPI
#define UBLOXCFG_UBX_MON_SPAN_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C_ID            //!< Config item ID for UBX-MON-SPAN rate on port I2C
#define UBLOXCFG_UBX_MON_SPAN_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C_STR           //!< Config item name for UBX-MON-SPAN rate on port I2C
#define UBLOXCFG_UBX_MON_SPAN_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_I2C_TYPE          //!< Config item type for UBX-MON-SPAN rate on port I2C
#define UBLOXCFG_UBX_MON_SPAN_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB_ID            //!< Config item ID for UBX-MON-SPAN rate on port USB
#define UBLOXCFG_UBX_MON_SPAN_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB_STR           //!< Config item name for UBX-MON-SPAN rate on port USB
#define UBLOXCFG_UBX_MON_SPAN_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_SPAN_USB_TYPE          //!< Config item type for UBX-MON-SPAN rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_TEMP UBX-MON-TEMP
    @{
*/
#define UBLOXCFG_UBX_MON_TEMP_STR                          "UBX-MON-TEMP"                                     //!< Message UBX-MON-TEMP name
#define UBLOXCFG_UBX_MON_TEMP_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1_ID          //!< Config item ID for UBX-MON-TEMP rate on port UART1
#define UBLOXCFG_UBX_MON_TEMP_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1_STR         //!< Config item name for UBX-MON-TEMP rate on port UART1
#define UBLOXCFG_UBX_MON_TEMP_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART1_TYPE        //!< Config item type for UBX-MON-TEMP rate on port UART1
#define UBLOXCFG_UBX_MON_TEMP_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2_ID          //!< Config item ID for UBX-MON-TEMP rate on port UART2
#define UBLOXCFG_UBX_MON_TEMP_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2_STR         //!< Config item name for UBX-MON-TEMP rate on port UART2
#define UBLOXCFG_UBX_MON_TEMP_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_UART2_TYPE        //!< Config item type for UBX-MON-TEMP rate on port UART2
#define UBLOXCFG_UBX_MON_TEMP_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI_ID            //!< Config item ID for UBX-MON-TEMP rate on port SPI
#define UBLOXCFG_UBX_MON_TEMP_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI_STR           //!< Config item name for UBX-MON-TEMP rate on port SPI
#define UBLOXCFG_UBX_MON_TEMP_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_SPI_TYPE          //!< Config item type for UBX-MON-TEMP rate on port SPI
#define UBLOXCFG_UBX_MON_TEMP_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C_ID            //!< Config item ID for UBX-MON-TEMP rate on port I2C
#define UBLOXCFG_UBX_MON_TEMP_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C_STR           //!< Config item name for UBX-MON-TEMP rate on port I2C
#define UBLOXCFG_UBX_MON_TEMP_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_I2C_TYPE          //!< Config item type for UBX-MON-TEMP rate on port I2C
#define UBLOXCFG_UBX_MON_TEMP_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB_ID            //!< Config item ID for UBX-MON-TEMP rate on port USB
#define UBLOXCFG_UBX_MON_TEMP_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB_STR           //!< Config item name for UBX-MON-TEMP rate on port USB
#define UBLOXCFG_UBX_MON_TEMP_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TEMP_USB_TYPE          //!< Config item type for UBX-MON-TEMP rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_MON_TXBUF UBX-MON-TXBUF
    @{
*/
#define UBLOXCFG_UBX_MON_TXBUF_STR                         "UBX-MON-TXBUF"                                    //!< Message UBX-MON-TXBUF name
#define UBLOXCFG_UBX_MON_TXBUF_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1_ID         //!< Config item ID for UBX-MON-TXBUF rate on port UART1
#define UBLOXCFG_UBX_MON_TXBUF_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1_STR        //!< Config item name for UBX-MON-TXBUF rate on port UART1
#define UBLOXCFG_UBX_MON_TXBUF_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART1_TYPE       //!< Config item type for UBX-MON-TXBUF rate on port UART1
#define UBLOXCFG_UBX_MON_TXBUF_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2_ID         //!< Config item ID for UBX-MON-TXBUF rate on port UART2
#define UBLOXCFG_UBX_MON_TXBUF_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2_STR        //!< Config item name for UBX-MON-TXBUF rate on port UART2
#define UBLOXCFG_UBX_MON_TXBUF_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_UART2_TYPE       //!< Config item type for UBX-MON-TXBUF rate on port UART2
#define UBLOXCFG_UBX_MON_TXBUF_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI_ID           //!< Config item ID for UBX-MON-TXBUF rate on port SPI
#define UBLOXCFG_UBX_MON_TXBUF_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI_STR          //!< Config item name for UBX-MON-TXBUF rate on port SPI
#define UBLOXCFG_UBX_MON_TXBUF_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_SPI_TYPE         //!< Config item type for UBX-MON-TXBUF rate on port SPI
#define UBLOXCFG_UBX_MON_TXBUF_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C_ID           //!< Config item ID for UBX-MON-TXBUF rate on port I2C
#define UBLOXCFG_UBX_MON_TXBUF_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C_STR          //!< Config item name for UBX-MON-TXBUF rate on port I2C
#define UBLOXCFG_UBX_MON_TXBUF_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_I2C_TYPE         //!< Config item type for UBX-MON-TXBUF rate on port I2C
#define UBLOXCFG_UBX_MON_TXBUF_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB_ID           //!< Config item ID for UBX-MON-TXBUF rate on port USB
#define UBLOXCFG_UBX_MON_TXBUF_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB_STR          //!< Config item name for UBX-MON-TXBUF rate on port USB
#define UBLOXCFG_UBX_MON_TXBUF_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_MON_TXBUF_USB_TYPE         //!< Config item type for UBX-MON-TXBUF rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_AOPSTATUS UBX-NAV-AOPSTATUS
    @{
*/
#define UBLOXCFG_UBX_NAV_AOPSTATUS_STR                     "UBX-NAV-AOPSTATUS"                                //!< Message UBX-NAV-AOPSTATUS name
#define UBLOXCFG_UBX_NAV_AOPSTATUS_UART1_ID                UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1_ID     //!< Config item ID for UBX-NAV-AOPSTATUS rate on port UART1
#define UBLOXCFG_UBX_NAV_AOPSTATUS_UART1_STR               UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1_STR    //!< Config item name for UBX-NAV-AOPSTATUS rate on port UART1
#define UBLOXCFG_UBX_NAV_AOPSTATUS_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART1_TYPE   //!< Config item type for UBX-NAV-AOPSTATUS rate on port UART1
#define UBLOXCFG_UBX_NAV_AOPSTATUS_UART2_ID                UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2_ID     //!< Config item ID for UBX-NAV-AOPSTATUS rate on port UART2
#define UBLOXCFG_UBX_NAV_AOPSTATUS_UART2_STR               UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2_STR    //!< Config item name for UBX-NAV-AOPSTATUS rate on port UART2
#define UBLOXCFG_UBX_NAV_AOPSTATUS_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_UART2_TYPE   //!< Config item type for UBX-NAV-AOPSTATUS rate on port UART2
#define UBLOXCFG_UBX_NAV_AOPSTATUS_SPI_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI_ID       //!< Config item ID for UBX-NAV-AOPSTATUS rate on port SPI
#define UBLOXCFG_UBX_NAV_AOPSTATUS_SPI_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI_STR      //!< Config item name for UBX-NAV-AOPSTATUS rate on port SPI
#define UBLOXCFG_UBX_NAV_AOPSTATUS_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_SPI_TYPE     //!< Config item type for UBX-NAV-AOPSTATUS rate on port SPI
#define UBLOXCFG_UBX_NAV_AOPSTATUS_I2C_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C_ID       //!< Config item ID for UBX-NAV-AOPSTATUS rate on port I2C
#define UBLOXCFG_UBX_NAV_AOPSTATUS_I2C_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C_STR      //!< Config item name for UBX-NAV-AOPSTATUS rate on port I2C
#define UBLOXCFG_UBX_NAV_AOPSTATUS_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_I2C_TYPE     //!< Config item type for UBX-NAV-AOPSTATUS rate on port I2C
#define UBLOXCFG_UBX_NAV_AOPSTATUS_USB_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB_ID       //!< Config item ID for UBX-NAV-AOPSTATUS rate on port USB
#define UBLOXCFG_UBX_NAV_AOPSTATUS_USB_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB_STR      //!< Config item name for UBX-NAV-AOPSTATUS rate on port USB
#define UBLOXCFG_UBX_NAV_AOPSTATUS_USB_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_AOPSTATUS_USB_TYPE     //!< Config item type for UBX-NAV-AOPSTATUS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_ATT UBX-NAV-ATT
    @{
*/
#define UBLOXCFG_UBX_NAV_ATT_STR                           "UBX-NAV-ATT"                                      //!< Message UBX-NAV-ATT name
#define UBLOXCFG_UBX_NAV_ATT_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1_ID           //!< Config item ID for UBX-NAV-ATT rate on port UART1
#define UBLOXCFG_UBX_NAV_ATT_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1_STR          //!< Config item name for UBX-NAV-ATT rate on port UART1
#define UBLOXCFG_UBX_NAV_ATT_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART1_TYPE         //!< Config item type for UBX-NAV-ATT rate on port UART1
#define UBLOXCFG_UBX_NAV_ATT_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2_ID           //!< Config item ID for UBX-NAV-ATT rate on port UART2
#define UBLOXCFG_UBX_NAV_ATT_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2_STR          //!< Config item name for UBX-NAV-ATT rate on port UART2
#define UBLOXCFG_UBX_NAV_ATT_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_UART2_TYPE         //!< Config item type for UBX-NAV-ATT rate on port UART2
#define UBLOXCFG_UBX_NAV_ATT_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI_ID             //!< Config item ID for UBX-NAV-ATT rate on port SPI
#define UBLOXCFG_UBX_NAV_ATT_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI_STR            //!< Config item name for UBX-NAV-ATT rate on port SPI
#define UBLOXCFG_UBX_NAV_ATT_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_SPI_TYPE           //!< Config item type for UBX-NAV-ATT rate on port SPI
#define UBLOXCFG_UBX_NAV_ATT_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C_ID             //!< Config item ID for UBX-NAV-ATT rate on port I2C
#define UBLOXCFG_UBX_NAV_ATT_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C_STR            //!< Config item name for UBX-NAV-ATT rate on port I2C
#define UBLOXCFG_UBX_NAV_ATT_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_I2C_TYPE           //!< Config item type for UBX-NAV-ATT rate on port I2C
#define UBLOXCFG_UBX_NAV_ATT_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB_ID             //!< Config item ID for UBX-NAV-ATT rate on port USB
#define UBLOXCFG_UBX_NAV_ATT_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB_STR            //!< Config item name for UBX-NAV-ATT rate on port USB
#define UBLOXCFG_UBX_NAV_ATT_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ATT_USB_TYPE           //!< Config item type for UBX-NAV-ATT rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_CLOCK UBX-NAV-CLOCK
    @{
*/
#define UBLOXCFG_UBX_NAV_CLOCK_STR                         "UBX-NAV-CLOCK"                                    //!< Message UBX-NAV-CLOCK name
#define UBLOXCFG_UBX_NAV_CLOCK_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1_ID         //!< Config item ID for UBX-NAV-CLOCK rate on port UART1
#define UBLOXCFG_UBX_NAV_CLOCK_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1_STR        //!< Config item name for UBX-NAV-CLOCK rate on port UART1
#define UBLOXCFG_UBX_NAV_CLOCK_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART1_TYPE       //!< Config item type for UBX-NAV-CLOCK rate on port UART1
#define UBLOXCFG_UBX_NAV_CLOCK_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2_ID         //!< Config item ID for UBX-NAV-CLOCK rate on port UART2
#define UBLOXCFG_UBX_NAV_CLOCK_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2_STR        //!< Config item name for UBX-NAV-CLOCK rate on port UART2
#define UBLOXCFG_UBX_NAV_CLOCK_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_UART2_TYPE       //!< Config item type for UBX-NAV-CLOCK rate on port UART2
#define UBLOXCFG_UBX_NAV_CLOCK_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI_ID           //!< Config item ID for UBX-NAV-CLOCK rate on port SPI
#define UBLOXCFG_UBX_NAV_CLOCK_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI_STR          //!< Config item name for UBX-NAV-CLOCK rate on port SPI
#define UBLOXCFG_UBX_NAV_CLOCK_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_SPI_TYPE         //!< Config item type for UBX-NAV-CLOCK rate on port SPI
#define UBLOXCFG_UBX_NAV_CLOCK_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C_ID           //!< Config item ID for UBX-NAV-CLOCK rate on port I2C
#define UBLOXCFG_UBX_NAV_CLOCK_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C_STR          //!< Config item name for UBX-NAV-CLOCK rate on port I2C
#define UBLOXCFG_UBX_NAV_CLOCK_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_I2C_TYPE         //!< Config item type for UBX-NAV-CLOCK rate on port I2C
#define UBLOXCFG_UBX_NAV_CLOCK_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB_ID           //!< Config item ID for UBX-NAV-CLOCK rate on port USB
#define UBLOXCFG_UBX_NAV_CLOCK_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB_STR          //!< Config item name for UBX-NAV-CLOCK rate on port USB
#define UBLOXCFG_UBX_NAV_CLOCK_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_CLOCK_USB_TYPE         //!< Config item type for UBX-NAV-CLOCK rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_COV UBX-NAV-COV
    @{
*/
#define UBLOXCFG_UBX_NAV_COV_STR                           "UBX-NAV-COV"                                      //!< Message UBX-NAV-COV name
#define UBLOXCFG_UBX_NAV_COV_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1_ID           //!< Config item ID for UBX-NAV-COV rate on port UART1
#define UBLOXCFG_UBX_NAV_COV_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1_STR          //!< Config item name for UBX-NAV-COV rate on port UART1
#define UBLOXCFG_UBX_NAV_COV_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART1_TYPE         //!< Config item type for UBX-NAV-COV rate on port UART1
#define UBLOXCFG_UBX_NAV_COV_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2_ID           //!< Config item ID for UBX-NAV-COV rate on port UART2
#define UBLOXCFG_UBX_NAV_COV_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2_STR          //!< Config item name for UBX-NAV-COV rate on port UART2
#define UBLOXCFG_UBX_NAV_COV_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_UART2_TYPE         //!< Config item type for UBX-NAV-COV rate on port UART2
#define UBLOXCFG_UBX_NAV_COV_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI_ID             //!< Config item ID for UBX-NAV-COV rate on port SPI
#define UBLOXCFG_UBX_NAV_COV_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI_STR            //!< Config item name for UBX-NAV-COV rate on port SPI
#define UBLOXCFG_UBX_NAV_COV_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_SPI_TYPE           //!< Config item type for UBX-NAV-COV rate on port SPI
#define UBLOXCFG_UBX_NAV_COV_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C_ID             //!< Config item ID for UBX-NAV-COV rate on port I2C
#define UBLOXCFG_UBX_NAV_COV_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C_STR            //!< Config item name for UBX-NAV-COV rate on port I2C
#define UBLOXCFG_UBX_NAV_COV_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_I2C_TYPE           //!< Config item type for UBX-NAV-COV rate on port I2C
#define UBLOXCFG_UBX_NAV_COV_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB_ID             //!< Config item ID for UBX-NAV-COV rate on port USB
#define UBLOXCFG_UBX_NAV_COV_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB_STR            //!< Config item name for UBX-NAV-COV rate on port USB
#define UBLOXCFG_UBX_NAV_COV_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_COV_USB_TYPE           //!< Config item type for UBX-NAV-COV rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_DOP UBX-NAV-DOP
    @{
*/
#define UBLOXCFG_UBX_NAV_DOP_STR                           "UBX-NAV-DOP"                                      //!< Message UBX-NAV-DOP name
#define UBLOXCFG_UBX_NAV_DOP_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1_ID           //!< Config item ID for UBX-NAV-DOP rate on port UART1
#define UBLOXCFG_UBX_NAV_DOP_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1_STR          //!< Config item name for UBX-NAV-DOP rate on port UART1
#define UBLOXCFG_UBX_NAV_DOP_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART1_TYPE         //!< Config item type for UBX-NAV-DOP rate on port UART1
#define UBLOXCFG_UBX_NAV_DOP_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2_ID           //!< Config item ID for UBX-NAV-DOP rate on port UART2
#define UBLOXCFG_UBX_NAV_DOP_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2_STR          //!< Config item name for UBX-NAV-DOP rate on port UART2
#define UBLOXCFG_UBX_NAV_DOP_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_UART2_TYPE         //!< Config item type for UBX-NAV-DOP rate on port UART2
#define UBLOXCFG_UBX_NAV_DOP_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI_ID             //!< Config item ID for UBX-NAV-DOP rate on port SPI
#define UBLOXCFG_UBX_NAV_DOP_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI_STR            //!< Config item name for UBX-NAV-DOP rate on port SPI
#define UBLOXCFG_UBX_NAV_DOP_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_SPI_TYPE           //!< Config item type for UBX-NAV-DOP rate on port SPI
#define UBLOXCFG_UBX_NAV_DOP_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C_ID             //!< Config item ID for UBX-NAV-DOP rate on port I2C
#define UBLOXCFG_UBX_NAV_DOP_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C_STR            //!< Config item name for UBX-NAV-DOP rate on port I2C
#define UBLOXCFG_UBX_NAV_DOP_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_I2C_TYPE           //!< Config item type for UBX-NAV-DOP rate on port I2C
#define UBLOXCFG_UBX_NAV_DOP_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB_ID             //!< Config item ID for UBX-NAV-DOP rate on port USB
#define UBLOXCFG_UBX_NAV_DOP_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB_STR            //!< Config item name for UBX-NAV-DOP rate on port USB
#define UBLOXCFG_UBX_NAV_DOP_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_DOP_USB_TYPE           //!< Config item type for UBX-NAV-DOP rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_EELL UBX-NAV-EELL
    @{
*/
#define UBLOXCFG_UBX_NAV_EELL_STR                          "UBX-NAV-EELL"                                     //!< Message UBX-NAV-EELL name
#define UBLOXCFG_UBX_NAV_EELL_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1_ID          //!< Config item ID for UBX-NAV-EELL rate on port UART1
#define UBLOXCFG_UBX_NAV_EELL_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1_STR         //!< Config item name for UBX-NAV-EELL rate on port UART1
#define UBLOXCFG_UBX_NAV_EELL_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART1_TYPE        //!< Config item type for UBX-NAV-EELL rate on port UART1
#define UBLOXCFG_UBX_NAV_EELL_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2_ID          //!< Config item ID for UBX-NAV-EELL rate on port UART2
#define UBLOXCFG_UBX_NAV_EELL_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2_STR         //!< Config item name for UBX-NAV-EELL rate on port UART2
#define UBLOXCFG_UBX_NAV_EELL_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_UART2_TYPE        //!< Config item type for UBX-NAV-EELL rate on port UART2
#define UBLOXCFG_UBX_NAV_EELL_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI_ID            //!< Config item ID for UBX-NAV-EELL rate on port SPI
#define UBLOXCFG_UBX_NAV_EELL_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI_STR           //!< Config item name for UBX-NAV-EELL rate on port SPI
#define UBLOXCFG_UBX_NAV_EELL_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_SPI_TYPE          //!< Config item type for UBX-NAV-EELL rate on port SPI
#define UBLOXCFG_UBX_NAV_EELL_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C_ID            //!< Config item ID for UBX-NAV-EELL rate on port I2C
#define UBLOXCFG_UBX_NAV_EELL_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C_STR           //!< Config item name for UBX-NAV-EELL rate on port I2C
#define UBLOXCFG_UBX_NAV_EELL_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_I2C_TYPE          //!< Config item type for UBX-NAV-EELL rate on port I2C
#define UBLOXCFG_UBX_NAV_EELL_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB_ID            //!< Config item ID for UBX-NAV-EELL rate on port USB
#define UBLOXCFG_UBX_NAV_EELL_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB_STR           //!< Config item name for UBX-NAV-EELL rate on port USB
#define UBLOXCFG_UBX_NAV_EELL_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EELL_USB_TYPE          //!< Config item type for UBX-NAV-EELL rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_EOE UBX-NAV-EOE
    @{
*/
#define UBLOXCFG_UBX_NAV_EOE_STR                           "UBX-NAV-EOE"                                      //!< Message UBX-NAV-EOE name
#define UBLOXCFG_UBX_NAV_EOE_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1_ID           //!< Config item ID for UBX-NAV-EOE rate on port UART1
#define UBLOXCFG_UBX_NAV_EOE_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1_STR          //!< Config item name for UBX-NAV-EOE rate on port UART1
#define UBLOXCFG_UBX_NAV_EOE_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART1_TYPE         //!< Config item type for UBX-NAV-EOE rate on port UART1
#define UBLOXCFG_UBX_NAV_EOE_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2_ID           //!< Config item ID for UBX-NAV-EOE rate on port UART2
#define UBLOXCFG_UBX_NAV_EOE_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2_STR          //!< Config item name for UBX-NAV-EOE rate on port UART2
#define UBLOXCFG_UBX_NAV_EOE_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_UART2_TYPE         //!< Config item type for UBX-NAV-EOE rate on port UART2
#define UBLOXCFG_UBX_NAV_EOE_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI_ID             //!< Config item ID for UBX-NAV-EOE rate on port SPI
#define UBLOXCFG_UBX_NAV_EOE_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI_STR            //!< Config item name for UBX-NAV-EOE rate on port SPI
#define UBLOXCFG_UBX_NAV_EOE_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_SPI_TYPE           //!< Config item type for UBX-NAV-EOE rate on port SPI
#define UBLOXCFG_UBX_NAV_EOE_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C_ID             //!< Config item ID for UBX-NAV-EOE rate on port I2C
#define UBLOXCFG_UBX_NAV_EOE_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C_STR            //!< Config item name for UBX-NAV-EOE rate on port I2C
#define UBLOXCFG_UBX_NAV_EOE_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_I2C_TYPE           //!< Config item type for UBX-NAV-EOE rate on port I2C
#define UBLOXCFG_UBX_NAV_EOE_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB_ID             //!< Config item ID for UBX-NAV-EOE rate on port USB
#define UBLOXCFG_UBX_NAV_EOE_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB_STR            //!< Config item name for UBX-NAV-EOE rate on port USB
#define UBLOXCFG_UBX_NAV_EOE_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_EOE_USB_TYPE           //!< Config item type for UBX-NAV-EOE rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_GEOFENCE UBX-NAV-GEOFENCE
    @{
*/
#define UBLOXCFG_UBX_NAV_GEOFENCE_STR                      "UBX-NAV-GEOFENCE"                                 //!< Message UBX-NAV-GEOFENCE name
#define UBLOXCFG_UBX_NAV_GEOFENCE_UART1_ID                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1_ID      //!< Config item ID for UBX-NAV-GEOFENCE rate on port UART1
#define UBLOXCFG_UBX_NAV_GEOFENCE_UART1_STR                UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1_STR     //!< Config item name for UBX-NAV-GEOFENCE rate on port UART1
#define UBLOXCFG_UBX_NAV_GEOFENCE_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART1_TYPE    //!< Config item type for UBX-NAV-GEOFENCE rate on port UART1
#define UBLOXCFG_UBX_NAV_GEOFENCE_UART2_ID                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2_ID      //!< Config item ID for UBX-NAV-GEOFENCE rate on port UART2
#define UBLOXCFG_UBX_NAV_GEOFENCE_UART2_STR                UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2_STR     //!< Config item name for UBX-NAV-GEOFENCE rate on port UART2
#define UBLOXCFG_UBX_NAV_GEOFENCE_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_UART2_TYPE    //!< Config item type for UBX-NAV-GEOFENCE rate on port UART2
#define UBLOXCFG_UBX_NAV_GEOFENCE_SPI_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI_ID        //!< Config item ID for UBX-NAV-GEOFENCE rate on port SPI
#define UBLOXCFG_UBX_NAV_GEOFENCE_SPI_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI_STR       //!< Config item name for UBX-NAV-GEOFENCE rate on port SPI
#define UBLOXCFG_UBX_NAV_GEOFENCE_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_SPI_TYPE      //!< Config item type for UBX-NAV-GEOFENCE rate on port SPI
#define UBLOXCFG_UBX_NAV_GEOFENCE_I2C_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C_ID        //!< Config item ID for UBX-NAV-GEOFENCE rate on port I2C
#define UBLOXCFG_UBX_NAV_GEOFENCE_I2C_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C_STR       //!< Config item name for UBX-NAV-GEOFENCE rate on port I2C
#define UBLOXCFG_UBX_NAV_GEOFENCE_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_I2C_TYPE      //!< Config item type for UBX-NAV-GEOFENCE rate on port I2C
#define UBLOXCFG_UBX_NAV_GEOFENCE_USB_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB_ID        //!< Config item ID for UBX-NAV-GEOFENCE rate on port USB
#define UBLOXCFG_UBX_NAV_GEOFENCE_USB_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB_STR       //!< Config item name for UBX-NAV-GEOFENCE rate on port USB
#define UBLOXCFG_UBX_NAV_GEOFENCE_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_GEOFENCE_USB_TYPE      //!< Config item type for UBX-NAV-GEOFENCE rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_HPPOSECEF UBX-NAV-HPPOSECEF
    @{
*/
#define UBLOXCFG_UBX_NAV_HPPOSECEF_STR                     "UBX-NAV-HPPOSECEF"                                //!< Message UBX-NAV-HPPOSECEF name
#define UBLOXCFG_UBX_NAV_HPPOSECEF_UART1_ID                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1_ID     //!< Config item ID for UBX-NAV-HPPOSECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_HPPOSECEF_UART1_STR               UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1_STR    //!< Config item name for UBX-NAV-HPPOSECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_HPPOSECEF_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART1_TYPE   //!< Config item type for UBX-NAV-HPPOSECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_HPPOSECEF_UART2_ID                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2_ID     //!< Config item ID for UBX-NAV-HPPOSECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_HPPOSECEF_UART2_STR               UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2_STR    //!< Config item name for UBX-NAV-HPPOSECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_HPPOSECEF_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_UART2_TYPE   //!< Config item type for UBX-NAV-HPPOSECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_HPPOSECEF_SPI_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI_ID       //!< Config item ID for UBX-NAV-HPPOSECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_HPPOSECEF_SPI_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI_STR      //!< Config item name for UBX-NAV-HPPOSECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_HPPOSECEF_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_SPI_TYPE     //!< Config item type for UBX-NAV-HPPOSECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_HPPOSECEF_I2C_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C_ID       //!< Config item ID for UBX-NAV-HPPOSECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_HPPOSECEF_I2C_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C_STR      //!< Config item name for UBX-NAV-HPPOSECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_HPPOSECEF_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_I2C_TYPE     //!< Config item type for UBX-NAV-HPPOSECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_HPPOSECEF_USB_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB_ID       //!< Config item ID for UBX-NAV-HPPOSECEF rate on port USB
#define UBLOXCFG_UBX_NAV_HPPOSECEF_USB_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB_STR      //!< Config item name for UBX-NAV-HPPOSECEF rate on port USB
#define UBLOXCFG_UBX_NAV_HPPOSECEF_USB_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSECEF_USB_TYPE     //!< Config item type for UBX-NAV-HPPOSECEF rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_HPPOSLLH UBX-NAV-HPPOSLLH
    @{
*/
#define UBLOXCFG_UBX_NAV_HPPOSLLH_STR                      "UBX-NAV-HPPOSLLH"                                 //!< Message UBX-NAV-HPPOSLLH name
#define UBLOXCFG_UBX_NAV_HPPOSLLH_UART1_ID                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1_ID      //!< Config item ID for UBX-NAV-HPPOSLLH rate on port UART1
#define UBLOXCFG_UBX_NAV_HPPOSLLH_UART1_STR                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1_STR     //!< Config item name for UBX-NAV-HPPOSLLH rate on port UART1
#define UBLOXCFG_UBX_NAV_HPPOSLLH_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART1_TYPE    //!< Config item type for UBX-NAV-HPPOSLLH rate on port UART1
#define UBLOXCFG_UBX_NAV_HPPOSLLH_UART2_ID                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2_ID      //!< Config item ID for UBX-NAV-HPPOSLLH rate on port UART2
#define UBLOXCFG_UBX_NAV_HPPOSLLH_UART2_STR                UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2_STR     //!< Config item name for UBX-NAV-HPPOSLLH rate on port UART2
#define UBLOXCFG_UBX_NAV_HPPOSLLH_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_UART2_TYPE    //!< Config item type for UBX-NAV-HPPOSLLH rate on port UART2
#define UBLOXCFG_UBX_NAV_HPPOSLLH_SPI_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI_ID        //!< Config item ID for UBX-NAV-HPPOSLLH rate on port SPI
#define UBLOXCFG_UBX_NAV_HPPOSLLH_SPI_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI_STR       //!< Config item name for UBX-NAV-HPPOSLLH rate on port SPI
#define UBLOXCFG_UBX_NAV_HPPOSLLH_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_SPI_TYPE      //!< Config item type for UBX-NAV-HPPOSLLH rate on port SPI
#define UBLOXCFG_UBX_NAV_HPPOSLLH_I2C_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C_ID        //!< Config item ID for UBX-NAV-HPPOSLLH rate on port I2C
#define UBLOXCFG_UBX_NAV_HPPOSLLH_I2C_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C_STR       //!< Config item name for UBX-NAV-HPPOSLLH rate on port I2C
#define UBLOXCFG_UBX_NAV_HPPOSLLH_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_I2C_TYPE      //!< Config item type for UBX-NAV-HPPOSLLH rate on port I2C
#define UBLOXCFG_UBX_NAV_HPPOSLLH_USB_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB_ID        //!< Config item ID for UBX-NAV-HPPOSLLH rate on port USB
#define UBLOXCFG_UBX_NAV_HPPOSLLH_USB_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB_STR       //!< Config item name for UBX-NAV-HPPOSLLH rate on port USB
#define UBLOXCFG_UBX_NAV_HPPOSLLH_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_HPPOSLLH_USB_TYPE      //!< Config item type for UBX-NAV-HPPOSLLH rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_ODO UBX-NAV-ODO
    @{
*/
#define UBLOXCFG_UBX_NAV_ODO_STR                           "UBX-NAV-ODO"                                      //!< Message UBX-NAV-ODO name
#define UBLOXCFG_UBX_NAV_ODO_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1_ID           //!< Config item ID for UBX-NAV-ODO rate on port UART1
#define UBLOXCFG_UBX_NAV_ODO_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1_STR          //!< Config item name for UBX-NAV-ODO rate on port UART1
#define UBLOXCFG_UBX_NAV_ODO_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART1_TYPE         //!< Config item type for UBX-NAV-ODO rate on port UART1
#define UBLOXCFG_UBX_NAV_ODO_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2_ID           //!< Config item ID for UBX-NAV-ODO rate on port UART2
#define UBLOXCFG_UBX_NAV_ODO_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2_STR          //!< Config item name for UBX-NAV-ODO rate on port UART2
#define UBLOXCFG_UBX_NAV_ODO_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_UART2_TYPE         //!< Config item type for UBX-NAV-ODO rate on port UART2
#define UBLOXCFG_UBX_NAV_ODO_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI_ID             //!< Config item ID for UBX-NAV-ODO rate on port SPI
#define UBLOXCFG_UBX_NAV_ODO_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI_STR            //!< Config item name for UBX-NAV-ODO rate on port SPI
#define UBLOXCFG_UBX_NAV_ODO_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_SPI_TYPE           //!< Config item type for UBX-NAV-ODO rate on port SPI
#define UBLOXCFG_UBX_NAV_ODO_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C_ID             //!< Config item ID for UBX-NAV-ODO rate on port I2C
#define UBLOXCFG_UBX_NAV_ODO_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C_STR            //!< Config item name for UBX-NAV-ODO rate on port I2C
#define UBLOXCFG_UBX_NAV_ODO_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_I2C_TYPE           //!< Config item type for UBX-NAV-ODO rate on port I2C
#define UBLOXCFG_UBX_NAV_ODO_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB_ID             //!< Config item ID for UBX-NAV-ODO rate on port USB
#define UBLOXCFG_UBX_NAV_ODO_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB_STR            //!< Config item name for UBX-NAV-ODO rate on port USB
#define UBLOXCFG_UBX_NAV_ODO_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ODO_USB_TYPE           //!< Config item type for UBX-NAV-ODO rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_ORB UBX-NAV-ORB
    @{
*/
#define UBLOXCFG_UBX_NAV_ORB_STR                           "UBX-NAV-ORB"                                      //!< Message UBX-NAV-ORB name
#define UBLOXCFG_UBX_NAV_ORB_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1_ID           //!< Config item ID for UBX-NAV-ORB rate on port UART1
#define UBLOXCFG_UBX_NAV_ORB_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1_STR          //!< Config item name for UBX-NAV-ORB rate on port UART1
#define UBLOXCFG_UBX_NAV_ORB_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART1_TYPE         //!< Config item type for UBX-NAV-ORB rate on port UART1
#define UBLOXCFG_UBX_NAV_ORB_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2_ID           //!< Config item ID for UBX-NAV-ORB rate on port UART2
#define UBLOXCFG_UBX_NAV_ORB_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2_STR          //!< Config item name for UBX-NAV-ORB rate on port UART2
#define UBLOXCFG_UBX_NAV_ORB_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_UART2_TYPE         //!< Config item type for UBX-NAV-ORB rate on port UART2
#define UBLOXCFG_UBX_NAV_ORB_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI_ID             //!< Config item ID for UBX-NAV-ORB rate on port SPI
#define UBLOXCFG_UBX_NAV_ORB_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI_STR            //!< Config item name for UBX-NAV-ORB rate on port SPI
#define UBLOXCFG_UBX_NAV_ORB_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_SPI_TYPE           //!< Config item type for UBX-NAV-ORB rate on port SPI
#define UBLOXCFG_UBX_NAV_ORB_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C_ID             //!< Config item ID for UBX-NAV-ORB rate on port I2C
#define UBLOXCFG_UBX_NAV_ORB_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C_STR            //!< Config item name for UBX-NAV-ORB rate on port I2C
#define UBLOXCFG_UBX_NAV_ORB_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_I2C_TYPE           //!< Config item type for UBX-NAV-ORB rate on port I2C
#define UBLOXCFG_UBX_NAV_ORB_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB_ID             //!< Config item ID for UBX-NAV-ORB rate on port USB
#define UBLOXCFG_UBX_NAV_ORB_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB_STR            //!< Config item name for UBX-NAV-ORB rate on port USB
#define UBLOXCFG_UBX_NAV_ORB_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_ORB_USB_TYPE           //!< Config item type for UBX-NAV-ORB rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_POSECEF UBX-NAV-POSECEF
    @{
*/
#define UBLOXCFG_UBX_NAV_POSECEF_STR                       "UBX-NAV-POSECEF"                                  //!< Message UBX-NAV-POSECEF name
#define UBLOXCFG_UBX_NAV_POSECEF_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1_ID       //!< Config item ID for UBX-NAV-POSECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_POSECEF_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1_STR      //!< Config item name for UBX-NAV-POSECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_POSECEF_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART1_TYPE     //!< Config item type for UBX-NAV-POSECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_POSECEF_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2_ID       //!< Config item ID for UBX-NAV-POSECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_POSECEF_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2_STR      //!< Config item name for UBX-NAV-POSECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_POSECEF_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_UART2_TYPE     //!< Config item type for UBX-NAV-POSECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_POSECEF_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI_ID         //!< Config item ID for UBX-NAV-POSECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_POSECEF_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI_STR        //!< Config item name for UBX-NAV-POSECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_POSECEF_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_SPI_TYPE       //!< Config item type for UBX-NAV-POSECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_POSECEF_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C_ID         //!< Config item ID for UBX-NAV-POSECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_POSECEF_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C_STR        //!< Config item name for UBX-NAV-POSECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_POSECEF_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_I2C_TYPE       //!< Config item type for UBX-NAV-POSECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_POSECEF_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB_ID         //!< Config item ID for UBX-NAV-POSECEF rate on port USB
#define UBLOXCFG_UBX_NAV_POSECEF_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB_STR        //!< Config item name for UBX-NAV-POSECEF rate on port USB
#define UBLOXCFG_UBX_NAV_POSECEF_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSECEF_USB_TYPE       //!< Config item type for UBX-NAV-POSECEF rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_POSLLH UBX-NAV-POSLLH
    @{
*/
#define UBLOXCFG_UBX_NAV_POSLLH_STR                        "UBX-NAV-POSLLH"                                   //!< Message UBX-NAV-POSLLH name
#define UBLOXCFG_UBX_NAV_POSLLH_UART1_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1_ID        //!< Config item ID for UBX-NAV-POSLLH rate on port UART1
#define UBLOXCFG_UBX_NAV_POSLLH_UART1_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1_STR       //!< Config item name for UBX-NAV-POSLLH rate on port UART1
#define UBLOXCFG_UBX_NAV_POSLLH_UART1_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART1_TYPE      //!< Config item type for UBX-NAV-POSLLH rate on port UART1
#define UBLOXCFG_UBX_NAV_POSLLH_UART2_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2_ID        //!< Config item ID for UBX-NAV-POSLLH rate on port UART2
#define UBLOXCFG_UBX_NAV_POSLLH_UART2_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2_STR       //!< Config item name for UBX-NAV-POSLLH rate on port UART2
#define UBLOXCFG_UBX_NAV_POSLLH_UART2_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_UART2_TYPE      //!< Config item type for UBX-NAV-POSLLH rate on port UART2
#define UBLOXCFG_UBX_NAV_POSLLH_SPI_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI_ID          //!< Config item ID for UBX-NAV-POSLLH rate on port SPI
#define UBLOXCFG_UBX_NAV_POSLLH_SPI_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI_STR         //!< Config item name for UBX-NAV-POSLLH rate on port SPI
#define UBLOXCFG_UBX_NAV_POSLLH_SPI_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_SPI_TYPE        //!< Config item type for UBX-NAV-POSLLH rate on port SPI
#define UBLOXCFG_UBX_NAV_POSLLH_I2C_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C_ID          //!< Config item ID for UBX-NAV-POSLLH rate on port I2C
#define UBLOXCFG_UBX_NAV_POSLLH_I2C_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C_STR         //!< Config item name for UBX-NAV-POSLLH rate on port I2C
#define UBLOXCFG_UBX_NAV_POSLLH_I2C_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_I2C_TYPE        //!< Config item type for UBX-NAV-POSLLH rate on port I2C
#define UBLOXCFG_UBX_NAV_POSLLH_USB_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB_ID          //!< Config item ID for UBX-NAV-POSLLH rate on port USB
#define UBLOXCFG_UBX_NAV_POSLLH_USB_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB_STR         //!< Config item name for UBX-NAV-POSLLH rate on port USB
#define UBLOXCFG_UBX_NAV_POSLLH_USB_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_POSLLH_USB_TYPE        //!< Config item type for UBX-NAV-POSLLH rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_PVT UBX-NAV-PVT
    @{
*/
#define UBLOXCFG_UBX_NAV_PVT_STR                           "UBX-NAV-PVT"                                      //!< Message UBX-NAV-PVT name
#define UBLOXCFG_UBX_NAV_PVT_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1_ID           //!< Config item ID for UBX-NAV-PVT rate on port UART1
#define UBLOXCFG_UBX_NAV_PVT_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1_STR          //!< Config item name for UBX-NAV-PVT rate on port UART1
#define UBLOXCFG_UBX_NAV_PVT_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART1_TYPE         //!< Config item type for UBX-NAV-PVT rate on port UART1
#define UBLOXCFG_UBX_NAV_PVT_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2_ID           //!< Config item ID for UBX-NAV-PVT rate on port UART2
#define UBLOXCFG_UBX_NAV_PVT_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2_STR          //!< Config item name for UBX-NAV-PVT rate on port UART2
#define UBLOXCFG_UBX_NAV_PVT_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_UART2_TYPE         //!< Config item type for UBX-NAV-PVT rate on port UART2
#define UBLOXCFG_UBX_NAV_PVT_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI_ID             //!< Config item ID for UBX-NAV-PVT rate on port SPI
#define UBLOXCFG_UBX_NAV_PVT_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI_STR            //!< Config item name for UBX-NAV-PVT rate on port SPI
#define UBLOXCFG_UBX_NAV_PVT_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_SPI_TYPE           //!< Config item type for UBX-NAV-PVT rate on port SPI
#define UBLOXCFG_UBX_NAV_PVT_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C_ID             //!< Config item ID for UBX-NAV-PVT rate on port I2C
#define UBLOXCFG_UBX_NAV_PVT_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C_STR            //!< Config item name for UBX-NAV-PVT rate on port I2C
#define UBLOXCFG_UBX_NAV_PVT_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_I2C_TYPE           //!< Config item type for UBX-NAV-PVT rate on port I2C
#define UBLOXCFG_UBX_NAV_PVT_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB_ID             //!< Config item ID for UBX-NAV-PVT rate on port USB
#define UBLOXCFG_UBX_NAV_PVT_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB_STR            //!< Config item name for UBX-NAV-PVT rate on port USB
#define UBLOXCFG_UBX_NAV_PVT_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_PVT_USB_TYPE           //!< Config item type for UBX-NAV-PVT rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_RELPOSNED UBX-NAV-RELPOSNED
    @{
*/
#define UBLOXCFG_UBX_NAV_RELPOSNED_STR                     "UBX-NAV-RELPOSNED"                                //!< Message UBX-NAV-RELPOSNED name
#define UBLOXCFG_UBX_NAV_RELPOSNED_UART1_ID                UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1_ID     //!< Config item ID for UBX-NAV-RELPOSNED rate on port UART1
#define UBLOXCFG_UBX_NAV_RELPOSNED_UART1_STR               UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1_STR    //!< Config item name for UBX-NAV-RELPOSNED rate on port UART1
#define UBLOXCFG_UBX_NAV_RELPOSNED_UART1_TYPE              UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART1_TYPE   //!< Config item type for UBX-NAV-RELPOSNED rate on port UART1
#define UBLOXCFG_UBX_NAV_RELPOSNED_UART2_ID                UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2_ID     //!< Config item ID for UBX-NAV-RELPOSNED rate on port UART2
#define UBLOXCFG_UBX_NAV_RELPOSNED_UART2_STR               UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2_STR    //!< Config item name for UBX-NAV-RELPOSNED rate on port UART2
#define UBLOXCFG_UBX_NAV_RELPOSNED_UART2_TYPE              UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_UART2_TYPE   //!< Config item type for UBX-NAV-RELPOSNED rate on port UART2
#define UBLOXCFG_UBX_NAV_RELPOSNED_SPI_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI_ID       //!< Config item ID for UBX-NAV-RELPOSNED rate on port SPI
#define UBLOXCFG_UBX_NAV_RELPOSNED_SPI_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI_STR      //!< Config item name for UBX-NAV-RELPOSNED rate on port SPI
#define UBLOXCFG_UBX_NAV_RELPOSNED_SPI_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_SPI_TYPE     //!< Config item type for UBX-NAV-RELPOSNED rate on port SPI
#define UBLOXCFG_UBX_NAV_RELPOSNED_I2C_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C_ID       //!< Config item ID for UBX-NAV-RELPOSNED rate on port I2C
#define UBLOXCFG_UBX_NAV_RELPOSNED_I2C_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C_STR      //!< Config item name for UBX-NAV-RELPOSNED rate on port I2C
#define UBLOXCFG_UBX_NAV_RELPOSNED_I2C_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_I2C_TYPE     //!< Config item type for UBX-NAV-RELPOSNED rate on port I2C
#define UBLOXCFG_UBX_NAV_RELPOSNED_USB_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB_ID       //!< Config item ID for UBX-NAV-RELPOSNED rate on port USB
#define UBLOXCFG_UBX_NAV_RELPOSNED_USB_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB_STR      //!< Config item name for UBX-NAV-RELPOSNED rate on port USB
#define UBLOXCFG_UBX_NAV_RELPOSNED_USB_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_RELPOSNED_USB_TYPE     //!< Config item type for UBX-NAV-RELPOSNED rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_SAT UBX-NAV-SAT
    @{
*/
#define UBLOXCFG_UBX_NAV_SAT_STR                           "UBX-NAV-SAT"                                      //!< Message UBX-NAV-SAT name
#define UBLOXCFG_UBX_NAV_SAT_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1_ID           //!< Config item ID for UBX-NAV-SAT rate on port UART1
#define UBLOXCFG_UBX_NAV_SAT_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1_STR          //!< Config item name for UBX-NAV-SAT rate on port UART1
#define UBLOXCFG_UBX_NAV_SAT_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART1_TYPE         //!< Config item type for UBX-NAV-SAT rate on port UART1
#define UBLOXCFG_UBX_NAV_SAT_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2_ID           //!< Config item ID for UBX-NAV-SAT rate on port UART2
#define UBLOXCFG_UBX_NAV_SAT_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2_STR          //!< Config item name for UBX-NAV-SAT rate on port UART2
#define UBLOXCFG_UBX_NAV_SAT_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_UART2_TYPE         //!< Config item type for UBX-NAV-SAT rate on port UART2
#define UBLOXCFG_UBX_NAV_SAT_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI_ID             //!< Config item ID for UBX-NAV-SAT rate on port SPI
#define UBLOXCFG_UBX_NAV_SAT_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI_STR            //!< Config item name for UBX-NAV-SAT rate on port SPI
#define UBLOXCFG_UBX_NAV_SAT_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_SPI_TYPE           //!< Config item type for UBX-NAV-SAT rate on port SPI
#define UBLOXCFG_UBX_NAV_SAT_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C_ID             //!< Config item ID for UBX-NAV-SAT rate on port I2C
#define UBLOXCFG_UBX_NAV_SAT_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C_STR            //!< Config item name for UBX-NAV-SAT rate on port I2C
#define UBLOXCFG_UBX_NAV_SAT_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_I2C_TYPE           //!< Config item type for UBX-NAV-SAT rate on port I2C
#define UBLOXCFG_UBX_NAV_SAT_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB_ID             //!< Config item ID for UBX-NAV-SAT rate on port USB
#define UBLOXCFG_UBX_NAV_SAT_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB_STR            //!< Config item name for UBX-NAV-SAT rate on port USB
#define UBLOXCFG_UBX_NAV_SAT_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SAT_USB_TYPE           //!< Config item type for UBX-NAV-SAT rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_SBAS UBX-NAV-SBAS
    @{
*/
#define UBLOXCFG_UBX_NAV_SBAS_STR                          "UBX-NAV-SBAS"                                     //!< Message UBX-NAV-SBAS name
#define UBLOXCFG_UBX_NAV_SBAS_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1_ID          //!< Config item ID for UBX-NAV-SBAS rate on port UART1
#define UBLOXCFG_UBX_NAV_SBAS_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1_STR         //!< Config item name for UBX-NAV-SBAS rate on port UART1
#define UBLOXCFG_UBX_NAV_SBAS_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART1_TYPE        //!< Config item type for UBX-NAV-SBAS rate on port UART1
#define UBLOXCFG_UBX_NAV_SBAS_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2_ID          //!< Config item ID for UBX-NAV-SBAS rate on port UART2
#define UBLOXCFG_UBX_NAV_SBAS_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2_STR         //!< Config item name for UBX-NAV-SBAS rate on port UART2
#define UBLOXCFG_UBX_NAV_SBAS_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_UART2_TYPE        //!< Config item type for UBX-NAV-SBAS rate on port UART2
#define UBLOXCFG_UBX_NAV_SBAS_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI_ID            //!< Config item ID for UBX-NAV-SBAS rate on port SPI
#define UBLOXCFG_UBX_NAV_SBAS_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI_STR           //!< Config item name for UBX-NAV-SBAS rate on port SPI
#define UBLOXCFG_UBX_NAV_SBAS_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_SPI_TYPE          //!< Config item type for UBX-NAV-SBAS rate on port SPI
#define UBLOXCFG_UBX_NAV_SBAS_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C_ID            //!< Config item ID for UBX-NAV-SBAS rate on port I2C
#define UBLOXCFG_UBX_NAV_SBAS_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C_STR           //!< Config item name for UBX-NAV-SBAS rate on port I2C
#define UBLOXCFG_UBX_NAV_SBAS_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_I2C_TYPE          //!< Config item type for UBX-NAV-SBAS rate on port I2C
#define UBLOXCFG_UBX_NAV_SBAS_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB_ID            //!< Config item ID for UBX-NAV-SBAS rate on port USB
#define UBLOXCFG_UBX_NAV_SBAS_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB_STR           //!< Config item name for UBX-NAV-SBAS rate on port USB
#define UBLOXCFG_UBX_NAV_SBAS_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SBAS_USB_TYPE          //!< Config item type for UBX-NAV-SBAS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_SIG UBX-NAV-SIG
    @{
*/
#define UBLOXCFG_UBX_NAV_SIG_STR                           "UBX-NAV-SIG"                                      //!< Message UBX-NAV-SIG name
#define UBLOXCFG_UBX_NAV_SIG_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1_ID           //!< Config item ID for UBX-NAV-SIG rate on port UART1
#define UBLOXCFG_UBX_NAV_SIG_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1_STR          //!< Config item name for UBX-NAV-SIG rate on port UART1
#define UBLOXCFG_UBX_NAV_SIG_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART1_TYPE         //!< Config item type for UBX-NAV-SIG rate on port UART1
#define UBLOXCFG_UBX_NAV_SIG_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2_ID           //!< Config item ID for UBX-NAV-SIG rate on port UART2
#define UBLOXCFG_UBX_NAV_SIG_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2_STR          //!< Config item name for UBX-NAV-SIG rate on port UART2
#define UBLOXCFG_UBX_NAV_SIG_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_UART2_TYPE         //!< Config item type for UBX-NAV-SIG rate on port UART2
#define UBLOXCFG_UBX_NAV_SIG_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI_ID             //!< Config item ID for UBX-NAV-SIG rate on port SPI
#define UBLOXCFG_UBX_NAV_SIG_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI_STR            //!< Config item name for UBX-NAV-SIG rate on port SPI
#define UBLOXCFG_UBX_NAV_SIG_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_SPI_TYPE           //!< Config item type for UBX-NAV-SIG rate on port SPI
#define UBLOXCFG_UBX_NAV_SIG_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C_ID             //!< Config item ID for UBX-NAV-SIG rate on port I2C
#define UBLOXCFG_UBX_NAV_SIG_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C_STR            //!< Config item name for UBX-NAV-SIG rate on port I2C
#define UBLOXCFG_UBX_NAV_SIG_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_I2C_TYPE           //!< Config item type for UBX-NAV-SIG rate on port I2C
#define UBLOXCFG_UBX_NAV_SIG_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB_ID             //!< Config item ID for UBX-NAV-SIG rate on port USB
#define UBLOXCFG_UBX_NAV_SIG_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB_STR            //!< Config item name for UBX-NAV-SIG rate on port USB
#define UBLOXCFG_UBX_NAV_SIG_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SIG_USB_TYPE           //!< Config item type for UBX-NAV-SIG rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_SLAS UBX-NAV-SLAS
    @{
*/
#define UBLOXCFG_UBX_NAV_SLAS_STR                          "UBX-NAV-SLAS"                                     //!< Message UBX-NAV-SLAS name
#define UBLOXCFG_UBX_NAV_SLAS_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1_ID          //!< Config item ID for UBX-NAV-SLAS rate on port UART1
#define UBLOXCFG_UBX_NAV_SLAS_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1_STR         //!< Config item name for UBX-NAV-SLAS rate on port UART1
#define UBLOXCFG_UBX_NAV_SLAS_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART1_TYPE        //!< Config item type for UBX-NAV-SLAS rate on port UART1
#define UBLOXCFG_UBX_NAV_SLAS_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2_ID          //!< Config item ID for UBX-NAV-SLAS rate on port UART2
#define UBLOXCFG_UBX_NAV_SLAS_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2_STR         //!< Config item name for UBX-NAV-SLAS rate on port UART2
#define UBLOXCFG_UBX_NAV_SLAS_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_UART2_TYPE        //!< Config item type for UBX-NAV-SLAS rate on port UART2
#define UBLOXCFG_UBX_NAV_SLAS_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI_ID            //!< Config item ID for UBX-NAV-SLAS rate on port SPI
#define UBLOXCFG_UBX_NAV_SLAS_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI_STR           //!< Config item name for UBX-NAV-SLAS rate on port SPI
#define UBLOXCFG_UBX_NAV_SLAS_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_SPI_TYPE          //!< Config item type for UBX-NAV-SLAS rate on port SPI
#define UBLOXCFG_UBX_NAV_SLAS_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C_ID            //!< Config item ID for UBX-NAV-SLAS rate on port I2C
#define UBLOXCFG_UBX_NAV_SLAS_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C_STR           //!< Config item name for UBX-NAV-SLAS rate on port I2C
#define UBLOXCFG_UBX_NAV_SLAS_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_I2C_TYPE          //!< Config item type for UBX-NAV-SLAS rate on port I2C
#define UBLOXCFG_UBX_NAV_SLAS_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB_ID            //!< Config item ID for UBX-NAV-SLAS rate on port USB
#define UBLOXCFG_UBX_NAV_SLAS_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB_STR           //!< Config item name for UBX-NAV-SLAS rate on port USB
#define UBLOXCFG_UBX_NAV_SLAS_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SLAS_USB_TYPE          //!< Config item type for UBX-NAV-SLAS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_STATUS UBX-NAV-STATUS
    @{
*/
#define UBLOXCFG_UBX_NAV_STATUS_STR                        "UBX-NAV-STATUS"                                   //!< Message UBX-NAV-STATUS name
#define UBLOXCFG_UBX_NAV_STATUS_UART1_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1_ID        //!< Config item ID for UBX-NAV-STATUS rate on port UART1
#define UBLOXCFG_UBX_NAV_STATUS_UART1_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1_STR       //!< Config item name for UBX-NAV-STATUS rate on port UART1
#define UBLOXCFG_UBX_NAV_STATUS_UART1_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART1_TYPE      //!< Config item type for UBX-NAV-STATUS rate on port UART1
#define UBLOXCFG_UBX_NAV_STATUS_UART2_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2_ID        //!< Config item ID for UBX-NAV-STATUS rate on port UART2
#define UBLOXCFG_UBX_NAV_STATUS_UART2_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2_STR       //!< Config item name for UBX-NAV-STATUS rate on port UART2
#define UBLOXCFG_UBX_NAV_STATUS_UART2_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_UART2_TYPE      //!< Config item type for UBX-NAV-STATUS rate on port UART2
#define UBLOXCFG_UBX_NAV_STATUS_SPI_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI_ID          //!< Config item ID for UBX-NAV-STATUS rate on port SPI
#define UBLOXCFG_UBX_NAV_STATUS_SPI_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI_STR         //!< Config item name for UBX-NAV-STATUS rate on port SPI
#define UBLOXCFG_UBX_NAV_STATUS_SPI_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_SPI_TYPE        //!< Config item type for UBX-NAV-STATUS rate on port SPI
#define UBLOXCFG_UBX_NAV_STATUS_I2C_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C_ID          //!< Config item ID for UBX-NAV-STATUS rate on port I2C
#define UBLOXCFG_UBX_NAV_STATUS_I2C_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C_STR         //!< Config item name for UBX-NAV-STATUS rate on port I2C
#define UBLOXCFG_UBX_NAV_STATUS_I2C_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_I2C_TYPE        //!< Config item type for UBX-NAV-STATUS rate on port I2C
#define UBLOXCFG_UBX_NAV_STATUS_USB_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB_ID          //!< Config item ID for UBX-NAV-STATUS rate on port USB
#define UBLOXCFG_UBX_NAV_STATUS_USB_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB_STR         //!< Config item name for UBX-NAV-STATUS rate on port USB
#define UBLOXCFG_UBX_NAV_STATUS_USB_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_STATUS_USB_TYPE        //!< Config item type for UBX-NAV-STATUS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_SVIN UBX-NAV-SVIN
    @{
*/
#define UBLOXCFG_UBX_NAV_SVIN_STR                          "UBX-NAV-SVIN"                                     //!< Message UBX-NAV-SVIN name
#define UBLOXCFG_UBX_NAV_SVIN_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1_ID          //!< Config item ID for UBX-NAV-SVIN rate on port UART1
#define UBLOXCFG_UBX_NAV_SVIN_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1_STR         //!< Config item name for UBX-NAV-SVIN rate on port UART1
#define UBLOXCFG_UBX_NAV_SVIN_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART1_TYPE        //!< Config item type for UBX-NAV-SVIN rate on port UART1
#define UBLOXCFG_UBX_NAV_SVIN_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2_ID          //!< Config item ID for UBX-NAV-SVIN rate on port UART2
#define UBLOXCFG_UBX_NAV_SVIN_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2_STR         //!< Config item name for UBX-NAV-SVIN rate on port UART2
#define UBLOXCFG_UBX_NAV_SVIN_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_UART2_TYPE        //!< Config item type for UBX-NAV-SVIN rate on port UART2
#define UBLOXCFG_UBX_NAV_SVIN_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI_ID            //!< Config item ID for UBX-NAV-SVIN rate on port SPI
#define UBLOXCFG_UBX_NAV_SVIN_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI_STR           //!< Config item name for UBX-NAV-SVIN rate on port SPI
#define UBLOXCFG_UBX_NAV_SVIN_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_SPI_TYPE          //!< Config item type for UBX-NAV-SVIN rate on port SPI
#define UBLOXCFG_UBX_NAV_SVIN_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C_ID            //!< Config item ID for UBX-NAV-SVIN rate on port I2C
#define UBLOXCFG_UBX_NAV_SVIN_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C_STR           //!< Config item name for UBX-NAV-SVIN rate on port I2C
#define UBLOXCFG_UBX_NAV_SVIN_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_I2C_TYPE          //!< Config item type for UBX-NAV-SVIN rate on port I2C
#define UBLOXCFG_UBX_NAV_SVIN_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB_ID            //!< Config item ID for UBX-NAV-SVIN rate on port USB
#define UBLOXCFG_UBX_NAV_SVIN_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB_STR           //!< Config item name for UBX-NAV-SVIN rate on port USB
#define UBLOXCFG_UBX_NAV_SVIN_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_SVIN_USB_TYPE          //!< Config item type for UBX-NAV-SVIN rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMEBDS UBX-NAV-TIMEBDS
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMEBDS_STR                       "UBX-NAV-TIMEBDS"                                  //!< Message UBX-NAV-TIMEBDS name
#define UBLOXCFG_UBX_NAV_TIMEBDS_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1_ID       //!< Config item ID for UBX-NAV-TIMEBDS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEBDS_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1_STR      //!< Config item name for UBX-NAV-TIMEBDS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEBDS_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART1_TYPE     //!< Config item type for UBX-NAV-TIMEBDS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEBDS_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2_ID       //!< Config item ID for UBX-NAV-TIMEBDS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEBDS_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2_STR      //!< Config item name for UBX-NAV-TIMEBDS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEBDS_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_UART2_TYPE     //!< Config item type for UBX-NAV-TIMEBDS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEBDS_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI_ID         //!< Config item ID for UBX-NAV-TIMEBDS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEBDS_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI_STR        //!< Config item name for UBX-NAV-TIMEBDS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEBDS_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_SPI_TYPE       //!< Config item type for UBX-NAV-TIMEBDS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEBDS_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C_ID         //!< Config item ID for UBX-NAV-TIMEBDS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEBDS_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C_STR        //!< Config item name for UBX-NAV-TIMEBDS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEBDS_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_I2C_TYPE       //!< Config item type for UBX-NAV-TIMEBDS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEBDS_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB_ID         //!< Config item ID for UBX-NAV-TIMEBDS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEBDS_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB_STR        //!< Config item name for UBX-NAV-TIMEBDS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEBDS_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEBDS_USB_TYPE       //!< Config item type for UBX-NAV-TIMEBDS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMEGAL UBX-NAV-TIMEGAL
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMEGAL_STR                       "UBX-NAV-TIMEGAL"                                  //!< Message UBX-NAV-TIMEGAL name
#define UBLOXCFG_UBX_NAV_TIMEGAL_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1_ID       //!< Config item ID for UBX-NAV-TIMEGAL rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGAL_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1_STR      //!< Config item name for UBX-NAV-TIMEGAL rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGAL_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART1_TYPE     //!< Config item type for UBX-NAV-TIMEGAL rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGAL_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2_ID       //!< Config item ID for UBX-NAV-TIMEGAL rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGAL_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2_STR      //!< Config item name for UBX-NAV-TIMEGAL rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGAL_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_UART2_TYPE     //!< Config item type for UBX-NAV-TIMEGAL rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGAL_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI_ID         //!< Config item ID for UBX-NAV-TIMEGAL rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGAL_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI_STR        //!< Config item name for UBX-NAV-TIMEGAL rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGAL_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_SPI_TYPE       //!< Config item type for UBX-NAV-TIMEGAL rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGAL_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C_ID         //!< Config item ID for UBX-NAV-TIMEGAL rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGAL_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C_STR        //!< Config item name for UBX-NAV-TIMEGAL rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGAL_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_I2C_TYPE       //!< Config item type for UBX-NAV-TIMEGAL rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGAL_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB_ID         //!< Config item ID for UBX-NAV-TIMEGAL rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEGAL_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB_STR        //!< Config item name for UBX-NAV-TIMEGAL rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEGAL_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGAL_USB_TYPE       //!< Config item type for UBX-NAV-TIMEGAL rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMEGLO UBX-NAV-TIMEGLO
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMEGLO_STR                       "UBX-NAV-TIMEGLO"                                  //!< Message UBX-NAV-TIMEGLO name
#define UBLOXCFG_UBX_NAV_TIMEGLO_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1_ID       //!< Config item ID for UBX-NAV-TIMEGLO rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGLO_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1_STR      //!< Config item name for UBX-NAV-TIMEGLO rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGLO_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART1_TYPE     //!< Config item type for UBX-NAV-TIMEGLO rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGLO_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2_ID       //!< Config item ID for UBX-NAV-TIMEGLO rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGLO_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2_STR      //!< Config item name for UBX-NAV-TIMEGLO rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGLO_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_UART2_TYPE     //!< Config item type for UBX-NAV-TIMEGLO rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGLO_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI_ID         //!< Config item ID for UBX-NAV-TIMEGLO rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGLO_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI_STR        //!< Config item name for UBX-NAV-TIMEGLO rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGLO_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_SPI_TYPE       //!< Config item type for UBX-NAV-TIMEGLO rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGLO_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C_ID         //!< Config item ID for UBX-NAV-TIMEGLO rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGLO_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C_STR        //!< Config item name for UBX-NAV-TIMEGLO rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGLO_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_I2C_TYPE       //!< Config item type for UBX-NAV-TIMEGLO rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGLO_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB_ID         //!< Config item ID for UBX-NAV-TIMEGLO rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEGLO_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB_STR        //!< Config item name for UBX-NAV-TIMEGLO rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEGLO_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGLO_USB_TYPE       //!< Config item type for UBX-NAV-TIMEGLO rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMEGPS UBX-NAV-TIMEGPS
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMEGPS_STR                       "UBX-NAV-TIMEGPS"                                  //!< Message UBX-NAV-TIMEGPS name
#define UBLOXCFG_UBX_NAV_TIMEGPS_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1_ID       //!< Config item ID for UBX-NAV-TIMEGPS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGPS_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1_STR      //!< Config item name for UBX-NAV-TIMEGPS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGPS_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART1_TYPE     //!< Config item type for UBX-NAV-TIMEGPS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEGPS_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2_ID       //!< Config item ID for UBX-NAV-TIMEGPS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGPS_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2_STR      //!< Config item name for UBX-NAV-TIMEGPS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGPS_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_UART2_TYPE     //!< Config item type for UBX-NAV-TIMEGPS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEGPS_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI_ID         //!< Config item ID for UBX-NAV-TIMEGPS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGPS_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI_STR        //!< Config item name for UBX-NAV-TIMEGPS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGPS_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_SPI_TYPE       //!< Config item type for UBX-NAV-TIMEGPS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEGPS_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C_ID         //!< Config item ID for UBX-NAV-TIMEGPS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGPS_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C_STR        //!< Config item name for UBX-NAV-TIMEGPS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGPS_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_I2C_TYPE       //!< Config item type for UBX-NAV-TIMEGPS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEGPS_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB_ID         //!< Config item ID for UBX-NAV-TIMEGPS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEGPS_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB_STR        //!< Config item name for UBX-NAV-TIMEGPS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEGPS_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEGPS_USB_TYPE       //!< Config item type for UBX-NAV-TIMEGPS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMELS UBX-NAV-TIMELS
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMELS_STR                        "UBX-NAV-TIMELS"                                   //!< Message UBX-NAV-TIMELS name
#define UBLOXCFG_UBX_NAV_TIMELS_UART1_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1_ID        //!< Config item ID for UBX-NAV-TIMELS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMELS_UART1_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1_STR       //!< Config item name for UBX-NAV-TIMELS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMELS_UART1_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART1_TYPE      //!< Config item type for UBX-NAV-TIMELS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMELS_UART2_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2_ID        //!< Config item ID for UBX-NAV-TIMELS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMELS_UART2_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2_STR       //!< Config item name for UBX-NAV-TIMELS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMELS_UART2_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_UART2_TYPE      //!< Config item type for UBX-NAV-TIMELS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMELS_SPI_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI_ID          //!< Config item ID for UBX-NAV-TIMELS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMELS_SPI_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI_STR         //!< Config item name for UBX-NAV-TIMELS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMELS_SPI_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_SPI_TYPE        //!< Config item type for UBX-NAV-TIMELS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMELS_I2C_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C_ID          //!< Config item ID for UBX-NAV-TIMELS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMELS_I2C_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C_STR         //!< Config item name for UBX-NAV-TIMELS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMELS_I2C_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_I2C_TYPE        //!< Config item type for UBX-NAV-TIMELS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMELS_USB_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB_ID          //!< Config item ID for UBX-NAV-TIMELS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMELS_USB_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB_STR         //!< Config item name for UBX-NAV-TIMELS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMELS_USB_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMELS_USB_TYPE        //!< Config item type for UBX-NAV-TIMELS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMEQZSS UBX-NAV-TIMEQZSS
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMEQZSS_STR                      "UBX-NAV-TIMEQZSS"                                 //!< Message UBX-NAV-TIMEQZSS name
#define UBLOXCFG_UBX_NAV_TIMEQZSS_UART1_ID                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1_ID      //!< Config item ID for UBX-NAV-TIMEQZSS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEQZSS_UART1_STR                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1_STR     //!< Config item name for UBX-NAV-TIMEQZSS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEQZSS_UART1_TYPE               UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART1_TYPE    //!< Config item type for UBX-NAV-TIMEQZSS rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEQZSS_UART2_ID                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2_ID      //!< Config item ID for UBX-NAV-TIMEQZSS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEQZSS_UART2_STR                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2_STR     //!< Config item name for UBX-NAV-TIMEQZSS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEQZSS_UART2_TYPE               UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_UART2_TYPE    //!< Config item type for UBX-NAV-TIMEQZSS rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEQZSS_SPI_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI_ID        //!< Config item ID for UBX-NAV-TIMEQZSS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEQZSS_SPI_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI_STR       //!< Config item name for UBX-NAV-TIMEQZSS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEQZSS_SPI_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_SPI_TYPE      //!< Config item type for UBX-NAV-TIMEQZSS rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEQZSS_I2C_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C_ID        //!< Config item ID for UBX-NAV-TIMEQZSS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEQZSS_I2C_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C_STR       //!< Config item name for UBX-NAV-TIMEQZSS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEQZSS_I2C_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_I2C_TYPE      //!< Config item type for UBX-NAV-TIMEQZSS rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEQZSS_USB_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB_ID        //!< Config item ID for UBX-NAV-TIMEQZSS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEQZSS_USB_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB_STR       //!< Config item name for UBX-NAV-TIMEQZSS rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEQZSS_USB_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEQZSS_USB_TYPE      //!< Config item type for UBX-NAV-TIMEQZSS rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_TIMEUTC UBX-NAV-TIMEUTC
    @{
*/
#define UBLOXCFG_UBX_NAV_TIMEUTC_STR                       "UBX-NAV-TIMEUTC"                                  //!< Message UBX-NAV-TIMEUTC name
#define UBLOXCFG_UBX_NAV_TIMEUTC_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1_ID       //!< Config item ID for UBX-NAV-TIMEUTC rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEUTC_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1_STR      //!< Config item name for UBX-NAV-TIMEUTC rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEUTC_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART1_TYPE     //!< Config item type for UBX-NAV-TIMEUTC rate on port UART1
#define UBLOXCFG_UBX_NAV_TIMEUTC_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2_ID       //!< Config item ID for UBX-NAV-TIMEUTC rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEUTC_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2_STR      //!< Config item name for UBX-NAV-TIMEUTC rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEUTC_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_UART2_TYPE     //!< Config item type for UBX-NAV-TIMEUTC rate on port UART2
#define UBLOXCFG_UBX_NAV_TIMEUTC_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI_ID         //!< Config item ID for UBX-NAV-TIMEUTC rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEUTC_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI_STR        //!< Config item name for UBX-NAV-TIMEUTC rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEUTC_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_SPI_TYPE       //!< Config item type for UBX-NAV-TIMEUTC rate on port SPI
#define UBLOXCFG_UBX_NAV_TIMEUTC_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C_ID         //!< Config item ID for UBX-NAV-TIMEUTC rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEUTC_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C_STR        //!< Config item name for UBX-NAV-TIMEUTC rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEUTC_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_I2C_TYPE       //!< Config item type for UBX-NAV-TIMEUTC rate on port I2C
#define UBLOXCFG_UBX_NAV_TIMEUTC_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB_ID         //!< Config item ID for UBX-NAV-TIMEUTC rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEUTC_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB_STR        //!< Config item name for UBX-NAV-TIMEUTC rate on port USB
#define UBLOXCFG_UBX_NAV_TIMEUTC_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_TIMEUTC_USB_TYPE       //!< Config item type for UBX-NAV-TIMEUTC rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_VELECEF UBX-NAV-VELECEF
    @{
*/
#define UBLOXCFG_UBX_NAV_VELECEF_STR                       "UBX-NAV-VELECEF"                                  //!< Message UBX-NAV-VELECEF name
#define UBLOXCFG_UBX_NAV_VELECEF_UART1_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1_ID       //!< Config item ID for UBX-NAV-VELECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_VELECEF_UART1_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1_STR      //!< Config item name for UBX-NAV-VELECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_VELECEF_UART1_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART1_TYPE     //!< Config item type for UBX-NAV-VELECEF rate on port UART1
#define UBLOXCFG_UBX_NAV_VELECEF_UART2_ID                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2_ID       //!< Config item ID for UBX-NAV-VELECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_VELECEF_UART2_STR                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2_STR      //!< Config item name for UBX-NAV-VELECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_VELECEF_UART2_TYPE                UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_UART2_TYPE     //!< Config item type for UBX-NAV-VELECEF rate on port UART2
#define UBLOXCFG_UBX_NAV_VELECEF_SPI_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI_ID         //!< Config item ID for UBX-NAV-VELECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_VELECEF_SPI_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI_STR        //!< Config item name for UBX-NAV-VELECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_VELECEF_SPI_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_SPI_TYPE       //!< Config item type for UBX-NAV-VELECEF rate on port SPI
#define UBLOXCFG_UBX_NAV_VELECEF_I2C_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C_ID         //!< Config item ID for UBX-NAV-VELECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_VELECEF_I2C_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C_STR        //!< Config item name for UBX-NAV-VELECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_VELECEF_I2C_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_I2C_TYPE       //!< Config item type for UBX-NAV-VELECEF rate on port I2C
#define UBLOXCFG_UBX_NAV_VELECEF_USB_ID                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB_ID         //!< Config item ID for UBX-NAV-VELECEF rate on port USB
#define UBLOXCFG_UBX_NAV_VELECEF_USB_STR                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB_STR        //!< Config item name for UBX-NAV-VELECEF rate on port USB
#define UBLOXCFG_UBX_NAV_VELECEF_USB_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELECEF_USB_TYPE       //!< Config item type for UBX-NAV-VELECEF rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_NAV_VELNED UBX-NAV-VELNED
    @{
*/
#define UBLOXCFG_UBX_NAV_VELNED_STR                        "UBX-NAV-VELNED"                                   //!< Message UBX-NAV-VELNED name
#define UBLOXCFG_UBX_NAV_VELNED_UART1_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1_ID        //!< Config item ID for UBX-NAV-VELNED rate on port UART1
#define UBLOXCFG_UBX_NAV_VELNED_UART1_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1_STR       //!< Config item name for UBX-NAV-VELNED rate on port UART1
#define UBLOXCFG_UBX_NAV_VELNED_UART1_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART1_TYPE      //!< Config item type for UBX-NAV-VELNED rate on port UART1
#define UBLOXCFG_UBX_NAV_VELNED_UART2_ID                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2_ID        //!< Config item ID for UBX-NAV-VELNED rate on port UART2
#define UBLOXCFG_UBX_NAV_VELNED_UART2_STR                  UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2_STR       //!< Config item name for UBX-NAV-VELNED rate on port UART2
#define UBLOXCFG_UBX_NAV_VELNED_UART2_TYPE                 UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_UART2_TYPE      //!< Config item type for UBX-NAV-VELNED rate on port UART2
#define UBLOXCFG_UBX_NAV_VELNED_SPI_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI_ID          //!< Config item ID for UBX-NAV-VELNED rate on port SPI
#define UBLOXCFG_UBX_NAV_VELNED_SPI_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI_STR         //!< Config item name for UBX-NAV-VELNED rate on port SPI
#define UBLOXCFG_UBX_NAV_VELNED_SPI_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_SPI_TYPE        //!< Config item type for UBX-NAV-VELNED rate on port SPI
#define UBLOXCFG_UBX_NAV_VELNED_I2C_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C_ID          //!< Config item ID for UBX-NAV-VELNED rate on port I2C
#define UBLOXCFG_UBX_NAV_VELNED_I2C_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C_STR         //!< Config item name for UBX-NAV-VELNED rate on port I2C
#define UBLOXCFG_UBX_NAV_VELNED_I2C_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_I2C_TYPE        //!< Config item type for UBX-NAV-VELNED rate on port I2C
#define UBLOXCFG_UBX_NAV_VELNED_USB_ID                     UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB_ID          //!< Config item ID for UBX-NAV-VELNED rate on port USB
#define UBLOXCFG_UBX_NAV_VELNED_USB_STR                    UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB_STR         //!< Config item name for UBX-NAV-VELNED rate on port USB
#define UBLOXCFG_UBX_NAV_VELNED_USB_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_NAV_VELNED_USB_TYPE        //!< Config item type for UBX-NAV-VELNED rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_RXM_MEASX UBX-RXM-MEASX
    @{
*/
#define UBLOXCFG_UBX_RXM_MEASX_STR                         "UBX-RXM-MEASX"                                    //!< Message UBX-RXM-MEASX name
#define UBLOXCFG_UBX_RXM_MEASX_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1_ID         //!< Config item ID for UBX-RXM-MEASX rate on port UART1
#define UBLOXCFG_UBX_RXM_MEASX_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1_STR        //!< Config item name for UBX-RXM-MEASX rate on port UART1
#define UBLOXCFG_UBX_RXM_MEASX_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART1_TYPE       //!< Config item type for UBX-RXM-MEASX rate on port UART1
#define UBLOXCFG_UBX_RXM_MEASX_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2_ID         //!< Config item ID for UBX-RXM-MEASX rate on port UART2
#define UBLOXCFG_UBX_RXM_MEASX_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2_STR        //!< Config item name for UBX-RXM-MEASX rate on port UART2
#define UBLOXCFG_UBX_RXM_MEASX_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_UART2_TYPE       //!< Config item type for UBX-RXM-MEASX rate on port UART2
#define UBLOXCFG_UBX_RXM_MEASX_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI_ID           //!< Config item ID for UBX-RXM-MEASX rate on port SPI
#define UBLOXCFG_UBX_RXM_MEASX_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI_STR          //!< Config item name for UBX-RXM-MEASX rate on port SPI
#define UBLOXCFG_UBX_RXM_MEASX_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_SPI_TYPE         //!< Config item type for UBX-RXM-MEASX rate on port SPI
#define UBLOXCFG_UBX_RXM_MEASX_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C_ID           //!< Config item ID for UBX-RXM-MEASX rate on port I2C
#define UBLOXCFG_UBX_RXM_MEASX_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C_STR          //!< Config item name for UBX-RXM-MEASX rate on port I2C
#define UBLOXCFG_UBX_RXM_MEASX_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_I2C_TYPE         //!< Config item type for UBX-RXM-MEASX rate on port I2C
#define UBLOXCFG_UBX_RXM_MEASX_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB_ID           //!< Config item ID for UBX-RXM-MEASX rate on port USB
#define UBLOXCFG_UBX_RXM_MEASX_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB_STR          //!< Config item name for UBX-RXM-MEASX rate on port USB
#define UBLOXCFG_UBX_RXM_MEASX_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_MEASX_USB_TYPE         //!< Config item type for UBX-RXM-MEASX rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_RXM_RAWX UBX-RXM-RAWX
    @{
*/
#define UBLOXCFG_UBX_RXM_RAWX_STR                          "UBX-RXM-RAWX"                                     //!< Message UBX-RXM-RAWX name
#define UBLOXCFG_UBX_RXM_RAWX_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1_ID          //!< Config item ID for UBX-RXM-RAWX rate on port UART1
#define UBLOXCFG_UBX_RXM_RAWX_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1_STR         //!< Config item name for UBX-RXM-RAWX rate on port UART1
#define UBLOXCFG_UBX_RXM_RAWX_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART1_TYPE        //!< Config item type for UBX-RXM-RAWX rate on port UART1
#define UBLOXCFG_UBX_RXM_RAWX_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2_ID          //!< Config item ID for UBX-RXM-RAWX rate on port UART2
#define UBLOXCFG_UBX_RXM_RAWX_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2_STR         //!< Config item name for UBX-RXM-RAWX rate on port UART2
#define UBLOXCFG_UBX_RXM_RAWX_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_UART2_TYPE        //!< Config item type for UBX-RXM-RAWX rate on port UART2
#define UBLOXCFG_UBX_RXM_RAWX_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI_ID            //!< Config item ID for UBX-RXM-RAWX rate on port SPI
#define UBLOXCFG_UBX_RXM_RAWX_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI_STR           //!< Config item name for UBX-RXM-RAWX rate on port SPI
#define UBLOXCFG_UBX_RXM_RAWX_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_SPI_TYPE          //!< Config item type for UBX-RXM-RAWX rate on port SPI
#define UBLOXCFG_UBX_RXM_RAWX_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C_ID            //!< Config item ID for UBX-RXM-RAWX rate on port I2C
#define UBLOXCFG_UBX_RXM_RAWX_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C_STR           //!< Config item name for UBX-RXM-RAWX rate on port I2C
#define UBLOXCFG_UBX_RXM_RAWX_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_I2C_TYPE          //!< Config item type for UBX-RXM-RAWX rate on port I2C
#define UBLOXCFG_UBX_RXM_RAWX_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB_ID            //!< Config item ID for UBX-RXM-RAWX rate on port USB
#define UBLOXCFG_UBX_RXM_RAWX_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB_STR           //!< Config item name for UBX-RXM-RAWX rate on port USB
#define UBLOXCFG_UBX_RXM_RAWX_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RAWX_USB_TYPE          //!< Config item type for UBX-RXM-RAWX rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_RXM_RLM UBX-RXM-RLM
    @{
*/
#define UBLOXCFG_UBX_RXM_RLM_STR                           "UBX-RXM-RLM"                                      //!< Message UBX-RXM-RLM name
#define UBLOXCFG_UBX_RXM_RLM_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1_ID           //!< Config item ID for UBX-RXM-RLM rate on port UART1
#define UBLOXCFG_UBX_RXM_RLM_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1_STR          //!< Config item name for UBX-RXM-RLM rate on port UART1
#define UBLOXCFG_UBX_RXM_RLM_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART1_TYPE         //!< Config item type for UBX-RXM-RLM rate on port UART1
#define UBLOXCFG_UBX_RXM_RLM_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2_ID           //!< Config item ID for UBX-RXM-RLM rate on port UART2
#define UBLOXCFG_UBX_RXM_RLM_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2_STR          //!< Config item name for UBX-RXM-RLM rate on port UART2
#define UBLOXCFG_UBX_RXM_RLM_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_UART2_TYPE         //!< Config item type for UBX-RXM-RLM rate on port UART2
#define UBLOXCFG_UBX_RXM_RLM_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI_ID             //!< Config item ID for UBX-RXM-RLM rate on port SPI
#define UBLOXCFG_UBX_RXM_RLM_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI_STR            //!< Config item name for UBX-RXM-RLM rate on port SPI
#define UBLOXCFG_UBX_RXM_RLM_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_SPI_TYPE           //!< Config item type for UBX-RXM-RLM rate on port SPI
#define UBLOXCFG_UBX_RXM_RLM_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C_ID             //!< Config item ID for UBX-RXM-RLM rate on port I2C
#define UBLOXCFG_UBX_RXM_RLM_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C_STR            //!< Config item name for UBX-RXM-RLM rate on port I2C
#define UBLOXCFG_UBX_RXM_RLM_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_I2C_TYPE           //!< Config item type for UBX-RXM-RLM rate on port I2C
#define UBLOXCFG_UBX_RXM_RLM_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB_ID             //!< Config item ID for UBX-RXM-RLM rate on port USB
#define UBLOXCFG_UBX_RXM_RLM_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB_STR            //!< Config item name for UBX-RXM-RLM rate on port USB
#define UBLOXCFG_UBX_RXM_RLM_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RLM_USB_TYPE           //!< Config item type for UBX-RXM-RLM rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_RXM_RTCM UBX-RXM-RTCM
    @{
*/
#define UBLOXCFG_UBX_RXM_RTCM_STR                          "UBX-RXM-RTCM"                                     //!< Message UBX-RXM-RTCM name
#define UBLOXCFG_UBX_RXM_RTCM_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1_ID          //!< Config item ID for UBX-RXM-RTCM rate on port UART1
#define UBLOXCFG_UBX_RXM_RTCM_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1_STR         //!< Config item name for UBX-RXM-RTCM rate on port UART1
#define UBLOXCFG_UBX_RXM_RTCM_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART1_TYPE        //!< Config item type for UBX-RXM-RTCM rate on port UART1
#define UBLOXCFG_UBX_RXM_RTCM_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2_ID          //!< Config item ID for UBX-RXM-RTCM rate on port UART2
#define UBLOXCFG_UBX_RXM_RTCM_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2_STR         //!< Config item name for UBX-RXM-RTCM rate on port UART2
#define UBLOXCFG_UBX_RXM_RTCM_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_UART2_TYPE        //!< Config item type for UBX-RXM-RTCM rate on port UART2
#define UBLOXCFG_UBX_RXM_RTCM_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI_ID            //!< Config item ID for UBX-RXM-RTCM rate on port SPI
#define UBLOXCFG_UBX_RXM_RTCM_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI_STR           //!< Config item name for UBX-RXM-RTCM rate on port SPI
#define UBLOXCFG_UBX_RXM_RTCM_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_SPI_TYPE          //!< Config item type for UBX-RXM-RTCM rate on port SPI
#define UBLOXCFG_UBX_RXM_RTCM_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C_ID            //!< Config item ID for UBX-RXM-RTCM rate on port I2C
#define UBLOXCFG_UBX_RXM_RTCM_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C_STR           //!< Config item name for UBX-RXM-RTCM rate on port I2C
#define UBLOXCFG_UBX_RXM_RTCM_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_I2C_TYPE          //!< Config item type for UBX-RXM-RTCM rate on port I2C
#define UBLOXCFG_UBX_RXM_RTCM_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB_ID            //!< Config item ID for UBX-RXM-RTCM rate on port USB
#define UBLOXCFG_UBX_RXM_RTCM_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB_STR           //!< Config item name for UBX-RXM-RTCM rate on port USB
#define UBLOXCFG_UBX_RXM_RTCM_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_RTCM_USB_TYPE          //!< Config item type for UBX-RXM-RTCM rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_RXM_SFRBX UBX-RXM-SFRBX
    @{
*/
#define UBLOXCFG_UBX_RXM_SFRBX_STR                         "UBX-RXM-SFRBX"                                    //!< Message UBX-RXM-SFRBX name
#define UBLOXCFG_UBX_RXM_SFRBX_UART1_ID                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1_ID         //!< Config item ID for UBX-RXM-SFRBX rate on port UART1
#define UBLOXCFG_UBX_RXM_SFRBX_UART1_STR                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1_STR        //!< Config item name for UBX-RXM-SFRBX rate on port UART1
#define UBLOXCFG_UBX_RXM_SFRBX_UART1_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART1_TYPE       //!< Config item type for UBX-RXM-SFRBX rate on port UART1
#define UBLOXCFG_UBX_RXM_SFRBX_UART2_ID                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2_ID         //!< Config item ID for UBX-RXM-SFRBX rate on port UART2
#define UBLOXCFG_UBX_RXM_SFRBX_UART2_STR                   UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2_STR        //!< Config item name for UBX-RXM-SFRBX rate on port UART2
#define UBLOXCFG_UBX_RXM_SFRBX_UART2_TYPE                  UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_UART2_TYPE       //!< Config item type for UBX-RXM-SFRBX rate on port UART2
#define UBLOXCFG_UBX_RXM_SFRBX_SPI_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI_ID           //!< Config item ID for UBX-RXM-SFRBX rate on port SPI
#define UBLOXCFG_UBX_RXM_SFRBX_SPI_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI_STR          //!< Config item name for UBX-RXM-SFRBX rate on port SPI
#define UBLOXCFG_UBX_RXM_SFRBX_SPI_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_SPI_TYPE         //!< Config item type for UBX-RXM-SFRBX rate on port SPI
#define UBLOXCFG_UBX_RXM_SFRBX_I2C_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C_ID           //!< Config item ID for UBX-RXM-SFRBX rate on port I2C
#define UBLOXCFG_UBX_RXM_SFRBX_I2C_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C_STR          //!< Config item name for UBX-RXM-SFRBX rate on port I2C
#define UBLOXCFG_UBX_RXM_SFRBX_I2C_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_I2C_TYPE         //!< Config item type for UBX-RXM-SFRBX rate on port I2C
#define UBLOXCFG_UBX_RXM_SFRBX_USB_ID                      UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB_ID           //!< Config item ID for UBX-RXM-SFRBX rate on port USB
#define UBLOXCFG_UBX_RXM_SFRBX_USB_STR                     UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB_STR          //!< Config item name for UBX-RXM-SFRBX rate on port USB
#define UBLOXCFG_UBX_RXM_SFRBX_USB_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_RXM_SFRBX_USB_TYPE         //!< Config item type for UBX-RXM-SFRBX rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_TIM_TM2 UBX-TIM-TM2
    @{
*/
#define UBLOXCFG_UBX_TIM_TM2_STR                           "UBX-TIM-TM2"                                      //!< Message UBX-TIM-TM2 name
#define UBLOXCFG_UBX_TIM_TM2_UART1_ID                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1_ID           //!< Config item ID for UBX-TIM-TM2 rate on port UART1
#define UBLOXCFG_UBX_TIM_TM2_UART1_STR                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1_STR          //!< Config item name for UBX-TIM-TM2 rate on port UART1
#define UBLOXCFG_UBX_TIM_TM2_UART1_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART1_TYPE         //!< Config item type for UBX-TIM-TM2 rate on port UART1
#define UBLOXCFG_UBX_TIM_TM2_UART2_ID                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2_ID           //!< Config item ID for UBX-TIM-TM2 rate on port UART2
#define UBLOXCFG_UBX_TIM_TM2_UART2_STR                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2_STR          //!< Config item name for UBX-TIM-TM2 rate on port UART2
#define UBLOXCFG_UBX_TIM_TM2_UART2_TYPE                    UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_UART2_TYPE         //!< Config item type for UBX-TIM-TM2 rate on port UART2
#define UBLOXCFG_UBX_TIM_TM2_SPI_ID                        UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI_ID             //!< Config item ID for UBX-TIM-TM2 rate on port SPI
#define UBLOXCFG_UBX_TIM_TM2_SPI_STR                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI_STR            //!< Config item name for UBX-TIM-TM2 rate on port SPI
#define UBLOXCFG_UBX_TIM_TM2_SPI_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_SPI_TYPE           //!< Config item type for UBX-TIM-TM2 rate on port SPI
#define UBLOXCFG_UBX_TIM_TM2_I2C_ID                        UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C_ID             //!< Config item ID for UBX-TIM-TM2 rate on port I2C
#define UBLOXCFG_UBX_TIM_TM2_I2C_STR                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C_STR            //!< Config item name for UBX-TIM-TM2 rate on port I2C
#define UBLOXCFG_UBX_TIM_TM2_I2C_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_I2C_TYPE           //!< Config item type for UBX-TIM-TM2 rate on port I2C
#define UBLOXCFG_UBX_TIM_TM2_USB_ID                        UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB_ID             //!< Config item ID for UBX-TIM-TM2 rate on port USB
#define UBLOXCFG_UBX_TIM_TM2_USB_STR                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB_STR            //!< Config item name for UBX-TIM-TM2 rate on port USB
#define UBLOXCFG_UBX_TIM_TM2_USB_TYPE                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TM2_USB_TYPE           //!< Config item type for UBX-TIM-TM2 rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_TIM_TP UBX-TIM-TP
    @{
*/
#define UBLOXCFG_UBX_TIM_TP_STR                            "UBX-TIM-TP"                                       //!< Message UBX-TIM-TP name
#define UBLOXCFG_UBX_TIM_TP_UART1_ID                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1_ID            //!< Config item ID for UBX-TIM-TP rate on port UART1
#define UBLOXCFG_UBX_TIM_TP_UART1_STR                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1_STR           //!< Config item name for UBX-TIM-TP rate on port UART1
#define UBLOXCFG_UBX_TIM_TP_UART1_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART1_TYPE          //!< Config item type for UBX-TIM-TP rate on port UART1
#define UBLOXCFG_UBX_TIM_TP_UART2_ID                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2_ID            //!< Config item ID for UBX-TIM-TP rate on port UART2
#define UBLOXCFG_UBX_TIM_TP_UART2_STR                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2_STR           //!< Config item name for UBX-TIM-TP rate on port UART2
#define UBLOXCFG_UBX_TIM_TP_UART2_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_UART2_TYPE          //!< Config item type for UBX-TIM-TP rate on port UART2
#define UBLOXCFG_UBX_TIM_TP_SPI_ID                         UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI_ID              //!< Config item ID for UBX-TIM-TP rate on port SPI
#define UBLOXCFG_UBX_TIM_TP_SPI_STR                        UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI_STR             //!< Config item name for UBX-TIM-TP rate on port SPI
#define UBLOXCFG_UBX_TIM_TP_SPI_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_SPI_TYPE            //!< Config item type for UBX-TIM-TP rate on port SPI
#define UBLOXCFG_UBX_TIM_TP_I2C_ID                         UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C_ID              //!< Config item ID for UBX-TIM-TP rate on port I2C
#define UBLOXCFG_UBX_TIM_TP_I2C_STR                        UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C_STR             //!< Config item name for UBX-TIM-TP rate on port I2C
#define UBLOXCFG_UBX_TIM_TP_I2C_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_I2C_TYPE            //!< Config item type for UBX-TIM-TP rate on port I2C
#define UBLOXCFG_UBX_TIM_TP_USB_ID                         UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB_ID              //!< Config item ID for UBX-TIM-TP rate on port USB
#define UBLOXCFG_UBX_TIM_TP_USB_STR                        UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB_STR             //!< Config item name for UBX-TIM-TP rate on port USB
#define UBLOXCFG_UBX_TIM_TP_USB_TYPE                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_TP_USB_TYPE            //!< Config item type for UBX-TIM-TP rate on port USB
///@}

/*!
    \defgroup UBLOXCFG_MSGOUT_UBX_TIM_VRFY UBX-TIM-VRFY
    @{
*/
#define UBLOXCFG_UBX_TIM_VRFY_STR                          "UBX-TIM-VRFY"                                     //!< Message UBX-TIM-VRFY name
#define UBLOXCFG_UBX_TIM_VRFY_UART1_ID                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1_ID          //!< Config item ID for UBX-TIM-VRFY rate on port UART1
#define UBLOXCFG_UBX_TIM_VRFY_UART1_STR                    UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1_STR         //!< Config item name for UBX-TIM-VRFY rate on port UART1
#define UBLOXCFG_UBX_TIM_VRFY_UART1_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART1_TYPE        //!< Config item type for UBX-TIM-VRFY rate on port UART1
#define UBLOXCFG_UBX_TIM_VRFY_UART2_ID                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2_ID          //!< Config item ID for UBX-TIM-VRFY rate on port UART2
#define UBLOXCFG_UBX_TIM_VRFY_UART2_STR                    UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2_STR         //!< Config item name for UBX-TIM-VRFY rate on port UART2
#define UBLOXCFG_UBX_TIM_VRFY_UART2_TYPE                   UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_UART2_TYPE        //!< Config item type for UBX-TIM-VRFY rate on port UART2
#define UBLOXCFG_UBX_TIM_VRFY_SPI_ID                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI_ID            //!< Config item ID for UBX-TIM-VRFY rate on port SPI
#define UBLOXCFG_UBX_TIM_VRFY_SPI_STR                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI_STR           //!< Config item name for UBX-TIM-VRFY rate on port SPI
#define UBLOXCFG_UBX_TIM_VRFY_SPI_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_SPI_TYPE          //!< Config item type for UBX-TIM-VRFY rate on port SPI
#define UBLOXCFG_UBX_TIM_VRFY_I2C_ID                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C_ID            //!< Config item ID for UBX-TIM-VRFY rate on port I2C
#define UBLOXCFG_UBX_TIM_VRFY_I2C_STR                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C_STR           //!< Config item name for UBX-TIM-VRFY rate on port I2C
#define UBLOXCFG_UBX_TIM_VRFY_I2C_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_I2C_TYPE          //!< Config item type for UBX-TIM-VRFY rate on port I2C
#define UBLOXCFG_UBX_TIM_VRFY_USB_ID                       UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB_ID            //!< Config item ID for UBX-TIM-VRFY rate on port USB
#define UBLOXCFG_UBX_TIM_VRFY_USB_STR                      UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB_STR           //!< Config item name for UBX-TIM-VRFY rate on port USB
#define UBLOXCFG_UBX_TIM_VRFY_USB_TYPE                     UBLOXCFG_CFG_MSGOUT_UBX_TIM_VRFY_USB_TYPE          //!< Config item type for UBX-TIM-VRFY rate on port USB
///@}
///@}

#ifndef _DOXYGEN_
#define _UBLOXCFG_NUM_ITEMS 751
const void **_ubloxcfg_allItems(void);
#define _UBLOXCFG_NUM_RATES 86
const void **_ubloxcfg_allRates(void);
#define _UBLOXCFG_MAX_ITEM_LEN 35
#define _UBLOXCFG_MAX_CONSTS_LEN 449
#define _UBLOXCFG_NUM_SOURCES 4
const char **_ubloxcfg_allSources(void);
#endif

#ifdef __cplusplus
}
#endif

#endif // __UBLOXCFG_GEN_H__

///@}
